
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75399 --
ALTER TABLE TT_IVE ADD ESTPEN Numeric(12,2);

/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 75399 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_ESTPEN CHECK (ESTPEN IS NULL OR ESTPEN > 0);


/*-- SEQ 0003 --*/
-- Tarefa 77437 --
ALTER TABLE TT_CFG ADD HOR_SERASA Numeric(3);

/*-- SEQ 0004 --*/
-- Tarefa 77437 --
ALTER TABLE TT_CFG ADD DIAS_ULTCOM Numeric(2);

/*-- SEQ 0005 --*/
-- Tarefa 77437 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_HOR_SERASA CHECK ( HOR_SERASA >= 0);

/*-- SEQ 0006 --*/
-- Tarefa 77437 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_DIAS_ULTCOM CHECK ( DIAS_ULTCOM >= 0);

/*-- SEQ 0007 --*/
-- Tarefa 77437 --
ALTER TABLE TW_CFG ADD HOR_SERASA Numeric(3);

/*-- SEQ 0008 --*/
-- Tarefa 77437 --
ALTER TABLE TW_CFG ADD DIAS_ULTCOM Numeric(2);


/*-- SEQ 0009 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76804 --
ALTER TABLE TT_GRA ADD DATFPV Timestamp;

/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76804 --
CREATE INDEX I_LC_GRA_DATFPV ON TT_GRA (DATFPV)  ;


/*-- SEQ 0011 --*/
-- Tarefa 77435 --
CREATE TABLE TT_ACR (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  FILCLI CHAR(3),
  CODCLI CHAR(6),
  PLACAS CHAR(7),
  FLGACR CHAR(1),
  FLGSER CHAR(1),
  DATINC Timestamp,
  ATU_EM Timestamp,
  FILAUT CHAR(3),
  CODAUT CHAR(3),
  DATAUT Timestamp,
  CODBCO CHAR(3),
  CODAGE CHAR(5),
  NUMCON CHAR(10),
  NUMCHE CHAR(6),
  SERCHE CHAR(3),
  CDCMC7 VARCHAR(30),
  VLRCHE Numeric(9,2),
  NUMDOC CHAR(15),
  DATSER Timestamp,
  OBSERV VARCHAR(4000),
  MOTSER VARCHAR(4000),
  MOTLIM VARCHAR(4000))  ;
 
/*-- SEQ 0012 --*/
-- Tarefa 77435 -- 
ALTER TABLE TT_ACR ADD CONSTRAINT PK_ACR PRIMARY KEY (CODFIL,SEQUEN);

/*-- SEQ 0013 --*/
-- Tarefa 77435 --
ALTER TABLE TT_ACR ADD CONSTRAINT FK_ACR_DFIL_CODFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0014 --*/
-- Tarefa 77435 --
ALTER TABLE TT_ACR ADD CONSTRAINT FK_ACR_USU FOREIGN KEY (FILAUT,CODAUT) REFERENCES TT_USU (FILUSU,CODUSU);

/*-- SEQ 0015 --*/
-- Tarefa 77435 --
ALTER TABLE TT_ACR ADD CONSTRAINT FK_ACR_CLI FOREIGN KEY (FILCLI,CODCLI) REFERENCES TT_CLI (FILCLI,CODCLI);

/*-- SEQ 0016 --*/
-- Tarefa 77435 --
ALTER TABLE TT_ACR ADD CONSTRAINT CK_ACR_FLGACR CHECK (FLGACR IN ('A','P','R'));

/*-- SEQ 0017 --*/
-- Tarefa 77435 --
ALTER TABLE TT_ACR ADD CONSTRAINT CK_ACR_FLGSER CHECK (FLGSER IN ('P','R'));

/*-- SEQ 0018 --*/
-- Tarefa 77435 --
CREATE INDEX I_FK_ACR_DFIL ON TT_ACR (CODFIL)  ;

/*-- SEQ 0019 --*/
-- Tarefa 77435 --
CREATE INDEX I_FK_ACR_USU ON TT_ACR (FILAUT,CODAUT)  ;

/*-- SEQ 0020 --*/
-- Tarefa 77435 --
CREATE INDEX I_FK_ACR_CLI ON TT_ACR (FILCLI,CODCLI)  ;

/*-- SEQ 0021 --*/
-- Tarefa 77435 --
CREATE SEQUENCE SQACR INCREMENT 1 START 1 MINVALUE 1;









/*-- SEQ 0022 --*/
-- Tarefa 77439 --
ALTER TABLE TT_CLI ADD LIMCHE Numeric(12,2);

/*-- SEQ 0023 --*/
-- Tarefa 77439 --
ALTER TABLE TT_CLI ADD CONSTRAINT CK_CLI_LIMCHE CHECK (LIMCHE >= 0); 


/*-- SEQ 0024 --*/
-- Tarefa 77436 --
CREATE TABLE TL_ACR(
  CODTAB Numeric(10,0), 
  FILACR CHAR(3),
  SEQACR CHAR(10),
  DATOPE Timestamp,
  FILUSU CHAR(3),
  CODUSU CHAR(3),
  MSGLOG VARCHAR(4000),
  CODUID Numeric)  ;

/*-- SEQ 0025 --*/ 
-- Tarefa 77436 --
ALTER TABLE TL_ACR ADD CONSTRAINT PK_LACR PRIMARY KEY (CODTAB);

/*-- SEQ 0026 --*/
-- Tarefa 77436 --
ALTER TABLE TL_ACR ADD CONSTRAINT FK_LACR_ACR FOREIGN KEY (FILACR,SEQACR) REFERENCES  TT_ACR (CODFIL, SEQUEN);

/*-- SEQ 0027 --*/
-- Tarefa 77436 --
CREATE INDEX I_FK_LACR_ACR ON TL_ACR (FILACR,SEQACR)  ;

/*-- SEQ 0028 --*/
-- Tarefa 77436 --
CREATE SEQUENCE SQLACR INCREMENT 1 START 1 MINVALUE 1;
















/*-- SEQ 0029 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77511 --
SELECT * FROM NADA;

/*-- SEQ 0030 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77511 --
SELECT * FROM NADA;

/*-- SEQ 0031 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77511 --
SELECT * FROM NADA;

/*-- SEQ 0032 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77511 --
SELECT * FROM NADA;


/*-- SEQ 0033 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77511 --
SELECT * FROM NADA;

/*-- SEQ 0034 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77511 --
SELECT * FROM NADA;

/*-- SEQ 0035 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77511 --
SELECT * FROM NADA;

/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77511 --
SELECT * FROM NADA;


/*-- SEQ 0037 --*/
-- Tarefa 73487 --
SELECT DISABLETRIGGERS(LOWER('TT_VDD'));

/*-- SEQ 0038 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73487 --
ALTER TABLE TT_VDD ADD TIPVDD CHAR(1) DEFAULT 'O';

/*-- SEQ 0039 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73487 --
ALTER TABLE TT_VDD ADD CONSTRAINT CK_VDD_TIPVDD CHECK (TIPVDD IN ('O','P','V'));

/*-- SEQ 0040 --*/
-- Tarefa 73487 --
UPDATE TT_VDD SET TIPVDD = 'O' WHERE TIPVDD IS NULL;

/*-- SEQ 0041 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa  73487 --
ALTER TABLE TT_VDD ALTER COLUMN TIPVDD SET NOT NULL;

/*-- SEQ 0042 --*/ 
-- Tarefa  73487 --
INSERT INTO TT_VDD (CODFIL, FILVEN, SEQVEN, FILVDD, CODVDD, TIPVDD, DATINC, ATU_EM, SEQUEN)
                   (SELECT CODFIL, CODFIL AS FILIAL, SEQUEN, FILVEN, CODVEN, 'V' AS TIPVDD, Agora(), Agora(), NEXTVAL('SQVDD') AS SEQVDD FROM TT_VEN VEN 
                     WHERE NOT EXISTS (SELECT 1 FROM TT_VDD VDD 
                                        WHERE VDD.FILVEN = VEN.CODFIL 
                                          AND VDD.SEQVEN = VEN.SEQUEN 
                                          AND VDD.FILVDD = VEN.FILVEN 
                                          AND VDD.CODVDD = VEN.CODVEN 
                                          AND VDD.TIPVDD = 'V'));

/*-- SEQ 0043 --*/ 
-- Tarefa  73487 --
INSERT INTO TT_VDD (CODFIL, FILVEN, SEQVEN, FILVDD, CODVDD, TIPVDD, DATINC, ATU_EM, SEQUEN)                   
                   (SELECT CODFIL, CODFIL AS FILIAL, SEQUEN, FILVDP, CODVDP, 'P' AS TIPVDD, Agora(), Agora(), NEXTVAL('SQVDD') AS SEQVDD FROM TT_VEN VEN 
                     WHERE VEN.FILVDP IS NOT NULL 
                       AND (SELECT MULT_VENDEDORES FROM TT_CFG) = 'T'
                       AND NOT EXISTS (SELECT 1 FROM TT_VDD VDD 
                                        WHERE VDD.FILVEN = VEN.CODFIL 
                                          AND VDD.SEQVEN = VEN.SEQUEN 
                                          AND VDD.FILVDD = VEN.FILVDP 
                                          AND VDD.CODVDD = VEN.CODVDP 
                                          AND VDD.TIPVDD = 'P'));

/*-- SEQ 0044 --*/
-- Tarefa  73487 --
SELECT ENABLETRIGGERS(LOWER('TT_VDD'));                                          


/*-- SEQ 0045 --*/
-- Tarefa 77529 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0046 --*/
-- Tarefa 77529 --
ALTER TABLE TT_CFG ADD RESERVA_ENT_FUT VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0047 --*/
--Tarefa 77529 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_RESERVA_ENT_FUT CHECK(RESERVA_ENT_FUT IN ('F','T'));

/*-- SEQ 0048 --*/
--Tarefa 77529 --
ALTER TABLE TT_CFG ALTER COLUMN RESERVA_ENT_FUT SET NOT NULL;

/*-- SEQ 0049 --*/
-- Tarefa 77529 --
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0050 --*/
-- Tarefa 77529 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0051 --*/
-- Tarefa 77529 --
ALTER TABLE TW_CFG ADD RESERVA_ENT_FUT VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0052 --*/
-- Tarefa 77529 --
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0053 --*/
-- Tarefa 77560 --
ALTER TABLE TT_IVE ADD PREFIS Numeric(14, 4);


/*-- SEQ 0054 --*/
-- Tarefa 77519 --
ALTER TABLE TT_PRO ADD ORIPRO CHAR(1);

/*-- SEQ 0055 --*/
-- Tarefa 77519 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_ORIPRO CHECK (ORIPRO IN ('0','1','2'));

/*-- SEQ 0056 --*/
-- Tarefa 77519 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0057 --*/
-- Tarefa 77519 --
UPDATE TT_PRO PRO
SET ORIPRO=COALESCE( (SELECT SUBSTR(TRI.CODTRI,1,1) FROM TD_TRI TRI WHERE TRI.CODTAB = PRO.CODTRI),'0')
WHERE PRO.ORIPRO IS NULL;

/*-- SEQ 0058 --*/
-- Tarefa 77519 --
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));


/*-- SEQ 0059 --*/
-- Tarefa 77547 --
ALTER TABLE TT_GRA ADD PREFIS Numeric(14, 4);


/*-- SEQ 0060 --*/
-- Tarefa 77488--
CREATE TABLE TT_PTC(
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  TIPPTC CHAR(1),
  DESPTC VARCHAR(40),
  DATINC Timestamp,
  ATU_EM Timestamp,
  SIGNAT Numeric(5,0))  ;
 
/*-- SEQ 0061 --*/
-- Tarefa 77488 -- 
ALTER TABLE TT_PTC ADD CONSTRAINT PK_PTC PRIMARY KEY (CODFIL,SEQUEN);

/*-- SEQ 0062 --*/
-- Tarefa 77488 --
ALTER TABLE TT_PTC ADD CONSTRAINT CK_PTC_TIPPTC CHECK (TIPPTC IN ('P','C', 'O'));

/*-- SEQ 0063 --*/
--Tarefa 77488 --
ALTER TABLE TT_PTC ALTER COLUMN CODFIL SET NOT NULL;

/*-- SEQ 0064 --*/
--Tarefa 77488 --
ALTER TABLE TT_PTC ALTER COLUMN SEQUEN SET NOT NULL;

/*-- SEQ 0065 --*/
--Tarefa 77488 --
ALTER TABLE TT_PTC ALTER COLUMN TIPPTC SET NOT NULL;

/*-- SEQ 0066 --*/
--Tarefa 77488 --
ALTER TABLE TT_PTC ALTER COLUMN DESPTC SET NOT NULL;

/*-- SEQ 0067 --*/
--Tarefa 77488 --
ALTER TABLE TT_PTC ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0068 --*/
--Tarefa 77488 --
CREATE SEQUENCE SQPTC INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0069 --*/
-- Tarefa 77488 --
ALTER TABLE TT_PTC ADD CONSTRAINT FK_PTC_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL (CODFIL); 


/*-- SEQ 0070 --*/
-- Tarefa 77579 --
ALTER TABLE TT_IVE ADD CODCST CHAR(3);


/*-- SEQ 0071 --*/
-- Tarefa 77497--
CREATE TABLE TT_IPT(
CODFIL CHAR(3),
SEQUEN CHAR(10),
NUMITE Numeric(5,0),  
DESIPT VARCHAR(40),
DATINC Timestamp,
ATU_EM Timestamp)  ;

/*-- SEQ 0072 --*/
-- Tarefa 77497--
ALTER TABLE TT_IPT ADD CONSTRAINT PK_IPT PRIMARY KEY (CODFIL, SEQUEN, NUMITE);

/*-- SEQ 0073 --*/
-- Tarefa 77497--
ALTER TABLE TT_IPT ADD CONSTRAINT FK_IPT_PTC FOREIGN KEY (CODFIL, SEQUEN) REFERENCES  TT_PTC (CODFIL, SEQUEN);

/*-- SEQ 0074 --*/
-- Tarefa 77497--
ALTER TABLE TT_IPT ALTER COLUMN NUMITE SET NOT NULL;

/*-- SEQ 0075 --*/
-- Tarefa 77497--
ALTER TABLE TT_IPT ALTER COLUMN DESIPT SET NOT NULL;


/*-- SEQ 0076 --*/
-- Tarefa 77631 --
ALTER TABLE TL_ACR DROP CONSTRAINT FK_LACR_ACR CASCADE;
 
/*-- SEQ 0077 --*/
-- Tarefa 77631 --
ALTER TABLE TT_ACR ADD ORIACR CHAR(1) DEFAULT 'C'; 

/*-- SEQ 0078 --*/
-- Tarefa 77631 --
ALTER TABLE TT_ACR ADD LIMACR Numeric(14,2);

/*-- SEQ 0079 --*/
-- Tarefa 77631 --
ALTER TABLE TT_ACR ADD NOVLIM Numeric(14,2);

/*-- SEQ 0080 --*/
-- Tarefa 77631 --
ALTER TABLE TT_ACR ADD SENACR VARCHAR(20);

/*-- SEQ 0081 --*/
-- Tarefa 77631 --
ALTER TABLE TT_ACR ADD DATCHR Timestamp;

/*-- SEQ 0082 --*/
-- Tarefa 77631 --
ALTER TABLE TT_ACR ADD DATCON Timestamp;

/*-- SEQ 0083 --*/
-- Tarefa 77631 --
ALTER TABLE TT_ACR ADD DATVEN Timestamp;

/*-- SEQ 0084 --*/
-- Tarefa 77631 --
ALTER TABLE TT_ACR DROP CONSTRAINT CK_ACR_FLGACR CASCADE;

/*-- SEQ 0085 --*/
-- Tarefa 77631 --
ALTER TABLE TT_ACR ADD CONSTRAINT CK_ACR_FLGACR CHECK (FLGACR IN ('A','1','2','R'));

/*-- SEQ 0086 --*/
-- Tarefa 77631 --
ALTER TABLE TT_ACR DROP CONSTRAINT PK_ACR CASCADE;

/*-- SEQ 0087 --*/
-- Tarefa 77631 --
ALTER TABLE TT_ACR ADD CONSTRAINT PK_ACR PRIMARY KEY (CODFIL, SEQUEN, ORIACR);

/*-- SEQ 0088 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77631 --
SELECT * FROM NADA;

/*-- SEQ 0089 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77631 --
SELECT * FROM NADA;

/*-- SEQ 0090 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77631 --                                             
SELECT * FROM NADA;

/*-- SEQ 0091 --*/
-- Tarefa 77631 --                            
DROP INDEX I_FK_LACR_ACR;

/*-- SEQ 0092 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77631 --                            
SELECT * FROM NADA;




/*-- SEQ 0093 --*/
-- Tarefa 77594 --
CREATE TABLE TT_IPTXPRO (
 CODFIL CHAR(3),
 SEQUEN CHAR(10),
 NUMITE Numeric(5),
 FILMAT CHAR(3),
 CODMAT CHAR(5),
 DATINC Timestamp,
 ATU_EM Timestamp)  ;

/*-- SEQ 0094 --*/
-- Tarefa 77594 --
ALTER TABLE TT_IPTXPRO ADD CONSTRAINT PK_IPTXPRO PRIMARY KEY (CODFIL, SEQUEN, NUMITE, FILMAT, CODMAT); 

/*-- SEQ 0095 --*/
-- Tarefa 77594 --
ALTER TABLE TT_IPTXPRO ADD CONSTRAINT FK_IPTXPRO_PRO FOREIGN KEY (FILMAT, CODMAT) REFERENCES TT_PRO (FILMAT, CODMAT);
 
/*-- SEQ 0096 --*/
-- Tarefa 77594 -- 
ALTER TABLE TT_IPTXPRO ALTER COLUMN NUMITE SET NOT NULL; 

/*-- SEQ 0097 --*/
-- Tarefa 77594 -- 
ALTER TABLE TT_IPTXPRO ALTER COLUMN FILMAT SET NOT NULL; 

/*-- SEQ 0098 --*/
-- Tarefa 77594 -- 
ALTER TABLE TT_IPTXPRO ALTER COLUMN CODMAT SET NOT NULL; 
 


/*-- SEQ 0099 --*/
-- Tarefa 77502 --
CREATE TABLE TT_IPTXNCM (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  NUMITE Numeric(5),
  CODNCM VARCHAR(8),
  DATINC Timestamp,
  ATU_EM Timestamp)  ;

/*-- SEQ 0100 --*/
-- Tarefa 77502 --
ALTER TABLE TT_IPTXNCM ALTER COLUMN NUMITE SET NOT NULL;

/*-- SEQ 0101 --*/
-- Tarefa 77502 --
ALTER TABLE TT_IPTXNCM ALTER COLUMN CODNCM SET NOT NULL;

/*-- SEQ 0102 --*/
-- Tarefa 77502 --
ALTER TABLE TT_IPTXNCM ADD CONSTRAINT PK_IPTXNCM PRIMARY KEY (CODFIL, SEQUEN, NUMITE, CODNCM);

/*-- SEQ 0103 --*/
-- Tarefa 77502 --
ALTER TABLE TT_IPTXNCM ADD CONSTRAINT FK_IPTXNCM_IPT FOREIGN KEY (CODFIL, SEQUEN, NUMITE) REFERENCES TT_IPT (CODFIL, SEQUEN, NUMITE);

/*-- SEQ 0104 --*/
-- Tarefa 77502 --
ALTER TABLE TT_IPTXNCM ADD CONSTRAINT FK_IPTXEST_NCM FOREIGN KEY (CODNCM) REFERENCES TT_NCM (CODNCM);


/*-- SEQ 0105 --*/
-- Tarefa 77631 --
SELECT DISABLETRIGGERS(LOWER('TL_ACR'));

/*-- SEQ 0106 --*/
-- Tarefa 77631 --
ALTER TABLE TL_ACR ADD ORIACR CHAR(1) DEFAULT 'C';

/*-- SEQ 0107 --*/
-- Tarefa 77631 --
SELECT ENABLETRIGGERS(LOWER('TL_ACR'));

/*-- SEQ 0108 --*/
-- Tarefa 77631 --
ALTER TABLE TL_ACR ADD CONSTRAINT CK_LACR_ORIACR CHECK (ORIACR IN ('C','A'));

/*-- SEQ 0109 --*/
-- Tarefa 77631 --                                             
ALTER TABLE TL_ACR ADD CONSTRAINT FK_LACR_ACR FOREIGN KEY (FILACR, SEQACR, ORIACR) REFERENCES TT_ACR (CODFIL, SEQUEN, ORIACR);


/*-- SEQ 0110 --*/
-- Tarefa 77507--
CREATE TABLE TT_IPTXEXC(
CODFIL CHAR(3),
SEQUEN CHAR(10),
NUMITE Numeric(5,0),
ITEEXC Numeric(5,0),
SIGEST CHAR(2),
CODNCM VARCHAR(8),
DATINC Timestamp,
ATU_EM Timestamp,
TIPEXC CHAR(1) DEFAULT 0)  ;

/*-- SEQ 0111 --*/
-- Tarefa 77507--
ALTER TABLE TT_IPTXEXC ADD CONSTRAINT PK_IPTXEXC PRIMARY KEY (CODFIL, SEQUEN, NUMITE, ITEEXC);

/*-- SEQ 0112 --*/
-- Tarefa 77507--
ALTER TABLE TT_IPTXEXC ADD CONSTRAINT FK_IPTXEXC_IPT FOREIGN KEY (CODFIL, SEQUEN, NUMITE) REFERENCES  TT_IPT (CODFIL, SEQUEN, NUMITE );

/*-- SEQ 0113 --*/
-- Tarefa 77507--
ALTER TABLE TT_IPTXEXC ADD CONSTRAINT FK_IPTXEXT_EST FOREIGN KEY (SIGEST) REFERENCES TD_EST (ESTADO);

/*-- SEQ 0114 --*/
-- Tarefa 77507--
ALTER TABLE TT_IPTXEXC ADD CONSTRAINT FK_IPTXEXT_NCM FOREIGN KEY (CODNCM) REFERENCES TT_NCM (CODNCM);

/*-- SEQ 0115 --*/
-- Tarefa 77507--
ALTER TABLE TT_IPTXEXC ALTER COLUMN NUMITE SET NOT NULL;

/*-- SEQ 0116 --*/
-- Tarefa 77507--
ALTER TABLE TT_IPTXEXC ALTER COLUMN ITEEXC SET NOT NULL;


/*-- SEQ 0117 --*/
-- Tarefa 77631 --                            
CREATE INDEX I_FK_LACR_ACR ON TL_ACR ( FILACR, SEQACR, ORIACR)  ;


/*-- SEQ 0118 --*/
-- Tarefa 77631 --
ALTER TABLE TT_ACR DROP CONSTRAINT CK_ACR_FLGSER CASCADE;

/*-- SEQ 0119 --*/
-- Tarefa 77631 --
ALTER TABLE TT_ACR ADD CONSTRAINT CK_ACR_FLGSER CHECK (FLGSER IN ('P','R','N'));


/*-- SEQ 0120 --*/
-- Tarefa 77509--
CREATE TABLE TT_MVA(
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  NUMITE Numeric(5,0),
  ITEMVA Numeric(5,0),
  PERMVA Numeric(5,2),
  ALIINT Numeric(5,2),
  ALIEST Numeric(5,2),
  TIPOPE CHAR(1),
  DATINC Timestamp,
  ATU_EM Timestamp)  ;
 
/*-- SEQ 0121 --*/
-- Tarefa 77509 -- 
ALTER TABLE TT_MVA ADD CONSTRAINT PK_MVA PRIMARY KEY (CODFIL,SEQUEN, NUMITE, ITEMVA);

/*-- SEQ 0122 --*/
-- Tarefa 77509 --
ALTER TABLE TT_MVA ADD CONSTRAINT FK_MVA_IPT FOREIGN KEY (CODFIL,SEQUEN, NUMITE) REFERENCES TT_IPT (CODFIL,SEQUEN, NUMITE);

/*-- SEQ 0123 --*/
-- Tarefa 77509 --
ALTER TABLE TT_MVA ADD CONSTRAINT CK_MVA_TIPOPE CHECK (TIPOPE IN ('I','E', 'A'));

/*-- SEQ 0124 --*/
--Tarefa 77509 --
ALTER TABLE TT_MVA ALTER COLUMN NUMITE SET NOT NULL;

/*-- SEQ 0125 --*/
--Tarefa 77509 --
ALTER TABLE TT_MVA ALTER COLUMN ITEMVA SET NOT NULL;


/*-- SEQ 0126 --*/
-- Tarefa 77660 --
ALTER TABLE TD_NAT ADD NATEST_FIL CHAR(3);

/*-- SEQ 0127 --*/
-- Tarefa 77660 --
ALTER TABLE TD_NAT ADD NATEST_SEQ CHAR(10);

/*-- SEQ 0128 --*/
-- Tarefa 77660 --
ALTER TABLE TD_NAT ADD NATEST_TIP CHAR(1);

/*-- SEQ 0129 --*/
-- Tarefa 77660 --
ALTER TABLE TD_NAT ADD CONSTRAINT CK_NAT_NATEST_TIP CHECK (NATEST_TIP = 'G' OR NATEST_TIP IS NULL);

/*-- SEQ 0130 --*/
-- Tarefa 77660 --
ALTER TABLE TD_NAT ADD CONSTRAINT FK_DNAT_CTA_EST FOREIGN KEY (NATEST_FIL, NATEST_SEQ, NATEST_TIP) REFERENCES TT_CTA (CODFIL, SEQUEN, TIPCTA);

/*-- SEQ 0131 --*/
-- Tarefa 77660 --
CREATE INDEX I_FK_DNAT_CTA_EST ON TD_NAT (NATEST_FIL, NATEST_SEQ, NATEST_TIP)  ;

/*-- SEQ 0132 --*/
-- Tarefa 77660 --
ALTER TABLE TW_TAB ADD NATEST_FIL CHAR(3);

/*-- SEQ 0133 --*/
-- Tarefa 77660 --
ALTER TABLE TW_TAB ADD NATEST_SEQ CHAR(10);

/*-- SEQ 0134 --*/
-- Tarefa 77660 --
ALTER TABLE TW_TAB ADD NATEST_TIP CHAR(1);


/*-- SEQ 0135 --*/
-- Tarefa 77657 --
ALTER TABLE TD_CTR ADD CTREST_FIL CHAR(3);

/*-- SEQ 0136 --*/
-- Tarefa 77657 --
ALTER TABLE TD_CTR ADD CTREST_SEQ CHAR(10);

/*-- SEQ 0137 --*/
-- Tarefa 77657 --
ALTER TABLE TD_CTR ADD CTREST_TIP CHAR(1);

/*-- SEQ 0138 --*/
-- Tarefa 77657 --
ALTER TABLE TD_CTR ADD CONSTRAINT CK_CTR_CTREST_TIP CHECK (CTREST_TIP = 'G' OR CTREST_TIP IS NULL);

/*-- SEQ 0139 --*/
-- Tarefa 77657 --
ALTER TABLE TD_CTR ADD CONSTRAINT FK_DCTR_CTA_EST FOREIGN KEY (CTREST_FIL, CTREST_SEQ, CTREST_TIP) REFERENCES TT_CTA (CODFIL, SEQUEN, TIPCTA);

/*-- SEQ 0140 --*/
-- Tarefa 77657 --
CREATE INDEX I_FK_DCTR_CTA_EST ON TD_CTR (CTREST_FIL, CTREST_SEQ, CTREST_TIP)  ;

/*-- SEQ 0141 --*/
-- Tarefa 77657 --
ALTER TABLE TW_TAB ADD CTREST_FIL CHAR(3);

/*-- SEQ 0142 --*/
-- Tarefa 77657 --
ALTER TABLE TW_TAB ADD CTREST_SEQ CHAR(10);

/*-- SEQ 0143 --*/
-- Tarefa 77657 --
ALTER TABLE TW_TAB ADD CTREST_TIP CHAR(1);


/*-- SEQ 0144 --*/
-- Tarefa 77662 --
ALTER TABLE TT_CTA DROP CONSTRAINT CK_CTA_USOCTA CASCADE;

/*-- SEQ 0145 --*/
-- Tarefa 77662 --
ALTER TABLE TT_CTA ADD CONSTRAINT CK_CTA_USOCTA CHECK (USOCTA IN ('O','L','C','E','B','P','+','-','I','S','T'));


/*-- SEQ 0146 --*/
-- Tarefa 77499--
CREATE TABLE TT_IPTXEST(
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  NUMITE Numeric(5,0),
  SIGEST CHAR(2),
  DATINC Timestamp,
  ATU_EM Timestamp)  ;
 
/*-- SEQ 0147 --*/
-- Tarefa 77499 -- 
ALTER TABLE TT_IPTXEST ADD CONSTRAINT PK_IPTXEST PRIMARY KEY (CODFIL,SEQUEN, NUMITE, SIGEST);

/*-- SEQ 0148 --*/
-- Tarefa 77499 --
ALTER TABLE TT_IPTXEST ADD CONSTRAINT FK_IPTXEST_IPT FOREIGN KEY (CODFIL,SEQUEN, NUMITE) REFERENCES TT_IPT (CODFIL,SEQUEN, NUMITE);

/*-- SEQ 0149 --*/
-- Tarefa 77499 --
ALTER TABLE TT_IPTXEST ADD CONSTRAINT FK_IPTXEST_EST FOREIGN KEY (SIGEST) REFERENCES TD_EST (ESTADO);

/*-- SEQ 0150 --*/
--Tarefa 77499 --
ALTER TABLE TT_IPTXEST ALTER COLUMN NUMITE SET NOT NULL;

/*-- SEQ 0151 --*/
--Tarefa 77499 --
ALTER TABLE TT_IPTXEST ALTER COLUMN SIGEST SET NOT NULL;


/*-- SEQ 0152 --*/
-- Tarefa 77827 --
ALTER TABLE TT_ACR ADD OBSCHE VARCHAR(4000);


/*-- SEQ 0153 --*/
-- Tarefa 77422 --
ALTER TABLE TT_COM ADD BASICM Numeric(12,2); 



/*-- SEQ 0154 --*/
-- Tarefa 77422 --
SELECT DISABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0155 --*/
-- Tarefa 77422 --
UPDATE TT_COM
SET BASICM = ((VLRLIQ * ((NVLZ(PERICM,1)) / 100) * 100) / (NVLZ(PERICM,1))) - COALESCE(OUTICM,0) - COALESCE(ISEICM,0)
WHERE BASICM IS NULL
AND TIPPAR IS NULL;

/*-- SEQ 0156 --*/
-- Tarefa 77422 --
UPDATE TT_COM
SET BASICM = VLRLIQ
WHERE BASICM IS NOT NULL
AND TIPPAR IS NULL 
AND BASICM > VLRLIQ;

/*-- SEQ 0157 --*/
-- Tarefa 77422 --
SELECT ENABLETRIGGERS(LOWER('TT_COM'));


/*-- SEQ 0158 --*/
-- Tarefa 77496 --
CREATE TABLE TL_PTC (
 CODTAB Numeric(10),
 CODFIL CHAR(3),
 SEQUEN CHAR(10),
 DATOPE Timestamp,
 FILUSU CHAR(3),
 CODUSU CHAR(3),
 MSGLOG VARCHAR(4000),
 CODUID Numeric(22))  ;

/*-- SEQ 0159 --*/
-- Tarefa 77496 --    
ALTER TABLE TL_PTC ADD CONSTRAINT PK_LPTC PRIMARY KEY (CODTAB);

/*-- SEQ 0160 --*/
-- Tarefa 77496 --    
ALTER TABLE TL_PTC ADD CONSTRAINT FK_LPTC_PTC_CODFIL FOREIGN KEY (CODFIL, SEQUEN) REFERENCES TT_PTC (CODFIL, SEQUEN); 

/*-- SEQ 0161 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77496 --    
SELECT * FROM NADA;


/*-- SEQ 0162 --*/
-- Tarefa 77940 --
ALTER TABLE TT_CTA DROP CONSTRAINT CK_CTA_APLNUM CASCADE;

/*-- SEQ 0163 --*/
-- Tarefa 77940 --
ALTER TABLE TT_CTA ADD CONSTRAINT CK_CTA_APLNUM CHECK (APLNUM  IN ('A','B','C','D','G','N','S'));



/*-- SEQ 0164 --*/
-- Tarefa 77496 --    
CREATE INDEX I_FK_LPTC_PTC ON TL_PTC (CODFIL,SEQUEN)  ; 


/*-- SEQ 0165 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77511 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0166 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77511 --
ALTER TABLE TT_CFG ADD ROMANEIO_FILIAL CHAR(1) DEFAULT 'F';

/*-- SEQ 0167 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  77511 --
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0168 --*/
/*-- IGNORE ERRO --*/
--Tarefa 77511 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_ROMANEIO_FILIAL CHECK(ROMANEIO_FILIAL IN ('F','T'));

/*-- SEQ 0169 --*/
/*-- IGNORE ERRO --*/
--Tarefa 77511 --
ALTER TABLE TT_CFG ALTER COLUMN ROMANEIO_FILIAL SET NOT NULL;

/*-- SEQ 0170 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77511 --
ALTER TABLE TW_CFG ADD ROMANEIO_FILIAL CHAR(1) DEFAULT 'F';


 /*-- SEQ 0171 --*/
 -- Tarefa  77496 --
CREATE SEQUENCE SQLPTC INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0172 --*/
-- Tarefa 78122 --
ALTER TABLE TT_ACR ADD FILMOT CHAR(3);

 /*-- SEQ 0173 --*/
-- Tarefa 78122 --
ALTER TABLE TT_ACR ADD CODMOT CHAR(6);

 /*-- SEQ 0174 --*/
-- Tarefa 78122 --
ALTER TABLE TT_ACR ADD TIPMOT CHAR(1);

/*-- SEQ 0175 --*/
-- Tarefa 78122 --
ALTER TABLE TT_ACR ADD CONSTRAINT FK_ACR_REL FOREIGN KEY (FILMOT, CODMOT, TIPMOT) REFERENCES TT_REL (FILPAR, CODPAR, TIPPAR);

 /*-- SEQ 0176 --*/
-- Tarefa 78122 --
ALTER TABLE TT_ACR ADD CONSTRAINT CK_ACR_TIPMOT CHECK (TIPMOT = 'O' OR TIPMOT IS NULL);

 /*-- SEQ 0177 --*/
-- Tarefa 78122 --
CREATE INDEX I_FK_ACR_REL ON TT_ACR (FILMOT, CODMOT, TIPMOT)  ;


/*-- SEQ 0178 --*/
-- Tarefa 78119 --
ALTER TABLE TT_ACR ADD FILVEN CHAR(3);

 /*-- SEQ 0179 --*/
-- Tarefa 78119 --
ALTER TABLE TT_ACR ADD SEQVEN CHAR(10);

/*-- SEQ 0180 --*/
-- Tarefa 78119 --
ALTER TABLE TT_ACR ADD CONSTRAINT FK_ACR_VEN FOREIGN KEY (FILVEN, SEQVEN) REFERENCES TT_VEN (CODFIL, SEQUEN);

 /*-- SEQ 0181 --*/
-- Tarefa 78119 --
CREATE INDEX I_FK_ACR_VEN ON TT_ACR (SEQVEN, FILVEN)  ;


/*-- SEQ 0182 --*/
ALTER TABLE TT_ICO ADD BASSUB Numeric(14,2);

 /*-- SEQ 0183 --*/
ALTER TABLE TT_ICO ADD VLR_ST Numeric(14,2);


/*-- SEQ 0184 --*/
SELECT DISABLETRIGGERS(LOWER('TT_SAL'));

 /*-- SEQ 0185 --*/
UPDATE TT_SAL SET MOT_CM='NO INFORMADO'
WHERE (QTD_CM IS NOT NULL OR 
       VLR_CM IS NOT NULL OR 
       VLRCMG IS NOT NULL OR 
       INI_CM IS NOT NULL) AND  
       MOT_CM IS NULL;       
       
/*-- SEQ 0186 --*/
SELECT ENABLETRIGGERS(LOWER('TT_SAL'));


/*-- SEQ 0187 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77936 --
SELECT * FROM NADA;


/*-- SEQ 0188 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78204 --
SELECT * FROM NADA;

/*-- SEQ 0189 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78204 --
SELECT * FROM NADA;

/*-- SEQ 0190 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78204 --
SELECT * FROM NADA;


/*-- SEQ 0191 --*/
-- Tarefa 78195 --
ALTER TABLE TT_VEN ADD BAS_ST_COM Numeric(14,4);

/*-- SEQ 0192 --*/
-- Tarefa 78195 --
ALTER TABLE TT_VEN ADD VLR_ST_COM Numeric(14,4);

/*-- SEQ 0193 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78195 --
SELECT * FROM NADA;


/*-- SEQ 0194 --*/
-- Tarefa 78204 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0195 --*/
-- Tarefa 78204 --
ALTER TABLE TT_CFG ADD VALIDA_PARC_CK VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0196 --*/
-- Tarefa 78204 --
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0197 --*/
-- Tarefa 78204 --
ALTER TABLE TT_CFG ALTER COLUMN VALIDA_PARC_CK SET NOT NULL; 

/*-- SEQ 0198 --*/
-- Tarefa 78204 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_VALIDA_PARC_CK CHECK (VALIDA_PARC_CK IN ('T','F'));


/*-- SEQ 0199 --*/
-- Tarefa 78195 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0200 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78195 --
INSERT INTO TT_FUN (NOMFUN, DATFUN, ATU_EM) VALUES ('ST_PROD', Agora(), Agora());

/*-- SEQ 0201 --*/
-- Tarefa 78195 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0202 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78211 --
DROP SEQUENCE SQLCRT;

/*-- SEQ 0203 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78211 --
ALTER TABLE TL_CRT DROP CONSTRAINT PK_LCRT CASCADE;


/*-- SEQ 0204 --*/
-- Tarefa 77936 --
SELECT DISABLETRIGGERS(LOWER('TT_END'));

/*-- SEQ 0205 --*/
-- Tarefa 77936 --
UPDATE TT_END ENDE 
   SET CODCID=MUN.CODIGO
  FROM TT_MUN MUN
 WHERE ENDE.CODCEP BETWEEN MUN.CEPINI AND MUN.CODCEP
   AND ENDE.CODCID IS NULL;

/*-- SEQ 0206 --*/
-- Tarefa 77936 --
SELECT ENABLETRIGGERS(LOWER('TT_END'));


/*-- SEQ 0207 --*/
-- Tarefa 78270 --
ALTER TABLE TT_ACR ADD VLRPRE Numeric(14,2); 


/*-- SEQ 0208 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78249 --
DROP INDEX I_UQ_IDF_UNICO;

/*-- SEQ 0209 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78249 --
ALTER TABLE TT_IDF ADD CONSTRAINT PK_IDF PRIMARY KEY (UNICO);


/*-- SEQ 0210 --*/
-- Tarefa 78243 --
ALTER TABLE TT_CFG ADD GX_SIMPAN_ENT Numeric(5);

/*-- SEQ 0211 --*/
-- Tarefa 78243 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_LAN_GX_SIMPAN_ENT FOREIGN KEY (GX_SIMPAN_ENT) REFERENCES TD_LAN(CODTAB);


/*-- SEQ 0212 --*/
-- Tarefa 78247 --
ALTER TABLE TT_CFG ADD GX_SIMPAN_ENV Timestamp;


/*-- SEQ 0213 --*/
-- Tarefa 78242 --
ALTER TABLE TT_CFG ADD GX_SIMPAN_FIL CHAR(3);


/*-- SEQ 0214 --*/
-- Tarefa 78245 --
ALTER TABLE TT_CFG ADD GX_SIMPAN_PER Numeric(5);

/*-- SEQ 0215 --*/
-- Tarefa 78245 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_LAN_GX_SIMPAN_PER FOREIGN KEY (GX_SIMPAN_PER) REFERENCES TD_LAN(CODTAB);


/*-- SEQ 0216 --*/
-- Tarefa 78244 --
ALTER TABLE TT_CFG ADD GX_SIMPAN_SAI Numeric(5);

/*-- SEQ 0217 --*/
-- Tarefa 78244 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_LAN_GX_SIMPAN_SAI FOREIGN KEY (GX_SIMPAN_SAI) REFERENCES TD_LAN(CODTAB);


/*-- SEQ 0218 --*/
-- Tarefa 78250 --
CREATE INDEX I_LC_GRA_SEQUEN ON TT_GRA (SEQUEN)  ;


/*-- SEQ 0219 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77879 --
SELECT * FROM NADA;

/*-- SEQ 0220 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77879 --
SELECT * FROM NADA;

/*-- SEQ 0221 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77879 --
SELECT * FROM NADA;

/*-- SEQ 0222 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77879 --
SELECT * FROM NADA;

/*-- SEQ 0223 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77879 --
SELECT * FROM NADA;

/*-- SEQ 0224 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77879 --
SELECT * FROM NADA;

/*-- SEQ 0225 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77879 --
SELECT * FROM NADA;

/*-- SEQ 0226 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77879 --
SELECT * FROM NADA;


/*-- SEQ 0227 --*/
-- Tarefa 78892 --
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0228 --*/
-- Tarefa 78892 --
UPDATE TT_CLI SET INSEST = 'ISENTO' WHERE UPPER(INSEST) = UPPER('ISENTO');

/*-- SEQ 0229 --*/
-- Tarefa 78892 --
UPDATE TT_CLI SET INSEST = 'ISENTO' WHERE UPPER(INSEST) = UPPER('ISENTA');

/*-- SEQ 0230 --*/
-- Tarefa  78892 --
SELECT ENABLETRIGGERS(LOWER('TT_CLI')); 

/*-- SEQ 0231 --*/
-- Tarefa 78892 --
SELECT DISABLETRIGGERS(LOWER('TT_END')); 

/*-- SEQ 0232 --*/
-- Tarefa 78892 --
UPDATE TT_END SET INSEST = 'ISENTO' WHERE UPPER(INSEST) = UPPER('ISENTO');

/*-- SEQ 0233 --*/
-- Tarefa 78892 --
UPDATE TT_END SET INSEST = 'ISENTO' WHERE UPPER(INSEST) = UPPER('ISENTA');

/*-- SEQ 0234 --*/
-- Tarefa  78892 --
SELECT ENABLETRIGGERS(LOWER('TT_END')); 


/*-- SEQ 0235 --*/
-- Tarefa 79089 --
ALTER TABLE TT_PLA ALTER COLUMN PARVEN DROP NOT NULL;

/*-- SEQ 0236 --*/
-- Tarefa 79089 --
ALTER TABLE TI_PLA ALTER COLUMN PARVEN DROP NOT NULL;


/*-- SEQ 0237 --*/
-- Tarefa 79076 --
UPDATE TT_NCM SET NIVNCM = '2' WHERE CODNCM IN ('321000','381400');

/*-- SEQ 0238 --*/
-- Tarefa 79076 --
UPDATE TT_NCM SET NIVNCM = '3' WHERE CODNCM IN ('38140010','38140020','38140030','38140090','32100010','32100020','32100030');


/*-- SEQ 0239 --*/
ALTER TABLE TI_PRE ADD DESPRE VARCHAR(30);


/*-- SEQ 0240 --*/
-- Tarefa 79425 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM) 
     VALUES ('--Outros parafusos,pinos ou pernos e porcas,de cobre',4,15,'T','74153200');

/*-- SEQ 0241 --*/
-- Tarefa 79425 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
     VALUES ('Fios de filamentos sinteticos,para venda a retalho',2,11,'T','54061000');

/*-- SEQ 0242 --*/
-- Tarefa 79425 --
UPDATE TT_NCM
   SET NIVNCM = 2
 WHERE CODNCM = '441600';

/*-- SEQ 0243 --*/
-- Tarefa 79425 --
UPDATE TT_NCM
   SET NIVNCM = 3
 WHERE CODNCM IN ('44160010','44160090');

/*-- SEQ 0244 --*/
-- Tarefa 79425 -- 
UPDATE TT_NCM
   SET NIVNCM = 2
 WHERE CODNCM = '441700';

/*-- SEQ 0245 --*/
-- Tarefa 79425 --
UPDATE TT_NCM
   SET NIVNCM = 3
 WHERE CODNCM IN ('44170010','44170020','44170090');

/*-- SEQ 0246 --*/
-- Tarefa 79425 --
UPDATE TT_NCM
   SET NIVNCM = 2
 WHERE CODNCM = '540600';

/*-- SEQ 0247 --*/
-- Tarefa 79425 --
UPDATE TT_NCM
   SET NIVNCM = 3
 WHERE CODNCM IN ('54060010','54060020','54061000');
 
/*-- SEQ 0248 --*/
-- Tarefa 79425 --
UPDATE TT_NCM
   SET NIVNCM = 2
 WHERE CODNCM = '790700';

/*-- SEQ 0249 --*/
-- Tarefa 79425 --
UPDATE TT_NCM
   SET NIVNCM = 3
 WHERE CODNCM IN ('79070010','79070090');


/*-- SEQ 0250 --*/
-- Tarefa 79747 --
CREATE INDEX I_LC_IREC_STATUS ON TI_REC (STATUS, DATCRI)  ;

/*-- SEQ 0251 --*/
-- Tarefa 79747 --
CREATE INDEX I_LC_IREC_PARCEL ON TI_REC (CODFIL, CODSER, NUMECF, NUMNOT, NUMPAR, SUBPAR)  ;

/*-- SEQ 0252 --*/
-- Tarefa 79747 --
CREATE INDEX I_LC_ICHR_BANCO ON TI_CHR (CODFIL, CODBCO, CODAGE, NUMCHE, NUMCON)  ;







/*-- SEQ 0253 --*/
CREATE INDEX I_LC_LID_VEN ON TT_LID (CUPFIS, NUMECF, CODFIL, CODSER)  ;


/*-- SEQ 0254 --*/
-- Tarefa 80051 --
SELECT ExecAlteraTipoColuna('TW_IIN','REFGRA','VARCHAR(20)');



/*-- SEQ 0255 --*/
-- Tarefa 79992 --
SELECT DISABLETRIGGERS(LOWER('TI_CLI'));

/*-- SEQ 0256 --*/
-- Tarefa 79992 --
SELECT ExecAlteraTipoColuna('TI_CLI','NUMCOD','VARCHAR(2)');


/*-- SEQ 0257 --*/
-- Tarefa 79992 --
SELECT ExecAlteraTipoColuna('TI_CLI','CODDDD','VARCHAR(2)');


/*-- SEQ 0258 --*/
-- Tarefa 79992 --
SELECT ENABLETRIGGERS(LOWER('TI_CLI'));


/*-- SEQ 0259 --*/
-- Tarefa 78959 --
UPDATE TT_NCM
   SET NIVNCM = 2
 WHERE CODNCM IN ('340700');

/*-- SEQ 0260 --*/
-- Tarefa 78959 -- 
UPDATE TT_NCM
   SET NIVNCM = 3
 WHERE CODNCM IN ('34070010','34070020','34070090'); 

/*-- SEQ 0261 --*/
-- Tarefa 78959 -- 
UPDATE TT_NCM
   SET NIVNCM = 2
 WHERE CODNCM IN ('950300');
 
/*-- SEQ 0262 --*/
-- Tarefa 78959 -- 
UPDATE TT_NCM
   SET NIVNCM = 3
 WHERE CODNCM IN ('95030010','95030021','95030022','95030029','95030031','95030039','95030040','95030050','95030060','95030070','95030080','95030091','95030097','95030098','95030099');
 


/*-- SEQ 0263 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80161 --
SELECT DISABLETRIGGERS(LOWER('TI_SAL'));

/*-- SEQ 0264 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80161 --
UPDATE TI_SAL
   SET MOTREJ = NULL,
       DATIMP = NULL
 WHERE STATUS = 0
   AND (MOTREJ IS NOT NULL OR DATIMP IS NOT NULL);

/*-- SEQ 0265 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80161 --
SELECT ENABLETRIGGERS(LOWER('TI_SAL'));

/*-- SEQ 0266 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80161 --
ALTER TABLE TI_SAL ADD CONSTRAINT CK_ISAL_STATUS CHECK ((STATUS = 0 AND MOTREJ IS NULL AND DATIMP IS NULL) OR STATUS <> 0);


/*-- SEQ 0267 --*/
-- Tarefa 80178 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0268 --*/
-- Tarefa 80178 --
INSERT INTO TT_FUN (NOMFUN, DATFUN, ATU_EM) 
SELECT 'SEM_BDE', Agora(), Agora()
  FROM DUAL
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM TT_FUN
                    WHERE NOMFUN = 'SEM_BDE');

/*-- SEQ 0269 --*/
-- Tarefa 80178 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0270 --*/
-- Tarefa 80178 --
SELECT DISABLETRIGGERS(LOWER('TT_IDF'));

/*-- SEQ 0271 --*/
-- Tarefa 80178 --
ALTER TABLE TT_IDF ADD SERVID VARCHAR(20);

/*-- SEQ 0272 --*/
-- Tarefa 80178 --
ALTER TABLE TT_IDF ADD DATBAS VARCHAR(20);

/*-- SEQ 0273 --*/
-- Tarefa 80178 --
UPDATE TT_IDF
   SET SERVID = 
                 (SELECT host(inet_server_addr())
                    FROM DUAL)
WHERE SERVID IS NULL;

/*-- SEQ 0274 --*/
-- Tarefa 80178 --
UPDATE TT_IDF
   SET DATBAS = 
                (SELECT current_database()
                   FROM DUAL)
 WHERE DATBAS IS NULL;

/*-- SEQ 0275 --*/
-- Tarefa 80178 --
SELECT ENABLETRIGGERS(LOWER('TT_IDF'));



/*-- SEQ 0276 --*/
-- Tarefa 76140 --
DROP FUNCTION DividaCliente (TT_CLI.FILCLI%TYPE,TT_CLI.CODCLI%TYPE) CASCADE;


/*-- SEQ 0277 --*/
-- Tarefa 80302 --
ALTER TABLE TT_ROM DROP CONSTRAINT FK_ROM_VEI CASCADE;

/*-- SEQ 0278 --*/
-- Tarefa 80302 --
ALTER TABLE TT_AVI DROP CONSTRAINT FK_AVI_VEI CASCADE;


/*-- SEQ 0279 --*/
-- Tarefa 79307--
SELECT DISABLETRIGGERS(LOWER('TT_DIV'));

/*-- SEQ 0280 --*/
-- Tarefa 79307--
SELECT DISABLETRIGGERS(LOWER('TT_SUB'));

/*-- SEQ 0281 --*/
-- Tarefa 79307--
SELECT ExecAlteraTipoColuna('TT_DIV','NOMITE','VARCHAR(10)');


/*-- SEQ 0282 --*/
-- Tarefa 79307--
SELECT ExecAlteraTipoColuna('TT_SUB','NOMITE','VARCHAR(10)');


/*-- SEQ 0283 --*/
-- Tarefa 79307--
SELECT ENABLETRIGGERS(LOWER('TT_DIV'));

/*-- SEQ 0284 --*/
-- Tarefa 79307--
SELECT ENABLETRIGGERS(LOWER('TT_SUB'));


/*-- SEQ 0285 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80138 --
ALTER TABLE TT_IVE DROP CONSTRAINT CK_IVE_ESTPEN CASCADE;


/*-- SEQ 0286 --*/
-- Tarefa 79449 --
ALTER TABLE TT_TIT ADD NOSNUM2 VARCHAR(20);

/*-- SEQ 0287 --*/
-- Tarefa 79449 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0288 --*/
-- Tarefa 79449 --
INSERT INTO TT_FUN (NOMFUN, DATFUN, ATU_EM) VALUES ('NOSSO_NUM', Agora(), Agora());

/*-- SEQ 0289 --*/
-- Tarefa 79449 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0290 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73907 --
ALTER TABLE TT_DESXCLI ADD ACORDO Numeric(14,4);

/*-- SEQ 0291 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73907 --
ALTER TABLE TT_DESXCLI ADD TIPACO CHAR(1);

/*-- SEQ 0292 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73907 --
ALTER TABLE TT_DESXCLI ADD DATVAL Timestamp;

/*-- SEQ 0293 --*/
-- Tarefa 73907 --
SELECT DISABLETRIGGERS(LOWER('TT_DESXCLI'));


/*-- SEQ 0294 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73907 --
UPDATE TT_DESXCLI
   SET TIPACO = 'V',
       ACORDO = COALESCE(VLRDES, 0)   
 WHERE VLRDES IS NOT NULL;
 
/*-- SEQ 0295 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73907 -- 
UPDATE TT_DESXCLI
   SET TIPACO = 'P',
       ACORDO = COALESCE(PERDES, 0) 
 WHERE PERDES IS NOT NULL; 

/*-- SEQ 0296 --*/
-- Tarefa 73907 -- 
SELECT ENABLETRIGGERS(LOWER('TT_DESXCLI'));

/*-- SEQ 0297 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73907 --
ALTER TABLE TT_DESXCLI DROP COLUMN PERDES CASCADE;

/*-- SEQ 0298 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73907 --
ALTER TABLE TT_DESXCLI DROP COLUMN VLRDES CASCADE;

/*-- SEQ 0299 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73907 --
INSERT INTO TT_FUN (NOMFUN, DATFUN, ATU_EM) VALUES ('ACORDO_PRE', Agora(), Agora());


/*-- SEQ 0300 --*/
-- Tarefa 81652 --
SELECT ExecAlteraTipoColuna('TW_COM_FIS','CODSER','VARCHAR(3)');



/*-- SEQ 0301 --*/
-- Tarefa 80789 --
-- Cria Backup das IVEs que esto com o VLRMOV e QTDMOV zerado.
CREATE TABLE TEMP_IVE AS SELECT IVE.* 
                           FROM TT_IVE IVE INNER JOIN TT_IOR IOR ON IVE.CODFIL = IOR.FILIVE 
                                                                AND IVE.SEQUEN = IOR.SEQIVE
                                                                AND IVE.NUMITE = IOR.NUMIVE 
                          WHERE IVE.SITMOV = 'C'
                            AND IOR.TIPENT = '5'
                            AND IVE.VLRMOV = 0;

/*-- SEQ 0302 --*/
-- Tarefa 80789 --
SELECT DISABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0303 --*/
-- Tarefa 80789 --
-- Update para inserir o valores no campo QTDMOV.
UPDATE TT_IVE
   SET QTDMOV = (SELECT IOR.QTDENT
                   FROM TT_IOR IOR
                  WHERE TT_IVE.CODFIL = IOR.FILIVE
                    AND TT_IVE.SEQUEN = IOR.SEQIVE
                    AND TT_IVE.NUMITE = IOR.NUMIVE)	   
 WHERE (CODFIL, SEQUEN, NUMITE) IN (
 SELECT IVE.CODFIL, IVE.SEQUEN, IVE.NUMITE
   FROM TT_IVE IVE INNER JOIN TT_IOR IOR ON IVE.CODFIL = IOR.FILIVE 
                                        AND IVE.SEQUEN = IOR.SEQIVE
                                        AND IVE.NUMITE = IOR.NUMIVE 
  WHERE IVE.SITMOV = 'C'
    AND IOR.TIPENT = '5'
    AND IVE.QTDMOV = 0);

/*-- SEQ 0304 --*/
-- Tarefa 80789 --
-- Update para inserir o valores no campo VLRMOV.
UPDATE TT_IVE
   SET VLRMOV = (SELECT COALESCE(CAST(IOR.QTDENT*TT_IVE.VLRUNI AS Numeric(14,2)), IOR.VLRCUS) AS VLRMOV
                   FROM TT_IOR IOR
                  WHERE TT_IVE.CODFIL = IOR.FILIVE
                    AND TT_IVE.SEQUEN = IOR.SEQIVE
                    AND TT_IVE.NUMITE = IOR.NUMIVE)
 WHERE (CODFIL, SEQUEN, NUMITE) IN (
 SELECT IVE.CODFIL, IVE.SEQUEN, IVE.NUMITE
   FROM TT_IVE IVE INNER JOIN TT_IOR IOR ON IVE.CODFIL = IOR.FILIVE 
                                        AND IVE.SEQUEN = IOR.SEQIVE
                                        AND IVE.NUMITE = IOR.NUMIVE 
  WHERE IVE.SITMOV = 'C'
    AND IOR.TIPENT = '5'
    AND IVE.VLRMOV = 0);

/*-- SEQ 0305 --*/
-- Tarefa 80789 --
SELECT ENABLETRIGGERS(LOWER('TT_IVE'));


/*-- SEQ 0306 --*/
/*-- IGNORE ERRO --*/
drop index i_uq_tit_rec_seqcan;

