
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Tarefa 104260 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0003 --*/
-- Tarefa 104260 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'EXIGE_NSU_POS', 'Exige NSU na Tela de Cartes do Totall PoS', 'B', 'T', 'T', 'T', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'EXIGE_NSU_POS'));

/*-- SEQ 0004 --*/
-- Tarefa 104260 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0005 --*/
-- Tarefa 104214 --
SELECT DISABLETRIGGERS(LOWER('TD_EST'));

/*-- SEQ 0006 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_EST ADD COLUMN BASMAR VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0007 --*/
SELECT ENABLETRIGGERS(LOWER('TD_EST'));

/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104214 --
ALTER TABLE TD_EST ALTER COLUMN BASMAR SET NOT NULL;

/*-- SEQ 0009 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104214 --
ALTER TABLE TD_EST ADD CONSTRAINT CK_DEST_BASMAR CHECK (BASMAR IN ('T','F'));

/*-- SEQ 0010 --*/
-- Tarefa 104214 --
SELECT DISABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD COLUMN BASMAR VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0012 --*/
SELECT ENABLETRIGGERS(LOWER('TW_TAB'));


/*-- SEQ 0013 --*/
-- Tarefa 104217 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0014 --*/
-- Tarefa 104217 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'BAS_ICMSPROPRIO_MARJ', 'Majorar Base de ICMS Prprio quando tem Partilha', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'BAS_ICMSPROPRIO_MARJ'));

/*-- SEQ 0015 --*/
-- Tarefa 104217 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0016 --*/
-- Tarefa 104278 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0017 --*/
-- Tarefa 104278 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'TODOS_DADOS_CARTAO', 'Exige todos os dados na Tela de Cartes do Totall PoS', 'B', 'T', 'T', 'T', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TODOS_DADOS_CARTAO'));

/*-- SEQ 0018 --*/
-- Tarefa 104278 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0019 --*/
-- Tarefa 104287 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PRO ADD COLUMN DUMMY VARCHAR(1) ;



/*-- SEQ 0020 --*/
-- Tarefa 104283 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0021 --*/
-- Tarefa 104283 --
SELECT DISABLETRIGGERS(LOWER('TT_PAP'));

/*-- SEQ 0022 --*/
-- Tarefa 104283 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,428)||'SS'||SUBSTR(PERMIS,431,9999);

/*-- SEQ 0023 --*/
-- Tarefa 104283 --
UPDATE TT_PAP SET PERMIS = SUBSTR(PERMIS,1,428)||'SS'||SUBSTR(PERMIS,431,9999);

/*-- SEQ 0024 --*/
-- Tarefa 104283 --
SELECT ENABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0025 --*/
-- Tarefa 104283 --
SELECT ENABLETRIGGERS(LOWER('TT_PAP'));


/*-- SEQ 0026 --*/
-- Tarefa 104326 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EAN ADD COLUMN DUMMY VARCHAR(1) ;


/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104326 --
DROP FUNCTION TGEAN2() CASCADE;


/*-- SEQ 0028 --*/
-- Tarefa 104375 --
ALTER TABLE TT_PPR ADD COLUMN DATINI Timestamp ;


/*-- SEQ 0029 --*/
-- Tarefa 104375 --
ALTER TABLE TT_PPR ADD COLUMN DATFIM Timestamp ;


/*-- SEQ 0030 --*/
-- Tarefa 104375 --
SELECT DISABLETRIGGERS(LOWER('TT_PPR'));

/*-- SEQ 0031 --*/
-- Tarefa 104260 --
UPDATE TT_PPR SET DATINI = DATINC, DATFIM = ATU_EM;

/*-- SEQ 0032 --*/
-- Tarefa 104375 --
SELECT ENABLETRIGGERS(LOWER('TT_PPR'));

/*-- SEQ 0033 --*/
-- Tarefa 104375 --
ALTER TABLE TT_PPR ALTER COLUMN DATINI SET NOT NULL;

/*-- SEQ 0034 --*/
-- Tarefa 104375 --
ALTER TABLE TT_PPR ALTER COLUMN DATFIM SET NOT NULL;


/*-- SEQ 0035 --*/
-- Tarefa 104400 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0036 --*/
-- Tarefa 104400 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PERCADFIL', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PERCADFIL'));

/*-- SEQ 0037 --*/
-- Tarefa 104400 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0038 --*/
-- Tarefa 104425 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0039 --*/
-- Tarefa 104425 --
SELECT DISABLETRIGGERS(LOWER('TT_PAP'));

/*-- SEQ 0040 --*/
-- Tarefa 104425 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,431)||'S'||SUBSTR(PERMIS,433,9999);

/*-- SEQ 0041 --*/
-- Tarefa 104425 --
UPDATE TT_PAP SET PERMIS = SUBSTR(PERMIS,1,431)||'S'||SUBSTR(PERMIS,433,9999);

/*-- SEQ 0042 --*/
-- Tarefa 104425 --
SELECT ENABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0043 --*/
-- Tarefa 104425 --
SELECT ENABLETRIGGERS(LOWER('TT_PAP'));



/*-- SEQ 0044 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103727 --
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TD_FIL.CODFIL%TYPE,VARCHAR,Numeric,Numeric,VARCHAR,VARCHAR) CASCADE;

/*-- SEQ 0045 --*/
-- Tarefa 103727 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0046 --*/
-- Tarefa 103727 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'SUGCOMPARA', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'SUGCOMPARA'));

/*-- SEQ 0047 --*/
-- Tarefa 103727 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0048 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104429 --
ALTER TABLE TT_PLA DROP CONSTRAINT CK_PLA_COMSOB CASCADE;

/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104429 --
ALTER TABLE TT_VEN DROP CONSTRAINT CK_VEN_COMSOB CASCADE;

/*-- SEQ 0050 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104429 --
ALTER TABLE TT_CMS DROP CONSTRAINT CK_CMS_COMSOB CASCADE;

/*-- SEQ 0051 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104429 --
ALTER TABLE TI_PLA DROP CONSTRAINT CK_IPLA_COMSOB CASCADE;

/*-- SEQ 0052 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104429 --
ALTER TABLE TI_VEN DROP CONSTRAINT CK_IVEN_COMSOB CASCADE;

/*-- SEQ 0053 --*/
-- Tarefa 104429 --
ALTER TABLE TT_PLA ADD CONSTRAINT CK_PLA_COMSOB CHECK (COMSOB IN (0, 1, 2, 3, 4, 5, 6, 7, 8));

/*-- SEQ 0054 --*/
-- Tarefa 104429 --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_COMSOB CHECK (COMSOB IN (0, 1, 2, 3, 4, 5, 6, 7, 8));

/*-- SEQ 0055 --*/
-- Tarefa 104429 --
ALTER TABLE TT_CMS ADD CONSTRAINT CK_CMS_COMSOB CHECK (COMSOB IN (0, 1, 2, 3, 4, 5, 6, 7, 8));

/*-- SEQ 0056 --*/
-- Tarefa 104429 --
ALTER TABLE TI_PLA ADD CONSTRAINT CK_IPLA_COMSOB CHECK (COMSOB IN (0, 1, 2, 3, 4, 5, 6, 7, 8));

/*-- SEQ 0057 --*/
-- Tarefa 104429 --
ALTER TABLE TI_VEN ADD CONSTRAINT CK_IVEN_COMSOB CHECK (COMSOB IN (0, 1, 2, 3, 4, 5, 6, 7, 8));


/*-- SEQ 0058 --*/
-- Tarefa 104542 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0059 --*/
-- Tarefa 104542 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'EXIBEMEIOCOMOABERTO', 'Exibe Meio Pgto como "Aberto" em parcela aberta que não seja "Boleto, Bonus, C/C, Cartão, Cheque"?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'EXIBEMEIOCOMOABERTO'));

/*-- SEQ 0060 --*/
-- Tarefa 104542 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0061 --*/
-- Tarefa 104581 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0062 --*/
-- Tarefa 104581 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'PARCELAS_CARTAO_CRE', 'Permite receber dbitos de clientes com carto de crdito no Totall POS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PARCELAS_CARTAO_CRE'));

/*-- SEQ 0063 --*/
-- Tarefa 104581 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0064 --*/
-- Tarefa 104608 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0065 --*/
-- Tarefa 104608 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'BOLETO_MIDDLEWARE', 'Impresso de Boletos utilizando o Middleware', 'B', 'T', 'T', 'T', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'BOLETO_MIDDLEWARE'));

/*-- SEQ 0066 --*/
-- Tarefa 104608 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0067 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104675 --
CREATE INDEX I_LC_VEN_MODNOT_DATHOR ON TT_VEN (MODNOT, DATHOR, CODFIL, FLGEST)  ;


/*-- SEQ 0068 --*/
-- Tarefa 104723 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0069 --*/
-- Tarefa 104723 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'CONSUMOLOCAL_ENTREGA', 'Consumo local com entrega', 'B', 'T', 'T', 'T', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CONSUMOLOCAL_ENTREGA'));

/*-- SEQ 0070 --*/
-- Tarefa 104723 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0071 --*/
-- Tarefa 104770 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0072 --*/
-- Tarefa 104770 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'OBRIG_EMAIL', 'E-mail obrigatrio? (0-No 1-Confirmao 2-Obrigatrio)', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'OBRIG_EMAIL'));

/*-- SEQ 0073 --*/
-- Tarefa 104770 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'OBRIG_TELEFONE', 'Telefone obrigatrio? (0-No 1-Confirmao 2-Obrigatrio)', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'OBRIG_TELEFONE'));
                     
/*-- SEQ 0074 --*/
-- Tarefa 104770 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'OBRIG_CELULAR', 'Celular obrigatrio? (0-No 1-Confirmao 2-Obrigatrio)', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'OBRIG_CELULAR'));                     

                     
/*-- SEQ 0075 --*/
-- Tarefa 104770 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

