
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104911 --
SELECT * FROM NADA;

/*-- SEQ 0003 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104911 --
SELECT * FROM NADA;

/*-- SEQ 0004 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104911 --
SELECT * FROM NADA;


/*-- SEQ 0005 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104912 --
SELECT * FROM NADA;


/*-- SEQ 0006 --*/
-- Tarefa 104892 --
CREATE TABLE TT_FREXCOM (
  ID_FREXCOM Numeric(14),
  DATINC Timestamp,
  FILFRE CHAR(3),
  SEQFRE CHAR(10),
  FILCOM CHAR(3),
  SEQCOM CHAR(10)
  )  ;
 
/*-- SEQ 0007 --*/ 
-- Tarefa 104892 --
ALTER TABLE TT_FREXCOM ADD CONSTRAINT PK_FREXCOM PRIMARY KEY (ID_FREXCOM);
 
/*-- SEQ 0008 --*/
-- Tarefa 104892 --
ALTER TABLE TT_FREXCOM ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0009 --*/
-- Tarefa 104892 --
ALTER TABLE TT_FREXCOM ALTER COLUMN FILFRE SET NOT NULL;

/*-- SEQ 0010 --*/
-- Tarefa 104892 --
ALTER TABLE TT_FREXCOM ALTER COLUMN SEQFRE SET NOT NULL;

/*-- SEQ 0011 --*/
-- Tarefa 104892 --
ALTER TABLE TT_FREXCOM ALTER COLUMN FILCOM SET NOT NULL;

/*-- SEQ 0012 --*/
-- Tarefa 104892 --
ALTER TABLE TT_FREXCOM ALTER COLUMN SEQCOM SET NOT NULL;
 
/*-- SEQ 0013 --*/
-- Tarefa 104892 --
ALTER TABLE TT_FREXCOM ADD CONSTRAINT FK_FREXCOM_FRE FOREIGN KEY (FILFRE, SEQFRE) REFERENCES TT_COM (CODFIL, SEQUEN);
 
/*-- SEQ 0014 --*/
-- Tarefa 104892 --
CREATE INDEX I_FK_FREXCOM_FRE ON TT_FREXCOM (FILFRE, SEQFRE)  ;
 
/*-- SEQ 0015 --*/
-- Tarefa 104892 --
ALTER TABLE TT_FREXCOM ADD CONSTRAINT FK_FREXCOM_COM FOREIGN KEY (FILCOM, SEQCOM) REFERENCES TT_COM (CODFIL, SEQUEN);
 
/*-- SEQ 0016 --*/
-- Tarefa 104892 --
CREATE INDEX I_FK_FREXCOM_COM ON TT_FREXCOM (FILCOM, SEQCOM)  ;

/*-- SEQ 0017 --*/
-- Tarefa 104892 --
CREATE SEQUENCE SQFREXCOM INCREMENT 1 START 1 MINVALUE 1;

 
/*-- SEQ 0018 --*/
-- Tarefa 104892 --
CREATE UNIQUE INDEX I_UQ_FREXCOM ON TT_FREXCOM (FILFRE, SEQFRE, FILCOM, SEQCOM)  ;

/*-- SEQ 0019 --*/
-- Tarefa 104892 --
SELECT DISABLETRIGGERS(LOWER('TT_FREXCOM'));

/*-- SEQ 0020 --*/
-- Tarefa 104892 --
INSERT INTO TT_FREXCOM (ID_FREXCOM, DATINC, FILCOM, SEQCOM, FILFRE, SEQFRE)
                        (SELECT NEXTVAL('SQFREXCOM'), Agora(), COM.CODFIL, COM.SEQUEN, COM.FILFRE, COM.SEQFRE 
                           FROM TT_COM COM
                           JOIN TT_COM LCOM ON LCOM.CODFIL = COM.FILFRE AND LCOM.SEQUEN = COM.SEQFRE
                      LEFT JOIN TT_FREXCOM TFXC ON COM.CODFIL = TFXC.FILCOM AND COM.SEQUEN = TFXC.SEQCOM
                          WHERE COM.FILFRE IS NOT NULL
                            AND TFXC.ID_FREXCOM IS NULL);

/*-- SEQ 0021 --*/
-- Tarefa 104892 --
SELECT ENABLETRIGGERS(LOWER('TT_FREXCOM'));


/*-- SEQ 0022 --*/
-- Tarefa 104902 --
CREATE TABLE TT_TPRXFIL (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  DATINC Timestamp,
  ATU_EM Timestamp,
  FILPRE CHAR(3),
  CODPRE Numeric(5)
  )  ;
 
/*-- SEQ 0023 --*/ 
-- Tarefa 104902 --
ALTER TABLE TT_TPRXFIL ADD CONSTRAINT PK_TPRXFIL PRIMARY KEY (CODFIL, SEQUEN);
 
/*-- SEQ 0024 --*/
-- Tarefa 104902 --
ALTER TABLE TT_TPRXFIL ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0025 --*/
-- Tarefa 104902 --
ALTER TABLE TT_TPRXFIL ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0026 --*/
-- Tarefa 104902 --
ALTER TABLE TT_TPRXFIL ALTER COLUMN FILPRE SET NOT NULL;

/*-- SEQ 0027 --*/
-- Tarefa 104902 --
ALTER TABLE TT_TPRXFIL ALTER COLUMN CODPRE SET NOT NULL;
 
/*-- SEQ 0028 --*/
-- Tarefa 104902 --
ALTER TABLE TT_TPRXFIL ADD CONSTRAINT FK_TPRXFIL_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL (CODFIL);
 
/*-- SEQ 0029 --*/
-- Tarefa 104902 --
CREATE INDEX I_FK_TPRXFIL_DFIL ON TT_TPRXFIL (CODFIL)  ;
 
/*-- SEQ 0030 --*/
-- Tarefa 104902 --
ALTER TABLE TT_TPRXFIL ADD CONSTRAINT FK_TPRXFIL_TPR FOREIGN KEY (FILPRE, CODPRE) REFERENCES TT_TPR (CODFIL, CODPRE);
 
/*-- SEQ 0031 --*/
-- Tarefa 104902 --
CREATE INDEX I_FK_TPRXFIL_TPR ON TT_TPRXFIL (FILPRE, CODPRE)  ;

/*-- SEQ 0032 --*/
-- Tarefa 104902 --
CREATE SEQUENCE SQTPRXFIL INCREMENT 1 START 1 MINVALUE 1;

 
/*-- SEQ 0033 --*/
-- Tarefa 104902 --
SELECT DISABLETRIGGERS(LOWER('TT_TPRXFIL'));

/*-- SEQ 0034 --*/
-- Tarefa 104902 --
INSERT INTO TT_TPRXFIL (CODFIL, SEQUEN, DATINC, ATU_EM, FILPRE, CODPRE)
                        (SELECT TPR.FIL_CK, LPAD(RTRIM(TO_CHAR(NEXTVAL('SQTPRXFIL'))),10, ' '), Agora(), Agora(), TPR.CODFIL, TPR.CODPRE 
                           FROM TT_TPR TPR
                          WHERE TPR.FIL_CK IS NOT NULL
                            AND NOT EXISTS (SELECT 1 AS OK
                                             FROM TT_TPRXFIL TPXF
                                            WHERE TPR.FIL_CK = TPXF.CODFIL
                                              AND TPR.CODFIL = TPXF.FILPRE
                                              AND TPR.CODPRE = TPXF.CODPRE));

/*-- SEQ 0035 --*/
-- Tarefa 104902 --
SELECT ENABLETRIGGERS(LOWER('TT_TPRXFIL'));

/*-- SEQ 0036 --*/
-- Tarefa 104902 --
CREATE UNIQUE INDEX I_UQ_TPRXFIL ON TT_TPRXFIL (CODFIL, FILPRE, CODPRE)  ;


/*-- SEQ 0037 --*/
-- Tarefa 104966 --
SELECT ExecAlteraTipoColuna('TW_EXTXDOC','DESTINO','VARCHAR(50)');


/*-- SEQ 0038 --*/
-- Tarefa 104966 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_EXTXDOC ADD COLUMN FILCTA VARCHAR(3) ;


/*-- SEQ 0039 --*/
-- Tarefa 104966 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_EXTXDOC ADD COLUMN SEQCTA VARCHAR(10) ;


/*-- SEQ 0040 --*/
-- Tarefa 104966 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_EXTXDOC ADD COLUMN TIPCTA VARCHAR(1) ;


/*-- SEQ 0041 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104966 --
DROP INDEX I_LC_EXD_DOCEXP;

/*-- SEQ 0042 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104966 --
CREATE INDEX I_LC_EXD_DOCEXP ON TW_EXTXDOC (DESTINO, ORIGEM, FILORI, SEQORI, ITEORI, PARORI, SUBORI, FILCTA, SEQCTA, TIPCTA)  ;


/*-- SEQ 0043 --*/
-- Tarefa 104956 --
ALTER TABLE TD_FIL ALTER COLUMN TEF_APRAZO SET DEFAULT '[28;36;24;26;45;41]';


/*-- SEQ 0044 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105036 --
CREATE TABLE TD_PER (
  CODTAB Numeric(5),
  DESPER VARCHAR(100),
  PERCOD VARCHAR(2),
  PERORD Numeric(4),
  PERATI VARCHAR(1) DEFAULT 'T')  ;

/*-- SEQ 0045 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105036 --
ALTER TABLE TD_PER ADD CONSTRAINT PK_DPER PRIMARY KEY (CODTAB);

/*-- SEQ 0046 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105036 --
ALTER TABLE TD_PER ALTER COLUMN DESPER SET NOT NULL;

/*-- SEQ 0047 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105036 --
ALTER TABLE TD_PER ALTER COLUMN PERCOD SET NOT NULL;

/*-- SEQ 0048 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105036 --
ALTER TABLE TD_PER ALTER COLUMN PERORD SET NOT NULL;

/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105036 --
ALTER TABLE TD_PER ALTER COLUMN PERATI SET NOT NULL;

/*-- SEQ 0050 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105036 --
ALTER TABLE TD_PER ADD CONSTRAINT CK_DPER_PERATI CHECK (PERATI IN ('T','F'));

/*-- SEQ 0051 --*/
-- Tarefa 105036 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD COLUMN DESPER VARCHAR(100) ;


/*-- SEQ 0052 --*/
-- Tarefa 105036 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD COLUMN PERCOD VARCHAR(2) ;


/*-- SEQ 0053 --*/
-- Tarefa 105036 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD COLUMN PERORD Numeric(4) ;


/*-- SEQ 0054 --*/
-- Tarefa 105036 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD COLUMN PERATI VARCHAR(1) ;



/*-- SEQ 0055 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105036 --
ALTER TABLE TD_PER ALTER COLUMN DESPER DROP NOT NULL;

/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105036 --
ALTER TABLE TD_PER ALTER COLUMN PERATI DROP NOT NULL;

/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105036 --
ALTER TABLE TD_PER ALTER COLUMN DESPER SET NOT NULL;

/*-- SEQ 0058 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105036 --
ALTER TABLE TD_PER ALTER COLUMN PERATI SET NOT NULL;


/*-- SEQ 0059 --*/
-- Tarefa 105133 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_EXTXDOC ADD COLUMN FILREF VARCHAR(3) ;


/*-- SEQ 0060 --*/
-- Tarefa 105133 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_EXTXDOC ADD COLUMN SEQREF VARCHAR(10) ;


/*-- SEQ 0061 --*/
-- Tarefa 105133 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_EXTXDOC ADD COLUMN ITEREF Numeric(5) ;


/*-- SEQ 0062 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105133 --
DROP INDEX I_LC_EXD_DOCEXP;

/*-- SEQ 0063 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 105133 --
CREATE INDEX I_LC_EXD_DOCEXP ON TW_EXTXDOC (DESTINO, ORIGEM, FILORI, SEQORI, ITEORI, PARORI, SUBORI, FILCTA, SEQCTA, TIPCTA, FILREF, SEQREF, ITEREF)  ;


/*-- SEQ 0064 --*/
-- Tarefa 105183 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0065 --*/
-- Tarefa 105183 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'EDITA_APRBON', 'Permite edio da Apropriao de Bonificao', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'EDITA_APRBON'));

/*-- SEQ 0066 --*/
-- Tarefa 105183 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0067 --*/
-- Tarefa 105182 --
ALTER TABLE TT_ICO ADD COLUMN APRBON Numeric(16,2) ;



/*-- SEQ 0068 --*/
-- Tarefa 105076 --
SELECT DISABLETRIGGERS(LOWER('TT_CPM'));

/*-- SEQ 0069 --*/
ALTER TABLE TT_CPM ADD COLUMN CLILEV VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0070 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CPM'));

/*-- SEQ 0071 --*/
-- Tarefa 105076 --
ALTER TABLE TT_CPM ALTER COLUMN CLILEV SET NOT NULL;

/*-- SEQ 0072 --*/
-- Tarefa 105076 --
ALTER TABLE TT_CPM ADD CONSTRAINT CK_CPM_CLILEV CHECK (CLILEV IN ('F','T'));

/*-- SEQ 0073 --*/
-- Tarefa 105076 --
SELECT DISABLETRIGGERS(LOWER('TT_CPM'));

/*-- SEQ 0074 --*/
ALTER TABLE TT_CPM ADD COLUMN TEMDES VARCHAR(1) DEFAULT 'X';

/*-- SEQ 0075 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CPM'));

/*-- SEQ 0076 --*/
-- Tarefa 105076 --
ALTER TABLE TT_CPM ALTER COLUMN TEMDES SET NOT NULL;

/*-- SEQ 0077 --*/
-- Tarefa 105076 --
ALTER TABLE TT_CPM ADD CONSTRAINT CK_CPM_TEMDES CHECK (TEMDES IN ('F','T','X'));


/*-- SEQ 0078 --*/
-- Tarefa 105080 --
SELECT DISABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0079 --*/
ALTER TABLE TT_IVE ADD COLUMN TEMDES VARCHAR(1) DEFAULT 'X';

/*-- SEQ 0080 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0081 --*/
-- Tarefa 105080 --
ALTER TABLE TT_IVE ALTER COLUMN TEMDES SET NOT NULL;

/*-- SEQ 0082 --*/
-- Tarefa 105080 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_TEMDES CHECK (TEMDES IN ('F','T','X'));


/*-- SEQ 0083 --*/
-- Tarefa 105081 --
ALTER TABLE TT_IOR ADD COLUMN FILCPM CHAR(3) ;


/*-- SEQ 0084 --*/
-- Tarefa 105081 --
ALTER TABLE TT_IOR ADD COLUMN SEQCPM CHAR(10) ;


/*-- SEQ 0085 --*/
-- Tarefa 105081 --
ALTER TABLE TT_IOR ADD CONSTRAINT FK_IOR_CPM FOREIGN KEY (FILCPM, SEQCPM) REFERENCES TT_CPM (FILCPM, SEQUEN);

/*-- SEQ 0086 --*/
-- Tarefa 105081 --
CREATE INDEX I_FK_IOR_CPM ON TT_IOR (FILCPM, SEQCPM)  ;


/*-- SEQ 0087 --*/
-- Tarefa 105242 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0088 --*/
-- Tarefa 105242 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'ALTERARPLANOPROMOCAO', 'Permite alterar o plano em promoo no fechamento', 'B', 'T', 'T', 'T', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'ALTERARPLANOPROMOCAO'));

/*-- SEQ 0089 --*/
-- Tarefa 105242 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0090 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104468 --
SELECT * FROM NADA;
 
/*-- SEQ 0091 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104468 --
SELECT * FROM NADA;

/*-- SEQ 0092 --*/
-- Tarefa 105263 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0093 --*/
-- Tarefa 105263 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'VALIDA_ESTOQUE', 'Validar Estoque por Filial (1 - No Valida; 2 - Solicitar Permisso; 3 - Bloqueia)', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'VALIDA_ESTOQUE'));

/*-- SEQ 0094 --*/
-- Tarefa 105263 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

