
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Ticket 2020031240 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0003 --*/
-- Ticket 2020031240 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'VALOR_TRANSF_CARGA', 'Valor Transferncia para carga do Checkout', 'T', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'VALOR_TRANSF_CARGA'));

/*-- SEQ 0004 --*/
-- Ticket 2020031240 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0005 --*/
-- Tarefa 2020040976 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0006 --*/
-- Tarefa 2020040976 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'RETIRAR_IPI_CFOP5949', 'Retirar o IPI da Devoluo de Compras com CFOP 5949/6949', 'B', 'T', 'T', 'T', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'RETIRAR_IPI_CFOP5949'));

/*-- SEQ 0007 --*/
-- Tarefa 2020040976 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0008 --*/
-- GES-2020018544 --
SELECT DISABLETRIGGERS(LOWER('TT_REC'));

/*-- SEQ 0009 --*/
-- GES-2020018544 --
INSERT INTO TL_FIN (ORIGEM, FLGEST, FILORI, SEQORI, PARORI, SUBORI)
   (SELECT CAST('REC' AS VARCHAR(3)) AS ORIGEM, CAST('N' AS VARCHAR(1)) AS FLGEST, REC.CODFIL AS FILORI, REC.SEQUEN AS SEQORI, REC.NUMPAR AS PARORI, REC.SUBPAR AS SUBORI
      FROM TT_REC REC
     WHERE REC.CARTAO IS NOT NULL
       AND REC.NUMECF >= '400'
       AND COALESCE(REC.VLRPGT, 0) = COALESCE(REC.VLRPAR, 0)
       AND COALESCE(REC.VLRTAX, 0) > 0
       AND COALESCE(REC.VLRPGT, 0) > 0);

/*-- SEQ 0010 --*/
-- GES-2020018544 --
UPDATE TT_REC REC SET VLRPGT = COALESCE(VLRPGT,0) - COALESCE(VLRTAX,0)
 WHERE REC.CARTAO IS NOT NULL
   AND REC.NUMECF >= '400'
   AND COALESCE(REC.VLRPGT, 0) = COALESCE(REC.VLRPAR, 0)
   AND COALESCE(REC.VLRTAX, 0) > 0
   AND COALESCE(REC.VLRPGT, 0) > 0;

/*-- SEQ 0011 --*/
-- GES-2020018544 --
SELECT ENABLETRIGGERS(LOWER('TT_REC'));


/*-- SEQ 0012 --*/
-- Ticket 2020043929 --
SELECT ExecAlteraTipoColuna('TD_CT1','NOMCT1','VARCHAR(40)');



/*-- SEQ 0013 --*/
-- Tarefa 2019053290 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0014 --*/
-- Tarefa 2019053290 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'BLOQ_PREVENDAPARCIAL', 'Bloquear Resgate de Pr-Venda Parcial', 'B', 'T', 'T', 'T', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'BLOQ_PREVENDAPARCIAL'));

/*-- SEQ 0015 --*/
-- Tarefa 2019053290 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

