
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023051135 --
DROP VIEW TV_TIMU_LIQUIDACAOCONTACORRENTE;


/*-- SEQ 0003 --*/
-- Ticket 20230311507 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0004 --*/
-- Ticket 20230311507 --
DELETE FROM TT_IPC WHERE ID_PCS IN (SELECT ID_PCS FROM TT_PCS WHERE NOMPCS = 'CONSID_SALPEN_SALREA');

/*-- SEQ 0005 --*/
-- Ticket 20230311507 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0006 --*/
-- Ticket 20230311507 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0007 --*/
-- Ticket 20230311507 --
DELETE FROM TT_PCS WHERE NOMPCS = 'CONSID_SALPEN_SALREA';

/*-- SEQ 0008 --*/
-- Ticket 20230311507 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0009 --*/
-- Ticket 20230311507 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0010 --*/
-- Ticket 20230311507 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'CONSID_ENTPEN_SALREA', 'Considerar Entradas Pendentes para o clculo do SaldoReal?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CONSID_ENTPEN_SALREA'));

/*-- SEQ 0011 --*/
-- Ticket 20230311507 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'CONSID_SAIPEN_SALREA', 'Considerar Sadas Pendentes para o clculo do SaldoReal?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CONSID_SAIPEN_SALREA'));

/*-- SEQ 0012 --*/
-- Ticket 20230311507 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0013 --*/
-- Ticket 20230311507 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0014 --*/
-- Ticket 20230311507 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'CONSID_ENTPEN_SALREA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0015 --*/
-- Ticket 20230311507 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'CONSID_SAIPEN_SALREA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0016 --*/
-- Ticket 20230311507 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0017 --*/
-- Ticket 2022129938 --
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0018 --*/
ALTER TABLE TT_CLI ADD COLUMN REGMEI VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0019 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0020 --*/
-- Ticket 2022129938 --
ALTER TABLE TT_CLI ADD CONSTRAINT CK_CLI_REGMEI CHECK (REGMEI in ('T','F'));

/*-- SEQ 0021 --*/
-- Ticket 2022129938 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0022 --*/
-- Ticket 2022129938 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'GERAR_DIFTO_SIMPNAC', 'Gerar diferimento para clientes do Simples Nacional?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'GERAR_DIFTO_SIMPNAC'));

/*-- SEQ 0023 --*/
-- Ticket 2022129938 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

 
/*-- SEQ 0024 --*/
-- Ticket 2022129938 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0025 --*/
-- Ticket 2022129938 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'GERAR_DIFTO_SIMPNAC'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0026 --*/
-- Ticket 2022129938 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023021566 --
ALTER TABLE TD_FIL ADD COLUMN SERTRA CHAR(2) ;


/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023021566 --
ALTER TABLE TD_FIL ADD CONSTRAINT FK_DFIL_DSER_SERTRA FOREIGN KEY (SERTRA) REFERENCES TD_SER (CODSER);

/*-- SEQ 0029 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023021566 --
CREATE INDEX I_FK_DFIL_DSER_SERTRA ON TD_FIL (SERTRA)  ;

/*-- SEQ 0030 --*/
-- Ticket 2023021566 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0031 --*/
-- Ticket 2023021566 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'PERMITE_FAT_PARC_SEP', 'Permite faturamento parcial do DAV/Pr-Venda dos itens j separados no CommerceWeb?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PERMITE_FAT_PARC_SEP'));
                     
/*-- SEQ 0032 --*/
-- Ticket 2023021566 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0033 --*/
-- Ticket 2023021566 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0034 --*/
-- Ticket 2023021566 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'PERMITE_FAT_PARC_SEP'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
  
/*-- SEQ 0035 --*/
-- Ticket 2023021566 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD COLUMN BASINSS Numeric(12,2) ;


/*-- SEQ 0037 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD COLUMN PERINSS Numeric(5,2) ;


/*-- SEQ 0038 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD COLUMN VLRINSS Numeric(12,2) ;


/*-- SEQ 0039 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD COLUMN PERREDISS Numeric(5,2) ;


/*-- SEQ 0040 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD COLUMN SITISS CHAR(1) ;


/*-- SEQ 0041 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD CONSTRAINT CK_IOR_SITISS CHECK ((SITISS IS NULL) OR (SITISS IN ('N','I','R','S')));

/*-- SEQ 0042 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD COLUMN BASISS Numeric(12,2) ;


/*-- SEQ 0043 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD COLUMN PERISS Numeric(5,2) ;


/*-- SEQ 0044 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD COLUMN VLRISS Numeric(12,2) ;


/*-- SEQ 0045 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD COLUMN VLRISSRET Numeric(12,2) ;


/*-- SEQ 0046 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IVE ADD COLUMN PERREDISS Numeric(5,2) ;


/*-- SEQ 0047 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IVE ADD COLUMN VLRISSRET Numeric(12,2) ;



/*-- SEQ 0048 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IVE ADD COLUMN PERSOC Numeric(5,2) ;


/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IVE ADD COLUMN BASSOC Numeric(12,2) ;



/*-- SEQ 0050 --*/
-- Ticket 2023030881 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0051 --*/
-- Ticket 2023030881 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'PERMITE_EDT_ISS_ORD', 'Permite edio das informaes tributrias de Servio no Order?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PERMITE_EDT_ISS_ORD'));
                     
/*-- SEQ 0052 --*/
-- Ticket 2023030881 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0053 --*/
-- Ticket 2023030881 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0054 --*/
-- Ticket 2023030881 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'PERMITE_EDT_ISS_ORD'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
  
/*-- SEQ 0055 --*/
-- Ticket 2023030881 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023021566 --
ALTER TABLE TT_CFG ADD COLUMN NATDECTRA Numeric(5) ;


/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023021566 --
ALTER TABLE TW_CFG ADD COLUMN NATDECTRA Numeric(5) ;


/*-- SEQ 0058 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023021566 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DNAT_NATDECTRA FOREIGN KEY (NATDECTRA) REFERENCES TD_NAT (CODTAB);

/*-- SEQ 0059 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023021566 --
CREATE INDEX I_FK_CFG_DNAT_NATDECTRA ON TT_CFG (NATDECTRA)  ;


/*-- SEQ 0060 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023021566 --
ALTER TABLE TT_IVE ADD COLUMN CODIBG_INCIDENCIA Numeric(10) ;


/*-- SEQ 0061 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023021566 --
ALTER TABLE TT_IVE ADD COLUMN OBSERV VARCHAR(4000) ;


/*-- SEQ 0062 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023021566 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_IBG_INCIDENCIA FOREIGN KEY (CODIBG_INCIDENCIA) REFERENCES TT_IBG (CODIBG);

/*-- SEQ 0063 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023021566 --
CREATE INDEX I_FK_IVE_IBG_INCIDENCIA ON TT_IVE (CODIBG_INCIDENCIA)  ;


/*-- SEQ 0064 --*/
-- Ticket 2023035854 --
ALTER TABLE TT_ORC ADD COLUMN SISORI VARCHAR(1) ;



/*-- SEQ 0065 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRA ADD COLUMN ANOINIPROD Timestamp ;
 -- Ano incio de produo

/*-- SEQ 0066 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRA ADD COLUMN ANOFIMPROD Timestamp ;
 -- Ano final de produo

/*-- SEQ 0067 --*/
-- Ticket 2020124088 --
CREATE TABLE TT_GRAXMDV ( -- Relacionamento Modelo x Motor x Anos
    CODTAB Numeric(10),
    FILMAT CHAR(3),
    CODMAT CHAR(5),
    CODCOR Numeric(5),
    CODTAM Numeric(5),
    CODMDV Numeric(5),
    CODMOT Numeric(5),
    ANOINI Numeric(4),
    ANOFIM Numeric(4),
    DATINC Timestamp, 
    ATU_EM Timestamp)  ; 

/*-- SEQ 0068 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ADD CONSTRAINT PK_GRAXMDV PRIMARY KEY (CODTAB);

/*-- SEQ 0069 --*/
-- Ticket 2020124088 --
CREATE SEQUENCE SQGRAXMDV INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0070 --*/
-- Ticket 2020124088 --
CREATE UNIQUE INDEX I_UQ_GRAXMDV ON TT_GRAXMDV (FILMAT,CODMAT,CODCOR,CODTAM,CODMDV,CODMOT,ANOINI,ANOFIM)  ;

/*-- SEQ 0071 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ADD CONSTRAINT FK_GRAXMDV_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM) REFERENCES TT_GRA (FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0072 --*/
-- Ticket 2020124088 --
CREATE INDEX I_FK_GRAXMDV_GRA ON TT_GRAXMDV (FILMAT, CODMAT, CODCOR, CODTAM)  ;
  
/*-- SEQ 0073 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ADD CONSTRAINT FK_GRAXMDV_DMDV FOREIGN KEY (CODMDV) REFERENCES TD_MDV (CODTAB);

/*-- SEQ 0074 --*/
-- Ticket 2020124088 --
CREATE INDEX I_FK_GRAXMDV_DMDV ON TT_GRAXMDV (CODMDV)  ;

/*-- SEQ 0075 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ADD CONSTRAINT FK_GRAXMDV_DMOT FOREIGN KEY (CODMOT) REFERENCES TD_MOT (CODTAB);

/*-- SEQ 0076 --*/
-- Ticket 2020124088 --
CREATE INDEX I_FK_GRAXMDV_DMOT ON TT_GRAXMDV (CODMOT)  ;
  
/*-- SEQ 0077 --*/
-- Ticket 2020124088 --
CREATE INDEX I_LC_GRAXMDV_ANOINI ON TT_GRAXMDV (ANOINI)  ;

/*-- SEQ 0078 --*/
-- Ticket 2020124088 --
CREATE INDEX I_LC_GRAXMDV_ANOFIM ON TT_GRAXMDV (ANOFIM)  ;

/*-- SEQ 0079 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ALTER COLUMN FILMAT SET NOT NULL;

/*-- SEQ 0080 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ALTER COLUMN CODMAT SET NOT NULL;

/*-- SEQ 0081 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ALTER COLUMN CODCOR SET NOT NULL;

/*-- SEQ 0082 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ALTER COLUMN CODTAM SET NOT NULL;

/*-- SEQ 0083 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ALTER COLUMN CODMDV SET NOT NULL;

/*-- SEQ 0084 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ALTER COLUMN CODMOT SET NOT NULL;

/*-- SEQ 0085 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ALTER COLUMN ANOINI SET NOT NULL;

/*-- SEQ 0086 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0087 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0088 --*/
-- Ticket 2020124088 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0089 --*/
-- Ticket 2020124088 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'BUSCA_GRA_APL', 'Busca Principal de Grade pela Aplicao de Veculos?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'BUSCA_GRA_APL'));
                     
/*-- SEQ 0090 --*/
-- Ticket 2020124088 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0091 --*/
-- Ticket 2020124088 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0092 --*/
-- Ticket 2020124088 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'BUSCA_GRA_APL'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
  
/*-- SEQ 0093 --*/
-- Ticket 2020124088 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0094 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022051395 --
SELECT DISABLETRIGGERS(LOWER('TT_PAP'));

/*-- SEQ 0095 --*/
ALTER TABLE TT_PAP ADD COLUMN DIAS_EXPIRA_SENHA Numeric(3) DEFAULT 0;

/*-- SEQ 0096 --*/
SELECT ENABLETRIGGERS(LOWER('TT_PAP'));


/*-- SEQ 0097 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD COLUMN PERDEDISS Numeric(5,2) ;


/*-- SEQ 0098 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023030881 --
ALTER TABLE TT_IVE ADD COLUMN PERDEDISS Numeric(5,2) ;


/*-- SEQ 0099 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD COLUMN VLRDEDISS Numeric(12,2) ;


/*-- SEQ 0100 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023030881 --
ALTER TABLE TT_IVE ADD COLUMN VLRDEDISS Numeric(12,2) ;



/*-- SEQ 0101 --*/
-- Ticket 2023023021 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0102 --*/
-- Ticket 2023023021 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'USA_EDT_PAR_POS', 'Utiliza edio de Parcelas no PoS?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'USA_EDT_PAR_POS'));

/*-- SEQ 0103 --*/
-- Ticket 2023023021 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0104 --*/
-- Ticket 2023030881 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0105 --*/
-- Ticket 2023030881 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'PERMITEMULTSERVICOS', 'Permite mltiplos Servio na mesma Operao?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PERMITEMULTSERVICOS'));
                     
/*-- SEQ 0106 --*/
-- Ticket 2023030881 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0107 --*/
-- Ticket 2023030881 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0108 --*/
-- Ticket 2023030881 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'PERMITEMULTSERVICOS'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
  
/*-- SEQ 0109 --*/
-- Ticket 2023030881 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0110 --*/
-- Ticket 2023030881 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0111 --*/
-- Ticket 2023030881 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'APLINSSCOMODESCORD', 'Aplica Valor do INSS como desconto no Order?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'APLINSSCOMODESCORD'));
                     
/*-- SEQ 0112 --*/
-- Ticket 2023030881 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0113 --*/
-- Ticket 2023030881 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0114 --*/
-- Ticket 2023030881 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'APLINSSCOMODESCORD'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
  
/*-- SEQ 0115 --*/
-- Ticket 2023030881 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));



/*-- SEQ 0116 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023067692 --
DROP FUNCTION PedidoPendente (VARCHAR,TT_IPE.FILMAT%TYPE,TT_IPE.CODMAT%TYPE,TT_IPE.CODCOR%TYPE,TT_IPE.CODTAM%TYPE,VARCHAR,VARCHAR,VARCHAR,TT_IPE.CODMUL%TYPE) CASCADE;

/*-- SEQ 0117 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023067692 --
DROP FUNCTION PedidoPendente (VARCHAR,TT_IPE.FILMAT%TYPE,TT_IPE.CODMAT%TYPE,TT_IPE.CODCOR%TYPE,TT_IPE.CODTAM%TYPE) CASCADE;

/*-- SEQ 0118 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023067692 --
DROP FUNCTION PedidoPendente (VARCHAR,TT_IPE.FILMAT%TYPE,TT_IPE.CODMAT%TYPE,TT_IPE.CODCOR%TYPE,TT_IPE.CODTAM%TYPE,VARCHAR) CASCADE;

/*-- SEQ 0119 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023067692 --
DROP FUNCTION PedidoPendente (VARCHAR,TT_IPE.FILMAT%TYPE,TT_IPE.CODMAT%TYPE,TT_IPE.CODCOR%TYPE,TT_IPE.CODTAM%TYPE,VARCHAR,VARCHAR) CASCADE;

/*-- SEQ 0120 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023067692 --
DROP FUNCTION PedidoPendente (VARCHAR,TT_IPE.FILMAT%TYPE,TT_IPE.CODMAT%TYPE,TT_IPE.CODCOR%TYPE,TT_IPE.CODTAM%TYPE,VARCHAR,VARCHAR,VARCHAR) CASCADE;



/*-- SEQ 0121 --*/
/*-- IGNORE ERRO --*/
-- Ticket 20230515370 --
ALTER TABLE TD_DEV ADD COLUMN CODEXT VARCHAR(20) ;



/*-- SEQ 0122 --*/
-- Ticket 2023021566 --
ALTER TABLE TT_IVE ADD COLUMN FILCPM CHAR(3) ;


/*-- SEQ 0123 --*/
-- Ticket 2023021566 --
ALTER TABLE TT_IVE ADD COLUMN SEQCPM CHAR(10) ;


/*-- SEQ 0124 --*/
-- Ticket 2023021566 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_CPM FOREIGN KEY (FILCPM, SEQCPM) REFERENCES TT_CPM (FILCPM, SEQUEN);

/*-- SEQ 0125 --*/
-- Ticket 2023021566 --
CREATE INDEX I_FK_IVE_CPM ON TT_IVE (FILCPM, SEQCPM)  ;

/*-- SEQ 0126 --*/
-- Ticket 2023021566 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0127 --*/
-- Ticket 2023021566 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'USAPRECPMACIMAPER', 'Utiliza Preo promocional acima da quantidade disponvel quando possuir saldo a ser utilizado?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'USAPRECPMACIMAPER'));
                     
/*-- SEQ 0128 --*/
-- Ticket 2023021566 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0129 --*/
-- Ticket 2023021566 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0130 --*/
-- Ticket 2023021566 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'USAPRECPMACIMAPER'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
  
/*-- SEQ 0131 --*/
-- Ticket 2023021566 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0132 --*/
-- Ticket 2023053114 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0133 --*/
-- Ticket 2023053114 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'ADD_HEAD_INFPRO', 'Adiciona Cdigo/Descrio do Header nas Informaes Complementares do Item?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'ADD_HEAD_INFPRO'));

/*-- SEQ 0134 --*/
-- Ticket 2023053114 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0135 --*/
-- Ticket 20230613984 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0136 --*/
-- Ticket 20230613984 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'PRECO_INFORMADO', 'Preo Informado substitui o preo de tabela no PoS?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PRECO_INFORMADO'));

/*-- SEQ 0137 --*/
-- Ticket 20230613984 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0138 --*/
-- Ticket 20230512273 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0139 --*/
-- Ticket 20230512273 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'BLQREC_DOCEMI_OUTFIL', 'Bloquear recebimento de documentos emitidos em outras Filiais?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'BLQREC_DOCEMI_OUTFIL'));

/*-- SEQ 0140 --*/
-- Ticket 20230512273 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0141 --*/
-- Ticket 20230512273 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0142 --*/
-- Ticket 20230512273 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'BLQREC_DOCEMI_OUTFIL'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0143 --*/
-- Ticket 20230512273 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0144 --*/
-- Ticket 20230111655 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0145 --*/
-- Ticket 20230111655 --
UPDATE TT_PCS
   SET NOMPCS = 'USAPRECPMACIMAPER'
 WHERE NOMPCS = 'USAPRECPMACIMAPER ';
 
/*-- SEQ 0146 --*/
-- Ticket 20230111655 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0147 --*/
-- Ticket 20230311917 --
SELECT DISABLETRIGGERS(LOWER('TT_CPR'));

/*-- SEQ 0148 --*/
ALTER TABLE TT_CPR ADD COLUMN IGNCMP VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0149 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CPR'));

/*-- SEQ 0150 --*/
-- Ticket 20230311917 --
ALTER TABLE TT_CPR ADD CONSTRAINT CK_CPR_IGNCMP CHECK ((IGNCMP IS NULL) OR (IGNCMP IN ('T','F')));


/*-- SEQ 0151 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ADD COLUMN ANOINIPROD Timestamp ;
 -- Ano incio de produo da Aplicao

/*-- SEQ 0152 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ADD COLUMN ANOFIMPROD Timestamp ;
 -- Ano final de produo da Aplicao

/*-- SEQ 0153 --*/
-- Ticket 2020124088 --
CREATE INDEX I_LC_GRAXMDV_ANOINIPROD ON TT_GRAXMDV (ANOINIPROD)  ;

/*-- SEQ 0154 --*/
-- Ticket 2020124088 --
CREATE INDEX I_LC_GRAXMDV_ANOFIMPROD ON TT_GRAXMDV (ANOFIMPROD)  ;

/*-- SEQ 0155 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ALTER COLUMN ANOINI DROP NOT NULL;

/*-- SEQ 0156 --*/
-- Ticket 2020124088 --
DROP INDEX I_UQ_GRAXMDV;

/*-- SEQ 0157 --*/
-- Ticket 2020124088 --
CREATE UNIQUE INDEX I_UQ_GRAXMDV ON TT_GRAXMDV (FILMAT,CODMAT,CODCOR,CODTAM,CODMDV,CODMOT,ANOINI,ANOFIM,ANOINIPROD,ANOFIMPROD)  ;

/*-- SEQ 0158 --*/
-- Ticket 2020124088 --
ALTER TABLE TD_MDV ADD COLUMN ANOINIPROD Timestamp ;
 -- Ano incio de produo do Modelo

/*-- SEQ 0159 --*/
-- Ticket 2020124088 --
ALTER TABLE TD_MDV ADD COLUMN ANOFIMPROD Timestamp ;
 -- Ano final de produo do Modelo

/*-- SEQ 0160 --*/
-- Ticket 2020124088 --
CREATE INDEX I_LC_DMDV_ANOINIPROD ON TD_MDV (ANOINIPROD)  ;

/*-- SEQ 0161 --*/
-- Ticket 2020124088 --
CREATE INDEX I_LC_DMDV_ANOFIMPROD ON TD_MDV (ANOFIMPROD)  ;

/*-- SEQ 0162 --*/
-- Ticket 2020124088 --
ALTER TABLE TD_VEI ADD COLUMN DATINC Timestamp ;
 -- Data de insero

/*-- SEQ 0163 --*/
-- Ticket 2020124088 --
ALTER TABLE TD_VEI ADD COLUMN ATU_EM Timestamp ;
 -- Data de alterao

/*-- SEQ 0164 --*/
-- Ticket 2020124088 --
SELECT DISABLETRIGGERS(LOWER('TD_VEI'));

/*-- SEQ 0165 --*/
-- Ticket 2020124088 --
UPDATE TD_VEI 
   SET ATU_EM = CURRENT_DATE, DATINC = CURRENT_DATE
 WHERE ATU_EM IS NULL
    OR DATINC IS NULL;

/*-- SEQ 0166 --*/
-- Ticket 2020124088 --
ALTER TABLE TD_VEI ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0167 --*/
-- Ticket 2020124088 --
ALTER TABLE TD_VEI ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0168 --*/
-- Ticket 2020124088 --
SELECT ENABLETRIGGERS(LOWER('TD_VEI'));


/*-- SEQ 0169 --*/
-- Ticket 20230711247 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0170 --*/
-- Ticket 20230711247 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'DESONERACAO_SUFRAMA', 'Destaca ICMS Desonerao apenas para Suframa?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DESONERACAO_SUFRAMA'));

/*-- SEQ 0171 --*/
-- Ticket 20230711247 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0172 --*/
-- Ticket 2020124088 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0173 --*/
-- Ticket 2020124088 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'EXIBE_TAG_XML_VEIC', 'Exibir TAGs relacionadas ao XML do veculo no BackOffice?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'EXIBE_TAG_XML_VEIC'));

/*-- SEQ 0174 --*/
-- Ticket 2020124088 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));
 
/*-- SEQ 0175 --*/
-- Ticket 2020124088 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0176 --*/
-- Ticket 2020124088 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'EXIBE_TAG_XML_VEIC'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0177 --*/
-- Ticket 2020124088 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0178 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023085957 --
ALTER TABLE TT_IOR ADD COLUMN BASIRRF Numeric(12,2) ;


/*-- SEQ 0179 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023085957 --
ALTER TABLE TT_IOR ADD COLUMN PERIRRF Numeric(5,2) ;


/*-- SEQ 0180 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023085957 --
ALTER TABLE TT_IOR ADD COLUMN VLRIRRF Numeric(12,2) ;


/*-- SEQ 0181 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023085957 --
ALTER TABLE TT_IVE ADD COLUMN BASIRR Numeric(12,2) ;


/*-- SEQ 0182 --*/
-- Ticket 2023030881 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0183 --*/
-- Ticket 2023030881 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'APLIRRFCOMODESCORD', 'Aplica Valor do IRRF como desconto no Order?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'APLIRRFCOMODESCORD'));
                     
/*-- SEQ 0184 --*/
-- Ticket 2023030881 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0185 --*/
-- Ticket 2023030881 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0186 --*/
-- Ticket 2023030881 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'APLIRRFCOMODESCORD'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
  
/*-- SEQ 0187 --*/
-- Ticket 2023030881 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0188 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ADD COLUMN DATINCCAT Timestamp ;


/*-- SEQ 0189 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ADD COLUMN ATU_EMCAT Timestamp ;



/*-- SEQ 0190 --*/
-- Ticket 2023081310 --
ALTER TABLE TT_ICO DROP CONSTRAINT CK_ICO_CODCST CASCADE;

/*-- SEQ 0191 --*/
-- Ticket 2023081310 --
ALTER TABLE TT_ICO DROP CONSTRAINT CK_ICO_CSTXML CASCADE;

/*-- SEQ 0192 --*/
-- Ticket 2023081310 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_CODCST CHECK (CODCST IN ('00', '02', '10', '15', '20', '30', '40', '41', '50', '51', '53', '60', '61', '70', '90', '101', '102', '103', '201', '202', '203', '300', '400', '500', '900'));

/*-- SEQ 0193 --*/
-- Ticket 2023081310 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_CSTXML CHECK (CSTXML IN ('00', '02', '10', '15', '20', '30', '40', '41', '50', '51', '53', '60', '61', '70', '90', '101', '102', '103', '201', '202', '203', '300', '400', '500', '900'));


/*-- SEQ 0194 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023084636 --
SELECT * FROM NADA;

/*-- SEQ 0195 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023084636 --
SELECT * FROM NADA;

/*-- SEQ 0196 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023084636 --
SELECT * FROM NADA;

/*-- SEQ 0197 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023084636 --
SELECT * FROM NADA;

/*-- SEQ 0198 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023084636 --
SELECT * FROM NADA;

/*-- SEQ 0199 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023084636 --
SELECT * FROM NADA;


/*-- SEQ 0200 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023084636 --
SELECT * FROM NADA;


/*-- SEQ 0201 --*/
-- Ticket 2023072700 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0202 --*/
-- Ticket 2023072700 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'LOJA_ENDERECO_PADRAO', 'Utilizar endereo padro da Loja no cadastro de cliente do PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'LOJA_ENDERECO_PADRAO'));
                     
/*-- SEQ 0203 --*/
-- Ticket 2023072700 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'APENAS_DIAMES_DATNAS', 'Utilizar apenas Dia/Ms do Aniversrio na data de nascimento do cliente no cadastro do PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'APENAS_DIAMES_DATNAS'));
                     
/*-- SEQ 0204 --*/
-- Ticket 2023072700 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0205 --*/
-- Ticket 2023072700 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0206 --*/
-- Ticket 2023072700 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'LOJA_ENDERECO_PADRAO'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0207 --*/
-- Ticket 2023072700 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'APENAS_DIAMES_DATNAS'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0208 --*/
-- Ticket 2023072700 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0209 --*/
-- Ticket 2022072174 --
SELECT ExecAlteraTipoColuna('TD_CCC','DIARET','Numeric(4)');


/*-- SEQ 0210 --*/
-- Ticket 2022072174 --
SELECT ExecAlteraTipoColuna('TW_TAB','DIARET','Numeric(4)');



/*-- SEQ 0211 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023084636 --
DROP TABLE TEMP_CORRECAO_CCC;

/*-- SEQ 0212 --*/
-- Ticket 2023084636 --
CREATE TABLE TEMP_CORRECAO_CCC AS 
SELECT *  
  FROM TT_CCC
 WHERE COALESCE(SEQFAT, 'X') <> 'X'
    AND STATUS = 'A'
    AND TIPLAN NOT IN ('G', 'Q')
    AND DATOPE >= TO_DATE('26/06/2023','DD/MM/YYYY')
UNION ALL
SELECT *  
  FROM TT_CCC
 WHERE TIPLAN = 'G'
   AND STATUS <> 'F'
   AND DATOPE >= TO_DATE('01/01/2023','DD/MM/YYYY')
   AND EXISTS (SELECT 1 AS OK 
                 FROM TT_CCC CCC2 
                WHERE CCC2.NUMDOC = 'CC' || TT_CCC.NUMDOC );

/*-- SEQ 0213 --*/
-- Ticket 2023084636 --
SELECT DISABLETRIGGERS(LOWER('TT_CCC'));

/*-- SEQ 0214 --*/
-- Ticket 2023084636 --
UPDATE TT_CCC
   SET OLDSTT = STATUS,
       STATUS = CASE WHEN TIPLAN IN ('G', 'Q') THEN 'F' ELSE 'P' END
  WHERE (CODFIL, SEQUEN) IN (SELECT CODFIL, SEQUEN 
                               FROM TEMP_CORRECAO_CCC);

/*-- SEQ 0215 --*/
-- Ticket 2023084636 --
UPDATE TT_CCC
   SET PORORI = (SELECT PORECF
                   FROM TD_ECF
                  WHERE FILECF = TT_CCC.CODFIL
                    AND NUMECF = TT_CCC.NUMECF)
 WHERE (CODFIL, SEQUEN) IN (SELECT CODFIL, SEQUEN 
                              FROM TEMP_CORRECAO_CCC)
   AND NUMECF IS NOT NULL;

/*-- SEQ 0216 --*/
-- Ticket 2023084636 --
UPDATE TT_CCC
   SET PORORI = (SELECT COALESCE(LXF.CODCOB,LIM.CODCOB) 
                   FROM TT_LIM LIM LEFT JOIN TT_LIMXFIL LXF ON LIM.FILCLI=LXF.FILCLI
                                                           AND LIM.CODCLI=LXF.CODCLI
                                                           AND LIM.TIPCCC=LXF.TIPCCC
                                                           AND LXF.CODFIL = TT_CCC.CODFIL
                  WHERE LIM.FILCLI = TT_CCC.FILCLI
                    AND LIM.CODCLI = TT_CCC.CODCLI
                    AND LIM.TIPCCC = TT_CCC.TIPCCC)
 WHERE (CODFIL, SEQUEN) IN (SELECT CODFIL, SEQUEN 
                              FROM TEMP_CORRECAO_CCC)
   AND PORORI IS NULL;

/*-- SEQ 0217 --*/
-- Ticket 2023084636 --
SELECT ENABLETRIGGERS(LOWER('TT_CCC'));

/*-- SEQ 0218 --*/
-- Ticket 2023084636 --
  SELECT INSERE_LFIN_LAN('CCC', CODFIL, SEQUEN, '--', '--')
    FROM TT_CCC
   WHERE (CODFIL, SEQUEN) IN (SELECT CODFIL, SEQUEN
                                FROM TEMP_CORRECAO_CCC
                               WHERE TIPLAN NOT IN ('G', 'Q') )
     AND DATINC >= TO_DATE('26/06/2023','DD/MM/YYYY');



/*-- SEQ 0219 --*/
-- Ticket 2023084636 --
UPDATE TT_LIM 
   SET VSALDO = 0.01;


/*-- SEQ 0220 --*/
-- Ticket 2023072700 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0221 --*/
-- Ticket 2023072700 --
UPDATE TT_PCS
   SET DESPCS = 'Utilizar endereo padro da loja no cadastro de cliente do PoS?'
 WHERE NOMPCS =  'LOJA_ENDERECO_PADRAO';

/*-- SEQ 0222 --*/
-- Ticket 2023072700 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0223 --*/
-- Ticket 2023084658 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0224 --*/
-- Ticket 2023084658 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'PISCOF_SEMIPIENTRADA', 'Retirar o valor do IPI da Base de PIS/COFINS nas entradas/compras?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PISCOF_SEMIPIENTRADA'));
                     
/*-- SEQ 0225 --*/
-- Ticket 2023084658 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'PISCOF_SEMIPISAIDA', 'Retirar o valor do IPI da Base de PIS/COFINS nas sadas?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PISCOF_SEMIPISAIDA'));
                     
/*-- SEQ 0226 --*/
-- Ticket 2023084658 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0227 --*/
-- Ticket 2023084658 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0228 --*/
-- Ticket 2023084658 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'T'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'PISCOF_SEMIPIENTRADA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0229 --*/
-- Ticket 2023084658 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'T'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'PISCOF_SEMIPISAIDA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0230 --*/
-- Ticket 2023084658 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0231 --*/
-- Ticket 2023093599 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0232 --*/
-- Ticket 2023093599 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'EDITAR_ITEM_PENDENTE', 'Permite editar item pendente no Order?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'EDITAR_ITEM_PENDENTE'));
                     
/*-- SEQ 0233 --*/
-- Ticket 2023093599 --
UPDATE TT_PCS
SET DESPCS = 'Preço Informado substitui o preço de tabela no PoS/Order?'
WHERE NOMPCS =  'PRECO_INFORMADO';                     

/*-- SEQ 0234 --*/
-- Ticket 2023093599 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0235 --*/
-- Ticket 2023091634 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0236 --*/
-- Ticket 2023091634 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'DESTACA_DESC_ITEM', 'Destacar o desconto do item no faturamento do Commerce Web?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DESTACA_DESC_ITEM'));

/*-- SEQ 0237 --*/
-- Ticket 2023091634 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0238 --*/
-- Ticket 2023095799 --
SELECT DISABLETRIGGERS(LOWER('TT_NCM'));


/*-- SEQ 0239 --*/
-- Ticket 2023095799 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '19012010',
        'Massa para a preparao de po, sem adio de gros ou sementes integrais, congelada',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '19012010'));

/*-- SEQ 0240 --*/
-- Ticket 2023095799 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '19012020',
        'Massa para a preparao de po, com adio de gros ou sementes integrais, congelada',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '19012020'));
                     
/*-- SEQ 0241 --*/
-- Ticket 2023095799 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '19012090',
        'Outras',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '19012090'));
                     
/*-- SEQ 0242 --*/
-- Ticket 2023095799 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '30049098',
        'Regenerador de cartilagem, constitudo por colgeno moldado, absorvvel',
        5,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '30049098'));

/*-- SEQ 0243 --*/
-- Ticket 2023095799 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '19012000'
   AND Agora() > TO_DATE('01/11/2023','DD/MM/YYYY');

 /*-- SEQ 0244 --*/
-- Ticket 2023095799 --
SELECT ENABLETRIGGERS(LOWER('TT_NCM'));


/*-- SEQ 0245 --*/
-- Ticket 2023095770 --
ALTER TABLE TD_VEI DROP CONSTRAINT AK_DVEI_DESVEI CASCADE;

/*-- SEQ 0246 --*/
-- Ticket 2023095770 --
ALTER TABLE TD_VEI ADD CONSTRAINT AK_DVEI_DESVEI_CODMTD UNIQUE (DESVEI,CODMTD);

