
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78195 --
ALTER TABLE TT_VEN ADD BAS_ST_COM Numeric(14,4);

/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78195 --
ALTER TABLE TT_VEN ADD VLR_ST_COM Numeric(14,4);

/*-- SEQ 0003 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78195 --
SELECT * FROM NADA;


/*-- SEQ 0004 --*/
-- Tarefa 78195 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0005 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78195 --
INSERT INTO TT_FUN (NOMFUN, DATFUN, ATU_EM) VALUES ('ST_PROD', Agora(), Agora());

/*-- SEQ 0006 --*/
-- Tarefa 78195 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0007 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78211 --
DROP SEQUENCE SQLCRT;

/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78211 --
ALTER TABLE TL_CRT DROP CONSTRAINT PK_LCRT CASCADE;


/*-- SEQ 0009 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78270 --
ALTER TABLE TT_ACR ADD VLRPRE Numeric(14,2); 


/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78249 --
DROP INDEX I_UQ_IDF_UNICO;

/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78249 --
ALTER TABLE TT_IDF ADD CONSTRAINT PK_IDF PRIMARY KEY (UNICO);


/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78243 --
ALTER TABLE TT_CFG ADD GX_SIMPAN_ENT Numeric(5);

/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78243 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_LAN_GX_SIMPAN_ENT FOREIGN KEY (GX_SIMPAN_ENT) REFERENCES TD_LAN(CODTAB);


/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78247 --
ALTER TABLE TT_CFG ADD GX_SIMPAN_ENV Timestamp;


/*-- SEQ 0015 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78242 --
ALTER TABLE TT_CFG ADD GX_SIMPAN_FIL CHAR(3);


/*-- SEQ 0016 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78245 --
ALTER TABLE TT_CFG ADD GX_SIMPAN_PER Numeric(5);

/*-- SEQ 0017 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78245 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_LAN_GX_SIMPAN_PER FOREIGN KEY (GX_SIMPAN_PER) REFERENCES TD_LAN(CODTAB);


/*-- SEQ 0018 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78244 --
ALTER TABLE TT_CFG ADD GX_SIMPAN_SAI Numeric(5);

/*-- SEQ 0019 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78244 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_LAN_GX_SIMPAN_SAI FOREIGN KEY (GX_SIMPAN_SAI) REFERENCES TD_LAN(CODTAB);


/*-- SEQ 0020 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78250 --
CREATE INDEX I_LC_GRA_SEQUEN ON TT_GRA (SEQUEN)  ;


/*-- SEQ 0021 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77889 --
ALTER TABLE TD_FIL ADD CODCOM_PAGFOR Numeric(8); 


/*-- SEQ 0022 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77879 --
CREATE INDEX I_LC_DOP_DATTRA ON TT_DOP (DATTRA)  ;

/*-- SEQ 0023 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77879 --
CREATE INDEX I_LC_DOP_DATRET ON TT_DOP (DATRET)  ;

/*-- SEQ 0024 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77879 --
SELECT DISABLETRIGGERS(LOWER('TT_DOP'));

/*-- SEQ 0025 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77879 --
UPDATE TT_DOP
SET DATTRA = TRUNC(DATTRA);

/*-- SEQ 0026 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77879 --
UPDATE TT_DOP
SET DATRET = TRUNC(DATRET);

/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77879 --
SELECT ENABLETRIGGERS(LOWER('TT_DOP'));

/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77879 --
ALTER TABLE TT_DOP ADD CONSTRAINT CK_DOP_DATTRA CHECK (DATTRA = TRUNC(DATTRA));

/*-- SEQ 0029 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 77879 --
ALTER TABLE TT_DOP ADD CONSTRAINT CK_DOP_DATRET CHECK (DATRET = TRUNC(DATRET));


/*-- SEQ 0030 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78843 --
SELECT * FROM NADA;


/*-- SEQ 0031 --*/
-- Tarefa 78904 --
CREATE TABLE TT_CCX (
CODFIL CHAR(3),
SEQUEN CHAR(10),
NUMECF CHAR(3),
DATABE Timestamp,
DATFEC Timestamp,
FLGEST CHAR(1),
FILUSU CHAR(3),
CODUSU CHAR(3),
DATINC Timestamp,
ATU_EM Timestamp )  ; 

/*-- SEQ 0032 --*/
-- Tarefa 78904 --
ALTER TABLE TT_CCX ALTER COLUMN NUMECF SET NOT NULL;

/*-- SEQ 0033 --*/
-- Tarefa 78904 --
ALTER TABLE TT_CCX ALTER COLUMN DATABE SET NOT NULL;

/*-- SEQ 0034 --*/
-- Tarefa 78904 --
ALTER TABLE TT_CCX ALTER COLUMN FLGEST SET NOT NULL;

/*-- SEQ 0035 --*/
-- Tarefa 78904 --
ALTER TABLE TT_CCX ALTER COLUMN FILUSU SET NOT NULL;

/*-- SEQ 0036 --*/
-- Tarefa 78904 --
ALTER TABLE TT_CCX ALTER COLUMN CODUSU SET NOT NULL;

/*-- SEQ 0037 --*/
-- Tarefa 78904 --
ALTER TABLE TT_CCX ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0038 --*/
-- Tarefa 78904 --
ALTER TABLE TT_CCX ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0039 --*/
-- Tarefa 78904 --
ALTER TABLE TT_CCX ADD CONSTRAINT PK_CCX PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0040 --*/
-- Tarefa 78904 --
ALTER TABLE TT_CCX ADD CONSTRAINT FK_CCX_DECF FOREIGN KEY (CODFIL, NUMECF) REFERENCES TD_ECF (FILECF, NUMECF);

/*-- SEQ 0041 --*/
-- Tarefa 78904 --
ALTER TABLE TT_CCX ADD CONSTRAINT FK_CCX_DFIL_CODFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0042 --*/
-- Tarefa 78904 --
ALTER TABLE TT_CCX ADD CONSTRAINT FK_CCX_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0043 --*/
-- Tarefa 78904 --
CREATE INDEX I_FK_CCX_DECF ON TT_CCX (CODFIL, NUMECF)  ;

/*-- SEQ 0044 --*/
-- Tarefa 78904 --
CREATE INDEX I_FK_CCX_DFIL_CODFIL ON TT_CCX (CODFIL)  ;

/*-- SEQ 0045 --*/
-- Tarefa 78904 --
CREATE INDEX I_FK_CCX_USU ON TT_CCX (FILUSU, CODUSU)  ;

/*-- SEQ 0046 --*/
-- Tarefa 78904 --
ALTER TABLE TT_CCX ADD CONSTRAINT CK_CCX_FLGEST CHECK (FLGEST IN ('A','F'));

/*-- SEQ 0047 --*/
-- Tarefa 78904 --
ALTER TABLE TT_CCX ADD CONSTRAINT CK_CCX_DATABE CHECK (DATABE = TRUNC(DATABE));

/*-- SEQ 0048 --*/
-- Tarefa 78904 --
ALTER TABLE TT_CCX ADD CONSTRAINT CK_CCX_DATFEC CHECK (DATFEC = TRUNC(DATFEC));

/*-- SEQ 0049 --*/
-- Tarefa 78904 --
CREATE UNIQUE INDEX I_UQ_CCX ON TT_CCX (CODFIL, NUMECF, DATABE)  ;

/*-- SEQ 0050 --*/
-- Tarefa 78904 --
CREATE SEQUENCE SQCCX INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0051 --*/
-- Tarefa 78785 --
CREATE TABLE TD_RTT (
  CODTAB Numeric(5), 
  DESRTT VARCHAR(100),
  RTTATI VARCHAR(1) DEFAULT 'T',
  RTTEST VARCHAR(1) DEFAULT 'F',
  FILCTA_DRTT CHAR(3),
  SEQCTA_DRTT CHAR(10),
  TIPCTA_DRTT CHAR(1))  ;
  
/*-- SEQ 0052 --*/
-- Tarefa 78785 --
ALTER TABLE TD_RTT ALTER COLUMN CODTAB SET NOT NULL;

/*-- SEQ 0053 --*/
-- Tarefa 78785 --
ALTER TABLE TD_RTT ALTER COLUMN DESRTT SET NOT NULL;

/*-- SEQ 0054 --*/
-- Tarefa 78785 --
ALTER TABLE TD_RTT ALTER COLUMN RTTATI SET NOT NULL;

/*-- SEQ 0055 --*/
-- Tarefa 78785 --
ALTER TABLE TD_RTT ALTER COLUMN RTTEST SET NOT NULL;

/*-- SEQ 0056 --*/
-- Tarefa 78785 --
ALTER TABLE TD_RTT ADD CONSTRAINT PK_DRTT PRIMARY KEY (CODTAB);

/*-- SEQ 0057 --*/
-- Tarefa 78785 --
ALTER TABLE TD_RTT ADD CONSTRAINT CK_DRTT_RTTATI CHECK (RTTATI IN ('T','F'));

/*-- SEQ 0058 --*/
-- Tarefa 78785 --
ALTER TABLE TD_RTT ADD CONSTRAINT CK_DRTT_RTTEST CHECK (RTTEST IN ('T','F'));

/*-- SEQ 0059 --*/
-- Tarefa 78785 --
ALTER TABLE TD_RTT ADD CONSTRAINT FK_DRTT_CTA FOREIGN KEY (FILCTA_DRTT, SEQCTA_DRTT, TIPCTA_DRTT) REFERENCES TT_CTA (CODFIL, SEQUEN, TIPCTA);

/*-- SEQ 0060 --*/
-- Tarefa 78785 --
ALTER TABLE TD_RTT ADD CONSTRAINT CK_DRTT_TIPCTA_DRTT CHECK (TIPCTA_DRTT IN ('G'));

/*-- SEQ 0061 --*/
-- Tarefa 78785 --
CREATE INDEX I_FK_DRTT_CTA ON TD_RTT (FILCTA_DRTT, SEQCTA_DRTT, TIPCTA_DRTT)  ;

/*-- SEQ 0062 --*/
-- Tarefa 78785 --
ALTER TABLE TW_TAB ADD DESRTT VARCHAR(100);

/*-- SEQ 0063 --*/
-- Tarefa 78785 --
ALTER TABLE TW_TAB ADD RTTATI VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0064 --*/
-- Tarefa 78785 --
ALTER TABLE TW_TAB ADD RTTEST VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0065 --*/
-- Tarefa 78785 --
ALTER TABLE TW_TAB ADD FILCTA_DRTT CHAR(3);

/*-- SEQ 0066 --*/
-- Tarefa 78785 --
ALTER TABLE TW_TAB ADD SEQCTA_DRTT CHAR(10);

/*-- SEQ 0067 --*/
-- Tarefa 78785 --
ALTER TABLE TW_TAB ADD TIPCTA_DRTT CHAR(1);


/*-- SEQ 0068 --*/
-- Tarefa 78701 --
ALTER TABLE TT_INT DROP CONSTRAINT PK_INT CASCADE;

/*-- SEQ 0069 --*/
-- Tarefa 78701 --
CREATE UNIQUE INDEX I_UQ_INT ON TT_INT (FILCLI,CODCLI,NUMCON)  ;

/*-- SEQ 0070 --*/
-- Tarefa 78701 --
ALTER TABLE TT_INT ADD CODFIL CHAR(3);

/*-- SEQ 0071 --*/
-- Tarefa 78701 --
ALTER TABLE TT_INT ADD SEQUEN CHAR(10);

/*-- SEQ 0072 --*/
-- Tarefa 78701 --
CREATE SEQUENCE SQINT INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0073 --*/
-- Tarefa 78701 --
UPDATE TT_INT
   SET CODFIL = (SELECT min(CODFIL) FROM TD_FIL),
       SEQUEN = NEXTVAL('SQINT')	   
 WHERE CODFIL IS NULL;

/*-- SEQ 0074 --*/
-- Tarefa 78701 --
ALTER TABLE TT_INT ADD CONSTRAINT PK_INT PRIMARY KEY (CODFIL,SEQUEN);


/*-- SEQ 0075 --*/
-- Tarefa 78706 --
CREATE TABLE TT_RTT (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  DATINC Timestamp, 
  ATU_EM Timestamp, 
  CODAVU VARCHAR(20), 
  TIPRTT Numeric(5), 
  CONTRA VARCHAR(13),
  NUMPAR CHAR(2),
  DATVEN Timestamp, 
  DATPGT Timestamp, 
  DATOPE Timestamp, 
  VLRPAR Numeric(12,2), 
  VLRPGT Numeric(12,2),
  CUPFIS CHAR(6),
  NUMECF CHAR(3),
  FILUSU CHAR(3),
  CODUSU CHAR(3),
  AUTORI CHAR(10),
  FLGEST CHAR(1), 
  CODBAR VARCHAR(48), 
  VLRDES Numeric(12,2),
  VLRACR Numeric(12,2),
  NUMDOC VARCHAR(14), 
  CODBCO CHAR(3), 
  FILCTA CHAR(3), 
  SEQCTA CHAR(10),
  TIPCTA CHAR(1)) ; 
  
/*-- SEQ 0076 --*/
-- Tarefa 78706 --
ALTER TABLE TT_RTT ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0077 --*/
-- Tarefa 78706 --
ALTER TABLE TT_RTT ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0078 --*/
-- Tarefa 78706 --
ALTER TABLE TT_RTT ALTER COLUMN TIPRTT SET NOT NULL;

/*-- SEQ 0079 --*/
-- Tarefa 78706 --
ALTER TABLE TT_RTT ALTER COLUMN VLRPAR SET NOT NULL;

/*-- SEQ 0080 --*/
-- Tarefa 78706 --
ALTER TABLE TT_RTT ALTER COLUMN FLGEST SET NOT NULL;

/*-- SEQ 0081 --*/
-- Tarefa 78706 --	
ALTER TABLE TT_RTT ALTER COLUMN FILCTA SET NOT NULL;

/*-- SEQ 0082 --*/
-- Tarefa 78706 --
ALTER TABLE TT_RTT ALTER COLUMN SEQCTA SET NOT NULL;

/*-- SEQ 0083 --*/
-- Tarefa 78706 --
ALTER TABLE TT_RTT ALTER COLUMN TIPCTA SET NOT NULL;

/*-- SEQ 0084 --*/
-- Tarefa 78706 --
ALTER TABLE TT_RTT ADD CONSTRAINT PK_RTT PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0085 --*/
-- Tarefa 78706 --
ALTER TABLE TT_RTT ADD CONSTRAINT FK_RTT_CTA FOREIGN KEY (FILCTA, SEQCTA, TIPCTA) REFERENCES TT_CTA (CODFIL, SEQUEN, TIPCTA);

/*-- SEQ 0086 --*/
-- Tarefa 78706 --
ALTER TABLE TT_RTT ADD CONSTRAINT FK_RTT_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0087 --*/
-- Tarefa 78706 --
ALTER TABLE TT_RTT ADD CONSTRAINT FK_RTT_DRTT_TIPRTT FOREIGN KEY (TIPRTT) REFERENCES TD_RTT (CODTAB);

/*-- SEQ 0088 --*/
-- Tarefa 78706 --
CREATE INDEX I_FK_RTT_CTA ON TT_RTT (FILCTA, SEQCTA, TIPCTA)  ;

/*-- SEQ 0089 --*/
-- Tarefa 78706 --
CREATE INDEX I_FK_RTT_USU ON TT_RTT (FILUSU, CODUSU)  ;

/*-- SEQ 0090 --*/
-- Tarefa 78706 --
CREATE INDEX I_FK_RTT_DRTT_TIPRTT ON TT_RTT (TIPRTT)  ;

/*-- SEQ 0091 --*/
-- Tarefa 78706 --
ALTER TABLE TT_RTT ADD CONSTRAINT CK_RTT_TIPCTA CHECK (TIPCTA = 'N');

/*-- SEQ 0092 --*/
-- Tarefa 78706 --
ALTER TABLE TT_RTT ADD CONSTRAINT CK_RTT_VLRPAR CHECK (VLRPAR >= 0);

/*-- SEQ 0093 --*/
-- Tarefa 78706 --
ALTER TABLE TT_RTT ADD CONSTRAINT CK_RTT_VLRPGT CHECK (VLRPGT >= 0);

/*-- SEQ 0094 --*/
-- Tarefa 78706 --
ALTER TABLE TT_RTT ADD CONSTRAINT CK_RTT_VLRDES CHECK (VLRDES >= 0);

/*-- SEQ 0095 --*/
-- Tarefa 78706 --
ALTER TABLE TT_RTT ADD CONSTRAINT CK_RTT_VLRACR CHECK (VLRACR >= 0);

/*-- SEQ 0096 --*/
-- Tarefa 78706 --
ALTER TABLE TT_RTT ADD CONSTRAINT CK_RTT_FLGEST CHECK (FLGEST IN ('A','P','E','S'));

/*-- SEQ 0097 --*/
-- Tarefa 78706 --
CREATE SEQUENCE SQRTT INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0098 --*/
-- Tarefa 78250 --
CREATE INDEX I_LC_RTT_CODAVU ON TT_RTT (CODAVU)  ;


/*-- SEQ 0099 --*/
-- Tarefa 78784 --
CREATE TABLE TL_RTT (
  CODTAB Numeric(10), 
  FILRTT CHAR(3), 
  SEQRTT CHAR(10),
  DATOPE Timestamp, 
  FILUSU CHAR(3), 
  CODUSU CHAR(3), 
  MSGLOG VARCHAR(4000),
  CODUID Numeric ) ; 

/*-- SEQ 0100 --*/
-- Tarefa 78784 --
ALTER TABLE TL_RTT ADD CONSTRAINT PK_LRTT PRIMARY KEY (CODTAB);

/*-- SEQ 0101 --*/
-- Tarefa 78784 --
CREATE SEQUENCE SQLRTT INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0102 --*/
-- Tarefa 78784 --
ALTER TABLE TL_RTT ADD CONSTRAINT FK_LRTT_RTT FOREIGN KEY (FILRTT, SEQRTT) REFERENCES TT_RTT (CODFIL, SEQUEN);

/*-- SEQ 0103 --*/
-- Tarefa 78784 --
CREATE INDEX I_FK_LRTT_RTT ON TL_RTT (FILRTT, SEQRTT)  ;


/*-- SEQ 0104 --*/
-- Tarefa 78892 --
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0105 --*/
-- Tarefa 78892 --
UPDATE TT_CLI SET INSEST = 'ISENTO' WHERE UPPER(INSEST) = UPPER('ISENTO');

/*-- SEQ 0106 --*/
-- Tarefa 78892 --
UPDATE TT_CLI SET INSEST = 'ISENTO' WHERE UPPER(INSEST) = UPPER('ISENTA');

/*-- SEQ 0107 --*/
-- Tarefa  78892 --
SELECT ENABLETRIGGERS(LOWER('TT_CLI')); 

/*-- SEQ 0108 --*/
-- Tarefa 78892 --
SELECT DISABLETRIGGERS(LOWER('TT_END')); 

/*-- SEQ 0109 --*/
-- Tarefa 78892 --
UPDATE TT_END SET INSEST = 'ISENTO' WHERE UPPER(INSEST) = UPPER('ISENTO');

/*-- SEQ 0110 --*/
-- Tarefa 78892 --
UPDATE TT_END SET INSEST = 'ISENTO' WHERE UPPER(INSEST) = UPPER('ISENTA');

/*-- SEQ 0111 --*/
-- Tarefa  78892 --
SELECT ENABLETRIGGERS(LOWER('TT_END')); 


/*-- SEQ 0112 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79089 --
ALTER TABLE TT_PLA ALTER COLUMN PARVEN DROP NOT NULL;

/*-- SEQ 0113 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79089 --
ALTER TABLE TI_PLA ALTER COLUMN PARVEN DROP NOT NULL;


/*-- SEQ 0114 --*/
-- Tarefa 78869 -
ALTER TABLE TT_OPE ADD FILRTT CHAR(3);

/*-- SEQ 0115 --*/
-- Tarefa 78869 -
ALTER TABLE TT_OPE ADD SEQRTT CHAR(10);

/*-- SEQ 0116 --*/
-- Tarefa 78869 -
ALTER TABLE TT_OPE ADD CONSTRAINT FK_OPE_RTT FOREIGN KEY (FILRTT, SEQRTT) REFERENCES TT_RTT (CODFIL, SEQUEN);
 
/*-- SEQ 0117 --*/
-- Tarefa 78869 -
CREATE INDEX I_FK_OPE_RTT ON TT_OPE (FILRTT, SEQRTT)  ;

/*-- SEQ 0118 --*/
-- Tarefa 78869 -
ALTER TABLE TT_OPE DROP CONSTRAINT CK_OPE_REGRA CASCADE; 

/*-- SEQ 0119 --*/
-- Tarefa 78869 -
ALTER TABLE TT_OPE ADD CONSTRAINT CK_OPE_REGRA CHECK ((
CASE
    WHEN codcai IS NULL AND filrec IS NOT NULL AND seqrec IS NOT NULL AND numpar IS NOT NULL AND subpar IS NOT NULL THEN 1
    ELSE 0
END +
CASE
    WHEN codcai IS NULL AND filccc IS NOT NULL AND seqccc IS NOT NULL THEN 1
    ELSE 0
END +
CASE
    WHEN codcai IS NULL AND filchr IS NOT NULL AND seqchr IS NOT NULL THEN 1
    ELSE 0
END +
CASE
    WHEN filfin IS NOT NULL AND seqfin IS NOT NULL THEN 1
    ELSE 0
END +
CASE
    WHEN codcai IS NULL AND fildop IS NOT NULL AND seqdop IS NOT NULL THEN 1
    ELSE 0
END +
CASE
    WHEN codcai IS NULL AND cartao IS NOT NULL THEN 1
    ELSE 0
END +
CASE
    WHEN codcai IS NULL AND (outros IS NOT NULL OR doctro IS NOT NULL) THEN 1
    ELSE 0
END +
CASE
    WHEN codcai IS NULL AND cambio IS NOT NULL THEN 1
    ELSE 0
END +
CASE
    WHEN CODCAI IS NULL AND FILRTT IS NOT NULL AND SEQRTT IS NOT NULL THEN 1
    ELSE 0
END) = 1);


/*-- SEQ 0120 --*/
-- Tarefa 79058 -
ALTER TABLE TT_LID ADD FILPED CHAR(3);

/*-- SEQ 0121 --*/
-- Tarefa 79058 -
ALTER TABLE TT_LID ADD TIPPED CHAR(1);

/*-- SEQ 0122 --*/
-- Tarefa 79058 -
ALTER TABLE TT_LID ADD NUMPED CHAR(8);

/*-- SEQ 0123 --*/
-- Tarefa 79058 -
ALTER TABLE TT_LID ADD CONSTRAINT FK_LID_ORC FOREIGN KEY (FILPED, TIPPED, NUMPED) REFERENCES TT_ORC (CODFIL, TIPPED, NUMPED);

/*-- SEQ 0124 --*/
-- Tarefa 79058 -
CREATE INDEX I_FK_LID_ORC ON TT_LID (FILPED, TIPPED, NUMPED)  ;


/*-- SEQ 0125 --*/
-- Tarefa 79058 -
ALTER TABLE TT_LCF ADD FILPED CHAR(3);

/*-- SEQ 0126 --*/
-- Tarefa 79058 -
ALTER TABLE TT_LCF ADD TIPPED CHAR(1);

/*-- SEQ 0127 --*/
-- Tarefa 79058 -
ALTER TABLE TT_LCF ADD NUMPED CHAR(8);

/*-- SEQ 0128 --*/
-- Tarefa 79058 -
ALTER TABLE TT_LCF ADD CONSTRAINT FK_LCF_ORC FOREIGN KEY (FILPED, TIPPED, NUMPED) REFERENCES TT_ORC (CODFIL, TIPPED, NUMPED);

/*-- SEQ 0129 --*/
-- Tarefa 79058 -
CREATE INDEX I_FK_LCF_ORC ON TT_LCF	(FILPED, TIPPED, NUMPED)  ;


/*-- SEQ 0130 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79076 --
UPDATE TT_NCM SET NIVNCM = '2' WHERE CODNCM IN ('321000','381400');

/*-- SEQ 0131 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79076 --
UPDATE TT_NCM SET NIVNCM = '3' WHERE CODNCM IN ('38140010','38140020','38140030','38140090','32100010','32100020','32100030');


/*-- SEQ 0132 --*/
-- Tarefa 79271 --
CREATE TABLE TT_PPR (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  DATINC Timestamp,
  ATU_EM Timestamp,
  FILUSU CHAR(3), 
  CODUSU CHAR(3),
  QTDPRD Numeric(12,4),
  FILMAT CHAR(3),
  CODMAT CHAR(5),
  CODCOR Numeric(5),
  CODTAM Numeric(5) ) ; 

/*-- SEQ 0133 --*/
-- Tarefa 79271 --
ALTER TABLE TT_PPR ALTER COLUMN FILMAT SET NOT NULL;

/*-- SEQ 0134 --*/
-- Tarefa 79271 --
ALTER TABLE TT_PPR ALTER COLUMN CODMAT SET NOT NULL;

/*-- SEQ 0135 --*/
-- Tarefa 79271 --
ALTER TABLE TT_PPR ALTER COLUMN CODCOR SET NOT NULL;

/*-- SEQ 0136 --*/
-- Tarefa 79271 --
ALTER TABLE TT_PPR ALTER COLUMN CODTAM SET NOT NULL;

/*-- SEQ 0137 --*/
-- Tarefa 79271 --
ALTER TABLE TT_PPR ADD CONSTRAINT PK_PPR PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0138 --*/
-- Tarefa 79271 --
ALTER TABLE TT_PPR ADD CONSTRAINT FK_PPR_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM) REFERENCES TT_GRA (FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0139 --*/
-- Tarefa 79271 --
ALTER TABLE TT_PPR ADD CONSTRAINT FK_PPR_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0140 --*/
-- Tarefa 79271 --
CREATE INDEX I_FK_PPR_GRA ON TT_PPR (FILMAT, CODMAT, CODCOR, CODTAM)  ;

/*-- SEQ 0141 --*/
-- Tarefa 79271 --
CREATE INDEX I_FK_PPR_USU ON TT_PPR (FILUSU, CODUSU)  ;

/*-- SEQ 0142 --*/
-- Tarefa 79271 --
CREATE SEQUENCE SQPPR INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0143 --*/
-- Tarefa 79276 --
ALTER TABLE TT_LAN ADD FILPPR CHAR(3);

/*-- SEQ 0144 --*/
-- Tarefa 79276 --
ALTER TABLE TT_LAN ADD SEQPPR CHAR(10);

/*-- SEQ 0145 --*/
-- Tarefa 79276 --
ALTER TABLE TT_LAN ADD CONSTRAINT FK_LAN_PPR FOREIGN KEY (FILPPR, SEQPPR) REFERENCES TT_PPR (CODFIL, SEQUEN);


/*-- SEQ 0146 --*/
-- Tarefa 79250 --
CREATE TABLE TT_ITP (
CODFIL CHAR(3),
SEQUEN CHAR(10),
DATINC Timestamp,
ATU_EM Timestamp,
FILMAT CHAR(3),
CODMAT CHAR(5),
CODCOR Numeric(5),
CODTAM Numeric(5),
FILINS CHAR(3),
CODINS CHAR(5),
CORINS Numeric(5),
TAMINS Numeric(5),
QTDINS Numeric(12,4)) ; 

/*-- SEQ 0147 --*/
-- Tarefa 79250 --
ALTER TABLE TT_ITP ALTER COLUMN FILMAT SET NOT NULL;

/*-- SEQ 0148 --*/
-- Tarefa 79250 --
ALTER TABLE TT_ITP ALTER COLUMN CODMAT SET NOT NULL;

/*-- SEQ 0149 --*/
-- Tarefa 79250 --
ALTER TABLE TT_ITP ALTER COLUMN CODCOR SET NOT NULL;

/*-- SEQ 0150 --*/
-- Tarefa 79250 --
ALTER TABLE TT_ITP ALTER COLUMN CODTAM SET NOT NULL;

/*-- SEQ 0151 --*/
-- Tarefa 79250 --
ALTER TABLE TT_ITP ALTER COLUMN FILINS SET NOT NULL;

/*-- SEQ 0152 --*/
-- Tarefa 79250 --
ALTER TABLE TT_ITP ALTER COLUMN CODINS SET NOT NULL;

/*-- SEQ 0153 --*/
-- Tarefa 79250 --
ALTER TABLE TT_ITP ALTER COLUMN CORINS SET NOT NULL;

/*-- SEQ 0154 --*/
-- Tarefa 79250 --
ALTER TABLE TT_ITP ALTER COLUMN TAMINS SET NOT NULL;

/*-- SEQ 0155 --*/
-- Tarefa 79250 --
ALTER TABLE TT_ITP ALTER COLUMN QTDINS SET NOT NULL;

/*-- SEQ 0156 --*/
-- Tarefa 79250 --
ALTER TABLE TT_ITP ADD CONSTRAINT PK_ITP PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0157 --*/
-- Tarefa 79250 --
ALTER TABLE TT_ITP ADD CONSTRAINT FK_ITP_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM) REFERENCES TT_GRA (FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0158 --*/
-- Tarefa 79250 --
ALTER TABLE TT_ITP ADD CONSTRAINT FK_ITP_GRA_INS FOREIGN KEY (FILINS, CODINS, CORINS, TAMINS) REFERENCES TT_GRA (FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0159 --*/
-- Tarefa 79250 --
CREATE INDEX I_FK_ITP_GRA ON TT_ITP (FILMAT, CODMAT, CODCOR, CODTAM)  ;

/*-- SEQ 0160 --*/
-- Tarefa 79250 --
CREATE INDEX I_FK_ITP_GRA_INS ON TT_ITP (FILINS, CODINS, CORINS, TAMINS)  ;

/*-- SEQ 0161 --*/
-- Tarefa 79250 --
CREATE UNIQUE INDEX I_UQ_ITP ON TT_ITP (FILMAT, CODMAT, CODCOR, CODTAM, FILINS, CODINS, CORINS, TAMINS)  ;

/*-- SEQ 0162 --*/
-- Tarefa 79250 --
ALTER TABLE TT_ITP ADD CONSTRAINT CK_ITP_QTDINS CHECK (QTDINS > 0);

/*-- SEQ 0163 --*/
-- Tarefa 79250 --
CREATE SEQUENCE SQITP INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0164 --*/
-- Tarefa 79344 --
ALTER TABLE TT_CFG ADD TIPLAN_PPR Numeric(5);

/*-- SEQ 0165 --*/
-- Tarefa 79344 --
ALTER TABLE TT_CFG ADD TIPLAN_INS Numeric(5);

/*-- SEQ 0166 --*/
-- Tarefa 79344 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DLAN_TIPLAN_PPR FOREIGN KEY (TIPLAN_PPR) REFERENCES TD_LAN (CODTAB);

/*-- SEQ 0167 --*/
-- Tarefa 79344 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DLAN_TIPLAN_INS FOREIGN KEY (TIPLAN_INS) REFERENCES TD_LAN (CODTAB);

/*-- SEQ 0168 --*/
-- Tarefa 79344 --
ALTER TABLE TW_CFG ADD TIPLAN_PPR Numeric(5);

/*-- SEQ 0169 --*/
-- Tarefa 79344 --
ALTER TABLE TW_CFG ADD TIPLAN_INS Numeric(5);



/*-- SEQ 0170 --*/
-- Tarefa 78843 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0171 --*/
-- Tarefa 78843 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,338)||SUBSTR(PERMIS,310,1)||SUBSTR(PERMIS,340,9999);

/*-- SEQ 0172 --*/
-- Tarefa 78843 --
SELECT ENABLETRIGGERS(LOWER('TT_USU'));


/*-- SEQ 0173 --*/
-- Tarefa 79192 --
ALTER TABLE TT_INT ADD E_MAIL VARCHAR(40);

/*-- SEQ 0174 --*/
-- Tarefa 79192 --
ALTER TABLE TT_INT ADD INTATI VARCHAR(1);

/*-- SEQ 0175 --*/
-- Tarefa 79192 --
CREATE UNIQUE INDEX I_UQ_INT_E_MAIL ON TT_INT (E_MAIL)  ;

/*-- SEQ 0176 --*/
-- Tarefa 79192 --
ALTER TABLE TT_INT ADD CONSTRAINT CK_INT_INTATI CHECK (INTATI IN ('T','F'));


/*-- SEQ 0177 --*/
-- Tarefa 78967 -
DROP TABLE TT_DAV;

/*-- SEQ 0178 --*/
-- Tarefa 78967 -
DROP TABLE TR_DAV;


/*-- SEQ 0179 --*/
-- Tarefa 79310 --
SELECT ExecAlteraTipoColuna('TT_DIV','NOMITE','VARCHAR(10)');


/*-- SEQ 0180 --*/
-- Tarefa 79310 --
SELECT ExecAlteraTipoColuna('TT_SUB','NOMITE','VARCHAR(10)');



/*-- SEQ 0181 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRE ADD DESPRE VARCHAR(30);


/*-- SEQ 0182 --*/
-- Tarefa 79477 --
ALTER TABLE TR_ECF ADD DATOPE_PAF Timestamp; 


/*-- SEQ 0183 --*/
-- Tarefa 79476 --
ALTER TABLE TT_ECF ADD TOTPAR VARCHAR(7); 


/*-- SEQ 0184 --*/
-- Tarefa 79478 --
ALTER TABLE TT_ORC ADD NUMPED_PAF CHAR(10); 


/*-- SEQ 0185 --*/
-- Tarefa 79475 --
ALTER TABLE TD_ECF ADD ASSINA  VARCHAR(256);

/*-- SEQ 0186 --*/
-- Tarefa 79475 --
ALTER TABLE TT_ECF ADD ASSINA  VARCHAR(256);

/*-- SEQ 0187 --*/
-- Tarefa 79475 --
ALTER TABLE TR_ECF ADD ASSINA  VARCHAR(256);

/*-- SEQ 0188 --*/
-- Tarefa 79475 --
ALTER TABLE TT_LID ADD ASSINA  VARCHAR(256);

/*-- SEQ 0189 --*/
-- Tarefa 79475 --
ALTER TABLE TT_VEN ADD ASSINA  VARCHAR(256);

/*-- SEQ 0190 --*/
-- Tarefa 79475 --
ALTER TABLE TT_IVE ADD ASSINA  VARCHAR(256);

/*-- SEQ 0191 --*/
-- Tarefa 79475 --
ALTER TABLE TT_ORC ADD ASSINA  VARCHAR(256);

/*-- SEQ 0192 --*/
-- Tarefa 79475 --
ALTER TABLE TT_IOR ADD ASSINA  VARCHAR(256);

/*-- SEQ 0193 --*/
-- Tarefa 79475 --
ALTER TABLE TT_PRE ADD ASSINA  VARCHAR(256);

/*-- SEQ 0194 --*/
-- Tarefa 79475 --
ALTER TABLE TT_SAL ADD ASSINA  VARCHAR(256);

/*-- SEQ 0195 --*/
-- Tarefa 79475 --
ALTER TABLE TT_PRO ADD ASSINA  VARCHAR(256);

/*-- SEQ 0196 --*/
-- Tarefa 79475 --
ALTER TABLE TT_GRA ADD ASSINA  VARCHAR(256);

/*-- SEQ 0197 --*/
-- Tarefa 79475 --
ALTER TABLE TD_ICM ADD ASSINA  VARCHAR(256);

/*-- SEQ 0198 --*/
-- Tarefa 79475 --
ALTER TABLE TT_IUF ADD ASSINA  VARCHAR(256);


/*-- SEQ 0199 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79542 --
SELECT * FROM NADA;

/*-- SEQ 0200 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79542 --
SELECT * FROM NADA;

/*-- SEQ 0201 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79542 --
SELECT * FROM NADA;


/*-- SEQ 0202 --*/
-- Tarefa 79480 --
ALTER TABLE TD_FIL ADD DATEST Timestamp;


/*-- SEQ 0203 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79591 --
SELECT * FROM NADA;

/*-- SEQ 0204 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79591 --
SELECT * FROM NADA;

/*-- SEQ 0205 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79591 --
SELECT * FROM NADA;




/*-- SEQ 0206 --*/
-- Tarefa 79533 --
CREATE INDEX I_LC_DECF_ASSINA ON TD_ECF (ASSINA)  ;

/*-- SEQ 0207 --*/
-- Tarefa 79533 --
CREATE INDEX I_LC_ECF_ASSINA ON TT_ECF (ASSINA)  ;

/*-- SEQ 0208 --*/
-- Tarefa 79533 --
CREATE INDEX I_LC_RECF_ASSINA ON TR_ECF (ASSINA)  ;

/*-- SEQ 0209 --*/
-- Tarefa 79533 --
CREATE INDEX I_LC_LID_ASSINA ON TT_LID (ASSINA)  ;

/*-- SEQ 0210 --*/
-- Tarefa 79533 --
CREATE INDEX I_LC_VEN_ASSINA ON TT_VEN (ASSINA)  ;

/*-- SEQ 0211 --*/
-- Tarefa 79533 --
CREATE INDEX I_LC_IVE_ASSINA ON TT_IVE (ASSINA)  ;

/*-- SEQ 0212 --*/
-- Tarefa 79533 --
CREATE INDEX I_LC_ORC_ASSINA ON TT_ORC (ASSINA)  ;

/*-- SEQ 0213 --*/
-- Tarefa 79533 --
CREATE INDEX I_LC_IOR_ASSINA ON TT_IOR (ASSINA)  ;

/*-- SEQ 0214 --*/
-- Tarefa 79533 --
CREATE INDEX I_LC_PRE_ASSINA ON TT_PRE (ASSINA)  ;

/*-- SEQ 0215 --*/
-- Tarefa 79533 --
CREATE INDEX I_LC_DFIL_ASSINA ON TD_FIL (ASSINA)  ;

/*-- SEQ 0216 --*/
-- Tarefa 79533 --
CREATE INDEX I_LC_SAL_ASSINA ON TT_SAL (ASSINA)  ;

/*-- SEQ 0217 --*/
-- Tarefa 79533 --
CREATE INDEX I_LC_PRO_ASSINA ON TT_PRO (ASSINA)  ;

/*-- SEQ 0218 --*/
-- Tarefa 79533 --
CREATE INDEX I_LC_GRA_ASSINA ON TT_GRA (ASSINA)  ;

/*-- SEQ 0219 --*/
-- Tarefa 79533 --
CREATE INDEX I_LC_DICM_ASSINA ON TD_ICM (ASSINA)  ;

/*-- SEQ 0220 --*/
-- Tarefa 79533 --
CREATE INDEX I_LC_IUF_ASSINA ON TT_IUF (ASSINA)  ;

















/*-- SEQ 0221 --*/
-- Tarefa 79489 --
SELECT DISABLETRIGGERS(LOWER('TT_ORC'));

/*-- SEQ 0222 --*/
-- Tarefa 79489 --
UPDATE TT_ORC
   SET NUMPED_PAF = NUMPED
 WHERE NUMPED_PAF IS NULL;
 
/*-- SEQ 0223 --*/
-- Tarefa 79489 --
SELECT ENABLETRIGGERS(LOWER('TT_ORC'));


/*-- SEQ 0224 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79425 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM) 
     VALUES ('--Outros parafusos,pinos ou pernos e porcas,de cobre',4,15,'T','74153200');

/*-- SEQ 0225 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79425 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
     VALUES ('Fios de filamentos sinteticos,para venda a retalho',2,11,'T','54061000');

/*-- SEQ 0226 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79425 --
UPDATE TT_NCM
   SET NIVNCM = 2
 WHERE CODNCM = '441600';

/*-- SEQ 0227 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79425 --
UPDATE TT_NCM
   SET NIVNCM = 3
 WHERE CODNCM IN ('44160010','44160090');

/*-- SEQ 0228 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79425 -- 
UPDATE TT_NCM
   SET NIVNCM = 2
 WHERE CODNCM = '441700';

/*-- SEQ 0229 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79425 --
UPDATE TT_NCM
   SET NIVNCM = 3
 WHERE CODNCM IN ('44170010','44170020','44170090');

/*-- SEQ 0230 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79425 --
UPDATE TT_NCM
   SET NIVNCM = 2
 WHERE CODNCM = '540600';

/*-- SEQ 0231 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79425 --
UPDATE TT_NCM
   SET NIVNCM = 3
 WHERE CODNCM IN ('54060010','54060020','54061000');
 
/*-- SEQ 0232 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79425 --
UPDATE TT_NCM
   SET NIVNCM = 2
 WHERE CODNCM = '790700';

/*-- SEQ 0233 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79425 --
UPDATE TT_NCM
   SET NIVNCM = 3
 WHERE CODNCM IN ('79070010','79070090');


/*-- SEQ 0234 --*/
-- Tarefa 79488 --
SELECT DISABLETRIGGERS(LOWER('TR_ECF'));

/*-- SEQ 0235 --*/
-- Tarefa 79488 --
UPDATE TR_ECF
   SET DATOPE_PAF = DATOPE
 WHERE DATOPE_PAF IS NULL;

/*-- SEQ 0236 --*/
-- Tarefa 79488 -- 
SELECT ENABLETRIGGERS(LOWER('TR_ECF'));


/*-- SEQ 0237 --*/
-- Tarefa 79484 --
SELECT DISABLETRIGGERS(LOWER('TT_ECF'));

/*-- SEQ 0238 --*/
-- Tarefa 79484 --
UPDATE TT_ECF ECF
SET TOTPAR =  CASE ECF.TIPTOT WHEN 'O'
                       THEN CASE ECF.TOTALI WHEN 'SUBS' THEN 'F'||COALESCE(TO_CHAR(ECF.ORDALI),'1')
                                            WHEN 'ISEN' THEN 'I'||COALESCE(TO_CHAR(ECF.ORDALI),'1')
                                            WHEN 'NAOT' THEN 'N'||COALESCE(TO_CHAR(ECF.ORDALI),'1')
                                            WHEN 'CANC' THEN 'Can-T'
                                            WHEN 'DESC' THEN 'DT'
                                            ELSE ECF.TOTALI 
							END 
				ELSE
                    CASE WHEN ECF.TIPTOT = 'M'
                              THEN LPAD(COALESCE(TO_CHAR(ECF.ORDALI),'01'),2,'0')||'T'||SUBSTR(ECF.TOTALI,1,4)
                         ELSE LPAD(COALESCE(TO_CHAR(ECF.ORDALI),'01'),2,'0')||'S'||SUBSTR(ECF.TOTALI,1,4)
                    END
             END
WHERE ECF.TOTPAR IS NULL;

/*-- SEQ 0239 --*/
-- Tarefa 79484 -- 
SELECT ENABLETRIGGERS(LOWER('TT_ECF'));


/*-- SEQ 0240 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79624 --
Select * From Nada;

/*-- SEQ 0241 --*/
-- Tarefa 79624 --
ALTER TABLE TD_ECF ADD CODUID Numeric;

/*-- SEQ 0242 --*/
-- Tarefa 79624 --
ALTER TABLE TD_ECF ADD CONSTRAINT FK_DECF_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0243 --*/
-- Tarefa 79624 --
CREATE INDEX I_FK_DECF_UID ON TD_ECF (CODUID)  ;

/*-- SEQ 0244 --*/
-- Tarefa 79624 --
ALTER TABLE TT_ECF ADD CODUID Numeric;

/*-- SEQ 0245 --*/
-- Tarefa 79624 --
ALTER TABLE TT_ECF ADD CONSTRAINT FK_ECF2_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0246 --*/
-- Tarefa 79624 --
CREATE INDEX I_FK_ECF2_UID ON TT_ECF (CODUID)  ;

/*-- SEQ 0247 --*/
-- Tarefa 79624 --
ALTER TABLE TR_ECF ADD CODUID Numeric;

/*-- SEQ 0248 --*/
-- Tarefa 79624 --
ALTER TABLE TR_ECF ADD CONSTRAINT FK_RECF_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0249 --*/
-- Tarefa 79624 --
CREATE INDEX I_FK_RECF_UID ON TR_ECF (CODUID)  ;

/*-- SEQ 0250 --*/
-- Tarefa 79624 --
ALTER TABLE TT_LID ADD CODUID Numeric;

/*-- SEQ 0251 --*/
-- Tarefa 79624 --
ALTER TABLE TT_LID ADD CONSTRAINT FK_LID_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0252 --*/
-- Tarefa 79624 --
CREATE INDEX I_FK_LID_UID ON TT_LID (CODUID)  ;

/*-- SEQ 0253 --*/
-- Tarefa 79624 --
ALTER TABLE TT_VEN ADD CODUID Numeric;

/*-- SEQ 0254 --*/
-- Tarefa 79624 --
ALTER TABLE TT_VEN ADD CONSTRAINT FK_VEN2_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0255 --*/
-- Tarefa 79624 --
CREATE INDEX I_FK_VEN2_UID ON TT_VEN (CODUID)  ;

/*-- SEQ 0256 --*/
-- Tarefa 79624 --
ALTER TABLE TT_IVE ADD CODUID Numeric;

/*-- SEQ 0257 --*/
-- Tarefa 79624 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0258 --*/
-- Tarefa 79624 --
CREATE INDEX I_FK_IVE_UID ON TT_IVE (CODUID)  ;

/*-- SEQ 0259 --*/
-- Tarefa 79624 --
ALTER TABLE TT_ORC ADD CODUID Numeric;

/*-- SEQ 0260 --*/
-- Tarefa 79624 --
ALTER TABLE TT_ORC ADD CONSTRAINT FK_ORC2_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0261 --*/
-- Tarefa 79624 --
CREATE INDEX I_FK_ORC2_UID ON TT_ORC (CODUID)  ;

/*-- SEQ 0262 --*/
-- Tarefa 79624 --
ALTER TABLE TT_IOR ADD CODUID Numeric;

/*-- SEQ 0263 --*/
-- Tarefa 79624 --
ALTER TABLE TT_IOR ADD CONSTRAINT FK_IOR_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0264 --*/
-- Tarefa 79624 --
CREATE INDEX I_FK_IOR_UID ON TT_IOR (CODUID)  ;

/*-- SEQ 0265 --*/
-- Tarefa 79624 --
ALTER TABLE TT_PRE ADD CODUID Numeric;

/*-- SEQ 0266 --*/
-- Tarefa 79624 --
ALTER TABLE TT_PRE ADD CONSTRAINT FK_PRE2_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0267 --*/
-- Tarefa 79624 --
CREATE INDEX I_FK_PRE2_UID ON TT_PRE (CODUID)  ;

/*-- SEQ 0268 --*/
-- Tarefa 79624 --
ALTER TABLE TT_SAL ADD CODUID Numeric;

/*-- SEQ 0269 --*/
-- Tarefa 79624 --
ALTER TABLE TT_SAL ADD CONSTRAINT FK_SAL_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0270 --*/
-- Tarefa 79624 --
CREATE INDEX I_FK_SAL_UID ON TT_SAL (CODUID)  ;

/*-- SEQ 0271 --*/
-- Tarefa 79624 --
ALTER TABLE TT_PRO ADD CODUID Numeric;

/*-- SEQ 0272 --*/
-- Tarefa 79624 --
ALTER TABLE TT_PRO ADD CONSTRAINT FK_PRO2_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0273 --*/
-- Tarefa 79624 --
CREATE INDEX I_FK_PRO2_UID ON TT_PRO (CODUID)  ;

/*-- SEQ 0274 --*/
-- Tarefa 79624 --
ALTER TABLE TT_GRA ADD CODUID Numeric;

/*-- SEQ 0275 --*/
-- Tarefa 79624 --
ALTER TABLE TT_GRA ADD CONSTRAINT FK_GRA2_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0276 --*/
-- Tarefa 79624 --
CREATE INDEX I_FK_GRA2_UID ON TT_GRA (CODUID)  ;

/*-- SEQ 0277 --*/
-- Tarefa 79624 --
ALTER TABLE TD_ICM ADD CODUID Numeric;

/*-- SEQ 0278 --*/
-- Tarefa 79624 --
ALTER TABLE TD_ICM ADD CONSTRAINT FK_DICM_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0279 --*/
-- Tarefa 79624 --
CREATE INDEX I_FK_DICM_UID ON TD_ICM (CODUID)  ;

/*-- SEQ 0280 --*/
-- Tarefa 79624 --
ALTER TABLE TT_IUF ADD CODUID Numeric;

/*-- SEQ 0281 --*/
-- Tarefa 79624 --
ALTER TABLE TT_IUF ADD CONSTRAINT FK_IUF_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0282 --*/
-- Tarefa 79624 --
CREATE INDEX I_FK_IUF_UID ON TT_IUF (CODUID)  ;


/*-- SEQ 0283 --*/
-- Tarefa 79625 --
ALTER TABLE TT_CFG ADD PATH_TTSEGUR VARCHAR(255);

/*-- SEQ 0284 --*/
-- Tarefa 79625 --
ALTER TABLE TW_CFG ADD PATH_TTSEGUR VARCHAR(255);

/*-- SEQ 0285 --*/
-- Tarefa 79625 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));	

/*-- SEQ 0286 --*/
-- Tarefa 79625 --
UPDATE TT_CFG
   SET PATH_TTSEGUR = '../lib/'
 WHERE PATH_TTSEGUR IS NULL;
 
/*-- SEQ 0287 --*/
-- Tarefa 79625 -- 
SELECT ENABLETRIGGERS(LOWER('TT_CFG')); 


/*-- SEQ 0288 --*/
-- Tarefa 79639 --
ALTER TABLE TT_IDF ADD VERSEG Numeric(3,1);


/*-- SEQ 0289 --*/
-- Tarefa 79624 --
ALTER TABLE TD_FIL ADD CODUID Numeric;

/*-- SEQ 0290 --*/
-- Tarefa 79624 --
ALTER TABLE TD_FIL ADD CONSTRAINT FK_DFIL_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0291 --*/
-- Tarefa 79624 --
CREATE INDEX I_FK_DFIL_UID ON TD_FIL (CODUID)  ;


/*-- SEQ 0292 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0293 --*/
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0294 --*/
ALTER TABLE TT_CFG ADD CODUID Numeric;

/*-- SEQ 0295 --*/
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0296 --*/
CREATE INDEX I_FK_CFG_UID ON TT_CFG (CODUID)  ;


/*-- SEQ 0297 --*/
ALTER TABLE TR_ECF ADD CNT_RO_PAF Numeric(5);


/*-- SEQ 0298 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79747 --
CREATE INDEX I_LC_IREC_STATUS ON TI_REC (STATUS, DATCRI)  ;

/*-- SEQ 0299 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79747 --
CREATE INDEX I_LC_IREC_PARCEL ON TI_REC (CODFIL, CODSER, NUMECF, NUMNOT, NUMPAR, SUBPAR)  ;

/*-- SEQ 0300 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79747 --
CREATE INDEX I_LC_ICHR_BANCO ON TI_CHR (CODFIL, CODBCO, CODAGE, NUMCHE, NUMCON)  ;







/*-- SEQ 0301 --*/
ALTER TABLE TD_ECF ADD CODEXT VARCHAR(20);

/*-- SEQ 0302 --*/
ALTER TABLE TW_TAB ADD CODEXT VARCHAR(20);


/*-- SEQ 0303 --*/
-- Tarefa 79542 --
SELECT DISABLETRIGGERS(LOWER('TT_ORC'));

/*-- SEQ 0304 --*/
-- Tarefa 79542 --
ALTER TABLE TT_ORC ADD CODEMP Numeric(5) DEFAULT	0;

/*-- SEQ 0305 --*/
-- Tarefa 79542 --
SELECT ENABLETRIGGERS(LOWER('TT_ORC'));

/*-- SEQ 0306 --*/
-- Tarefa 79542 --
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_CODEMP CHECK (CODEMP IN (0,1,2));

/*-- SEQ 0307 --*/
-- Tarefa 79542 --
ALTER TABLE TT_ORC ALTER COLUMN CODEMP SET NOT NULL;


/*-- SEQ 0308 --*/
-- Tarefa 79842 --
ALTER TABLE TT_GRA ADD ALTURA Numeric(10,2);

/*-- SEQ 0309 --*/
-- Tarefa 79842 --
ALTER TABLE TT_GRA ADD LARGUR Numeric(10,2);

/*-- SEQ 0310 --*/
-- Tarefa 79842 --
ALTER TABLE TT_GRA ADD PROFUN Numeric(10,2);


/*-- SEQ 0311 --*/
-- Tarefa 79848 --
ALTER TABLE TT_GRA ADD DESTAQ VARCHAR(1);

/*-- SEQ 0312 --*/
-- Tarefa 79848 --
ALTER TABLE TT_GRA ADD CONSTRAINT CK_GRA_DESTAQ CHECK (DESTAQ IN ('T','F'));


/*-- SEQ 0313 --*/
-- Tarefa 79845 --
ALTER TABLE TT_PRO ADD DESDET VARCHAR(4000);	


/*-- SEQ 0314 --*/
-- Tarefa 79852 --
ALTER TABLE TT_PLA DROP CONSTRAINT CK_PLA_APLICA CASCADE;	

/*-- SEQ 0315 --*/
-- Tarefa 79852 --
ALTER TABLE TT_PLA ADD CONSTRAINT CK_PLA_APLICA CHECK (APLICA >= 0 AND APLICA <= 5);


/*-- SEQ 0316 --*/
-- Tarefa 79861 --
ALTER TABLE TT_ORC ADD CODRAS VARCHAR(20);


/*-- SEQ 0317 --*/
-- Tarefa 79859 --
ALTER TABLE TT_ORC ADD CODSVE Numeric(5);


/*-- SEQ 0318 --*/
-- Tarefa 79864 --
ALTER TABLE TT_ORC ADD DATENV Timestamp;


/*-- SEQ 0319 --*/
-- Tarefa 79867 --
ALTER TABLE TT_ORC ADD ENVECO VARCHAR(1);

/*-- SEQ 0320 --*/
-- Tarefa 79867 --
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_ENVECO CHECK (ENVECO IN ('T','F'));


/*-- SEQ 0321 --*/
-- Tarefa 79860 --
ALTER TABLE TT_ORC ADD PRZENT Numeric(3);


/*-- SEQ 0322 --*/
-- Tarefa 79857 -
ALTER TABLE TT_ORC ADD FLGECO CHAR(1);

/*-- SEQ 0323 --*/
-- Tarefa 79857 --
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_FLGECO CHECK (FLGECO IN ('R','T','P','E'));


/*-- SEQ 0324 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION TESTAR_TT_UID () CASCADE;

/*-- SEQ 0325 --*/
CREATE OR REPLACE FUNCTION TESTAR_TT_UID ()
RETURNS VARCHAR AS '
DECLARE

-- Tarefa 79830 --
  iQtd  integer;
BEGIN
  iQtd := -1;

  SELECT COUNT(*)
  INTO iQtd
  FROM TT_UID
  WHERE SESSION_ID = USERENV(''SESSIONID'');
  
  IF iQtd = 0 THEN
  RAISE EXCEPTION ''PG-20001 Para continuar a migrao  necessrio atualizar o TTWizard.'';     
  END IF;
  
  SELECT COUNT(*)
    INTO iQtd
    FROM USER_TAB_COLUMNS
   WHERE TABLE_NAME  = CAPSLOCK(''TT_UID'') AND
         COLUMN_NAME = CAPSLOCK(''ASSINA'');
  
  IF iQtd = 0 THEN
  RAISE EXCEPTION ''PG-20001 Coluna ASSINA no encontrada, para continuar a migrao  necessrio atualizar o TTWizard.'';     
  END IF;  
  
RETURN ''OK'';
END;
' language 'plpgsql';


 
 /*-- SEQ 0326 --*/
 -- Tarefa 79830 --
select TESTAR_TT_UID() from dual;


/*-- SEQ 0327 --*/
-- Tarefa 79830 --
DROP FUNCTION TESTAR_TT_UID () CASCADE;


/*-- SEQ 0328 --*/
-- Tarefa 79851 --
CREATE TABLE TT_RDV (
CODFIL CHAR(3),
SEQUEN CHAR(10),
TIPPED CHAR(1),
NUMPED CHAR(8),
DATINC Timestamp,
ATU_EM Timestamp,
TIPRDV CHAR(1),
NUMDOC VARCHAR(40),
DATVEN Timestamp,
DATEMI Timestamp,
VLRDOC Numeric(10,2),
QTDPAR Numeric(2),
VLRJUR Numeric(10,2),
DATPAG Timestamp,
NUMAUT Numeric(9),
ID_TRN Numeric(20),
NUMCPV Numeric(9),
NUMTRN Numeric(27),
NUMCAR VARCHAR(30),
CODNAC VARCHAR(3),
LOGREF Numeric(4),
BANEMI Numeric(4),
CIDTIT VARCHAR(20),
ENDTIT VARCHAR(20),
CEPTIT VARCHAR(9),
ESTTIT VARCHAR(5) )  ; 

/*-- SEQ 0329 --*/
-- Tarefa 79851 --
ALTER TABLE TT_RDV ADD CONSTRAINT PK_RDV PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0330 --*/
-- Tarefa 79851 --
ALTER TABLE TT_RDV ADD CONSTRAINT FK_RDV_ORC FOREIGN KEY (CODFIL, TIPPED, NUMPED) REFERENCES  TT_ORC (CODFIL, TIPPED, NUMPED);

/*-- SEQ 0331 --*/
-- Tarefa 79851 --
CREATE UNIQUE INDEX I_UQ_RDV ON TT_RDV (CODFIL, TIPPED, NUMPED)  ;

/*-- SEQ 0332 --*/
-- Tarefa 79851 --
CREATE INDEX I_LC_RDV_TIPRDV ON TT_RDV (TIPRDV)  ;

/*-- SEQ 0333 --*/
-- Tarefa 79851 --
ALTER TABLE TT_RDV ADD CONSTRAINT CK_RDV_RTTATI CHECK (TIPRDV in ('B','M','V','A'));

/*-- SEQ 0334 --*/
-- Tarefa 79851 --
ALTER TABLE TT_RDV ADD CONSTRAINT CK_RDV_TIPPED CHECK (TIPPED = 'O');

/*-- SEQ 0335 --*/
-- Tarefa 79851 --
CREATE SEQUENCE SQRDV INCREMENT 1 START 1 MINVALUE 1;








/*-- SEQ 0336 --*/
-- Tarefa 79850 --
CREATE TABLE TW_KEY (
SEQKEY CHAR(32),
DATREG Timestamp)  ; 

/*-- SEQ 0337 --*/
-- Tarefa 79850 --
ALTER TABLE TW_KEY ADD CONSTRAINT PK_WKEY PRIMARY KEY (SEQKEY);


/*-- SEQ 0338 --*/
-- Tarefa 79896 -
ALTER TABLE TT_USU ADD SNHPOP VARCHAR(255);

/*-- SEQ 0339 --*/
-- Tarefa 79896 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0340 --*/
-- Tarefa 79896 --
UPDATE TT_USU
   SET SNHPOP = (SELECT CCE.SNHPOP
                   FROM TT_CCE CCE
                  WHERE CCE.E_MAIL = TT_USU.E_MAIL)
 WHERE SNHPOP IS NULL;

/*-- SEQ 0341 --*/
-- Tarefa 79896 --
SELECT ENABLETRIGGERS(LOWER('TT_USU'));


/*-- SEQ 0342 --*/
-- Tarefa 79936 -
ALTER TABLE TT_CFG ADD PORMTV Numeric(5);

/*-- SEQ 0343 --*/
-- Tarefa 79936 -
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DCOB_PORMTV FOREIGN KEY (PORMTV) REFERENCES  TD_COB (CODTAB);

/*-- SEQ 0344 --*/
-- Tarefa 79936 -
ALTER TABLE TW_CFG ADD PORMTV Numeric(5);


/*-- SEQ 0345 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80000 -
Select * From Nada;


/*-- SEQ 0346 --*/
-- Tarefa 79958 --
ALTER TABLE TD_RTT ADD FILCTA_EST_DRTT CHAR(3);

/*-- SEQ 0347 --*/
-- Tarefa 79958 --
ALTER TABLE TD_RTT ADD SEQCTA_EST_DRTT CHAR(10);

/*-- SEQ 0348 --*/
-- Tarefa 79958 --
ALTER TABLE TD_RTT ADD TIPCTA_EST_DRTT CHAR(1);

/*-- SEQ 0349 --*/
-- Tarefa 79958 --
ALTER TABLE TD_RTT ADD CONSTRAINT FK_DRTT_CTA_EST_DRTT FOREIGN KEY (FILCTA_EST_DRTT, SEQCTA_EST_DRTT, TIPCTA_EST_DRTT) REFERENCES TT_CTA (CODFIL, SEQUEN, TIPCTA);


/*-- SEQ 0350 --*/
-- Tarefa 79958 --
ALTER TABLE TW_TAB ADD FILCTA_EST_DRTT CHAR(3);

/*-- SEQ 0351 --*/
-- Tarefa 79958 --
ALTER TABLE TW_TAB ADD SEQCTA_EST_DRTT CHAR(10);

/*-- SEQ 0352 --*/
-- Tarefa 79958 --
ALTER TABLE TW_TAB ADD TIPCTA_EST_DRTT CHAR(1);


/*-- SEQ 0353 --*/
-- Tarefa 79957 -
ALTER TABLE TT_RTT ADD ECFEST CHAR(3);

/*-- SEQ 0354 --*/
-- Tarefa 79957 -
ALTER TABLE TT_RTT ADD DATEST Timestamp;

/*-- SEQ 0355 --*/
-- Tarefa 79957 -
ALTER TABLE TT_RTT ADD FILUSU_EST CHAR(3);

/*-- SEQ 0356 --*/
-- Tarefa 79957 -
ALTER TABLE TT_RTT ADD CODUSU_EST CHAR(3);

/*-- SEQ 0357 --*/
-- Tarefa 79957 -
ALTER TABLE TT_RTT ADD CONSTRAINT FK_RTT_USU_EST FOREIGN KEY (FILUSU_EST, CODUSU_EST) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0358 --*/
-- Tarefa 79957 -
ALTER TABLE TT_RTT ADD CONSTRAINT FK_RTT_ECF_NUMECF FOREIGN KEY (CODFIL, NUMECF) REFERENCES TD_ECF (FILECF, NUMECF);

/*-- SEQ 0359 --*/
-- Tarefa 79957 -
ALTER TABLE TT_RTT ADD CONSTRAINT FK_RTT_ECF_ECFEST FOREIGN KEY (CODFIL, ECFEST) REFERENCES TD_ECF (FILECF, NUMECF);

/*-- SEQ 0360 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79957 -
Select * From Nada;

/*-- SEQ 0361 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79957 -
Select * From Nada;

/*-- SEQ 0362 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79957 -
Select * From Nada;


/*-- SEQ 0363 --*/
-- Tarefa 80034 --
ALTER TABLE TT_CFG ADD TIPRTT_AGENC Numeric(5);

/*-- SEQ 0364 --*/
-- Tarefa 80034 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DRTT_AGENC FOREIGN KEY (TIPRTT_AGENC) REFERENCES TD_RTT (CODTAB);

/*-- SEQ 0365 --*/
-- Tarefa 80034 --
CREATE INDEX I_FK_CFG_DRTT_AGENC ON TT_CFG (TIPRTT_AGENC)  ;

/*-- SEQ 0366 --*/
-- Tarefa 80034 --
ALTER TABLE TT_CFG ADD TIPRTT_ESTAC Numeric(5);

/*-- SEQ 0367 --*/
-- Tarefa 80034 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DRTT_ESTAC FOREIGN KEY (TIPRTT_ESTAC) REFERENCES TD_RTT (CODTAB);

/*-- SEQ 0368 --*/
-- Tarefa 80034 --
CREATE INDEX I_FK_CFG_DRTT_ESTAC ON TT_CFG (TIPRTT_ESTAC)  ;

/*-- SEQ 0369 --*/
-- Tarefa 80034 --
ALTER TABLE TW_CFG ADD TIPRTT_AGENC Numeric(5);

/*-- SEQ 0370 --*/
-- Tarefa 80034 --
ALTER TABLE TW_CFG ADD TIPRTT_ESTAC Numeric(5);


/*-- SEQ 0371 --*/
-- Tarefa 79957 -
SELECT DISABLETRIGGERS(LOWER('TT_RTT'));

/*-- SEQ 0372 --*/
-- Tarefa 79957 -
ALTER TABLE TT_RTT DROP COLUMN FILCTA CASCADE;

/*-- SEQ 0373 --*/
-- Tarefa 79957 -
ALTER TABLE TT_RTT DROP COLUMN SEQCTA CASCADE;

/*-- SEQ 0374 --*/
-- Tarefa 79957 -
ALTER TABLE TT_RTT DROP COLUMN TIPCTA CASCADE;

/*-- SEQ 0375 --*/
-- Tarefa 79957 -
SELECT ENABLETRIGGERS(LOWER('TT_RTT'));


/*-- SEQ 0376 --*/
-- Tarefa 80000 --
SELECT DISABLETRIGGERS(LOWER('TT_IDF'));

/*-- SEQ 0377 --*/
-- Tarefa 80000 --
UPDATE TT_IDF SET VERSEG = 2 WHERE VERSEG IS NULL;

/*-- SEQ 0378 --*/
-- Tarefa 80000 --
SELECT ENABLETRIGGERS(LOWER('TT_IDF'));


/*-- SEQ 0379 --*/
-- Tarefa 79781 -
ALTER TABLE TD_FIL ADD FILPAG CHAR(3);

/*-- SEQ 0380 --*/
-- Tarefa 79781 -
ALTER TABLE TD_FIL ADD SEQPAG CHAR(10);

/*-- SEQ 0381 --*/
-- Tarefa 79781 -
ALTER TABLE TD_FIL ADD TIPPAG CHAR(1);

/*-- SEQ 0382 --*/
-- Tarefa 79781 -
ALTER TABLE TD_FIL ADD CONSTRAINT FK_DFIL_CTA_PAG FOREIGN KEY (FILPAG, SEQPAG, TIPPAG) REFERENCES TT_CTA (CODFIL, SEQUEN, TIPCTA);


/*-- SEQ 0383 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80051 --
SELECT ExecAlteraTipoColuna('TW_IIN','REFGRA','VARCHAR(20)');



/*-- SEQ 0384 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79992 --
SELECT DISABLETRIGGERS(LOWER('TI_CLI'));

/*-- SEQ 0385 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79992 --
SELECT ExecAlteraTipoColuna('TI_CLI','NUMCOD','VARCHAR(2)');


/*-- SEQ 0386 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79992 --
SELECT ExecAlteraTipoColuna('TI_CLI','CODDDD','VARCHAR(2)');


/*-- SEQ 0387 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79992 --
SELECT ENABLETRIGGERS(LOWER('TI_CLI'));


/*-- SEQ 0388 --*/
-- Tarefa 79591 --
SELECT DISABLETRIGGERS(LOWER('TT_CTBXCCB'));

/*-- SEQ 0389 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79591 --
ALTER TABLE TT_CTBXCCB ADD RECSAC VARCHAR(4000);

/*-- SEQ 0390 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79591 --
ALTER TABLE TT_CTBXCCB ADD LAYPAD Numeric(5) DEFAULT 0;

/*-- SEQ 0391 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79591 --
ALTER TABLE TT_CTBXCCB ALTER COLUMN LAYPAD SET NOT NULL;

/*-- SEQ 0392 --*/
-- Tarefa 79591 --
SELECT ENABLETRIGGERS(LOWER('TT_CTBXCCB'));


/*-- SEQ 0393 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78959 --
UPDATE TT_NCM
   SET NIVNCM = 2
 WHERE CODNCM IN ('340700');

/*-- SEQ 0394 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78959 -- 
UPDATE TT_NCM
   SET NIVNCM = 3
 WHERE CODNCM IN ('34070010','34070020','34070090'); 

/*-- SEQ 0395 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78959 -- 
UPDATE TT_NCM
   SET NIVNCM = 2
 WHERE CODNCM IN ('950300');
 
/*-- SEQ 0396 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78959 -- 
UPDATE TT_NCM
   SET NIVNCM = 3
 WHERE CODNCM IN ('95030010','95030021','95030022','95030029','95030031','95030039','95030040','95030050','95030060','95030070','95030080','95030091','95030097','95030098','95030099');
 


/*-- SEQ 0397 --*/
-- Tarefa 80142 --
SELECT DISABLETRIGGERS(LOWER('TT_RDV'));

/*-- SEQ 0398 --*/
-- Tarefa 80142 --
ALTER TABLE TT_RDV DROP COLUMN NUMTRN CASCADE;

/*-- SEQ 0399 --*/
-- Tarefa 80142 --
ALTER TABLE TT_RDV DROP COLUMN ID_TRN CASCADE;

/*-- SEQ 0400 --*/
-- Tarefa 80142 --
ALTER TABLE TT_RDV ADD NUMTRN VARCHAR(27); 

/*-- SEQ 0401 --*/
-- Tarefa 80142 --
ALTER TABLE TT_RDV ADD ID_TRN VARCHAR(20); 

/*-- SEQ 0402 --*/
-- Tarefa 80142 --
SELECT ENABLETRIGGERS(LOWER('TT_RDV'));


/*-- SEQ 0403 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80161 --
SELECT DISABLETRIGGERS(LOWER('TI_SAL'));

/*-- SEQ 0404 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80161 --
UPDATE TI_SAL
   SET MOTREJ = NULL,
       DATIMP = NULL
 WHERE STATUS = 0
   AND (MOTREJ IS NOT NULL OR DATIMP IS NOT NULL);

/*-- SEQ 0405 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80161 --
SELECT ENABLETRIGGERS(LOWER('TI_SAL'));

/*-- SEQ 0406 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80161 --
ALTER TABLE TI_SAL ADD CONSTRAINT CK_ISAL_STATUS CHECK ((STATUS = 0 AND MOTREJ IS NULL AND DATIMP IS NULL) OR STATUS <> 0);


/*-- SEQ 0407 --*/
-- Tarefa 80178 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0408 --*/
-- Tarefa 80178 --
INSERT INTO TT_FUN (NOMFUN, DATFUN, ATU_EM) 
SELECT 'SEM_BDE', Agora(), Agora()
  FROM DUAL
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM TT_FUN
                    WHERE NOMFUN = 'SEM_BDE');

/*-- SEQ 0409 --*/
-- Tarefa 80178 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0410 --*/
-- Tarefa 80178 --
SELECT DISABLETRIGGERS(LOWER('TT_IDF'));

/*-- SEQ 0411 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80178 --
ALTER TABLE TT_IDF ADD SERVID VARCHAR(20);

/*-- SEQ 0412 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80178 --
ALTER TABLE TT_IDF ADD DATBAS VARCHAR(20);

/*-- SEQ 0413 --*/
-- Tarefa 80178 --
UPDATE TT_IDF
   SET SERVID = 
                 (SELECT host(inet_server_addr())
                    FROM DUAL)
WHERE SERVID IS NULL;

/*-- SEQ 0414 --*/
-- Tarefa 80178 --
UPDATE TT_IDF
   SET DATBAS = 
                (SELECT current_database()
                   FROM DUAL)
 WHERE DATBAS IS NULL;

/*-- SEQ 0415 --*/
-- Tarefa 80178 --
SELECT ENABLETRIGGERS(LOWER('TT_IDF'));





/*-- SEQ 0416 --*/
-- Tarefa 78794 --
ALTER TABLE TT_INT ALTER COLUMN FILCLI DROP NOT NULL;

/*-- SEQ 0417 --*/
-- Tarefa 78794 --
ALTER TABLE TT_INT ALTER COLUMN CODCLI DROP NOT NULL;
 
/*-- SEQ 0418 --*/
-- Tarefa 78794 -- 
ALTER TABLE TT_INT ALTER COLUMN NUMCON DROP NOT NULL;



/*-- SEQ 0419 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 76140 --
DROP FUNCTION DividaCliente (TT_CLI.FILCLI%TYPE,TT_CLI.CODCLI%TYPE) CASCADE;


/*-- SEQ 0420 --*/
-- Tarefa 80237 --
ALTER TABLE TT_ORC DROP CONSTRAINT CK_ORC_CODEMP CASCADE;

/*-- SEQ 0421 --*/
-- Tarefa 80237 --
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_CODEMP CHECK (CODEMP IN (0, 1, 2, 3));


/*-- SEQ 0422 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80302 --
ALTER TABLE TT_ROM DROP CONSTRAINT FK_ROM_VEI CASCADE;

/*-- SEQ 0423 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80302 --
ALTER TABLE TT_AVI DROP CONSTRAINT FK_AVI_VEI CASCADE;


/*-- SEQ 0424 --*/
-- Tarefa 80394 --
ALTER TABLE TT_CFG ADD DATPAF Timestamp;

/*-- SEQ 0425 --*/
-- Tarefa 80394 --
UPDATE TT_CFG SET DATPAF = TO_DATE('01/09/2010','DD,MM,YYYY');


/*-- SEQ 0426 --*/
-- Tarefa 80494 --
SELECT DISABLETRIGGERS(LOWER('TT_IDF'));

/*-- SEQ 0427 --*/
-- Tarefa 80494 --
UPDATE TT_IDF
   SET VERSEG = 2.3;
   
/*-- SEQ 0428 --*/
-- Tarefa 80494 --
SELECT ENABLETRIGGERS(LOWER('TT_IDF'));   


/*-- SEQ 0429 --*/
-- Tarefa 79307--
SELECT DISABLETRIGGERS(LOWER('TT_DIV'));

/*-- SEQ 0430 --*/
-- Tarefa 79307--
SELECT DISABLETRIGGERS(LOWER('TT_SUB'));

/*-- SEQ 0431 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79307--
SELECT ExecAlteraTipoColuna('TT_DIV','NOMITE','VARCHAR(10)');


/*-- SEQ 0432 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79307--
SELECT ExecAlteraTipoColuna('TT_SUB','NOMITE','VARCHAR(10)');


/*-- SEQ 0433 --*/
-- Tarefa 79307--
SELECT ENABLETRIGGERS(LOWER('TT_DIV'));

/*-- SEQ 0434 --*/
-- Tarefa 79307--
SELECT ENABLETRIGGERS(LOWER('TT_SUB'));


/*-- SEQ 0435 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80138 --
ALTER TABLE TT_IVE DROP CONSTRAINT CK_IVE_ESTPEN CASCADE;


/*-- SEQ 0436 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80524 --
CREATE TABLE TT_MPR (
CODFIL CHAR(3),
DATOPE Timestamp,
NUMERO Numeric(5) )  ; 

/*-- SEQ 0437 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80524 --
ALTER TABLE TT_MPR ALTER COLUMN NUMERO SET NOT NULL;

/*-- SEQ 0438 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80524 --
ALTER TABLE TT_MPR ADD CONSTRAINT PK_MPR PRIMARY KEY (CODFIL, DATOPE);

/*-- SEQ 0439 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80524 --
ALTER TABLE TT_MPR ADD CONSTRAINT FK_MPR_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0440 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80524 --
ALTER TABLE TT_MPR ADD CONSTRAINT CK_MPR_DATOPE CHECK (DATOPE = TRUNC(DATOPE));

/*-- SEQ 0441 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 78904 --
CREATE UNIQUE INDEX I_UQ_MPR_NUMERO ON TT_MPR (CODFIL, NUMERO)  ;

/*-- SEQ 0442 --*/
-- Tarefa 78904 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'MAPA_RES', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'MAPA_RES'));


/*-- SEQ 0443 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79906 --
ALTER TABLE tt_rec ADD CONSTRAINT fk_rec_chr FOREIGN KEY (filrec, seqche) REFERENCES tt_chr(codfil, sequen);


/*-- SEQ 0444 --*/
-- Tarefa 80535 --
CREATE TABLE TL_MPR (
  CODTAB Numeric(10), 
  FILMPR CHAR(3), 
  DATMPR Timestamp, 
  DATOPE Timestamp,
  FILUSU CHAR(3), 
  CODUSU CHAR(3), 
  MSGLOG VARCHAR(4000),
  CODUID Numeric ) ;

/*-- SEQ 0445 --*/
-- Tarefa 80535 --
ALTER TABLE TL_MPR ADD CONSTRAINT PK_LMPR PRIMARY KEY (CODTAB);

/*-- SEQ 0446 --*/
-- Tarefa 80535 --
CREATE SEQUENCE SQLMPR INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0447 --*/
-- Tarefa 80535 --
ALTER TABLE TL_MPR ADD CONSTRAINT FK_LMPR_MPR FOREIGN KEY (FILMPR, DATMPR) REFERENCES TT_MPR (CODFIL, DATOPE);

/*-- SEQ 0448 --*/
-- Tarefa 80535 --
CREATE INDEX I_FK_LMPR_MPR ON TL_MPR (FILMPR, DATMPR)  ;


/*-- SEQ 0449 --*/
-- Tarefa 80310-
ALTER TABLE TT_ORC DROP CONSTRAINT CK_ORC_FLGECO CASCADE; 

/*-- SEQ 0450 --*/
-- Tarefa 80310-
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_FLGECO CHECK (FLGECO IN ('R','T','P','E', 'U', 'F'));


/*-- SEQ 0451 --*/
-- Tarefa 80340 --
CREATE TABLE TL_RDV(
  CODTAB Numeric(10,0), 
  FILRDV CHAR(3),
  SEQRDV CHAR (10),
  DATOPE Timestamp,
  FILUSU CHAR(3),
  CODUSU CHAR(3),
  MSGLOG VARCHAR(4000),
  CODUID Numeric)  ;

/*-- SEQ 0452 --*/
-- Tarefa 80340 --
ALTER TABLE TL_RDV ADD CONSTRAINT PK_LRDV PRIMARY KEY (CODTAB);

/*-- SEQ 0453 --*/
-- Tarefa 80340 --
ALTER TABLE TL_RDV ADD CONSTRAINT FK_LRDV_RDV FOREIGN KEY (FILRDV,SEQRDV) REFERENCES TT_RDV (CODFIL, SEQUEN);

/*-- SEQ 0454 --*/
-- Tarefa 80340 --
CREATE INDEX I_FK_LRDV_RDV ON TL_RDV (FILRDV,SEQRDV)  ;

/*-- SEQ 0455 --*/
-- Tarefa 80340 --
CREATE SEQUENCE SQLRDV INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0456 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0457 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD PAFECF_CGCTOT VARCHAR(14) DEFAULT '04303719000152'; 

/*-- SEQ 0458 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD PAFECF_NOMPAF VARCHAR(254) DEFAULT 'Commerce Checkout'; 

/*-- SEQ 0459 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG')); 


/*-- SEQ 0460 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79449 --
ALTER TABLE TT_TIT ADD NOSNUM2 VARCHAR(20);

/*-- SEQ 0461 --*/
-- Tarefa 79449 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0462 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79449 --
INSERT INTO TT_FUN (NOMFUN, DATFUN, ATU_EM) VALUES ('NOSSO_NUM', Agora(), Agora());

/*-- SEQ 0463 --*/
-- Tarefa 79449 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0464 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
ALTER TABLE TD_ECF ADD CRZINI Numeric(4);

/*-- SEQ 0465 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
ALTER TABLE TD_ECF ADD INTERV Numeric(4);

/*-- SEQ 0466 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
SELECT DISABLETRIGGERS(LOWER('TD_ECF'));

/*-- SEQ 0467 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
UPDATE TD_ECF
   SET INTERV = (SELECT MAX(RECF.INTERV)
                   FROM TR_ECF RECF
                  WHERE RECF.CODFIL = TD_ECF.FILECF
                    AND RECF.NUMECF = TD_ECF.NUMECF
                    AND RECF.DATOPE <= AGORA()
                    AND RECF.CNT_RO = (SELECT MAX(RECF2.CNT_RO)
                                         FROM TR_ECF RECF2
                                        WHERE RECF2.CODFIL = TD_ECF.FILECF
                                          AND RECF2.NUMECF = TD_ECF.NUMECF
                                          AND RECF2.DATOPE <= AGORA()))
 WHERE INTERV IS NULL
   AND ECFATI = 'T';                  

/*-- SEQ 0468 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
SELECT ENABLETRIGGERS(LOWER('TD_ECF'));   

/*-- SEQ 0469 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0470 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
ALTER TABLE TD_FIL ADD MPRINI Numeric(5) DEFAULT 1;

/*-- SEQ 0471 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0472 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
ALTER TABLE TD_FIL ALTER COLUMN MPRINI SET NOT NULL;

/*-- SEQ 0473 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
SELECT DISABLETRIGGERS(LOWER('TT_MPR'));

/*-- SEQ 0474 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
ALTER TABLE TT_MPR ADD EXPORT VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0475 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
SELECT ENABLETRIGGERS(LOWER('TT_MPR'));

/*-- SEQ 0476 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
ALTER TABLE TT_MPR ADD CONSTRAINT CK_MPR_EXPORT CHECK (EXPORT IN ('T','F'));

/*-- SEQ 0477 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
ALTER TABLE TT_MPR ALTER COLUMN EXPORT SET NOT NULL;

/*-- SEQ 0478 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'MAPA_RES2', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'MAPA_RES2'));


/*-- SEQ 0479 --*/
-- Tarefa 80527 --
SELECT DISABLETRIGGERS(LOWER('TT_MPR'));

/*-- SEQ 0480 --*/
-- Tarefa 80527 --
SELECT ExecAlteraTipoColuna('TT_MPR','NUMERO','Numeric(6)');


/*-- SEQ 0481 --*/
-- Tarefa 80527 --
SELECT ENABLETRIGGERS(LOWER('TT_MPR'));

/*-- SEQ 0482 --*/
-- Tarefa 80527 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0483 --*/
-- Tarefa 80527 --
SELECT ExecAlteraTipoColuna('TD_FIL','MPRINI','Numeric(6)');


/*-- SEQ 0484 --*/
-- Tarefa 80527 --
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));


/*-- SEQ 0485 --*/
-- Tarefa 80202 --
CREATE INDEX I_LC_ORC_ENVIO ON TT_ORC (ENVECO, DATENV)  ;

/*-- SEQ 0486 --*/
-- Tarefa 80202 --
CREATE INDEX I_LC_ORC_CODRAS ON TT_ORC (CODRAS)  ;


/*-- SEQ 0487 --*/
-- Tarefa 80743 --
CREATE TABLE TT_IVEXIOR (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  DATINC Timestamp,
  ATU_EM Timestamp,
  FILIVE CHAR(3),
  SEQIVE CHAR(10),
  NUMIVE Numeric(5),
  FILPED CHAR(3),
  TIPPED CHAR(1),
  NUMPED CHAR(8),
  NUMITE Numeric(5))  ;

/*-- SEQ 0488 --*/
-- Tarefa 80743 --  
ALTER TABLE TT_IVEXIOR ADD CONSTRAINT PK_IVEXIOR PRIMARY KEY (CODFIL,SEQUEN);  

/*-- SEQ 0489 --*/
-- Tarefa 80743 --
ALTER TABLE TT_IVEXIOR ADD CONSTRAINT FK_IVEXIOR_IVE FOREIGN KEY (FILIVE,SEQIVE,NUMIVE) REFERENCES TT_IVE (CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0490 --*/
-- Tarefa 80743 --
ALTER TABLE TT_IVEXIOR ADD CONSTRAINT FK_IVEXIOR_IOR FOREIGN KEY (FILPED,TIPPED,NUMPED,NUMITE) REFERENCES TT_IOR (CODFIL,TIPPED,NUMPED,NUMITE);

/*-- SEQ 0491 --*/
-- Tarefa 80743 --
CREATE INDEX I_FK_IVEXIOR_IOR ON TT_IVEXIOR (FILPED,TIPPED,NUMPED,NUMITE)  ;

/*-- SEQ 0492 --*/
-- Tarefa 80743 --
CREATE UNIQUE INDEX I_UQ_IVEXIOR ON TT_IVEXIOR (FILIVE,SEQIVE,NUMIVE)  ;

/*-- SEQ 0493 --*/
-- Tarefa 80743 --
CREATE SEQUENCE SQIVEXIOR INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0494 --*/
-- Tarefa 80687 --
ALTER TABLE TT_CFG ADD MEIO_ESTAC Numeric(5);

/*-- SEQ 0495 --*/
-- Tarefa 80687 --
ALTER TABLE TW_CFG ADD MEIO_ESTAC Numeric(5);

/*-- SEQ 0496 --*/
-- Tarefa 80687 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'MEIO_ESTAC', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'MEIO_ESTAC'));


/*-- SEQ 0497 --*/
-- Tarefa 80762 --
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0498 --*/
-- Tarefa 80762 --
ALTER TABLE TT_CLI ADD ISECHE VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0499 --*/
-- Tarefa 80762 --
SELECT ENABLETRIGGERS(LOWER('TT_CLI')); 

/*-- SEQ 0500 --*/
-- Tarefa 80762 --
ALTER TABLE TT_CLI ALTER COLUMN ISECHE SET NOT NULL;


/*-- SEQ 0501 --*/
-- Tarefa 80750 --
SELECT DISABLETRIGGERS(LOWER('TT_UID'));

/*-- SEQ 0502 --*/
-- Tarefa 80750 --
ALTER TABLE TT_UID ADD CODEMP Numeric(5) DEFAULT	0;

/*-- SEQ 0503 --*/
-- Tarefa 80750 --
ALTER TABLE TT_UID ADD CONSTRAINT CK_UID_CODEMP CHECK (CODEMP IN (0, 1, 2, 3));

/*-- SEQ 0504 --*/
-- Tarefa 80750 --
SELECT ENABLETRIGGERS(LOWER('TT_UID'));


/*-- SEQ 0505 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73907 --
ALTER TABLE TT_DESXCLI ADD ACORDO Numeric(14,4);

/*-- SEQ 0506 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73907 --
ALTER TABLE TT_DESXCLI ADD TIPACO CHAR(1);

/*-- SEQ 0507 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73907 --
ALTER TABLE TT_DESXCLI ADD DATVAL Timestamp;

/*-- SEQ 0508 --*/
-- Tarefa 73907 --
SELECT DISABLETRIGGERS(LOWER('TT_DESXCLI'));


/*-- SEQ 0509 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73907 --
UPDATE TT_DESXCLI
   SET TIPACO = 'V',
       ACORDO = COALESCE(VLRDES, 0)   
 WHERE VLRDES IS NOT NULL;
 
/*-- SEQ 0510 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73907 -- 
UPDATE TT_DESXCLI
   SET TIPACO = 'P',
       ACORDO = COALESCE(PERDES, 0) 
 WHERE PERDES IS NOT NULL; 

/*-- SEQ 0511 --*/
-- Tarefa 73907 -- 
SELECT ENABLETRIGGERS(LOWER('TT_DESXCLI'));

/*-- SEQ 0512 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73907 --
ALTER TABLE TT_DESXCLI DROP COLUMN PERDES CASCADE;

/*-- SEQ 0513 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73907 --
ALTER TABLE TT_DESXCLI DROP COLUMN VLRDES CASCADE;

/*-- SEQ 0514 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73907 --
INSERT INTO TT_FUN (NOMFUN, DATFUN, ATU_EM) VALUES ('ACORDO_PRE', Agora(), Agora());


/*-- SEQ 0515 --*/
-- Tarefa 79870 --
CREATE INDEX I_LC_ORC_FLGECO ON TT_ORC (FLGECO)  ;


/*-- SEQ 0516 --*/
-- Tarefa 81113 --
SELECT DISABLETRIGGERS(LOWER('TI_CLI'));

/*-- SEQ 0517 --*/
-- Tarefa 81113 --
SELECT ExecAlteraTipoColuna('TI_CLI','CODEXT','VARCHAR(20)');


/*-- SEQ 0518 --*/
-- Tarefa 81113 --
SELECT ENABLETRIGGERS(LOWER('TI_CLI'));

/*-- SEQ 0519 --*/
-- Tarefa 81113 --
SELECT DISABLETRIGGERS(LOWER('TE_CCC'));

/*-- SEQ 0520 --*/
-- Tarefa 81113 --
SELECT ExecAlteraTipoColuna('TE_CCC','EXTCLI','VARCHAR(20)');


/*-- SEQ 0521 --*/
-- Tarefa 81113 --
SELECT ENABLETRIGGERS(LOWER('TE_CCC'));


/*-- SEQ 0522 --*/
-- Tarefa 81119 --
ALTER TABLE TT_ORC DROP CONSTRAINT CK_ORC_FLGECO CASCADE;	

/*-- SEQ 0523 --*/
-- Tarefa 81119 --
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_FLGECO CHECK (FLGECO IN ('E','F','P','R','T'));


/*-- SEQ 0524 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81425 --
SELECT * FROM NADA;


/*-- SEQ 0525 --*/
-- Tarefa 81396 --
ALTER TABLE TT_CFG ADD COLUMN ECOM_VISA Numeric(5) ;


/*-- SEQ 0526 --*/
-- Tarefa 81396 --
ALTER TABLE TT_CFG ADD COLUMN ECOM_MASTER Numeric(5) ;


/*-- SEQ 0527 --*/
-- Tarefa 81396 --
ALTER TABLE TT_CFG ADD COLUMN ECOM_AMEX Numeric(5) ;


/*-- SEQ 0528 --*/
-- Tarefa 81396 --
ALTER TABLE TW_CFG ADD COLUMN ECOM_VISA Numeric(5) ;


/*-- SEQ 0529 --*/
-- Tarefa 81396 --
ALTER TABLE TW_CFG ADD COLUMN ECOM_MASTER Numeric(5) ;


/*-- SEQ 0530 --*/
-- Tarefa 81396 --
ALTER TABLE TW_CFG ADD COLUMN ECOM_AMEX Numeric(5) ;


/*-- SEQ 0531 --*/
-- Tarefa 81396 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_VISA FOREIGN KEY (ECOM_VISA) REFERENCES TD_CAR (CODTAB);

/*-- SEQ 0532 --*/
-- Tarefa 81396 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_MASTER FOREIGN KEY (ECOM_MASTER) REFERENCES TD_CAR (CODTAB);

/*-- SEQ 0533 --*/
-- Tarefa 81396 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_AMEX FOREIGN KEY (ECOM_AMEX) REFERENCES TD_CAR (CODTAB);


/*-- SEQ 0534 --*/
/*-- IGNORE ERRO --*/
DROP VIEW TV_FIS_60;


/*-- SEQ 0535 --*/
-- Tarefa 81425 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0536 --*/
-- Tarefa 81425 --
UPDATE TT_CFG 
   SET MEIO_ESTAC = NULL
 WHERE NOT EXISTS(SELECT 1 AS OK
                    FROM TD_OUT DOUT
                   WHERE DOUT.CODTAB = TT_CFG.MEIO_ESTAC);

/*-- SEQ 0537 --*/
-- Tarefa 81425 --
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));
				   
/*-- SEQ 0538 --*/
-- Tarefa 81425 --				   
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DOUT_MEIO_ESTAC FOREIGN KEY (MEIO_ESTAC) REFERENCES TD_OUT (CODTAB);


/*-- SEQ 0539 --*/
-- Tarefa 81474 --
SELECT ExecAlteraTipoColuna('TT_GRA','PTOQTD','Numeric(14,4)');


/*-- SEQ 0540 --*/
-- Tarefa 81474 --
SELECT ExecAlteraTipoColuna('TT_GRA','PESLIQ','Numeric(14,4)');


/*-- SEQ 0541 --*/
-- Tarefa 81474 --
SELECT ExecAlteraTipoColuna('TT_GRA','PESBRU','Numeric(14,4)');



/*-- SEQ 0542 --*/
-- Tarefa 81604 --
ALTER TABLE TT_UID DROP CONSTRAINT CK_UID_CODEMP CASCADE;

/*-- SEQ 0543 --*/
-- Tarefa 81604 --
ALTER TABLE TT_UID ADD CONSTRAINT CK_UID_CODEMP CHECK (CODEMP IN (0,1,2,3,4));

/*-- SEQ 0544 --*/
-- Tarefa 81604 --
ALTER TABLE TT_ORC DROP CONSTRAINT CK_ORC_CODEMP CASCADE;

/*-- SEQ 0545 --*/
-- Tarefa 81604 --
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_CODEMP CHECK (CODEMP IN (0,1,2,3,4));


/*-- SEQ 0546 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81652 --
SELECT ExecAlteraTipoColuna('TW_COM_FIS','CODSER','VARCHAR(3)');



/*-- SEQ 0547 --*/
-- Tarefa 81711 --
ALTER TABLE TT_RDV DROP CONSTRAINT CK_RDV_RTTATI CASCADE;

/*-- SEQ 0548 --*/
-- Tarefa 81711 --
ALTER TABLE TT_RDV ADD CONSTRAINT CK_RDV_TIPRDV CHECK (TIPRDV in ('B','M','V','A','P','C'));

