
/*-- SEQ 0001 --*/
-- Tarefa 90578 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN ARREDONDAM VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0003 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0004 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90578 --
ALTER TABLE TT_CFG ALTER COLUMN ARREDONDAM SET NOT NULL;

/*-- SEQ 0005 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90578 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_ARREDONDAM CHECK (ARREDONDAM IN ('T','F'));

/*-- SEQ 0006 --*/
-- Tarefa 90578 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0007 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN ARREDONDAM VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0008 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0009 --*/
-- Tarefa 90459 --
ALTER TABLE TT_DXC ADD COLUMN DIAFIX Numeric(2,0) ;


/*-- SEQ 0010 --*/
-- Tarefa 90459 --
ALTER TABLE TT_DXC ADD CONSTRAINT CK_DXC_DIAFIX CHECK ((DIAFIX >= 1) AND (DIAFIX <= 31) OR (DIAFIX IS NULL));


/*-- SEQ 0011 --*/
-- Tarefa 90567 --
SELECT DISABLETRIGGERS(LOWER('TT_IOR'));

/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD COLUMN ICMTIP CHAR(1) DEFAULT '0';

/*-- SEQ 0013 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IOR'));

/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90567 --
ALTER TABLE TT_IOR ALTER COLUMN ICMTIP SET NOT NULL;

/*-- SEQ 0015 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90567 --
ALTER TABLE TT_IOR ADD CONSTRAINT CK_IOR_ICMTIP CHECK (ICMTIP IN ('0','1','2','3','4','5'));

/*-- SEQ 0016 --*/
-- Tarefa 90567 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD COLUMN DESRAT Numeric(12,2) ;


/*-- SEQ 0017 --*/
-- Tarefa 90567 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD COLUMN VLRSEG Numeric(12,2) ;


/*-- SEQ 0018 --*/
-- Tarefa 90567 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD COLUMN BASIPI Numeric(12,2) ;


/*-- SEQ 0019 --*/
-- Tarefa 90567 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD COLUMN VLRIPI Numeric(12,2) ;



/*-- SEQ 0020 --*/
-- Tarefa 90562 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0021 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN TRANSPICM VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0022 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0023 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90562 --
ALTER TABLE TT_CFG ALTER COLUMN TRANSPICM SET NOT NULL;

/*-- SEQ 0024 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90562 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_TRANSPICM CHECK (TRANSPICM IN ('T','F'));

/*-- SEQ 0025 --*/
-- Tarefa 90562 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0026 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN TRANSPICM VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0027 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0028 --*/
-- Tarefa 90562 - Update para o Cliente PSC que nao usa essa configuracao --
UPDATE TT_CFG
   SET TRANSPICM = 'F' 
 WHERE (SELECT CGCFIL 
          FROM TD_FIL 
         WHERE CODFIL = '001') = '23496359000105';
		 
/*-- SEQ 0029 --*/
-- Tarefa 90562 - Update para o Cliente PSC que nao usa essa configuracao --
UPDATE TW_CFG
   SET TRANSPICM = 'F' 
 WHERE (SELECT CGCFIL 
          FROM TD_FIL 
         WHERE CODFIL = '001') = '23496359000105';


/*-- SEQ 0030 --*/
-- Tarefa 90564 --
SELECT DISABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0031 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IUF ADD COLUMN REGESPIMP VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0032 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0033 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90564 --
ALTER TABLE TT_IUF ALTER COLUMN REGESPIMP SET NOT NULL;

/*-- SEQ 0034 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90564 --
ALTER TABLE TT_IUF ADD CONSTRAINT CK_IUF_REGESPIMP CHECK (REGESPIMP IN ('T','F'));

/*-- SEQ 0035 --*/
-- Tarefa 90564 --
SELECT DISABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IUF ADD COLUMN REDICM VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0037 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0038 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90564 --
ALTER TABLE TT_IUF ALTER COLUMN REDICM SET NOT NULL;

/*-- SEQ 0039 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90564 --
ALTER TABLE TT_IUF ADD CONSTRAINT CK_IUF_REDICM CHECK (REDICM IN ('T','F'));

/*-- SEQ 0040 --*/
-- Tarefa 90564 --
SELECT DISABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0041 --*/
-- Tarefa 90564 - Update para o Cliente TROK o unico usa essa configuracao --
UPDATE TT_IUF
   SET REGESPIMP = 'T' 
 WHERE '76596501000144' IN (SELECT CGCFIL 
                              FROM TD_FIL);
		 
/*-- SEQ 0042 --*/
-- Tarefa 90564 - Update para o Cliente PARIS que nao usa essa configuracao --
UPDATE TT_IUF
   SET REDICM = 'F' 
 WHERE (SELECT CGCFIL 
          FROM TD_FIL 
         WHERE CODFIL = '001') = '03938020000104';
		 
/*-- SEQ 0043 --*/
-- Tarefa 90564 --
SELECT ENABLETRIGGERS(LOWER('TT_IUF'));


/*-- SEQ 0044 --*/
-- Tarefa 90585 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,371)||'N'||SUBSTR(PERMIS,373,9999);


/*-- SEQ 0045 --*/
-- Tarefa 90595 --
ALTER TABLE TT_IUF DROP CONSTRAINT CK_IUF_FLGRED CASCADE;

/*-- SEQ 0046 --*/
-- Tarefa 90595 --
ALTER TABLE TT_IUF ADD CONSTRAINT CK_IUF_FLGRED CHECK (FLGRED IN ('C','J','R','E'));


/*-- SEQ 0047 --*/
-- Tarefa 90494 --
ALTER TABLE TT_CFG ADD COLUMN FILCOB CHAR(3) ;


/*-- SEQ 0048 --*/
-- Tarefa 90494 --
ALTER TABLE TT_CFG ADD COLUMN FILENT CHAR(3) ;


/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90494 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DFIL_FILCOB FOREIGN KEY (FILCOB) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0050 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90494 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DFIL_FILEND FOREIGN KEY (FILENT) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0051 --*/
-- Tarefa 90494 --
CREATE INDEX I_FK_FG_DFIL_FILCOB ON TT_CFG (FILCOB)  ;

/*-- SEQ 0052 --*/
-- Tarefa 90494 --
CREATE INDEX I_FK_FG_DFIL_FILEND ON TT_CFG (FILENT)  ;

/*-- SEQ 0053 --*/
-- Tarefa 90494 --
ALTER TABLE TW_CFG ADD COLUMN FILCOB CHAR(3) ;


/*-- SEQ 0054 --*/
-- Tarefa 90494 --
ALTER TABLE TW_CFG ADD COLUMN FILENT CHAR(3) ;



/*-- SEQ 0055 --*/
-- Tarefa 90482 --
ALTER TABLE TT_CFG ADD COLUMN FIL_BASF CHAR(3) ;


/*-- SEQ 0056 --*/
-- Tarefa 90494 --
ALTER TABLE TT_CFG ADD COLUMN COD_BASF CHAR(6) ;


/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90494 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_CLI_BASF FOREIGN KEY (FIL_BASF, COD_BASF) REFERENCES TT_CLI(FILCLI, CODCLI);

/*-- SEQ 0058 --*/
-- Tarefa 90494 --
CREATE INDEX I_FK_CFG_CLI_BASF ON TT_CFG (FIL_BASF, COD_BASF)  ;

/*-- SEQ 0059 --*/
-- Tarefa 90482 --
ALTER TABLE TW_CFG ADD COLUMN FIL_BASF CHAR(3) ;


/*-- SEQ 0060 --*/
-- Tarefa 90494 --
ALTER TABLE TW_CFG ADD COLUMN COD_BASF CHAR(6) ;



/*-- SEQ 0061 --*/
-- Tarefa 90682 --
ALTER TABLE TD_FRE DROP CONSTRAINT CK_DFRE_TIPCOB CASCADE;

/*-- SEQ 0062 --*/
-- Tarefa 90682 --
ALTER TABLE TD_FRE ADD CONSTRAINT CK_DFRE_TIPCOB CHECK (DFRE_TIPCOB IN ('V','E','P','Q','R'));


/*-- SEQ 0063 --*/
-- Tarefa 90601 --
SELECT DISABLETRIGGERS(LOWER('TT_LOT'));

/*-- SEQ 0064 --*/
ALTER TABLE TT_LOT ADD COLUMN FLGPON VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0065 --*/
SELECT ENABLETRIGGERS(LOWER('TT_LOT'));

/*-- SEQ 0066 --*/
-- Tarefa 90601 --
ALTER TABLE TT_LOT ALTER COLUMN FLGPON SET NOT NULL;

/*-- SEQ 0067 --*/
-- Tarefa 90601 --
ALTER TABLE TT_LOT ADD CONSTRAINT CK_LOT_FLGPON CHECK (FLGPON IN ('T','F'));


/*-- SEQ 0068 --*/
-- Tarefa 90739 --
SELECT DISABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0069 --*/
ALTER TABLE TT_VEN ADD COLUMN FLGEXT VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0070 --*/
SELECT ENABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0071 --*/
-- Tarefa 90739 --
ALTER TABLE TT_VEN ALTER COLUMN FLGEXT SET NOT NULL;

/*-- SEQ 0072 --*/
-- Tarefa 90739 --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_FLGEXT CHECK (FLGEXT IN ('T','F'));


/*-- SEQ 0073 --*/
-- Tarefa 90603 --
ALTER TABLE TT_CPM ADD COLUMN FILLOT CHAR(3) ;


/*-- SEQ 0074 --*/
-- Tarefa 90603 --
ALTER TABLE TT_CPM ADD COLUMN SEQLOT CHAR(10) ;



/*-- SEQ 0075 --*/
-- Tarefa 90603 --
ALTER TABLE TT_CPM ADD CONSTRAINT FK_CPM_LOT FOREIGN KEY (FILLOT,SEQLOT ) REFERENCES TT_LOT (CODFIL, SEQUEN);


/*-- SEQ 0076 --*/
-- Tarefa 90764 --
CREATE INDEX I_LC_CCC_NUMDOC ON TT_CCC (NUMDOC)  ;


/*-- SEQ 0077 --*/
-- Tarefa 90867 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0078 --*/
-- Tarefa 90867 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'RTTTRGNUM', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'RTTTRGNUM'));

/*-- SEQ 0079 --*/
-- Tarefa 90867 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0080 --*/
-- Tarefa 90850 --
ALTER TABLE TT_PLA ADD COLUMN JURFLX Numeric(6,4) ;


/*-- SEQ 0081 --*/
-- Tarefa 90850 --
ALTER TABLE TT_PLA ADD CONSTRAINT CK_PLA_JURFLX CHECK (JURFLX >= 0);


/*-- SEQ 0082 --*/
-- Tarefa 90796 --
CREATE TABLE TT_POR (
  CODFIL CHAR(3),
  TIPPED CHAR(1),
  NUMPED CHAR(8),
  NUMPAR CHAR(2),
  DATORI Timestamp,
  DATVEN Timestamp,
  VLRPAR Numeric(12,2),
  JURPAR Numeric(12,2)  
  )  ;
  
/*-- SEQ 0083 --*/ 
-- Tarefa 90796 --
ALTER TABLE TT_POR ADD CONSTRAINT PK_POR PRIMARY KEY (CODFIL,TIPPED,NUMPED); 

/*-- SEQ 0084 --*/
-- Tarefa 90796 --
ALTER TABLE TT_POR ADD CONSTRAINT FK_POR_ORC FOREIGN KEY (CODFIL,TIPPED,NUMPED) REFERENCES TT_ORC(CODFIL,TIPPED,NUMPED);
 
/*-- SEQ 0085 --*/
-- Tarefa 90796 --
/*--IGNORE ERRO--*/
CREATE INDEX I_FK_POR_ORC ON TT_POR (CODFIL,TIPPED,NUMPED)  ;
  
/*-- SEQ 0086 --*/
-- Tarefa 90796 --
ALTER TABLE TT_POR ADD CONSTRAINT CK_POR_NUMPAR CHECK (NUMPAR > 0);

/*-- SEQ 0087 --*/
-- Tarefa 90796 --
ALTER TABLE TT_POR ADD CONSTRAINT CK_POR_VLRPAR CHECK (VLRPAR > 0);

/*-- SEQ 0088 --*/
-- Tarefa 90796 --
ALTER TABLE TT_POR ADD CONSTRAINT CK_POR_DATORI CHECK (DATORI = TRUNC(DATORI));

/*-- SEQ 0089 --*/
-- Tarefa 90796 --
ALTER TABLE TT_POR ADD CONSTRAINT CK_POR_DATVEN CHECK (DATVEN = TRUNC(DATVEN));

/*-- SEQ 0090 --*/
-- Tarefa 90796 --
ALTER TABLE TT_POR ALTER COLUMN NUMPAR SET NOT NULL;

/*-- SEQ 0091 --*/
-- Tarefa 90796 --
ALTER TABLE TT_POR ALTER COLUMN DATORI SET NOT NULL;

/*-- SEQ 0092 --*/
-- Tarefa 90796 --
ALTER TABLE TT_POR ALTER COLUMN DATVEN SET NOT NULL;

/*-- SEQ 0093 --*/
-- Tarefa 90796 --
ALTER TABLE TT_POR ALTER COLUMN VLRPAR SET NOT NULL;

/*-- SEQ 0094 --*/
-- Tarefa 90796 --
ALTER TABLE TT_POR ALTER COLUMN TIPPED SET DEFAULT '0';


/*-- SEQ 0095 --*/
-- Tarefa 90854 --
ALTER TABLE TT_ORC ADD COLUMN JURPAR Numeric(12,2) ;



/*-- SEQ 0096 --*/ 
-- Tarefa 90796 --  
ALTER TABLE TT_POR DROP CONSTRAINT CK_POR_NUMPAR CASCADE;  

/*-- SEQ 0097 --*/ 
-- Tarefa 90796 --  
ALTER TABLE TT_POR DROP CONSTRAINT PK_POR CASCADE;  

/*-- SEQ 0098 --*/ 
-- Tarefa 90796 --
ALTER TABLE TT_POR ADD CONSTRAINT PK_POR PRIMARY KEY (CODFIL,TIPPED,NUMPED,NUMPAR); 

  
/*-- SEQ 0099 --*/
-- Tarefa 90796 --
ALTER TABLE TT_POR ADD CONSTRAINT CK_POR_NUMPAR CHECK (NUMPAR > 0);


/*-- SEQ 0100 --*/
-- Tarefa 90569 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD COLUMN VLRIPIFRE Numeric(12,2) ;



/*-- SEQ 0101 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90597 --
ALTER TABLE TT_CFG ADD COLUMN FILPRE_REV CHAR(3) ;


/*-- SEQ 0102 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90597 --
ALTER TABLE TT_CFG ADD COLUMN CODPRE_REV Numeric(5) ;


/*-- SEQ 0103 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90597 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_TPR_REV FOREIGN KEY (FILPRE_REV, CODPRE_REV) REFERENCES TT_TPR (CODFIL, CODPRE);

/*-- SEQ 0104 --*/
-- Tarefa 90597 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0105 --*/
-- Tarefa 90597 --
UPDATE TT_CFG
   SET FILPRE_REV = '001',
       CODPRE_REV = 4
 WHERE FILPRE_REV IS NULL
   AND EXISTS (SELECT 1 AS OK 
                 FROM TD_FIL FIL
                WHERE FIL.CODFIL = '006' --PCIA
                  AND FIL.CGCFIL = '07014198000373');

/*-- SEQ 0106 --*/
-- Tarefa 90597 --
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));


/*-- SEQ 0107 --*/ 
-- Tarefa 90796 --  
ALTER TABLE TT_POR DROP CONSTRAINT CK_POR_NUMPAR CASCADE;  


/*-- SEQ 0108 --*/ 
-- Tarefa 90494 --  
DROP INDEX I_FK_FG_DFIL_FILCOB;

/*-- SEQ 0109 --*/ 
-- Tarefa 90494 --  
DROP INDEX I_FK_FG_DFIL_FILEND;

/*-- SEQ 0110 --*/
-- Tarefa 90494 --
CREATE INDEX I_FK_CFG_DFIL_FILCOB ON TT_CFG (FILCOB)  ;

/*-- SEQ 0111 --*/
-- Tarefa 90494 --
CREATE INDEX I_FK_CFG_DFIL_FILEND ON TT_CFG (FILENT)  ;


/*-- SEQ 0112 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91098 --
select * from nada;


/*-- SEQ 0113 --*/
-- Tarefa 91154 --
ALTER TABLE TT_PLA ADD COLUMN DIAFLX Numeric(5) ;


/*-- SEQ 0114 --*/
-- Tarefa 91154 --
ALTER TABLE TT_PLA ADD CONSTRAINT CK_PLA_DIAFLX CHECK ((DIAFLX >= 0) OR (DIAFLX IS NULL));


/*-- SEQ 0115 --*/
-- Tarefa 91098 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0116 --*/
-- Tarefa 91098 --
UPDATE TT_CFG
   SET CheckOut_VERMIN = '5.2F',
       CheckOut_RELMIN = 0;

/*-- SEQ 0117 --*/
-- Tarefa 91098 --
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));


/*-- SEQ 0118 --*/
-- Tarefa 91351 --
CREATE INDEX I_LC_EDI_GRA ON TT_EDI (FILMAT,CODMAT,CODCOR,CODTAM,CODFIL,SEQUEN)  ;


/*-- SEQ 0119 --*/ 
-- Tarefa 91060 --  
ALTER TABLE TT_ICO DROP CONSTRAINT CK_ICO_CODORI CASCADE;  

/*-- SEQ 0120 --*/ 
-- Tarefa 91060 --  
ALTER TABLE TT_IVE DROP CONSTRAINT CK_IVE_CODORI CASCADE;  

/*-- SEQ 0121 --*/ 
-- Tarefa 91060 --  
ALTER TABLE TT_PRO DROP CONSTRAINT CK_PRO_ORIPRO CASCADE;  

/*-- SEQ 0122 --*/
-- Tarefa 91060 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_CODORI CHECK (CODORI IN ('0','1','2','3','4','5','6','7','8'));

/*-- SEQ 0123 --*/
-- Tarefa 91060 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_CODORI CHECK (CODORI IN ('0','1','2','3','4','5','6','7','8'));

/*-- SEQ 0124 --*/
-- Tarefa 91060 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_ORIPRO CHECK (ORIPRO IN ('0','1','2','3','4','5','6','7','8'));


/*-- SEQ 0125 --*/ 
-- DN - Casa Carneiro
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PAG ADD COLUMN ESTCAN Timestamp ;



/*-- SEQ 0126 --*/
-- Tarefa 90032 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)  
  (SELECT '85075000',3,16,'T','- Fecho e armac.c/fecho,c/fech.d/met.comum '
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '85075000'));

/*-- SEQ 0127 --*/
-- Tarefa 90141 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84433191',4,16,'T','-- Mq.p/imp.transm.d/fax,conect.p/process.p/sist.trmico'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84433191'));

/*-- SEQ 0128 --*/
-- Tarefa 90141 --                       
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84433199',4,16,'T','-- Outs.mq.p/imp.transm.d/fax,conects.p/proc.d/dados/rede'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84433199'));

/*-- SEQ 0129 --*/
-- Tarefa 90141 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84433119',4,16,'T','Outras'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84433119'));

/*-- SEQ 0130 --*/
-- Tarefa 90310 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84439932',7,16,'T','Cilindros recobertos d/matria semicond. fotoeltrica'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84439932'));

/*-- SEQ 0131 --*/
-- Tarefa 90310 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84439933',7,16,'T',' Cartuchos de revelador (#toner#)'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84439933'));

/*-- SEQ 0132 --*/
-- Tarefa 89492 --                       
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84433199',7,16,'T','Outs.Mq.P/Imp.Transm.d/Fax,Conects.p/Proc.d/Dados/Rede'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84433199'));


/*-- SEQ 0133 --*/
-- Tarefa 91510 --
ALTER TABLE TT_IVE ADD COLUMN VLRFLX Numeric(12,2) ;


/*-- SEQ 0134 --*/
-- Tarefa 91510 --
ALTER TABLE TT_VEN ADD COLUMN VLRFLX Numeric(12,2) ;


/*-- SEQ 0135 --*/
-- Tarefa 91510 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0136 --*/
-- Tarefa 91510 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'VENVLRFLX', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'VENVLRFLX'));

/*-- SEQ 0137 --*/
-- Tarefa 91510 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0138 --*/
-- Tarefa 91126 --
ALTER TABLE TT_IVEXIPE ADD COLUMN FILLOT CHAR(3) ;


/*-- SEQ 0139 --*/
-- Tarefa 91126 --
ALTER TABLE TT_IVEXIPE ADD COLUMN SEQLOT CHAR(10) ;


/*-- SEQ 0140 --*/
-- Tarefa 91126 --
ALTER TABLE TT_IVEXIPE ADD CONSTRAINT FK_IVEXIPE_LOT FOREIGN KEY (FILLOT, SEQLOT) REFERENCES TT_LOT (CODFIL, SEQUEN);

/*-- SEQ 0141 --*/
-- Tarefa 91126 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0142 --*/
-- Tarefa 91126 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'IVEXIPELOT', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'IVEXIPELOT'));

/*-- SEQ 0143 --*/
-- Tarefa 91126 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0144 --*/
-- Tarefa 91538 --
ALTER TABLE TT_KIT ADD COLUMN NUMEXT_TINTA VARCHAR(40) ;



/*-- SEQ 0145 --*/
-- Tarefa 91546--
SELECT DISABLETRIGGERS(LOWER('TT_BSC'));

/*-- SEQ 0146 --*/
ALTER TABLE TT_BSC ADD COLUMN FLGORI CHAR(1) DEFAULT 'S';

/*-- SEQ 0147 --*/
SELECT ENABLETRIGGERS(LOWER('TT_BSC'));

/*-- SEQ 0148 --*/
-- Tarefa 91546 --
ALTER TABLE TT_BSC ALTER COLUMN FLGORI SET NOT NULL;

/*-- SEQ 0149 --*/
-- Tarefa 91546--
ALTER TABLE TT_BSC ADD CONSTRAINT CK_BSC_FLGORI CHECK (FLGORI IN ('S','O'));


/*-- SEQ 0150 --*/
-- Tarefa 91563 --
ALTER TABLE GX_CFG ADD COLUMN GX_CFGCOMMERCEWEBBASEURL VARCHAR(40) ;


/*-- SEQ 0151 --*/
-- Tarefa 91563 --
ALTER TABLE GX_CFG ADD COLUMN GX_CFGCOMMERCEWEBHOST VARCHAR(40) ;


/*-- SEQ 0152 --*/
-- Tarefa 91563 --
ALTER TABLE GX_CFG ADD COLUMN GX_CFGCOMMERCEWEBPORT Numeric(10) ;



/*-- SEQ 0153 --*/
-- Tarefa 91538 --
CREATE INDEX I_LC_KIT_EXT ON TT_KIT (NUMEXT_TINTA)  ;


/*-- SEQ 0154 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91558 --
SELECT * FROM NADA;

/*-- SEQ 0155 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91558 --
SELECT * FROM NADA;

/*-- SEQ 0156 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91558 --
SELECT * FROM NADA;


/*-- SEQ 0157 --*/
-- Tarefa 91698--
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD COLUMN ARRTRU CHAR(1) ;


/*-- SEQ 0158 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91698--
ALTER TABLE TD_ECF ADD CONSTRAINT CK_ECF_ARRTRU CHECK ((ARRTRU IN ('A','T')) OR (ARRTRU IS NULL));

/*-- SEQ 0159 --*/
-- Tarefa 91698 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0160 --*/
-- Tarefa 91698 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'DECFARRTRU', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'DECFARRTRU'));

/*-- SEQ 0161 --*/
-- Tarefa 91698 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0162 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 91707 --  
ALTER TABLE TT_SAV DROP CONSTRAINT CK_SAV_NUMSEQ CASCADE;  

/*-- SEQ 0163 --*/
-- Tarefa 91707 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0164 --*/
-- Tarefa 91707 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'VTGNUMSEQ', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'VTGNUMSEQ'));

/*-- SEQ 0165 --*/
-- Tarefa 91707 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0166 --*/
-- Tarefa 91688--
/*-- IGNORE ERRO --*/
ALTER TABLE TD_PRI ADD COLUMN SEREVI Numeric(1) ;


/*-- SEQ 0167 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91688--
ALTER TABLE TD_PRI ALTER COLUMN SEREVI TYPE Numeric(2);


/*-- SEQ 0168 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
CREATE TABLE TT_NFE (
  nfe_id_Doc             Numeric(9),
  nfe_id_statusNFe       Numeric(9),
  nfe_id_chave           VARCHAR(44),
  nfe_id_versao          VARCHAR(10),
  nfe_id_UF              Numeric(9),
  nfe_nu_nNF             Numeric(9),
  nfe_nu_cNF             Numeric(9),
  nfe_ds_Modelo          VARCHAR(2),
  nfe_nu_Serie           Numeric(4),
  nfe_dt_Emissao         Timestamp,
  nfe_dt_SaiEnt          Timestamp,
  nfe_tp_NF              Numeric(4),
  nfe_tp_Emissao         Numeric(4),
  nfe_tp_Impressao       Numeric(4),
  nfe_nu_DV              Numeric(4),
  nfe_tp_Amb             Numeric(4),
  nfe_tp_Finalidade      Numeric(4),
  nfe_tp_procEmi         Numeric(4),
  nfe_ds_CNPJemit        VARCHAR(14),
  nfe_id_IEEmit          VARCHAR(50),
  nfe_ds_CNPJdest        VARCHAR(14),
  nfe_ds_IEDest          VARCHAR(50),
  nfe_ds_UFDest          VARCHAR(2),
  nfe_vl_total           Numeric(18,2),
  nfe_id_refNFe          VARCHAR(44),
  nfe_vl_ICMSTotBC       Numeric(15,2),
  nfe_vl_ICMSTot         Numeric(15,2),
  nfe_vl_ICMSSTTot       Numeric(15,2),
  nfe_vl_ICMSSTTotBC     Numeric(15,2),
  nfe_vl_vProdTot        Numeric(15,2),
  nfe_vl_vFreteTot       Numeric(15,2),
  nfe_vl_vSegTot         Numeric(15,2),
  nfe_vl_vDescTot        Numeric(15,2),
  nfe_vl_vIITot          Numeric(15,2),
  nfe_vl_vIPITot         Numeric(15,2),
  nfe_vl_vPISTot         Numeric(15,2),
  nfe_vl_vCOFINSTot      Numeric(15,2),
  nfe_vl_vOutroTot       Numeric(15,2),
  nfe_fl_apuracao        Numeric(9),
  nfe_dt_apuracao        Timestamp,
  nfe_CODFIL             CHAR(3)
  )  ;

/*-- SEQ 0169 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ADD CONSTRAINT PK_NFE PRIMARY KEY (nfe_id_Doc);

/*-- SEQ 0170 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_id_statusNFe SET NOT NULL;

/*-- SEQ 0171 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_id_chave SET NOT NULL;

/*-- SEQ 0172 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_id_versao SET NOT NULL;

/*-- SEQ 0173 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_id_UF SET NOT NULL;

/*-- SEQ 0174 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_nu_nNF SET NOT NULL;

/*-- SEQ 0175 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_nu_cNF SET NOT NULL;

/*-- SEQ 0176 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_ds_Modelo SET NOT NULL;

/*-- SEQ 0177 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_nu_Serie SET NOT NULL;

/*-- SEQ 0178 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_dt_Emissao SET NOT NULL;

/*-- SEQ 0179 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_tp_NF SET NOT NULL;

/*-- SEQ 0180 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_tp_Emissao SET NOT NULL;

/*-- SEQ 0181 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_tp_Impressao SET NOT NULL;

/*-- SEQ 0182 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_nu_DV SET NOT NULL;

/*-- SEQ 0183 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_tp_Amb SET NOT NULL;

/*-- SEQ 0184 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_tp_Finalidade SET NOT NULL;

/*-- SEQ 0185 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_tp_procEmi SET NOT NULL;

/*-- SEQ 0186 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_ds_CNPJemit SET NOT NULL;

/*-- SEQ 0187 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_id_IEEmit SET NOT NULL;

/*-- SEQ 0188 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_ds_UFDest SET NOT NULL;

/*-- SEQ 0189 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_vl_total SET NOT NULL;

/*-- SEQ 0190 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_fl_apuracao SET NOT NULL;

/*-- SEQ 0191 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_CODFIL SET NOT NULL;

/*-- SEQ 0192 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
DROP INDEX I_FK_NFE_DT_EMISSAO;

/*-- SEQ 0193 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
DROP INDEX I_FK_NFE_ID_CHAVE;

/*-- SEQ 0194 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
DROP INDEX I_FK_NFE_CODFIL;

/*-- SEQ 0195 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
CREATE INDEX I_LC_NFE_DT_EMISSAO ON TT_NFE (nfe_ds_CNPJemit, nfe_dt_Emissao)  ;

/*-- SEQ 0196 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
CREATE INDEX I_LC_NFE_ID_CHAVE ON TT_NFE (nfe_id_chave)  ;

/*-- SEQ 0197 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
CREATE INDEX I_FK_NFE_CODFIL ON TT_NFE (nfe_CODFIL)  ;

/*-- SEQ 0198 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
CREATE TABLE TT_INF (
  inf_id_item            Numeric(9),
  nfe_id_Doc             Numeric(9),
  inf_ds_cProd           VARCHAR(60),
  inf_vl_prod            Numeric(15,4),
  inf_nu_qCom            Numeric(15,4),
  inf_vl_vUnCom          Numeric(15,4),
  inf_nu_qTrib           Numeric(15,4),
  inf_vl_vUnTrib         Numeric(15,4),
  inf_nu_NCM             VARCHAR(8),
  inf_fl_indTot          Numeric(9),
  inf_nu_CFOP            Numeric(4),
  inf_vl_frete           Numeric(15,4),
  inf_vl_desconto        Numeric(15,4),
  inf_vl_seguro          Numeric(15,4),
  inf_vl_outro           Numeric(15,4),
  inf_fl_ICMSOrig        Numeric(1),
  inf_nu_ICMSCST         Numeric(3),
  inf_fl_ICMSModBC       Numeric(9),
  inf_vl_ICMSpRedBC      Numeric(5,2),
  inf_vl_ICMSvBC         Numeric(15,4),
  inf_vl_ICMS            Numeric(15,4),
  inf_vl_ICMSAliq        Numeric(5,2),
  inf_vl_ICMSpCredSN     Numeric(5,2),
  inf_vl_ICMSvCredSN     Numeric(15,4),
  inf_fl_ICMSSTModBC     Numeric(9),
  inf_vl_ICMSSTpRedBC    Numeric(5,2),
  inf_vl_ICMSSTpmvaST    Numeric(5,2),
  inf_vl_ICMSSTvBC       Numeric(15,4),
  inf_vl_ICMSST          Numeric(15,4),
  inf_vl_ICMSSTAliq      Numeric(5,2),
  inf_vl_ICMSSTvBCRet    Numeric(15,4),
  inf_vl_ICMSSTvRet      Numeric(15,4),
  inf_nu_PISCST          Numeric(3),
  inf_vl_PISBC           Numeric(15,4),
  inf_vl_PIS             Numeric(15,4),
  inf_vl_PISAliq         Numeric(5,2),
  inf_vl_PISqBCProd      Numeric(15,4),
  inf_vl_PISvAliqProd    Numeric(15,4),
  inf_nu_COFINSCST       Numeric(3),
  inf_vl_COFINSBC        Numeric(15,4),
  inf_vl_COFINS          Numeric(15,4),
  inf_vl_COFINSAliq      Numeric(5,2),
  inf_vl_COFINSqBCProd   Numeric(15,4),
  inf_vl_COFINSvAliqProd Numeric(15,4),
  inf_nu_IPICST          Numeric(3),
  inf_vl_IPIBC           Numeric(15,4),
  inf_vl_IPI             Numeric(15,4),
  inf_vl_IPIAliq         Numeric(15,2),
  inf_vl_IPIqUnid        Numeric(15,4),
  inf_vl_IPIvUnid        Numeric(15,4),
  inf_vl_ISSQNBC         Numeric(15,4),
  inf_vl_ISSQN           Numeric(15,4),
  inf_vl_ISSQNAliq       Numeric(5,2),
  inf_vl_IIBC            Numeric(15,2),
  inf_vl_II              Numeric(15,2),
  inf_vl_IIvIOF          Numeric(15,2),
  inf_vl_IIvDespAdu      Numeric(15,2),
  inf_NUMITE             Numeric(5),
  inf_FILMAT             CHAR(3),
  inf_CODMAT             CHAR(5),
  inf_CODCOR             Numeric(5),
  inf_CODTAM             Numeric(5)
  )  ;
  
/*-- SEQ 0199 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ADD CONSTRAINT PK_INF PRIMARY KEY (inf_id_item, nfe_id_Doc);

/*-- SEQ 0200 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_ds_cProd SET NOT NULL;

/*-- SEQ 0201 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_vl_prod SET NOT NULL;

/*-- SEQ 0202 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_nu_qCom SET NOT NULL;

/*-- SEQ 0203 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_vl_vUnCom SET NOT NULL;

/*-- SEQ 0204 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_nu_qTrib SET NOT NULL;

/*-- SEQ 0205 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_vl_vUnTrib SET NOT NULL;

/*-- SEQ 0206 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_nu_NCM SET NOT NULL;

/*-- SEQ 0207 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_fl_indTot SET NOT NULL;

/*-- SEQ 0208 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_nu_CFOP SET NOT NULL;

/*-- SEQ 0209 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_fl_ICMSOrig SET NOT NULL;

/*-- SEQ 0210 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_NUMITE SET NOT NULL;

/*-- SEQ 0211 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_FILMAT SET NOT NULL;

/*-- SEQ 0212 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_CODMAT SET NOT NULL;

/*-- SEQ 0213 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_CODCOR SET NOT NULL;

/*-- SEQ 0214 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_CODTAM SET NOT NULL;

/*-- SEQ 0215 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
DROP INDEX I_FK_INF_GRADE;

/*-- SEQ 0216 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
CREATE INDEX I_LC_INF_GRADE ON TT_INF (inf_FILMAT, inf_CODMAT, inf_CODCOR, inf_CODTAM)  ;


/*-- SEQ 0217 --*/
-- Tarefa 91941 --
ALTER TABLE TT_ECF DROP CONSTRAINT CK_ECF_TIPTOT CASCADE;

/*-- SEQ 0218 --*/
-- Tarefa 91941 --
ALTER TABLE TT_ECF ADD CONSTRAINT CK_ECF_TIPTOT CHECK (tiptot = 'O' AND (totali = 'ISEN' OR totali = 'NAOT' OR totali = 'DESC' OR totali = 'CANC' OR totali = 'I_NT' OR totali = 'SUBS' OR totali = 'ACRE') OR (tiptot = 'M' OR tiptot = 'S') AND totali <> 'ISEN' AND totali <> 'NAOT' AND totali <> 'DESC' AND totali <> 'CANC' AND totali <> 'I_NT' AND totali <> 'SUBS' AND totali <> 'ACRE');

/*-- SEQ 0219 --*/
-- Tarefa 91941 --
ALTER TABLE TT_ECF DROP CONSTRAINT CK_ECF_TOTALI CASCADE;

/*-- SEQ 0220 --*/
-- Tarefa 91941 --
ALTER TABLE TT_ECF ADD CONSTRAINT CK_ECF_TOTALI CHECK (totali = 'ISEN' OR totali = 'NAOT' OR totali = 'CANC' OR totali = 'DESC' OR totali = 'I_NT' OR totali = 'SUBS' OR totali = 'ACRE' OR translate(totali, '1234567890', 'XXXXXXXXXX') = 'XXXX');

/*-- SEQ 0221 --*/
-- Tarefa 91941 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0222 --*/
-- Tarefa 91941 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'TOTALIACRE', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'TOTALIACRE'));

/*-- SEQ 0223 --*/
-- Tarefa 91941 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0224 --*/
-- Tarefa 91918 --
ALTER TABLE TT_ITF ADD CONSTRAINT CK_ITF_VLRITE CHECK (VLRITE > 0);


/*-- SEQ 0225 --*/
-- Tarefa 91141 --
DROP INDEX I_UQ_CPM_PRE_PLA;

/*-- SEQ 0226 --*/
-- Tarefa 91141 --
CREATE UNIQUE INDEX I_UQ_CPM_PRE_PLA ON TT_CPM (FILPRE, SEQPRE, FILPGT, CODPGT, DATINI, DATVAL, FILPRO, FILLOT, SEQLOT)  ;


/*-- SEQ 0227 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_REC ALTER COLUMN FLGEST SET NOT NULL;

/*-- SEQ 0228 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_REC ALTER COLUMN CODMOE SET NOT NULL;


/*-- SEQ 0229 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN FILPRE SET NOT NULL;

/*-- SEQ 0230 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN CODPRE SET NOT NULL;

/*-- SEQ 0231 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN FLGEST SET NOT NULL;

/*-- SEQ 0232 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN FLGTIP SET NOT NULL;

/*-- SEQ 0233 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN TIPNOT SET NOT NULL;

/*-- SEQ 0234 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN CODUSU SET NOT NULL;

/*-- SEQ 0235 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN CODVEN SET NOT NULL;

/*-- SEQ 0236 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN CODCTR SET NOT NULL;

/*-- SEQ 0237 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN COMSOB SET NOT NULL;

/*-- SEQ 0238 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN VLRNOT SET NOT NULL;

/*-- SEQ 0239 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN AUTENT SET NOT NULL;

/*-- SEQ 0240 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN CONSFI SET NOT NULL;

/*-- SEQ 0241 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN EMIDES SET NOT NULL;

/*-- SEQ 0242 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN TRIBUT SET NOT NULL;

/*-- SEQ 0243 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN UFLOJA SET NOT NULL;

/*-- SEQ 0244 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN CNT_RO SET NOT NULL;


/*-- SEQ 0245 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92443 --
DROP INDEX I_FK_TT_IVE;

/*-- SEQ 0246 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92443 --
CREATE INDEX I_FK_IVE_DTRI ON TT_IVE (SITTRI)  ; 


/*-- SEQ 0247 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92559--
ALTER TABLE TT_BSC ADD CONSTRAINT CK_BSC_FLGEST CHECK (FLGEST IN ('A', 'P', 'C', 'F'));


/*-- SEQ 0248 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92380--
CREATE INDEX I_LC_IEAN_CODEXT ON TI_EAN (CODEXT, CODFIL, CODEAN)  ;

/*-- SEQ 0249 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92380--
CREATE INDEX I_LC_IEAN_STATUS ON TI_EAN (STATUS)  ;

