
/*-- SEQ 0001 --*/
-- Tarefa 92160--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN CLI_VLRVEN_BON Numeric(12,2) ;


/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92160 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CLI_VLRVEN_BON CHECK ((CLI_VLRVEN_BON > 0) OR (CLI_VLRVEN_BON IS NULL));

/*-- SEQ 0003 --*/
-- Tarefa 92160--
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN CLI_VLRVEN_BON Numeric(12,2) ;


/*-- SEQ 0004 --*/
-- Tarefa 92160--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN CLI_QTDBON Numeric(12,2) ;


/*-- SEQ 0005 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92160 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CLI_QTDBON CHECK ((CLI_QTDBON > 0) OR (CLI_QTDBON IS NULL));

/*-- SEQ 0006 --*/
-- Tarefa 92160--
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN CLI_QTDBON Numeric(12,2) ;



/*-- SEQ 0007 --*/
-- Tarefa 92167--
SELECT DISABLETRIGGERS(LOWER('TT_BON'));

/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_BON ADD COLUMN TIPBON CHAR(1) DEFAULT 'O';

/*-- SEQ 0009 --*/
SELECT ENABLETRIGGERS(LOWER('TT_BON'));

/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92167 --
ALTER TABLE TT_BON ADD CONSTRAINT CK_BON_TIPBON CHECK (TIPBON IN ('O','X'));

/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92167 --
ALTER TABLE TT_BON ALTER COLUMN TIPBON SET NOT NULL;


/*-- SEQ 0012 --*/
-- Tarefa 92162--
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CLI ADD COLUMN VENBON Numeric(12,2) DEFAULT 0;

/*-- SEQ 0014 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));


/*-- SEQ 0015 --*/
-- Tarefa 91317 --
ALTER TABLE TT_PRO ADD COLUMN CODNCM VARCHAR(8) ;


/*-- SEQ 0016 --*/
-- Tarefa 91317 --
ALTER TABLE TT_PRO ADD CONSTRAINT FK_PRO_NCM FOREIGN KEY (CODNCM) REFERENCES TT_NCM(CODNCM);

/*-- SEQ 0017 --*/
-- Tarefa 91317 --
CREATE INDEX I_FK_PRO_NCM ON TT_PRO (CODNCM)  ;

/*-- SEQ 0018 --*/
-- Tarefa 91317 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

UPDATE TT_PRO
   SET CODNCM = (SELECT MIN(GRA.CODNCM) AS CODNCM 
                   FROM TT_GRA GRA
				  WHERE TT_PRO.FILMAT = GRA.FILMAT
				    AND TT_PRO.CODMAT = GRA.CODMAT);

/*-- SEQ 0019 --*/
-- Tarefa 91317 --
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));					


/*-- SEQ 0020 --*/
-- Tarefa 91319 --
ALTER TABLE TT_NCM ADD COLUMN FILMAT CHAR(3) ;


/*-- SEQ 0021 --*/
-- Tarefa 91319 --
ALTER TABLE TT_NCM ADD COLUMN CODMAT CHAR(5) ;


/*-- SEQ 0022 --*/
-- Tarefa 91319 --
ALTER TABLE TT_NCM ADD CONSTRAINT FK_NCM_PRO FOREIGN KEY (FILMAT, CODMAT) REFERENCES TT_PRO(FILMAT, CODMAT);

/*-- SEQ 0023 --*/
-- Tarefa 91319 --
CREATE INDEX I_FK_NCM_PRO ON TT_NCM (FILMAT, CODMAT)  ;


/*-- SEQ 0024 --*/
-- Tarefa 91153--
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,377)||SUBSTR(PERMIS,45,1)||SUBSTR(PERMIS,379,9999);

/*-- SEQ 0025 --*/
-- Tarefa 91153--
UPDATE TT_PAP SET PERMIS = SUBSTR(PERMIS,1,377)||SUBSTR(PERMIS,45,1)||SUBSTR(PERMIS,379,9999);


/*-- SEQ 0026 --*/
-- Tarefa 91982 --
ALTER TABLE TT_CLI ADD COLUMN CODFRE Numeric(5) ;


/*-- SEQ 0027 --*/
-- Tarefa 91982 --
ALTER TABLE TT_CLI ADD CONSTRAINT FK_CLI_CODFRE FOREIGN KEY (CODFRE) REFERENCES TD_FRE(CODTAB);

/*-- SEQ 0028 --*/
-- Tarefa 91982 --
CREATE INDEX I_FK_CLI_CODFRE ON TT_CLI (CODFRE)  ;

/*-- SEQ 0029 --*/
-- Tarefa 91982 --
ALTER TABLE TT_CLI ADD COLUMN CODFRE_ENC Numeric(5) ;


/*-- SEQ 0030 --*/
-- Tarefa 91982 --
ALTER TABLE TT_CLI ADD CONSTRAINT FK_CLI_CODFRE_ENC FOREIGN KEY (CODFRE_ENC) REFERENCES TD_FRE(CODTAB);

/*-- SEQ 0031 --*/
-- Tarefa 91982 --
CREATE INDEX I_FK_CLI_CODFRE_ENC ON TT_CLI (CODFRE_ENC)  ;					


/*-- SEQ 0032 --*/
-- Tarefa 92101--
ALTER TABLE TT_PRO ADD COLUMN FILIFO CHAR(3) ;


/*-- SEQ 0033 --*/
-- Tarefa 92101--
ALTER TABLE TT_PRO ADD COLUMN SEQIFO CHAR(10) ;




/*-- SEQ 0034 --*/
-- Tarefa 91195--
ALTER TABLE TT_USU ADD COLUMN LIMCRE Numeric(12,2) ;


/*-- SEQ 0035 --*/
-- Tarefa 91195 --
ALTER TABLE TT_USU ADD CONSTRAINT CK_USU_LIMCRE CHECK ((LIMCRE >= 0) OR (LIMCRE IS NULL));



/*-- SEQ 0036 --*/
-- Tarefa 92125--
ALTER TABLE TT_IPE ADD COLUMN VLRFRE Numeric(12,2) ;


/*-- SEQ 0037 --*/
-- Tarefa 92125--
SELECT DISABLETRIGGERS(LOWER('TT_IPE'));

/*-- SEQ 0038 --*/
ALTER TABLE TT_IPE ADD COLUMN FLGENC VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0039 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IPE'));

/*-- SEQ 0040 --*/
-- Tarefa 92125--
ALTER TABLE TT_IPE ALTER COLUMN FLGENC SET NOT NULL;

/*-- SEQ 0041 --*/
-- Tarefa 92125 --
ALTER TABLE TT_IPE ADD CONSTRAINT CK_IPE_FLGENC CHECK (FLGENC IN ('F','T'));



/*-- SEQ 0042 --*/
-- Tarefa 91997--
ALTER TABLE TT_PED ADD COLUMN VLRFRE Numeric(12,2) ;




/*-- SEQ 0043 --*/
-- Tarefa 91197--
ALTER TABLE TT_CFG ADD COLUMN LIM_TIPTOL CHAR(1) ;


/*-- SEQ 0044 --*/
-- Tarefa 91197 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_LIM_TIPTOL CHECK (LIM_TIPTOL IN ('P', 'V'));

/*-- SEQ 0045 --*/
-- Tarefa 91197--
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0046 --*/
ALTER TABLE TW_CFG ADD COLUMN LIM_TIPTOL CHAR(1) DEFAULT 'P';

/*-- SEQ 0047 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0048 --*/
-- Tarefa 91197--
ALTER TABLE TT_CFG ADD COLUMN LIM_PERTOL Numeric(5,2) ;


/*-- SEQ 0049 --*/
-- Tarefa 91197 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_LIM_PERTOL CHECK ((LIM_PERTOL >= 0) OR (LIM_PERTOL IS NULL));

/*-- SEQ 0050 --*/
-- Tarefa 91197--
ALTER TABLE TW_CFG ADD COLUMN LIM_PERTOL Numeric(5,2) ;


/*-- SEQ 0051 --*/
-- Tarefa 91197--
ALTER TABLE TT_CFG ADD COLUMN LIM_VALTOL Numeric(12,2) ;


/*-- SEQ 0052 --*/
-- Tarefa 91197 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_LIM_VALTOL CHECK ((LIM_VALTOL >= 0) OR (LIM_VALTOL IS NULL));

/*-- SEQ 0053 --*/
-- Tarefa 91197--
ALTER TABLE TW_CFG ADD COLUMN LIM_VALTOL Numeric(12,2) ;



/*-- SEQ 0054 --*/
-- Tarefa 92138--
ALTER TABLE TT_GRA ADD COLUMN PERTOLREP Numeric(5,2) ;


/*-- SEQ 0055 --*/
-- Tarefa 92138 --
ALTER TABLE TT_GRA ADD CONSTRAINT CK_GRA_PERTOLREP CHECK ((PERTOLREP > 0) OR (PERTOLREP IS NULL));

/*-- SEQ 0056 --*/
-- Tarefa 92138--
ALTER TABLE TT_GRA ADD COLUMN VLRTOLREP Numeric(12,2) ;


/*-- SEQ 0057 --*/
-- Tarefa 92138 --
ALTER TABLE TT_GRA ADD CONSTRAINT CK_GRA_VLRTOLREP CHECK ((VLRTOLREP > 0) OR (VLRTOLREP IS NULL));


/*-- SEQ 0058 --*/
-- Tarefa 92184--
ALTER TABLE TT_CFG ADD COLUMN VDD_CKPAVENITE VARCHAR(4000) ;


/*-- SEQ 0059 --*/
-- Tarefa 92184--
ALTER TABLE TW_CFG ADD COLUMN VDD_CKPAVENITE VARCHAR(4000) ;


/*-- SEQ 0060 --*/
-- Tarefa 92184--
ALTER TABLE TT_CFG ADD COLUMN VDD_CKPATOTVEN VARCHAR(4000) ;


/*-- SEQ 0061 --*/
-- Tarefa 92184--
ALTER TABLE TW_CFG ADD COLUMN VDD_CKPATOTVEN VARCHAR(4000) ;


/*-- SEQ 0062 --*/
-- Tarefa 92184--
ALTER TABLE TT_CFG ADD COLUMN IND_CKPAVENITE VARCHAR(4000) ;


/*-- SEQ 0063 --*/
-- Tarefa 92184--
ALTER TABLE TW_CFG ADD COLUMN IND_CKPAVENITE VARCHAR(4000) ;


/*-- SEQ 0064 --*/
-- Tarefa 92184--
ALTER TABLE TT_CFG ADD COLUMN IND_CKPATOTVEN VARCHAR(4000) ;


/*-- SEQ 0065 --*/
-- Tarefa 92184--
ALTER TABLE TW_CFG ADD COLUMN IND_CKPATOTVEN VARCHAR(4000) ;



/*-- SEQ 0066 --*/
-- Tarefa 92183--
ALTER TABLE TT_CFG ADD COLUMN VDD_VLRVEN_BON Numeric(12,2) ;


/*-- SEQ 0067 --*/
-- Tarefa 92183 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_VDD_VLRVEN_BON CHECK ((VDD_VLRVEN_BON > 0) OR (VDD_VLRVEN_BON IS NULL));

/*-- SEQ 0068 --*/
-- Tarefa 92183--
ALTER TABLE TW_CFG ADD COLUMN VDD_VLRVEN_BON Numeric(12,2) ;


/*-- SEQ 0069 --*/
-- Tarefa 92183--
ALTER TABLE TT_CFG ADD COLUMN VDD_QTDBON Numeric(12,2) ;


/*-- SEQ 0070 --*/
-- Tarefa 92183 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_VDD_QTDBON CHECK ((VDD_QTDBON > 0) OR (VDD_QTDBON IS NULL));

/*-- SEQ 0071 --*/
-- Tarefa 92183--
ALTER TABLE TW_CFG ADD COLUMN VDD_QTDBON Numeric(12,2) ;


/*-- SEQ 0072 --*/
-- Tarefa 92183--
ALTER TABLE TT_CFG ADD COLUMN IND_VLRVEN_BON Numeric(12,2) ;


/*-- SEQ 0073 --*/
-- Tarefa 92183 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_IND_VLRVEN_BON CHECK ((IND_VLRVEN_BON > 0) OR (IND_VLRVEN_BON IS NULL));

/*-- SEQ 0074 --*/
-- Tarefa 92183--
ALTER TABLE TW_CFG ADD COLUMN IND_VLRVEN_BON Numeric(12,2) ;


/*-- SEQ 0075 --*/
-- Tarefa 92183--
ALTER TABLE TT_CFG ADD COLUMN IND_QTDBON Numeric(12,2) ;


/*-- SEQ 0076 --*/
-- Tarefa 92183 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_IND_QTDBON CHECK ((IND_QTDBON > 0) OR (IND_QTDBON IS NULL));

/*-- SEQ 0077 --*/
-- Tarefa 92183--
ALTER TABLE TW_CFG ADD COLUMN IND_QTDBON Numeric(12,2) ;



/*-- SEQ 0078 --*/
-- Tarefa 92126--
ALTER TABLE TT_PXF ADD COLUMN CUSFRE Numeric(14,2) ;




/*-- SEQ 0079 --*/
-- Tarefa 92026--
ALTER TABLE TT_PRE ADD COLUMN CUSREP Numeric(12,4) ;


/*-- SEQ 0080 --*/
-- Tarefa 92026--
ALTER TABLE TW_PRE ADD COLUMN CUSREP Numeric(12,4) ;


/*-- SEQ 0081 --*/
-- Tarefa 92026--
ALTER TABLE TL_PRE ADD COLUMN CUSANT Numeric(12,4) ;



/*-- SEQ 0082 --*/
-- Tarefa 92099--
CREATE TABLE TT_IFO (
   CODFIL                CHAR(3),
   SEQUEN                CHAR(10),
   FILMAT                CHAR(3),
   CODMAT                CHAR(5),
   FILFOR                CHAR(3),
   CODFOR                CHAR(6),
   UF_ORI                CHAR(2),
   FLGSUB                VARCHAR(1),
   ICMTIP                CHAR(1),
   PERIPI                Numeric(5,2),
   PERICM_INT_ORIG       Numeric(5,2),
   PERICM_INT_DEST       Numeric(5,2),
   PERICM_FOR_DEST       Numeric(5,2),
   REDICM                Numeric(5,2),
   FLGRED_ICM_P_ST       VARCHAR(1),
   PERMVA                Numeric(5,2)
  )  ;
  
/*-- SEQ 0083 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ADD CONSTRAINT PK_IFO PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0084 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92099--
SELECT * FROM NADA;

/*-- SEQ 0085 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92099--
SELECT * FROM NADA;

/*-- SEQ 0086 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ALTER COLUMN FILMAT SET NOT NULL;

/*-- SEQ 0087 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ALTER COLUMN CODMAT SET NOT NULL;

/*-- SEQ 0088 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ALTER COLUMN FILFOR SET NOT NULL;

/*-- SEQ 0089 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ALTER COLUMN CODFOR SET NOT NULL;

/*-- SEQ 0090 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ALTER COLUMN UF_ORI SET NOT NULL;

/*-- SEQ 0091 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ALTER COLUMN FLGSUB SET NOT NULL;

/*-- SEQ 0092 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ALTER COLUMN ICMTIP SET NOT NULL;

/*-- SEQ 0093 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ALTER COLUMN PERIPI SET NOT NULL;

/*-- SEQ 0094 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ALTER COLUMN PERICM_INT_ORIG SET NOT NULL;

/*-- SEQ 0095 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ALTER COLUMN PERICM_INT_DEST SET NOT NULL;

/*-- SEQ 0096 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ALTER COLUMN PERICM_FOR_DEST SET NOT NULL;

/*-- SEQ 0097 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ALTER COLUMN REDICM SET NOT NULL;

/*-- SEQ 0098 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ALTER COLUMN FLGRED_ICM_P_ST SET NOT NULL;

/*-- SEQ 0099 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ALTER COLUMN PERMVA SET NOT NULL;

/*-- SEQ 0100 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ALTER COLUMN FLGSUB SET DEFAULT 'F';

/*-- SEQ 0101 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ALTER COLUMN ICMTIP SET DEFAULT '0';

/*-- SEQ 0102 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ALTER COLUMN PERIPI SET DEFAULT 0;    

/*-- SEQ 0103 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ALTER COLUMN PERICM_INT_ORIG SET DEFAULT 0;

/*-- SEQ 0104 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ALTER COLUMN PERICM_INT_DEST SET DEFAULT 0;

/*-- SEQ 0105 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ALTER COLUMN PERICM_FOR_DEST SET DEFAULT 0;

/*-- SEQ 0106 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ALTER COLUMN REDICM SET DEFAULT 0;

/*-- SEQ 0107 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ALTER COLUMN FLGRED_ICM_P_ST SET DEFAULT 'F';

/*-- SEQ 0108 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ALTER COLUMN PERMVA SET DEFAULT 0;


/*-- SEQ 0109 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ADD CONSTRAINT FK_IFO_PRO FOREIGN KEY (FILMAT,CODMAT) REFERENCES TT_PRO (FILMAT, CODMAT);

/*-- SEQ 0110 --*/
-- Tarefa 92099--
CREATE INDEX I_FK_IFO_PRO ON TT_IFO (FILMAT, CODMAT)  ;

/*-- SEQ 0111 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ADD CONSTRAINT FK_IFO_CLI FOREIGN KEY (FILFOR,CODFOR) REFERENCES TT_CLI (FILCLI, CODCLI);

/*-- SEQ 0112 --*/
-- Tarefa 92099--
CREATE INDEX I_FK_IFO_CLI ON TT_IFO (FILFOR,CODFOR)  ;

/*-- SEQ 0113 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ADD CONSTRAINT CK_IFO_ICMTIP CHECK (ICMTIP IN ('0', '1', '2', '3','4'));

/*-- SEQ 0114 --*/
-- Tarefa 92099--
CREATE SEQUENCE SQIFO INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0115 --*/
-- Tarefa 92110--
CREATE TABLE TT_IFC (
  FILMAT        CHAR(3),
  CODMAT        CHAR(5),
  CODCOR        Numeric(5),
  CODTAM        Numeric(5),
  FILFOR        CHAR(3),
  CODFOR        CHAR(6),
  UF_ORI        CHAR(2),
  OUTTAX        Numeric(12,2) ,
  VLRFRE        Numeric(12,2),
  VLRSEG        Numeric(12,2),
  BASIPI        Numeric(12,2),
  VLRIPI        Numeric(12,2),
  VLRIPIFRE     Numeric(12,2),
  BASICM        Numeric(12,2),
  VLRICM        Numeric(12,2),
  BAS_ST        Numeric(12,2),
  VLR_ST        Numeric(12,2)
  )  ;
  
/*-- SEQ 0116 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC ADD CONSTRAINT PK_IFC PRIMARY KEY (FILMAT, CODMAT, CODCOR, CODTAM, FILFOR, CODFOR, UF_ORI);

/*-- SEQ 0117 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC ALTER COLUMN FILMAT SET NOT NULL;

/*-- SEQ 0118 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC ALTER COLUMN CODMAT SET NOT NULL;

/*-- SEQ 0119 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC ALTER COLUMN CODCOR SET NOT NULL;

/*-- SEQ 0120 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC ALTER COLUMN CODTAM SET NOT NULL;

/*-- SEQ 0121 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC ALTER COLUMN FILFOR SET NOT NULL;

/*-- SEQ 0122 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC ALTER COLUMN CODFOR SET NOT NULL;

/*-- SEQ 0123 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC ALTER COLUMN UF_ORI SET NOT NULL;

/*-- SEQ 0124 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC ALTER COLUMN OUTTAX SET NOT NULL;

/*-- SEQ 0125 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC ALTER COLUMN VLRFRE SET NOT NULL;

/*-- SEQ 0126 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC ALTER COLUMN VLRSEG SET NOT NULL;

/*-- SEQ 0127 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC ALTER COLUMN BASIPI SET NOT NULL;

/*-- SEQ 0128 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC ALTER COLUMN VLRIPI SET NOT NULL;

/*-- SEQ 0129 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC ALTER COLUMN VLRIPIFRE SET NOT NULL;

/*-- SEQ 0130 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC ALTER COLUMN BASICM SET NOT NULL;

/*-- SEQ 0131 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC ALTER COLUMN VLRICM SET NOT NULL;

/*-- SEQ 0132 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC ALTER COLUMN BAS_ST SET NOT NULL;

/*-- SEQ 0133 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC ALTER COLUMN VLR_ST SET NOT NULL;

/*-- SEQ 0134 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC ADD CONSTRAINT FK_IFC_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM ) REFERENCES TT_GRA (FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0135 --*/
-- Tarefa 92110--
CREATE INDEX I_FK_IFC_GRA ON TT_IFC (FILMAT, CODMAT, CODCOR, CODTAM)  ;

/*-- SEQ 0136 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC ADD CONSTRAINT FK_IFC_CLI FOREIGN KEY (FILFOR, CODFOR) REFERENCES TT_CLI (FILCLI, CODCLI);

/*-- SEQ 0137 --*/
-- Tarefa 92110--
CREATE INDEX I_FK_IFC_CLI ON TT_IFC (FILFOR, CODFOR)  ;

/*-- SEQ 0138 --*/
-- Tarefa 92110 --
ALTER TABLE TT_IFC ALTER COLUMN OUTTAX SET DEFAULT 0;

/*-- SEQ 0139 --*/
-- Tarefa 92110 --
ALTER TABLE TT_IFC ALTER COLUMN VLRFRE SET DEFAULT 0;

/*-- SEQ 0140 --*/
-- Tarefa 92110 --
ALTER TABLE TT_IFC ALTER COLUMN VLRSEG SET DEFAULT 0;

/*-- SEQ 0141 --*/
-- Tarefa 92110 --
ALTER TABLE TT_IFC ALTER COLUMN BASIPI SET DEFAULT 0;

/*-- SEQ 0142 --*/
-- Tarefa 92110 --
ALTER TABLE TT_IFC ALTER COLUMN VLRIPI SET DEFAULT 0;

/*-- SEQ 0143 --*/
-- Tarefa 92110 --
ALTER TABLE TT_IFC ALTER COLUMN VLRIPIFRE SET DEFAULT 0;

/*-- SEQ 0144 --*/
-- Tarefa 92110 --
ALTER TABLE TT_IFC ALTER COLUMN BASICM SET DEFAULT 0;

/*-- SEQ 0145 --*/
-- Tarefa 92110 --
ALTER TABLE TT_IFC ALTER COLUMN VLRICM SET DEFAULT 0;

/*-- SEQ 0146 --*/
-- Tarefa 92110 --
ALTER TABLE TT_IFC ALTER COLUMN BAS_ST SET DEFAULT 0;

/*-- SEQ 0147 --*/
-- Tarefa 92110 --
ALTER TABLE TT_IFC ALTER COLUMN VLR_ST SET DEFAULT 0;








/*-- SEQ 0148 --*/
-- Tarefa 92191--
ALTER TABLE TT_BON DROP CONSTRAINT CK_BON_TIPBON CASCADE;

/*-- SEQ 0149 --*/
-- Tarefa 92191--
ALTER TABLE TT_BON ADD CONSTRAINT CK_BON_TIPBON CHECK (TIPBON IN ('X', 'C', 'V', 'I','O'));


/*-- SEQ 0150 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92380--
CREATE INDEX I_LC_IEAN_CODEXT ON TI_EAN (CODEXT, CODFIL, CODEAN)  ;

/*-- SEQ 0151 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92380--
CREATE INDEX I_LC_IEAN_STATUS ON TI_EAN (STATUS)  ;


/*-- SEQ 0152 --*/
-- Tarefa 92274--
ALTER TABLE TT_SUP DROP CONSTRAINT CK_SUP_PERFIL CASCADE;

/*-- SEQ 0153 --*/
-- Tarefa 92274--
ALTER TABLE TT_SUP ADD CONSTRAINT CK_SUP_PERFIL CHECK (PERFIL IN ('V','R','E','M','C','P','X'));


/*-- SEQ 0154 --*/
-- Tarefa 92365--
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD COLUMN STATUS_DADOS VARCHAR(4000) ;


/*-- SEQ 0155 --*/
-- Tarefa 92365--
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD COLUMN STATUS_DATA Timestamp ;



/*-- SEQ 0156 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92443 --
DROP INDEX I_FK_TT_IVE;

/*-- SEQ 0157 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92443 --
CREATE INDEX I_FK_IVE_DTRI ON TT_IVE (SITTRI)  ; 


/*-- SEQ 0158 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92541--
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0159 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN CFCONTRIPJ VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0160 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0161 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92541--
ALTER TABLE TT_CFG ALTER COLUMN CFCONTRIPJ SET NOT NULL;

/*-- SEQ 0162 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92541--
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CFCONTRIPJ CHECK (CFCONTRIPJ IN ('T', 'F'));


/*-- SEQ 0163 --*/
-- Tarefa 92541 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0164 --*/
-- Tarefa 92541 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CFCONTRIPJ', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CFCONTRIPJ'));

/*-- SEQ 0165 --*/
-- Tarefa 92541 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0166 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92559--
ALTER TABLE TT_BSC ADD CONSTRAINT CK_BSC_FLGEST CHECK (FLGEST IN ('A', 'P', 'C', 'F'));


/*-- SEQ 0167 --*/
-- Tarefa 88760--
CREATE TABLE TT_COMXCTA (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  FILCTA CHAR(3),
  SEQCTA CHAR(10),
  TIPCTA CHAR(1),
  TIPNOT CHAR(1),
  VLRRAT Numeric(12,2)
  )  ;

/*-- SEQ 0168 --*/
-- Tarefa 88760--
ALTER TABLE TT_COMXCTA ADD CONSTRAINT PK_COMXCTA PRIMARY KEY (CODFIL, SEQUEN, FILCTA, SEQCTA, TIPCTA);

/*-- SEQ 0169 --*/
-- Tarefa 88760--
ALTER TABLE TT_COMXCTA ALTER COLUMN CODFIL SET NOT NULL;

/*-- SEQ 0170 --*/
-- Tarefa 88760--
ALTER TABLE TT_COMXCTA ALTER COLUMN SEQUEN SET NOT NULL;

/*-- SEQ 0171 --*/
-- Tarefa 88760--
ALTER TABLE TT_COMXCTA ALTER COLUMN FILCTA SET NOT NULL;

/*-- SEQ 0172 --*/
-- Tarefa 88760--
ALTER TABLE TT_COMXCTA ALTER COLUMN SEQCTA SET NOT NULL;

/*-- SEQ 0173 --*/
-- Tarefa 88760--
ALTER TABLE TT_COMXCTA ALTER COLUMN TIPCTA SET NOT NULL;

/*-- SEQ 0174 --*/
-- Tarefa 88760--
ALTER TABLE TT_COMXCTA ALTER COLUMN TIPNOT SET NOT NULL;

/*-- SEQ 0175 --*/
-- Tarefa 88760--
ALTER TABLE TT_COMXCTA ALTER COLUMN VLRRAT SET NOT NULL;

/*-- SEQ 0176 --*/
-- Tarefa 88760--
ALTER TABLE TT_COMXCTA ADD CONSTRAINT FK_COMXCTA_COM FOREIGN KEY (CODFIL, SEQUEN, TIPNOT) REFERENCES TT_COM (CODFIL, SEQUEN, TIPNOT);

/*-- SEQ 0177 --*/
-- Tarefa 88760 --
CREATE INDEX I_FK_COMXCTA_COM ON TT_COMXCTA (CODFIL, SEQUEN, TIPNOT)  ;

/*-- SEQ 0178 --*/
-- Tarefa 88760--
ALTER TABLE TT_COMXCTA ADD CONSTRAINT FK_COMXCTA_CTA FOREIGN KEY (FILCTA, SEQCTA, TIPCTA) REFERENCES TT_CTA (CODFIL, SEQUEN, TIPCTA);

/*-- SEQ 0179 --*/
-- Tarefa 88760 --
CREATE INDEX I_FK_COMXCTA_CTA ON TT_COMXCTA (FILCTA, SEQCTA, TIPCTA)  ;

/*-- SEQ 0180 --*/
-- Tarefa 88760--
ALTER TABLE TT_COMXCTA ADD CONSTRAINT CK_COMXCTA_TIPNOT CHECK (UPPER(TIPNOT) <> 'F');

/*-- SEQ 0181 --*/
-- Tarefa 88760--
ALTER TABLE TT_COMXCTA ADD CONSTRAINT CK_COMXCTA_VLRRAT CHECK (VLRRAT > 0);

/*-- SEQ 0182 --*/
-- Tarefa 88760--
INSERT INTO TT_COMXCTA 
(CODFIL, SEQUEN, FILCTA, SEQCTA, TIPCTA, TIPNOT, VLRRAT)
(SELECT COM.CODFIL, 
        COM.SEQUEN, 
        COM.FILCTA, 
        COM.SEQCTA,
        COM.TIPCTA, 
        COM.TIPNOT, 
        NVLZ((SELECT SUM(CUS.VLRRAT)
               FROM TT_CUS CUS
              WHERE CUS.CODFIL = COM.CODFIL
                AND CUS.SEQUEN = COM.SEQUEN),COM.VLRLIQ)             
   FROM TT_COM COM 
  WHERE EXISTS (SELECT 1 AS OK
                  FROM TT_ICO ICO
                 WHERE ICO.CODFIL = COM.CODFIL
                   AND ICO.SEQUEN = COM.SEQUEN)                  
    AND COM.FILCTA IS NOT NULL
    AND COM.VLRLIQ > 0);                




/*-- SEQ 0183 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0184 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0185 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0186 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0187 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0188 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0189 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0190 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0191 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0192 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0193 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0194 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0195 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0196 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0197 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0198 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0199 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0200 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0201 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0202 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0203 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0204 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0205 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0206 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0207 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0208 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0209 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0210 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0211 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0212 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0213 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0214 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0215 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0216 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0217 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0218 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0219 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0220 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0221 --*/
/*-- IGNORE ERRO --*/
-- TAREFA 88710--
SELECT * FROM NADA;

/*-- SEQ 0222 --*/
/*-- IGNORE ERRO --*/
-- TAREFA 88710--
SELECT * FROM NADA;

/*-- SEQ 0223 --*/
/*-- IGNORE ERRO --*/
-- TAREFA 88710--
SELECT * FROM NADA;

/*-- SEQ 0224 --*/
/*-- IGNORE ERRO --*/
-- TAREFA 88710--
SELECT * FROM NADA;

/*-- SEQ 0225 --*/
/*-- IGNORE ERRO --*/
-- TAREFA 88710--
SELECT * FROM NADA;


/*-- SEQ 0226 --*/
-- Tarefa 92639--
SELECT DISABLETRIGGERS(LOWER('TT_BONXCLI'));

/*-- SEQ 0227 --*/
ALTER TABLE TT_BONXCLI ADD COLUMN TIPPAR CHAR(1) DEFAULT 'C';

/*-- SEQ 0228 --*/
SELECT ENABLETRIGGERS(LOWER('TT_BONXCLI'));

/*-- SEQ 0229 --*/
-- Tarefa 92639--
ALTER TABLE TT_BONXCLI ALTER COLUMN TIPPAR SET NOT NULL;

/*-- SEQ 0230 --*/
-- Tarefa 92639 --
ALTER TABLE TT_BONXCLI ADD CONSTRAINT CK_BONXCLI_TIPPAR CHECK (TIPPAR IN('C', 'V', 'I'));


/*-- SEQ 0231 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92753--
SELECT * FROM NADA;


/*-- SEQ 0232 --*/
-- Tarefa 92615--
ALTER TABLE TT_CFG ADD COLUMN TIPRTT_RCEL Numeric(5) ;


/*-- SEQ 0233 --*/
-- Tarefa 92615--
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_TIPRTT_RCEL FOREIGN KEY (TIPRTT_RCEL) REFERENCES TD_RTT (CODTAB);

/*-- SEQ 0234 --*/
-- Tarefa 92615--
ALTER TABLE TW_CFG ADD COLUMN TIPRTT_RCEL Numeric(5) ;



/*-- SEQ 0235 --*/
-- Tarefa 90347 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '2710125', 6, 5, 'T', 'Gasolina automotiva'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '2710125'));


/*-- SEQ 0236 --*/
-- Tarefa 92904 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD COLUMN SUBSTT_FUT Numeric(12,2) ;


/*-- SEQ 0237 --*/
-- Tarefa 92904 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'SUBSTT_FUT', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'SUBSTT_FUT'));


/*-- SEQ 0238 --*/
-- Tarefa 92731--
ALTER TABLE TT_IFC ADD COLUMN FILCMP CHAR(3) ;


/*-- SEQ 0239 --*/
-- Tarefa 92731 --
ALTER TABLE TT_IFC ALTER COLUMN FILCMP SET NOT NULL;

/*-- SEQ 0240 --*/
-- Tarefa 92731--
SELECT DISABLETRIGGERS(LOWER('TT_IFC'));

/*-- SEQ 0241 --*/
ALTER TABLE TT_IFC ADD COLUMN PERICM Numeric(5,2) DEFAULT 0;

/*-- SEQ 0242 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IFC'));

/*-- SEQ 0243 --*/
-- Tarefa 92731 --
ALTER TABLE TT_IFC ALTER COLUMN PERICM SET NOT NULL;

/*-- SEQ 0244 --*/
-- Tarefa 92731--
SELECT DISABLETRIGGERS(LOWER('TT_IFC'));

/*-- SEQ 0245 --*/
ALTER TABLE TT_IFC ADD COLUMN LUCMVA Numeric(12,2) DEFAULT 0;

/*-- SEQ 0246 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IFC'));

/*-- SEQ 0247 --*/
-- Tarefa 92731 --
ALTER TABLE TT_IFC ALTER COLUMN LUCMVA SET NOT NULL;

/*-- SEQ 0248 --*/
-- Tarefa 92731--
SELECT DISABLETRIGGERS(LOWER('TT_IFC'));

/*-- SEQ 0249 --*/
ALTER TABLE TT_IFC ADD COLUMN DESRAT Numeric(12,2) DEFAULT 0;

/*-- SEQ 0250 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IFC'));

/*-- SEQ 0251 --*/
-- Tarefa 92731 --
ALTER TABLE TT_IFC ALTER COLUMN DESRAT SET NOT NULL;

/*-- SEQ 0252 --*/
-- Tarefa 92731--
SELECT DISABLETRIGGERS(LOWER('TT_IFC'));

/*-- SEQ 0253 --*/
ALTER TABLE TT_IFC ADD COLUMN REDICM Numeric(7,4) DEFAULT 0;

/*-- SEQ 0254 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IFC'));

/*-- SEQ 0255 --*/
-- Tarefa 92731 --
ALTER TABLE TT_IFC ALTER COLUMN REDICM SET NOT NULL;

/*-- SEQ 0256 --*/
-- Tarefa 92731 --
ALTER TABLE TT_IFC ADD CONSTRAINT FK_IFC_DFIL FOREIGN KEY (FILCMP) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0257 --*/
-- Tarefa 92731 --
CREATE INDEX I_FK_IFC_DFIL ON TT_IFC (FILCMP)  ;

/*-- SEQ 0258 --*/
-- Tarefa 92731 --
ALTER TABLE TT_IFC DROP CONSTRAINT PK_IFC;

/*-- SEQ 0259 --*/
-- Tarefa 92731--
ALTER TABLE TT_IFC ADD CONSTRAINT PK_IFC PRIMARY KEY (FILMAT, CODMAT, CODCOR, CODTAM, FILFOR, CODFOR, UF_ORI, FILCMP);


/*-- SEQ 0260 --*/
-- Tarefa 92792--
ALTER TABLE TT_IFO ADD COLUMN ORIPRO CHAR(1) ;


/*-- SEQ 0261 --*/
-- Tarefa 92792 --
ALTER TABLE TT_IFO ALTER COLUMN ORIPRO SET NOT NULL;


/*-- SEQ 0262 --*/
-- Tarefa 92706--
ALTER TABLE TT_PXF ADD COLUMN DACSIM Numeric(5,2) ;


/*-- SEQ 0263 --*/
-- Tarefa 92706--
ALTER TABLE TT_PXF ADD COLUMN PRESIM Numeric(12,2) ;



/*-- SEQ 0264 --*/
-- Tarefa 92721--
CREATE TABLE TM_IFC (
  ID        Numeric(10),
  ORIGEM    VARCHAR(4),
  REGIST    VARCHAR(40),
  FLGEST    CHAR(1),
  DATINC    Timestamp,
  USERID    Numeric(10)
  )  ;
  
/*-- SEQ 0265 --*/
-- Tarefa 92721--
ALTER TABLE TM_IFC ADD CONSTRAINT PK_MIFC PRIMARY KEY (ID);  

/*-- SEQ 0266 --*/
-- Tarefa 92721--
ALTER TABLE TM_IFC ALTER COLUMN ID SET NOT NULL;

/*-- SEQ 0267 --*/
-- Tarefa 92721--
ALTER TABLE TM_IFC ALTER COLUMN ORIGEM SET NOT NULL;

/*-- SEQ 0268 --*/
-- Tarefa 92721--
ALTER TABLE TM_IFC ALTER COLUMN REGIST SET NOT NULL;

/*-- SEQ 0269 --*/
-- Tarefa 92721--
ALTER TABLE TM_IFC ALTER COLUMN FLGEST SET NOT NULL;

/*-- SEQ 0270 --*/
-- Tarefa 92721--
ALTER TABLE TM_IFC ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0271 --*/
-- Tarefa 92110 --
ALTER TABLE TM_IFC ALTER COLUMN FLGEST SET DEFAULT 'N';

/*-- SEQ 0272 --*/
-- Tarefa 92110 --
CREATE SEQUENCE SQMIFC INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0273 --*/
-- Tarefa 92702--
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0274 --*/
ALTER TABLE TT_CFG ADD COLUMN USA_DCAI_0 VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0275 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0276 --*/
-- Tarefa 92702 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_USA_DCAI_0 CHECK (USA_DCAI_0 IN ('T','F'));

/*-- SEQ 0277 --*/
-- Tarefa 92702 --
ALTER TABLE TT_CFG ALTER COLUMN USA_DCAI_0 SET NOT NULL;

/*-- SEQ 0278 --*/
-- Tarefa 92702--
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0279 --*/
ALTER TABLE TW_CFG ADD COLUMN USA_DCAI_0 VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0280 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0281 --*/
-- Tarefa 92844--
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0282 --*/
ALTER TABLE TT_CFG ADD COLUMN VALOR_AQUISICAO CHAR(1) DEFAULT 'C';

/*-- SEQ 0283 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0284 --*/
-- Tarefa 92844 --
ALTER TABLE TT_CFG ALTER COLUMN VALOR_AQUISICAO SET NOT NULL;

/*-- SEQ 0285 --*/
-- Tarefa 92844 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_VALOR_AQUISICAO CHECK (VALOR_AQUISICAO IN ('C','S'));

/*-- SEQ 0286 --*/
-- Tarefa 92844--
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0287 --*/
ALTER TABLE TW_CFG ADD COLUMN VALOR_AQUISICAO CHAR(1) DEFAULT 'C';

/*-- SEQ 0288 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0289 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
CREATE TABLE TT_ACM (
    CODFIL	CHAR(3),
    SEQUEN	CHAR(10),
    SITMOV	CHAR(1),
    FILUSU	CHAR(3),
    CODUSU	CHAR(3),
    FILMAT	CHAR(3),
    CODMAT	CHAR(5),
    CODCOR	Numeric(5,0),
    CODTAM	Numeric(5,0),
    DATINC	Timestamp,
    ATU_EM	Timestamp,
    DATAJU	Timestamp,
    VLRAJU	Numeric(16,4),
    DOCUME	CHAR(17),
    ORD_CM	Numeric(10,0),
    TOT_CM	Numeric(16,4),
    TOTCMG	Numeric(16,4),
    SAL_CM	Numeric(16,4),
    OBSERV	VARCHAR(4000)
  )  ;
  
/*-- SEQ 0290 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ADD CONSTRAINT PK_ACM PRIMARY KEY (CODFIL,SEQUEN);

/*-- SEQ 0291 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ALTER COLUMN SITMOV SET NOT NULL;

/*-- SEQ 0292 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ALTER COLUMN FILUSU SET NOT NULL;

/*-- SEQ 0293 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ALTER COLUMN CODUSU SET NOT NULL;

/*-- SEQ 0294 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ALTER COLUMN FILMAT SET NOT NULL;

/*-- SEQ 0295 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ALTER COLUMN CODMAT SET NOT NULL;

/*-- SEQ 0296 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ALTER COLUMN CODCOR SET NOT NULL;

/*-- SEQ 0297 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ALTER COLUMN CODTAM SET NOT NULL;

/*-- SEQ 0298 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0299 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0300 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ALTER COLUMN DATAJU SET NOT NULL;

/*-- SEQ 0301 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ALTER COLUMN VLRAJU SET NOT NULL;

/*-- SEQ 0302 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ALTER COLUMN DOCUME SET NOT NULL;

/*-- SEQ 0303 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ADD CONSTRAINT FK_ACM_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0304 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
CREATE INDEX I_FK_ACM_DFIL ON TT_ACM (CODFIL)  ;

/*-- SEQ 0305 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ADD CONSTRAINT FK_ACM_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM ) REFERENCES TT_GRA (FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0306 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
CREATE INDEX I_FK_ACM_GRA ON TT_ACM (FILMAT, CODMAT, CODCOR, CODTAM)  ;

/*-- SEQ 0307 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ADD CONSTRAINT FK_ACM_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0308 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
CREATE INDEX I_FK_ACM_USU ON TT_ACM (FILUSU,CODUSU)  ;

/*-- SEQ 0309 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ALTER COLUMN SITMOV SET DEFAULT 'N';

/*-- SEQ 0310 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048 --
ALTER TABLE TT_ACM ALTER COLUMN VLRAJU SET DEFAULT 0;

/*-- SEQ 0311 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048 --
ALTER TABLE TT_ACM ADD CONSTRAINT CK_ACM_SITMOV CHECK (SITMOV IN ('N','C'));

/*-- SEQ 0312 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048 --
CREATE SEQUENCE SQACM INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0313 --*/
-- Tarefa 92606--
ALTER TABLE TT_CLI ADD COLUMN COD_RNTC VARCHAR(20) ;



/*-- SEQ 0314 --*/
-- Tarefa 92605--
ALTER TABLE TT_ORC ADD COLUMN DESVOL VARCHAR(60) ;



/*-- SEQ 0315 --*/
-- Tarefa 93190 --
SELECT DISABLETRIGGERS(LOWER('TT_IOR'));

/*-- SEQ 0316 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD COLUMN VLRFREORI Numeric(12,2) DEFAULT 0;

/*-- SEQ 0317 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IOR'));


/*-- SEQ 0318 --*/
-- Tarefa 93232--    
INSERT INTO TT_SLT 
       (CODFIL,CODMUL,FILLOT,SEQLOT,QTDEST)
SELECT LOT.CODFIL, 0, LOT.CODFIL, LOT.SEQUEN, 0
  FROM TT_LOT LOT
 WHERE NOT EXISTS(SELECT SLT.SEQUEN FROM TT_SLT SLT 
                               WHERE SLT.CODFIL = LOT.CODFIL
                                 AND SLT.CODMUL = 0
                                 AND SLT.FILLOT = LOT.CODFIL
                                 AND SLT.SEQLOT = LOT.SEQUEN)
   AND LOT.QTDINI > 0;    
   


/*-- SEQ 0319 --*/
-- Tarefa 93176 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0320 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN REGRA_CODFIS Numeric(1) DEFAULT 1;

/*-- SEQ 0321 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0322 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93176 --
ALTER TABLE TT_CFG ALTER COLUMN REGRA_CODFIS SET NOT NULL;


/*-- SEQ 0323 --*/
-- Tarefa 93158 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_GRA ADD COLUMN CODFIS VARCHAR(60) ;


/*-- SEQ 0324 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93158 --
SELECT * FROM NADA;

/*-- SEQ 0325 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93158 --
SELECT * FROM NADA;

/*-- SEQ 0326 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93158 --
SELECT * FROM NADA;

/*-- SEQ 0327 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93158 --
SELECT * FROM NADA;


/*-- SEQ 0328 --*/
-- Tarefa 93289--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IUF ADD COLUMN REDINT Numeric(5,2) ;


/*-- SEQ 0329 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93289--
ALTER TABLE TT_IUF ADD CONSTRAINT CK_IUF_REDINT CHECK (REDINT >= 0);

/*-- SEQ 0330 --*/
-- Tarefa 93289 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'REDINT', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'REDINT'));                                


/*-- SEQ 0331 --*/
-- Tarefa 93316--
ALTER TABLE TT_ORC ADD COLUMN PLACAT CHAR(7) ;


/*-- SEQ 0332 --*/
-- Tarefa 93316 --
ALTER TABLE TT_ORC ADD CONSTRAINT FK_ORC_PLACAT FOREIGN KEY (PLACAT) REFERENCES TT_VEI(PLACAS);                               


/*-- SEQ 0333 --*/
-- Tarefa 93324--
ALTER TABLE TT_VEI ADD COLUMN SIGEST Char(2) ;


/*-- SEQ 0334 --*/
-- Tarefa 93324 --
ALTER TABLE TT_VEI ADD CONSTRAINT FK_VEI_SIGEST FOREIGN KEY (SIGEST) REFERENCES TD_EST(ESTADO);                               


/*-- SEQ 0335 --*/
-- Tarefa 93299--
SELECT DISABLETRIGGERS(LOWER('TT_IVEXIPE'));

/*-- SEQ 0336 --*/
-- Tarefa 93299 --
UPDATE TT_IVEXIPE IVEXIPE SET FLGEST = 'C' 
    WHERE IVEXIPE.FLGEST <> 'C'  
      AND EXISTS(SELECT IOR.CODFIL  FROM TT_IOR IOR 
                              INNER JOIN TT_ORC ORC ON ORC.CODFIL=IOR.CODFIL
                                                   AND ORC.NUMPED=IOR.NUMPED
                                                   AND ORC.TIPPED=IOR.TIPPED
                             WHERE IOR.CODFIL = IVEXIPE.FILPED
                               AND IOR.NUMPED = IVEXIPE.NUMPED
                               AND IOR.TIPPED = IVEXIPE.TIPPED
                               AND IOR.NUMITE = IVEXIPE.NUMITE
                               AND IOR.FLGENC <> 'T'
                               AND IOR.TIPENT IN ('5','7')
                               AND ORC.APROVA <> 'A');
                               
/*-- SEQ 0337 --*/
-- Tarefa 93299--                  
SELECT ENABLETRIGGERS(LOWER('TT_IVEXIPE'));                                  


/*-- SEQ 0338 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93158 --
SELECT * FROM NADA;

/*-- SEQ 0339 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93158 --
SELECT * FROM NADA;


/*-- SEQ 0340 --*/
-- Tarefa 93338--
ALTER TABLE TT_RTB ADD COLUMN FLGNEW VARCHAR(1) ;


/*-- SEQ 0341 --*/
-- Tarefa 93338--
ALTER TABLE TT_RTB ADD COLUMN DESRET VARCHAR(100) ;


/*-- SEQ 0342 --*/
-- Tarefa 93338--
ALTER TABLE TT_RTB ADD CONSTRAINT CK_RTB_FLGNEW CHECK ((FLGNEW IN ('A', 'C', 'I', 'T', 'P')) OR (FLGNEW IS NULL));


/*-- SEQ 0343 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93388 --
CREATE TABLE TM_ABA (
  CODFIL CHAR(3),
  CODABA CHAR(10),
  FLGNEW CHAR(1)
  )  ;
  
/*-- SEQ 0344 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93388 --
ALTER TABLE TM_ABA ALTER COLUMN CODFIL SET NOT NULL;  

/*-- SEQ 0345 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93388 --
ALTER TABLE TM_ABA ALTER COLUMN CODABA SET NOT NULL; 

/*-- SEQ 0346 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93388 --
ALTER TABLE TM_ABA ALTER COLUMN FLGNEW SET NOT NULL; 
 
/*-- SEQ 0347 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 93388 --
ALTER TABLE TM_ABA ADD CONSTRAINT PK_MABA PRIMARY KEY (CODFIL, CODABA);

/*-- SEQ 0348 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93388 --
ALTER TABLE TM_ABA ADD CONSTRAINT CK_MABA_FLGNEW CHECK (FLGNEW IN ('P','C','N','A','B'));

/*-- SEQ 0349 --*/
-- Tarefa 93388 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'TM_ABA', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'TM_ABA'));


/*-- SEQ 0350 --*/
-- Tarefa 93423--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_NCM ADD COLUMN CODEXT VARCHAR(20) ;



/*-- SEQ 0351 --*/
-- Tarefa 92753--
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0352 --*/
-- Tarefa 92753--
UPDATE TT_CFG SET CHECKOUT_VERMIN = '5.2H',
                  CHECKOUT_RELMIN = 0;

/*-- SEQ 0353 --*/
-- Tarefa 92753--                  
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));                  


/*-- SEQ 0354 --*/
-- Tarefa 93539 --
ALTER TABLE TT_PED ADD COLUMN FREORI CHAR(1) ;


/*-- SEQ 0355 --*/
-- Tarefa 93539 --
ALTER TABLE TT_PED ADD CONSTRAINT CK_PED_FREORI CHECK ((FREORI IN ('P', 'E')) OR (FREORI IS NULL));


/*-- SEQ 0356 --*/
-- Tarefa 93587 --
ALTER TABLE TT_RFC ADD COLUMN OBSERV VARCHAR(4000) ;



/*-- SEQ 0357 --*/
-- Tarefa 93593 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0358 --*/
ALTER TABLE TT_CFG ADD COLUMN BLQ_CF_RETIRA_DEPOSITO VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0359 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0360 --*/
-- Tarefa 93539 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_BLQ_CF_RETIRA_DEPOSITO CHECK (BLQ_CF_RETIRA_DEPOSITO IN ('T', 'F'));

/*-- SEQ 0361 --*/
-- Tarefa 93593 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0362 --*/
ALTER TABLE TW_CFG ADD COLUMN BLQ_CF_RETIRA_DEPOSITO VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0363 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0364 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
CREATE TABLE TT_TIN (
    CODFIL CHAR(3),
    SEQUEN CHAR(10),
    DATINC Timestamp,
    ATU_EM Timestamp,
    DESCRI VARCHAR(100),
    DESGRU VARCHAR(100),
    NOMCOR VARCHAR(100),
    DESCOR VARCHAR(100),
    DESBAS VARCHAR(100),
    DESEMB VARCHAR(100),
    DESMAT VARCHAR(30),
    ESPMAT VARCHAR(30),
    FLGEST VARCHAR(1),
    CODEXT VARCHAR(20)
)  ;
  
/*-- SEQ 0365 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN ADD CONSTRAINT PK_TIN PRIMARY KEY (CODFIL,SEQUEN);

/*-- SEQ 0366 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_DESCRI ON TT_TIN (DESCRI)  ;
 
/*-- SEQ 0367 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_DESGRU ON TT_TIN (DESGRU)  ;

/*-- SEQ 0368 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_NOMCOR ON TT_TIN (NOMCOR)  ;

/*-- SEQ 0369 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_DESCOR ON TT_TIN (DESCOR)  ;

/*-- SEQ 0370 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_DESBAS ON TT_TIN (DESBAS)  ;

/*-- SEQ 0371 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_DESEMB ON TT_TIN (DESEMB)  ;

/*-- SEQ 0372 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_DATINC ON TT_TIN (DATINC)  ;

/*-- SEQ 0373 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_ATU_EM ON TT_TIN (ATU_EM)  ;

/*-- SEQ 0374 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
CREATE UNIQUE INDEX I_UQ_TIN_CODEXT ON TT_TIN (CODEXT)  ;

/*-- SEQ 0375 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN ALTER COLUMN DATINC SET NOT NULL;  

/*-- SEQ 0376 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN ALTER COLUMN ATU_EM SET NOT NULL; 
 
/*-- SEQ 0377 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN ALTER COLUMN DESCRI SET NOT NULL; 
 
/*-- SEQ 0378 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN ALTER COLUMN DESMAT SET NOT NULL;  

/*-- SEQ 0379 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN ALTER COLUMN ESPMAT SET NOT NULL;  

/*-- SEQ 0380 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN ALTER COLUMN CODEXT SET NOT NULL;  

/*-- SEQ 0381 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN ALTER COLUMN FLGEST SET NOT NULL;  

/*-- SEQ 0382 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN ADD CONSTRAINT CK_TIN_FLGEST CHECK (FLGEST IN ('C','A'));

/*-- SEQ 0383 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN ALTER COLUMN FLGEST SET DEFAULT 'A';

/*-- SEQ 0384 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
CREATE SEQUENCE SQTIN INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0385 --*/
-- Tarefa 93689--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_BSC ADD COLUMN FILTIN CHAR(3) ;


/*-- SEQ 0386 --*/

-- Tarefa 93689--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_BSC ADD COLUMN SEQTIN CHAR(10) ;


/*-- SEQ 0387 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93689 --
ALTER TABLE TT_BSC ADD CONSTRAINT FK_BSC_TIN FOREIGN KEY (FILTIN, SEQTIN) REFERENCES TT_TIN(CODFIL, SEQUEN);
 
/*-- SEQ 0388 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93689 --
CREATE INDEX I_FK_BSC_TIN ON TT_BSC (FILTIN, SEQTIN)  ;

/*-- SEQ 0389 --*/
-- Tarefa 93689 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0390 --*/
-- Tarefa 93689 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'TINTAS', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'TINTAS'));

/*-- SEQ 0391 --*/
-- Tarefa 93689 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0392 --*/
-- Tarefa 93690--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN FILMAT_TIN CHAR(3) ;


/*-- SEQ 0393 --*/
-- Tarefa 93690--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN CODMAT_TIN CHAR(5) ;


/*-- SEQ 0394 --*/
-- Tarefa 93690--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN CODCOR_TIN Numeric(5) ;


/*-- SEQ 0395 --*/
-- Tarefa 93690--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN CODTAM_TIN Numeric(5) ;


/*-- SEQ 0396 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93690 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_GRA_TIN FOREIGN KEY (FILMAT_TIN, CODMAT_TIN, CODCOR_TIN, CODTAM_TIN) REFERENCES TT_GRA(FILMAT, CODMAT, CODCOR, CODTAM);
 
/*-- SEQ 0397 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93690 --
CREATE INDEX I_FK_CFG_GRA_TIN ON TT_CFG (FILMAT_TIN, CODMAT_TIN, CODCOR_TIN, CODTAM_TIN)  ;


/*-- SEQ 0398 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93687 --
CREATE TABLE TT_ITI (
    CODFIL CHAR(3),
    SEQUEN CHAR(10),
    NUMITE Numeric(5),
    FILCXS CHAR(3),
    ID_CXS Numeric(10),
    QTDITE Numeric(16,4),
    TIPITI VARCHAR(1)
)  ;
  
/*-- SEQ 0399 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI ADD CONSTRAINT PK_ITI PRIMARY KEY (CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0400 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI ADD CONSTRAINT FK_ITI_TIN FOREIGN KEY (CODFIL, SEQUEN) REFERENCES TT_TIN(CODFIL, SEQUEN);
 
/*-- SEQ 0401 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93687 --
CREATE INDEX I_FK_ITI_TIN ON TT_ITI (CODFIL, SEQUEN)  ;

/*-- SEQ 0402 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI ADD CONSTRAINT FK_ITI_GRAXSC FOREIGN KEY (FILCXS, ID_CXS) REFERENCES TT_GRAXSC(CODFIL, ID);
 
/*-- SEQ 0403 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93687 --
CREATE INDEX I_FK_ITI_GRAXSC ON TT_ITI (FILCXS, ID_CXS)  ;

/*-- SEQ 0404 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93687 --
CREATE INDEX I_LC_ITI_TIPITI ON TT_ITI (TIPITI)  ;

/*-- SEQ 0405 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI ALTER COLUMN FILCXS SET NOT NULL;  

/*-- SEQ 0406 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI ALTER COLUMN ID_CXS SET NOT NULL; 

/*-- SEQ 0407 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI ALTER COLUMN QTDITE SET NOT NULL; 

/*-- SEQ 0408 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI ALTER COLUMN TIPITI SET NOT NULL; 

/*-- SEQ 0409 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI ADD CONSTRAINT CK_ITI_TIPITI CHECK (TIPITI IN ('C','B'));

/*-- SEQ 0410 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI ADD CONSTRAINT CK_ITI_QTDITE CHECK (QTDITE > 0);


/*-- SEQ 0411 --*/
-- Tarefa 88682--
SELECT ExecAlteraTipoColuna('TT_PLA','PRIMIN','Numeric(9, 4)');


/*-- SEQ 0412 --*/
-- Tarefa 88682--
SELECT ExecAlteraTipoColuna('TT_PLA','PRIMAX','Numeric(9, 4)');


/*-- SEQ 0413 --*/
-- Tarefa 88682--
SELECT ExecAlteraTipoColuna('TT_PLA','PRIIDE','Numeric(9, 4)');



/*-- SEQ 0414 --*/
-- Tarefa 93792--
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0415 --*/
ALTER TABLE TT_CFG ADD COLUMN FPV_PRECO_SIMULADO VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0416 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0417 --*/
-- Tarefa 93792 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_FPV_PRECO_SIMULADO CHECK (FPV_PRECO_SIMULADO IN ('F','T'));

/*-- SEQ 0418 --*/
-- Tarefa 93792 --
ALTER TABLE TT_CFG ALTER COLUMN FPV_PRECO_SIMULADO SET NOT NULL;

/*-- SEQ 0419 --*/
-- Tarefa 93792--
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0420 --*/
ALTER TABLE TW_CFG ADD COLUMN FPV_PRECO_SIMULADO VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0421 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0422 --*/
-- Tarefa 93806--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD COLUMN FILBSC CHAR(3) ;


/*-- SEQ 0423 --*/
-- Tarefa 93806--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD COLUMN ID_BSC Numeric(10) ;


/*-- SEQ 0424 --*/
-- Tarefa 93806--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD COLUMN ITECSC Numeric(5) ;


/*-- SEQ 0425 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93806 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_BSC FOREIGN KEY (FILBSC, ID_BSC) REFERENCES TT_BSC(CODFIL, ID);
 
/*-- SEQ 0426 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93806 --
CREATE INDEX I_FK_IVE_BSC ON TT_IVE (FILBSC, ID_BSC)  ;

/*-- SEQ 0427 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93806 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_CSC FOREIGN KEY (FILBSC, ID_BSC, ITECSC) REFERENCES TT_CSC(CODFIL, ID, NUMITE);
 
/*-- SEQ 0428 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93806 --
CREATE INDEX I_FK_IVE_CSC ON TT_IVE (FILBSC, ID_BSC, ITECSC)  ;


/*-- SEQ 0429 --*/
-- Tarefa 93593 --
ALTER TABLE TT_CFG ALTER COLUMN BLQ_CF_RETIRA_DEPOSITO SET NOT NULL;


/*-- SEQ 0430 --*/ 
-- Tarefa 93316 --  
ALTER TABLE TT_ORC DROP CONSTRAINT FK_ORC_PLACAT;

/*-- SEQ 0431 --*/
-- Tarefa 93316 --
ALTER TABLE TT_ORC ADD CONSTRAINT FK_ORC_VEI FOREIGN KEY (PLACAT) REFERENCES TT_VEI(PLACAS); 

/*-- SEQ 0432 --*/
-- Tarefa 93316 --
CREATE INDEX I_FK_ORC_VEI ON TT_ORC (PLACAT)  ;


/*-- SEQ 0433 --*/ 
-- Tarefa 93324 --  
ALTER TABLE TT_VEI DROP CONSTRAINT FK_VEI_SIGEST;

/*-- SEQ 0434 --*/
-- Tarefa 93324 --
ALTER TABLE TT_VEI ADD CONSTRAINT FK_VEI_DEST FOREIGN KEY (SIGEST) REFERENCES TD_EST(ESTADO);

/*-- SEQ 0435 --*/
-- Tarefa 93324 --
CREATE INDEX I_FK_VEI_DEST ON TT_VEI (SIGEST)  ;


/*-- SEQ 0436 --*/
-- Tarefa 93846 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD COLUMN DATCAN Timestamp ;


/*-- SEQ 0437 --*/
-- Tarefa 93846 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'DATCANRPS', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'DATCANRPS'));


/*-- SEQ 0438 --*/
-- Tarefa 93710--
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0439 --*/
-- Tarefa 93710--
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;


/*-- SEQ 0440 --*/
-- Tarefa 93739--
SELECT ExecAlteraTipoColuna('TT_IVE','QTDPEN','Numeric(14,4)');


/*-- SEQ 0441 --*/
-- Tarefa 93739--
SELECT ExecAlteraTipoColuna('TT_IVE','QTDFUT','Numeric(14,4)');


/*-- SEQ 0442 --*/
-- Tarefa 93739--
SELECT ExecAlteraTipoColuna('TI_IVE','QTDPEN','Numeric(14,4)');


/*-- SEQ 0443 --*/
-- Tarefa 93739--
SELECT ExecAlteraTipoColuna('TI_IVE','QTDFUT','Numeric(14,4)');



/*-- SEQ 0444 --*/
-- Tarefa 93710--
SELECT ExecAlteraTipoColuna('TD_IR1','ICMSR1','Numeric(14, 4)');


/*-- SEQ 0445 --*/
-- Tarefa 93710--
SELECT ExecAlteraTipoColuna('TD_IR2','ICMSR2','Numeric(14, 4)');



/*-- SEQ 0446 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
CREATE TABLE TM_FEC (
  CODFIL CHAR(3),
  NUMECF CHAR(3),
  DATOPE Timestamp,
  FLGEST CHAR(1)
  )  ;
 
/*-- SEQ 0447 --*/ 
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ADD CONSTRAINT PK_FEC PRIMARY KEY (CODFIL,NUMECF,DATOPE);

/*-- SEQ 0448 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ALTER COLUMN FLGEST SET DEFAULT 'N';
 
/*-- SEQ 0449 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;

/*-- SEQ 0450 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;
  
/*-- SEQ 0451 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;
  
 /*-- SEQ 0452 --*/
 /*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ALTER COLUMN FLGEST SET NOT NULL;
  
/*-- SEQ 0453 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ADD CONSTRAINT FK_FEC_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0454 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;

/*-- SEQ 0455 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;


/*-- SEQ 0456 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
CREATE INDEX I_FK_FEC_DFIL ON TM_FEC (CODFIL)  ;

/*-- SEQ 0457 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ADD CONSTRAINT CK_FEC_FLGEST CHECK (FLGEST IN ('A','G','P','N'));
 



/*-- SEQ 0458 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
CREATE TABLE TT_MCF (
 	CODFIL 		CHAR(3), 		
    NUMECF 		CHAR(3), 		
    NUMCCF 		Numeric(6), 		
    NUMCOO 		Numeric(6), 		
    DATEMI 		Timestamp, 			
    VLRSUBTOT 	Numeric(14,2),
    VLRDES 		Numeric(13,2), 	
    FLGDES 		CHAR(1), 		
    VLRACR 		Numeric(13,2), 	
    FLGACR 		CHAR(1), 		
    VLRTOT 		Numeric(14,2), 	
    FLGCAN 		CHAR(1), 		
    VLRCANACR 	Numeric(13,2), 	
    ORDDESACR 	CHAR(1), 		
    NOMECLI 	VARCHAR(40), 	
    NUMDOC 		CHAR(14)  
  )  ;
 
/*-- SEQ 0459 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT PK_MCF PRIMARY KEY (CODFIL, NUMECF, NUMCOO, DATEMI);
 
/*-- SEQ 0460 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT FK_MCF_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);


/*-- SEQ 0461 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 92944 --
SELECT * FROM NADA;

/*-- SEQ 0462 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92944 --
SELECT * FROM NADA;

/*-- SEQ 0463 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT CK_MCF_FLGDES CHECK (FLGDES IN ('V','P'));

/*-- SEQ 0464 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT CK_MCF_FLGACR CHECK (FLGACR IN ('V','P'));

/*-- SEQ 0465 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT CK_MCF_FLGCAN CHECK (FLGACR IN ('S','N'));

/*-- SEQ 0466 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
CREATE INDEX I_FK_MCF_DFIL ON TT_MCF (CODFIL)  ;


 



/*-- SEQ 0467 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
CREATE TABLE TT_ICF (
		NUMCCF 		Numeric(6), 		
        NUMCOO 		Numeric(6),
		NUMECF 		CHAR(3), 
		CODFIL 		CHAR(3),
		DATEMI		Timestamp,	
        NUMITE 		Numeric(3), 		
        CODITE 		VARCHAR(14), 	
        DESMAT 		VARCHAR(100), 
        QTDITE 		Numeric(10,4), 	
        UNIDAD 		VARCHAR(3), 		
        VLRUNI 		Numeric(12,4), 	
        VLRDESC 	Numeric(8,2), 	
        VLRACRES 	Numeric(8,2), 	
        VLRTOT 		Numeric(14,2), 	
        CODTOT 		VARCHAR(7), 		
        FLGCAN 		CHAR(1), 		
	    QTDCAN 		Numeric(10,4), 	
	    VLRCAN 		Numeric(12,4), 	
	    VLRCANACR 	Numeric(12,4), 	
	    ARRTRU 		CHAR(1), 		
        DECQTD 		CHAR(1), 		
	    DECUNI 		CHAR(1)		
  )  ;
  
/*-- SEQ 0468 --*/ 
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT PK_ICF PRIMARY KEY (CODFIL, NUMECF, NUMCOO, DATEMI, NUMITE);

/*-- SEQ 0469 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT FK_ICF_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0470 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
SELECT * FROM NADA;

/*-- SEQ 0471 --*/
/*--IGNORE ERRO--*/
-- Tarefa 93797 --
SELECT * FROM NADA;

/*-- SEQ 0472 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT CK_ICF_FLGCAN CHECK (FLGCAN IN ('S','N','P'));

/*-- SEQ 0473 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT CK_ICF_ARRTRU CHECK (ARRTRU IN ('T','A'));



/*-- SEQ 0474 --*/
-- Tarefa 93923--
ALTER TABLE TT_FIN ADD COLUMN CHVTRN2 VARCHAR(5) ;



/*-- SEQ 0475 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 92944 --
SELECT * FROM NADA;


/*-- SEQ 0476 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ADD CONSTRAINT FK_FEC_ECF FOREIGN KEY (CODFIL, NUMECF) REFERENCES TD_ECF(FILECF, NUMECF);

/*-- SEQ 0477 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
CREATE INDEX I_FK_FEC_ECF ON TM_FEC (CODFIL, NUMECF)  ;


/*-- SEQ 0478 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT FK_MCF_DECF FOREIGN KEY (CODFIL, NUMECF) REFERENCES TD_ECF(FILECF, NUMECF);

/*-- SEQ 0479 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
CREATE INDEX I_FK_MCF_DECF ON TT_MCF (CODFIL, NUMECF)  ;


/*-- SEQ 0480 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT FK_ICF_MCF FOREIGN KEY (CODFIL, NUMECF, NUMCOO, DATEMI ) REFERENCES TT_MCF(CODFIL, NUMECF, NUMCOO, DATEMI);

/*-- SEQ 0481 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
CREATE INDEX I_FK_ICF_MCF ON TT_ICF (CODFIL, NUMECF, NUMCOO, DATEMI)  ;

/*-- SEQ 0482 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT FK_ICF_DECF FOREIGN KEY (CODFIL, NUMECF) REFERENCES TD_ECF(FILECF, NUMECF);

/*-- SEQ 0483 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
CREATE INDEX I_FK_ICF_DFIL ON TT_ICF (CODFIL)  ;

/*-- SEQ 0484 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
CREATE INDEX I_FK_ICF_DECF ON TT_ICF (CODFIL, NUMECF)  ;

/*-- SEQ 0485 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93797 --
SELECT * FROM NADA;



/*-- SEQ 0486 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93949--
DROP VIEW TV_DPG CASCADE;

/*-- SEQ 0487 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93949--
DROP VIEW TV_DOP CASCADE;

/*-- SEQ 0488 --*/
-- Tarefa 93949--
ALTER TABLE TT_DOP ALTER COLUMN CODBAR TYPE CHAR(47);


/*-- SEQ 0489 --*/
-- Tarefa 88710--
CREATE OR REPLACE FUNCTION ExecAlteraTipoColuna (VARCHAR,VARCHAR,VARCHAR)
RETURNS VARCHAR AS '
DECLARE
  pTabela   ALIAS FOR $1 ;
  pCampo    ALIAS FOR $2 ;
  pNovoTipo ALIAS FOR $3 ;
  cComando VARCHAR(255);
   
  cur_views CURSOR (pTabela_ VARCHAR, pCampo_ VARCHAR)  FOR 
    SELECT ''drop view ''||viw.relname||'' cascade;'' AS comando
      FROM pg_attribute att inner join pg_depend dep on dep.refobjsubid = att.attnum 
                            inner join pg_rewrite rew on rew.oid=dep.objid 
                            inner join pg_class viw on viw.oid=rew.ev_class
                            inner join pg_class tab on dep.refobjid=tab.oid and att.attrelid=tab.oid
                            left  join pg_namespace scm  ON scm.oid = tab.relnamespace
         WHERE dep.refclassid=1259 
           AND att.attname=lower(pCampo)
           AND dep.classid=''pg_rewrite''::regclass
           AND rew.rulename=''_RETURN'' 
           AND tab.relname=lower(pTabela)
           AND scm.nspname = current_schema()
     LIMIT 1;
         
BEGIN  
    
    LOOP
       Open cur_views(pTabela, pCAMPO);
       FETCH cur_views INTO cCOMANDO;
       EXIT WHEN NOT FOUND;
       RAISE NOTICE ''Executando %'',cCOMANDO;
       EXECUTE cCOMANDO;
       Close cur_views;
    END LOOP;    
     
    EXECUTE ''ALTER TABLE ''||pTabela||'' alter column ''||pCampo||'' type ''||pNovoTipo||'';'';
   RETURN NULL;
END;
' language 'plpgsql';
SELECT ExecAlteraTipoColuna('TT_COM','NUMNOT','VARCHAR(9)');


/*-- SEQ 0490 --*/
-- Tarefa 88710--
SELECT ExecAlteraTipoColuna('TT_RCP','NUMNOT','VARCHAR(9)');


/*-- SEQ 0491 --*/
-- Tarefa 88710--
SELECT ExecAlteraTipoColuna('TI_COM','NUMNOT','VARCHAR(9)');


/*-- SEQ 0492 --*/
-- Tarefa 88710--
SELECT ExecAlteraTipoColuna('TI_ICO','NUMNOT','VARCHAR(9)');


/*-- SEQ 0493 --*/
-- Tarefa 88710--
SELECT ExecAlteraTipoColuna('TI_PAG','NUMNOT','VARCHAR(9)');


/*-- SEQ 0494 --*/
-- Tarefa 88710--
SELECT ExecAlteraTipoColuna('TE_MOV','DOCUME','VARCHAR(25)');


/*-- SEQ 0495 --*/
-- TAREFA 88710--
SELECT DISABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0496 --*/
-- TAREFA 88710--
UPDATE TT_COM 
   SET NUMNOT = LPAD(TRIM(NUMNOT), 9, ' ') 
 WHERE NUMNOT NOT LIKE '###%'
   AND NUMNOT <> LPAD(TRIM(NUMNOT), 9, ' ');   

/*-- SEQ 0497 --*/
-- TAREFA 88710--
SELECT ENABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0498 --*/
-- TAREFA 88710--
SELECT DISABLETRIGGERS(LOWER('TT_RCP'));

/*-- SEQ 0499 --*/
-- TAREFA 88710--
UPDATE TT_RCP SET NUMNOT = LPAD(TRIM(NUMNOT), 9, ' ');   

/*-- SEQ 0500 --*/
-- TAREFA 88710--
SELECT ENABLETRIGGERS(LOWER('TT_RCP'));

/*-- SEQ 0501 --*/
-- TAREFA 88710--
SELECT DISABLETRIGGERS(LOWER('TI_COM'));

/*-- SEQ 0502 --*/
-- TAREFA 88710--
UPDATE TI_COM SET NUMNOT = LPAD(TRIM(NUMNOT), 9, ' '); 

/*-- SEQ 0503 --*/
-- TAREFA 88710--
SELECT ENABLETRIGGERS(LOWER('TI_COM'));

/*-- SEQ 0504 --*/
-- TAREFA 88710--
SELECT DISABLETRIGGERS(LOWER('TI_ICO'));

/*-- SEQ 0505 --*/
-- TAREFA 88710--
UPDATE TI_ICO SET NUMNOT = LPAD(TRIM(NUMNOT), 9, ' '); 

/*-- SEQ 0506 --*/
-- TAREFA 88710--
SELECT ENABLETRIGGERS(LOWER('TI_ICO'));

/*-- SEQ 0507 --*/
-- TAREFA 88710--
SELECT DISABLETRIGGERS(LOWER('TI_PAG'));

/*-- SEQ 0508 --*/
-- TAREFA 88710--
UPDATE TI_PAG SET NUMNOT = LPAD(TRIM(NUMNOT), 9, ' '); 

/*-- SEQ 0509 --*/
-- TAREFA 88710--
SELECT ENABLETRIGGERS(LOWER('TI_PAG'));


/*-- SEQ 0510 --*/
-- Tarefa 93974 --
SELECT DISABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0511 --*/
-- Tarefa 93974 --
UPDATE TT_GRA GRA
   SET CODFIS = (SELECT CAST(COALESCE(GRA.FILMAT, '')|| 
                             COALESCE(GRA.CODMAT, '')|| '-' || 
                             TRIM(COALESCE(TO_CHAR(GRA.CODCOR), ''))|| '-' || 
                             TRIM(COALESCE(TO_CHAR(COALESCE((SELECT DSUB.CODSAL 
                                                               FROM TT_SUB SUB INNER JOIN TD_SUB DSUB ON DSUB.CODTAB = SUB.CODSUB 
                                                              WHERE SUB.CODITE = GRA.CODTAM),GRA.CODTAM)),'')) AS VARCHAR(21)) AS CODSPED FROM DUAL)
 WHERE (SELECT CFG.REGRA_CODFIS FROM TT_CFG CFG) = 1 
   AND GRA.CODFIS IS NULL;
   
/*-- SEQ 0512 --*/
-- Tarefa 93974 --
UPDATE TT_GRA GRA
   SET CODFIS = (SELECT PRO.REFBAS 
                   FROM TT_PRO PRO 
                  WHERE GRA.FILMAT = PRO.FILMAT 
                    AND GRA.CODMAT = PRO.CODMAT)
 WHERE (SELECT CFG.REGRA_CODFIS FROM TT_CFG CFG) = 2
   AND GRA.CODFIS IS NULL;

/*-- SEQ 0513 --*/
-- TAREFA 93974--
SELECT ENABLETRIGGERS(LOWER('TT_GRA'));   
                                   
/*-- SEQ 0514 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93974 --
ALTER TABLE TT_GRA ALTER COLUMN CODFIS SET NOT NULL;  

/*-- SEQ 0515 --*/
-- Tarefa 93974 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN')); 

/*-- SEQ 0516 --*/
-- Tarefa 93974 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CODFIS', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CODFIS'));  

/*-- SEQ 0517 --*/
-- TAREFA 93974--
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));  


/*-- SEQ 0518 --*/
-- Tarefa 92615--
ALTER TABLE TT_CFG DROP CONSTRAINT FK_CFG_TIPRTT_RCEL;

/*-- SEQ 0519 --*/
-- Tarefa 92615--
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DRTT_RCEL FOREIGN KEY (TIPRTT_RCEL) REFERENCES TD_RTT (CODTAB);

/*-- SEQ 0520 --*/
-- Tarefa 92615--
CREATE INDEX I_FK_CFG_DRTT_RCEL ON TT_CFG (TIPRTT_RCEL)  ;


/*-- SEQ 0521 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
SELECT * FROM NADA;

/*-- SEQ 0522 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ADD CONSTRAINT FK_FEC_DECF FOREIGN KEY (CODFIL, NUMECF) REFERENCES TD_ECF(FILECF, NUMECF);

/*-- SEQ 0523 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
CREATE INDEX I_FK_FEC_DECF ON TM_FEC (CODFIL, NUMECF)  ;


/*-- SEQ 0524 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93823 --
SELECT * FROM NADA;

/*-- SEQ 0525 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93823 --
SELECT * FROM NADA;

/*-- SEQ 0526 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93823 --
SELECT * FROM NADA;

/*-- SEQ 0527 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93823 --
SELECT * FROM NADA;


/*-- SEQ 0528 --*/
-- Tarefa 94192 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0529 --*/
ALTER TABLE TT_CFG ADD COLUMN CLIREVSEMIE VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0530 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0531 --*/
-- Tarefa 94192--
ALTER TABLE TT_CFG ALTER COLUMN CLIREVSEMIE SET NOT NULL;

/*-- SEQ 0532 --*/
-- Tarefa 94192 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CLIREVSEMIE CHECK (CLIREVSEMIE IN ('T', 'F'));

/*-- SEQ 0533 --*/
-- Tarefa 94192 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0534 --*/
ALTER TABLE TW_CFG ADD COLUMN CLIREVSEMIE VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0535 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0536 --*/
-- Tarefa 94192 --
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0537 --*/
-- Tarefa 94192 --
UPDATE TT_CLI
   SET ISENTO = 'T'
 WHERE COALESCE(INSEST,'ISENTO') = 'ISENTO' AND ISENTO = 'F'
   AND NOT EXISTS (SELECT 1 AS OK
                     FROM TT_FUN
                    WHERE NOMFUN = 'REVSEMIE');

/*-- SEQ 0538 --*/
-- Tarefa 94192 --
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0539 --*/
-- Tarefa 94192 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0540 --*/
-- Tarefa 94192 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'REVSEMIE', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'REVSEMIE'));

/*-- SEQ 0541 --*/
-- Tarefa 94192 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));



/*-- SEQ 0542 --*/
-- Tarefa 93823 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0543 --*/
-- Tarefa 93823 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,384)||'S'||SUBSTR(PERMIS,386,9999)
    WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PERMIS385');

/*-- SEQ 0544 --*/
-- Tarefa 93823 --
SELECT ENABLETRIGGERS(LOWER('TT_USU'));
                     
/*-- SEQ 0545 --*/
-- Tarefa 93823 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0546 --*/
-- Tarefa 93823 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PERMIS385', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PERMIS385'));

/*-- SEQ 0547 --*/
-- Tarefa 93823 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0548 --*/
-- Tarefa 94239--
SELECT ExecAlteraTipoColuna('TW_FLU','NUMDOC','VARCHAR(9)');




/*-- SEQ 0549 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION PC_RECF_PLUS_UPDATE (TR_ECF.CODFIL%TYPE,TR_ECF.NUMECF%TYPE,TR_ECF.DATOPE%TYPE,TR_ECF.CUPINI%TYPE,TR_ECF.CUPFIM%TYPE,TR_ECF.CNT_RZ%TYPE,TR_ECF.GT_INI%TYPE,TR_ECF.GT_FIM%TYPE,TR_ECF.DATFEC%TYPE,TR_ECF.CODSER%TYPE,TR_ECF.CNT_RO%TYPE) CASCADE;


/*-- SEQ 0550 --*/
-- Tarefa 93998 --
SELECT DISABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0551 --*/
-- Tarefa 93998 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT 'Chapus e outros artefatos de uso semelhante, de malha', 3, 12, 'T', '65050012'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '65050012'));

/*-- SEQ 0552 --*/
-- Tarefa 93998 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT 'Chapus e outros artefatos de uso semelhante, de malha', 3, 12, 'T', '65050011'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '65050011'));

/*-- SEQ 0553 --*/
-- Tarefa 93998 --
SELECT ENABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0554 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN NOMDIV_CODEXT VARCHAR(20) ;


/*-- SEQ 0555 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN NOMSUB_CODEXT VARCHAR(20) ;


/*-- SEQ 0556 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN NOMGRA_CODEXT VARCHAR(20) ;


/*-- SEQ 0557 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN ITEDIV_CODEXT VARCHAR(20) ;


/*-- SEQ 0558 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN ITESUB_CODEXT VARCHAR(20) ;


/*-- SEQ 0559 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_DIV ADD COLUMN CODEXT VARCHAR(20) ;


/*-- SEQ 0560 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_SUB ADD COLUMN CODEXT VARCHAR(20) ;


/*-- SEQ 0561 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_GRA ADD COLUMN CODEXT VARCHAR(20) ;


/*-- SEQ 0562 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_DIV ADD COLUMN CODEXT VARCHAR(20) ;


/*-- SEQ 0563 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SUB ADD COLUMN CODEXT VARCHAR(20) ;


/*-- SEQ 0564 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_DDIV_CODEXT ON TD_DIV (CODEXT)  ;

/*-- SEQ 0565 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_DSUB_CODEXT ON TD_SUB (CODEXT)  ;

/*-- SEQ 0566 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_DGRA_CODEXT ON TD_GRA (CODEXT)  ;

/*-- SEQ 0567 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_DIV_CODEXT ON TT_DIV (CODEXT)  ;

/*-- SEQ 0568 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_SUB_CODEXT ON TT_SUB (CODEXT)  ;


/*-- SEQ 0569 --*/
-- Tarefa 94116 --
/*-- IGNORE ERRO --*/
ALTER TABLE TM_ABA ADD COLUMN SEQUEN CHAR(10) ;


/*-- SEQ 0570 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94116 --
CREATE SEQUENCE SQMABA INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0571 --*/
-- Tarefa 94116 --
SELECT DISABLETRIGGERS(LOWER('TM_ABA'));

/*-- SEQ 0572 --*/
-- Tarefa 94116 --
UPDATE TM_ABA
   SET SEQUEN = NEXTVAL('SQMABA')
 WHERE SEQUEN IS NULL;

/*-- SEQ 0573 --*/
-- Tarefa 94116 --
SELECT ENABLETRIGGERS(LOWER('TM_ABA'));

/*-- SEQ 0574 --*/
-- Tarefa 94116 --
ALTER TABLE TM_ABA DROP CONSTRAINT PK_MABA CASCADE;

/*-- SEQ 0575 --*/
-- Tarefa 94116 --
ALTER TABLE TM_ABA ADD CONSTRAINT PK_MABA PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0576 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94116 --
ALTER TABLE TM_ABA ALTER COLUMN CODABA SET NOT NULL;

/*-- SEQ 0577 --*/
-- Tarefa 94116 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0578 --*/
-- Tarefa 94116 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'TM_ABA2', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'TM_ABA2'));

/*-- SEQ 0579 --*/
-- Tarefa 94116 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0580 --*/
-- Tarefa 92859 --
SELECT DISABLETRIGGERS(LOWER('TT_JOB'));
                      
/*-- SEQ 0581 --*/
-- Tarefa 92859 --
INSERT INTO TT_JOB 
( NOMJOB, DESJOB, ULTEXE, QTDERR ) 
(SELECT 'JOB_GERACOMISSAODIARIA',
        'Gerar Comissão do Dia Anterior',
        Agora(),
        0
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_JOB
                      WHERE NOMJOB = 'JOB_GERACOMISSAODIARIA')); 
                      
/*-- SEQ 0582 --*/
-- Tarefa 92859 --
SELECT ENABLETRIGGERS(LOWER('TT_JOB'));                      



/*-- SEQ 0583 --*/
/*-- IGNORE ERRO --*/
/*-- Tarefa 94425 --*/
DROP FUNCTION NomeProduto (TT_PRO.DESECF%TYPE,TT_PRO.DESMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_DIV.NOMITE%TYPE,TT_GRA.CODTAM%TYPE,TT_SUB.NOMITE%TYPE,TT_PRO.ESPMAT%TYPE) CASCADE;


/*-- SEQ 0584 --*/
-- Tarefa 94509 --
INSERT INTO TL_FIN (ORIGEM,FILORI,SEQORI,PARORI,SUBORI,FILCLI,CODCLI)
SELECT TAB.ORIGEM,
       TAB.CODFIL,
       TAB.SEQUEN,
       TAB.PARORI,
       TAB.SUBORI,
       TAB.FILFOR,
       TAB.CODFOR
  FROM (
SELECT CAST('COM' AS CHAR(3)) AS ORIGEM,
       COM.CODFIL,
       COM.SEQUEN,
       CAST('--' AS CHAR(2)) AS PARORI,
       CAST('--' AS CHAR(2)) AS SUBORI,
       COM.FILFOR,
       COM.CODFOR,
       CAST((CTA.FILVIN||CTA.SEQVIN) AS CHAR(13)) AS CONTA_VINCULADA,
       CAST((RFIN.FILCRT||RFIN.SEQCRT) AS CHAR(13)) AS CONTA_CRT 
  FROM TT_COM COM INNER JOIN TR_FIN RFIN ON RFIN.CODFIL = COM.CODFIL AND RFIN.SEQUEN = COM.SEQUEN AND RFIN.TIPLAN IN ('TIT','FRE') 
                   LEFT JOIN TT_CTA CTA  ON COM.FILCTA = CTA.CODFIL
                                        AND COM.SEQCTA = CTA.SEQUEN
                                      
WHERE NOT EXISTS (SELECT CXC.CODFIL,CXC.SEQUEN FROM TT_COMXCTA CXC
                   WHERE CXC.CODFIL = COM.CODFIL
                     AND CXC.SEQUEN = COM.SEQUEN)
  AND TRUNC(COM.ATU_EM) >= TO_DATE('11/08/2014','DD/MM/YYYY')
  AND COM.CODFOR <> '     0'
  AND COM.FLGEST <> 'D'
  AND EXISTS (SELECT CODFIL FROM TD_FIL WHERE CGCFIL = '05409686000192') -- Casa Carneiro
 ORDER BY COM.ATU_EM   
) TAB
 WHERE COALESCE(CONTA_VINCULADA,'') <> COALESCE(CONTA_CRT,'')
   AND COALESCE(CONTA_VINCULADA,'') <> '';


/*-- SEQ 0585 --*/
-- Tarefa 92449 --
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0586 --*/
-- Tarefa 92449 --
/*-- SEQ 0587 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta () CASCADE;

/*-- SEQ 0588 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
  iEXISTE INTEGER;
BEGIN
 
  SELECT COUNT(*)
    INTO iEXISTE
    FROM TD_CTA
   WHERE CFGCOL = ''CHEQUES_DEVOLVIDOS'';

  IF iEXISTE = 0 THEN
    -- Cria novas contas financeiras para usos fixos
    SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
    cSEQFIN := ProximaConta(cCODFIL,''Cheques Devolvidos'',''N'',''O'',''N''); 
    
    -- Descobre o proximo CODTAB da TD_CTA
    SELECT MAX(CODTAB)+1 INTO cCODTAB
      FROM TD_CTA;  
    
    -- Insere as novas contas na tabela 
    INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
    (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''CHEQUES_DEVOLVIDOS'' AS CFGCOL, ''O'' AS USOCTA
     FROM TT_CTA
     WHERE CODFIL = cCODFIL
       AND SEQUEN = cSEQFIN);
  END IF;
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0589 --*/
-- Tarefa 92449 --
select temp_cria_conta() from dual;


/*-- SEQ 0590 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92449 --
DROP FUNCTION temp_cria_conta () CASCADE;

/*-- SEQ 0591 --*/
-- Tarefa 92449 --
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0592 --*/
-- Tarefa 92449 --
INSERT INTO TL_FIN (ORIGEM,FILORI,SEQORI,PARORI,SUBORI)
SELECT CAST('CHR' AS CHAR(3)) AS ORIGEM, CODFIL, SEQUEN, CAST('--' AS CHAR(2)) AS PARORI, CAST('--' AS CHAR(2)) AS SUBORI
  FROM TT_CHR
 WHERE FLGEST = 'V'
   AND NOT EXISTS (SELECT CODFIL, SEQUEN 
                     FROM TR_FIN
                    WHERE ORIGEM = 'CHR'
                      AND ORICRT = 'DEV');


/*-- SEQ 0593 --*/
-- Tarefa 93692 --
ALTER TABLE TW_CFG ADD COLUMN FILMAT_TIN CHAR(3) ;


/*-- SEQ 0594 --*/
-- Tarefa 93692 --
ALTER TABLE TW_CFG ADD COLUMN CODMAT_TIN CHAR(5) ;


/*-- SEQ 0595 --*/
-- Tarefa 93692 --
ALTER TABLE TW_CFG ADD COLUMN CODCOR_TIN Numeric(5) ;


/*-- SEQ 0596 --*/
-- Tarefa 93692 --
ALTER TABLE TW_CFG ADD COLUMN CODTAM_TIN Numeric(5) ;



/*-- SEQ 0597 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92689 --
ALTER TABLE TT_CLI DROP CONSTRAINT CK_CLI_REGRA CASCADE;

