
/*-- SEQ 0001 --*/
-- Tarefa 95697 --
SELECT DISABLETRIGGERS(LOWER('TT_IVO'));

/*-- SEQ 0002 --*/
-- Tarefa 95697 --
UPDATE TT_IVO SET FLGEST = 'C',
                  CONTEM = 0,
                  QTDFAL = 0
WHERE (FILVOL,SEQUEN) IN
      (SELECT IVO.FILVOL,
              IVO.SEQUEN
        FROM TT_IVO IVO INNER JOIN TT_IVE IVE ON  IVE.CODFIL = IVO.FILIVE
                                              AND IVE.SEQUEN = IVO.SEQIVE
                                              AND IVE.NUMITE = IVO.NUMIVE
                        INNER JOIN TT_IOR IOR ON  IOR.FILIVE = IVE.CODFIL
                                              AND IOR.SEQIVE = IVE.SEQUEN
                                              AND IOR.NUMIVE = IVE.NUMITE
                        CROSS JOIN TT_CFG CFG
       WHERE IOR.TIPENT = '3' -- RETIRA NO DEPÓSITO
         AND IVE.LANEST = 'R' -- FATURA
         AND IVO.FLGEST NOT IN ('F','N','P','E')
         AND IVO.FILIMP IS NULL -- SEM IMPRESSAO
         AND CFG.SEP_FAT_RETIRA_DEPOSITO = 'F' -- CONFIGURADO PARA FATURA NÃO GERAR IVO
         AND COALESCE(IVE.QTDPEN,999) = 0);
		 
/*-- SEQ 0003 --*/
-- Tarefa 95697 --
SELECT ENABLETRIGGERS(LOWER('TT_IVO'));



/*-- SEQ 0004 --*/
/*-- IGNORE ERRO --*/
/*-- Tarefa 96359 --*/
DROP FUNCTION EmailTransfAutom (TT_IOR.CODFIL%TYPE,TT_IOR.FILIVE%TYPE,TT_IOR.SEQIVE%TYPE,TT_IOR.FILMAT%TYPE,TT_IOR.CODMAT%TYPE,TT_IOR.CODCOR%TYPE,TT_IOR.CODTAM%TYPE) CASCADE;

/*-- SEQ 0005 --*/
/*-- IGNORE ERRO --*/
/*-- Tarefa 96359 --*/
DROP FUNCTION PC_IVEXIPE_PLUS_UPDATE (TT_IVEXIPE.CODFIL%TYPE,TT_IVEXIPE.SEQUEN%TYPE,TT_IVEXIPE.FILMAT%TYPE,TT_IVEXIPE.CODMAT%TYPE,TT_IVEXIPE.CODCOR%TYPE,TT_IVEXIPE.CODTAM%TYPE,TT_IVEXIPE.QTDENC%TYPE,TT_IVEXIPE.FLGEST%TYPE,TT_IOR.CODMUL%TYPE,TT_IVEXIPE.FILIVE%TYPE,TT_IVEXIPE.SEQIVE%TYPE,TT_IVEXIPE.NUMIVE%TYPE,TT_IVEXIPE.FILLOT%TYPE,TT_IVEXIPE.SEQLOT%TYPE,TT_IVEXIPE.FLGEST%TYPE,TT_IVEXIPE.FILICO%TYPE) CASCADE;


/*-- SEQ 0006 --*/
-- Tarefa 96330 --
ALTER TABLE TT_IVE ADD COLUMN VLRCOMSUG Numeric(12,2) ;



/*-- SEQ 0007 --*/
-- Tarefa 96337 --
ALTER TABLE TT_ICO ADD COLUMN BASICMAGR Numeric(14,2) ;


/*-- SEQ 0008 --*/
-- Tarefa 96337 --
ALTER TABLE TT_ICO ADD COLUMN ALIICMAGR Numeric(6,4) ;


/*-- SEQ 0009 --*/
-- Tarefa 96337 --
ALTER TABLE TT_ICO ADD COLUMN VLRICMAGR Numeric(12,2) ;



/*-- SEQ 0010 --*/
-- Tarefa 96326 --
ALTER TABLE TT_SAD ADD COLUMN VLRCOM Numeric(14,2) ;



/*-- SEQ 0011 --*/
-- Tarefa 96324 --
ALTER TABLE TD_SAD ADD COLUMN PERCOM_DSAD Numeric(6,4) ;


/*-- SEQ 0012 --*/
-- Tarefa 96324 --
ALTER TABLE TW_TAB ADD COLUMN PERCOM_DSAD Numeric(6,4) ;



/*-- SEQ 0013 --*/
-- Tarefa 96327 --
ALTER TABLE TD_FIL ADD COLUMN PERCOMSUG Numeric(6,4) ;



/*-- SEQ 0014 --*/
-- Tarefa 96079 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0015 --*/
-- Tarefa 96079 --
UPDATE TT_CFG
   SET CKNEGATIVO = 1
 WHERE CKNEGATIVO NOT IN (1,2,3);

/*-- SEQ 0016 --*/
-- Tarefa 96079 --
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0017 --*/
-- Tarefa 96079 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CKNEGATIVO CHECK (CKNEGATIVO IN (1,2,3));


/*-- SEQ 0018 --*/
-- Tarefa 96188 --
SELECT DISABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0019 --*/
ALTER TABLE TW_TAB ADD COLUMN ICMIMP Numeric(14,4) DEFAULT 4;

/*-- SEQ 0020 --*/
SELECT ENABLETRIGGERS(LOWER('TW_TAB'));



/*-- SEQ 0021 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93909 --
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TD_FIL.CODFIL%TYPE,VARCHAR,Numeric) CASCADE;

/*-- SEQ 0022 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93909 --
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TD_FIL.CODFIL%TYPE) CASCADE;


/*-- SEQ 0023 --*/
-- Tarefa 94795 --
ALTER TABLE TD_MVP ADD CONSTRAINT CK_DMVP_CONMOT CHECK (CONMOT IN ('T','F'));


/*-- SEQ 0024 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96619 --
CREATE INDEX I_LC_RSUG_ANO_MES ON TR_SUG (ANO_MES)  ;


/*-- SEQ 0025 --*/
-- Tarefa 96619 --
SELECT DISABLETRIGGERS(LOWER('TT_JOB'));

/*-- SEQ 0026 --*/
-- Tarefa 96619 --
DELETE FROM TT_JOB
 WHERE NOMJOB IN ('JOB_CALCELAST',
                  'JOB_CONTARNUMEROVENDAS',
                  'JOB_CLASSIFICAABCXYZ',
                  'JOB_CALCMEDIADESVIOPXF',
                  'JOB_CALCULATRACKINGSIGNAL');

/*-- SEQ 0027 --*/
-- Tarefa 96619 --
SELECT ENABLETRIGGERS(LOWER('TT_JOB'));


/*-- SEQ 0028 --*/
-- Tarefa 96633 --
SELECT DISABLETRIGGERS(LOWER('TD_NAT'));

/*-- SEQ 0029 --*/
-- Tarefa 96633 --
INSERT INTO TD_NAT
(CODTAB, LANVEN, TIPNAT, FINANC,
 MOVEST, NATATI, TRIBUT, USACUS,
 NATURE, OBSERV, NATOLN, SEQEXC,
 DEVVIN)
(SELECT 0, 'T', 'V', 'T',
        'T', 'T', 'T', 'F',
        'NAO USA', 'MEMO', 3, '         1',
        'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TD_NAT
                     WHERE CODTAB = 0));

/*-- SEQ 0030 --*/
-- Tarefa 96633 --
SELECT ENABLETRIGGERS(LOWER('TD_NAT'));


/*-- SEQ 0031 --*/
-- Tarefa 96325 --
ALTER TABLE TT_SAD DROP COLUMN VLRCOM CASCADE;

/*-- SEQ 0032 --*/
-- Tarefa 96325 --
ALTER TABLE TT_SAV ADD COLUMN VLRCOM Numeric(14,2) ;



/*-- SEQ 0033 --*/
-- Tarefa 96695 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0034 --*/
-- Tarefa 96695 --
SELECT ExecAlteraTipoColuna('TT_USU','PERMIS','VARCHAR(1000)');


/*-- SEQ 0035 --*/
-- Tarefa 96695 --
UPDATE TT_USU
   SET PERMIS = RPAD(TRIM(PERMIS),1000,'N');

/*-- SEQ 0036 --*/
-- Tarefa 96695 --
SELECT ENABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0037 --*/
-- Tarefa 96695 --
SELECT DISABLETRIGGERS(LOWER('TT_PAP'));

/*-- SEQ 0038 --*/
-- Tarefa 96695 --
SELECT ExecAlteraTipoColuna('TT_PAP','PERMIS','VARCHAR(1000)');


/*-- SEQ 0039 --*/
-- Tarefa 96695 --
UPDATE TT_PAP
   SET PERMIS = RPAD(TRIM(PERMIS),1000,'N');

/*-- SEQ 0040 --*/
-- Tarefa 96695 --
SELECT ENABLETRIGGERS(LOWER('TT_PAP'));


/*-- SEQ 0041 --*/
-- Tarefa 95982 --
CREATE TABLE TT_IORXDET (
    CODFIL CHAR(3),
    SEQUEN CHAR(10),
    /* FK TT_IOR */
    FILPED CHAR(3),
    NUMPED CHAR(8),
    TIPPED CHAR(1),
    ITEPED Numeric(5),
    /* FK TT_IOR */    
    /* FK TT_ITI */
    FILTIN CHAR(3),
    SEQTIN CHAR(10),
    ITETIN Numeric(5),
    /* FK TT_ITI */    
    /* FK TT_KIT */
    FILKIT CHAR(3),
    SEQKIT CHAR(10),
    /* FK TT_KIT */    
    FILMAT CHAR(3),
    CODMAT CHAR(5),
    CODCOR Numeric(5),
    CODTAM Numeric(5),
    QTDITE Numeric(12,4),    
    VLRUNI Numeric(14,4),
    VLRTOT Numeric(12,2),
    VLRDES Numeric(12,2),
    DESRAT Numeric(12,2),
    DATINC Timestamp,
    ATU_EM Timestamp,
    /* Colunas de Impostos */
    ICMTIP CHAR(1),
    CUSPRO Numeric(14,4),
    REDICM Numeric(7,4),
    BASICM Numeric(12,2),
    TAXICM Numeric(6,4),
    VLRICM Numeric(12,2),
    REDSUB Numeric(7,4),
    MVAVEN Numeric(14,4),
    BASSUB Numeric(12,2),
    TAXSUB Numeric(6,4),
    VLRSUB Numeric(12,2),
    BASIPI Numeric(12,2),
    VLRIPI Numeric(12,2),
    BASCOF Numeric(12,2),
    VLRCOF Numeric(12,2),
    BASPIS Numeric(12,2),
    VLRPIS Numeric(12,2),
    VLRIRR Numeric(12,2),
    VLRSOC Numeric(12,2),
    VLRCOM Numeric(12,2),
    BASSTC Numeric(14,4),
    VLRSTC Numeric(14,4),
    VLROPE Numeric(12,2),
    VLROPEFIX Numeric(12,2),
    VLRLUC Numeric(12,2),
    PERLUC Numeric(10,4),
    CUSMAR Numeric(12,2),
    VLRFRE Numeric(12,2),    
    VLRSEG Numeric(12,2),
    VLRIPIFRE Numeric(12,2),
    FILUSU CHAR(3),
    CODUSU CHAR(3)
  )  ;  
  
/*-- SEQ 0042 --*/ 
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ADD CONSTRAINT PK_IORXDET PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0043 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ADD CONSTRAINT FK_IORXDET_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL (CODFIL);
 
/*-- SEQ 0044 --*/
-- Tarefa 95982 --
CREATE INDEX I_FK_IORXDET_DFIL ON TT_IORXDET (CODFIL)  ;

/*-- SEQ 0045 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ADD CONSTRAINT FK_IORXDET_IOR FOREIGN KEY (FILPED, NUMPED, TIPPED, ITEPED) REFERENCES TT_IOR (CODFIL, NUMPED, TIPPED, NUMITE);
 
/*-- SEQ 0046 --*/
-- Tarefa 95982 --
CREATE INDEX I_FK_IORXDET_IOR ON TT_IORXDET (FILPED, NUMPED, TIPPED, ITEPED)  ;

/*-- SEQ 0047 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ADD CONSTRAINT FK_IORXDET_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM) REFERENCES TT_GRA (FILMAT, CODMAT, CODCOR, CODTAM);
 
/*-- SEQ 0048 --*/
-- Tarefa 95982 --
CREATE INDEX I_FK_IORXDET_GRA ON TT_IORXDET (FILMAT, CODMAT, CODCOR, CODTAM)  ;

/*-- SEQ 0049 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ADD CONSTRAINT FK_IORXDET_ITI FOREIGN KEY (FILTIN, SEQTIN, ITETIN) REFERENCES TT_ITI (CODFIL, SEQUEN, NUMITE);
 
/*-- SEQ 0050 --*/
-- Tarefa 95982 --
CREATE INDEX I_FK_IORXDET_ITI ON TT_IORXDET (FILTIN, SEQTIN, ITETIN)  ;

/*-- SEQ 0051 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ADD CONSTRAINT FK_IORXDET_KIT FOREIGN KEY (FILKIT, SEQKIT) REFERENCES TT_KIT (FILMAT, SEQUEN);
 
/*-- SEQ 0052 --*/
-- Tarefa 95982 --
CREATE INDEX I_FK_IORXDET_KIT ON TT_IORXDET (FILKIT, SEQKIT)  ;    

/*-- SEQ 0053 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ADD CONSTRAINT FK_IORXDET_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU (FILUSU, CODUSU);
 
/*-- SEQ 0054 --*/
-- Tarefa 95982 --
CREATE INDEX I_FK_IORXDET_USU ON TT_IORXDET (FILUSU, CODUSU)  ;

/*-- SEQ 0055 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ALTER COLUMN ICMTIP SET NOT NULL;

/*-- SEQ 0056 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ALTER COLUMN FILPED SET NOT NULL;

/*-- SEQ 0057 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ALTER COLUMN NUMPED SET NOT NULL;

/*-- SEQ 0058 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ALTER COLUMN TIPPED SET NOT NULL;

/*-- SEQ 0059 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ALTER COLUMN ITEPED SET NOT NULL;

/*-- SEQ 0060 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ALTER COLUMN FILMAT SET NOT NULL;

/*-- SEQ 0061 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ALTER COLUMN CODMAT SET NOT NULL;

/*-- SEQ 0062 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ALTER COLUMN CODCOR SET NOT NULL;

/*-- SEQ 0063 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ALTER COLUMN CODTAM SET NOT NULL;

/*-- SEQ 0064 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ALTER COLUMN QTDITE SET NOT NULL;
 
/*-- SEQ 0065 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ALTER COLUMN VLRUNI SET NOT NULL;

/*-- SEQ 0066 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ALTER COLUMN VLRTOT SET NOT NULL;

/*-- SEQ 0067 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0068 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0069 --*/
-- Tarefa 95982 --
CREATE SEQUENCE SQIORXDET INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0070 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IORXDET ALTER COLUMN ICMTIP SET DEFAULT '0';

/*-- SEQ 0071 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IOR ADD COLUMN TIPDET VARCHAR(1) ;


/*-- SEQ 0072 --*/
-- Tarefa 95982 --
ALTER TABLE TT_IOR ADD CONSTRAINT CK_IOR_TIPDET CHECK ((TIPDET IN ('K','T')) OR (TIPDET IS NULL));


/*-- SEQ 0073 --*/
-- Tarefa 96786 --
SELECT DISABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0074 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD COLUMN PROSUG VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0075 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0076 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96786 --
ALTER TABLE TT_IVE ALTER COLUMN PROSUG SET NOT NULL;

/*-- SEQ 0077 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96786 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_PROSUG CHECK (PROSUG IN ('F', 'T'));

/*-- SEQ 0078 --*/
-- Tarefa 96786 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0079 --*/
-- Tarefa 96786 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'IVE_PROSUG', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'IVE_PROSUG'));

/*-- SEQ 0080 --*/
-- Tarefa 96786 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0081 --*/
-- Tarefa 96571 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0082 --*/
ALTER TABLE TD_FIL ADD COLUMN TIPCOM CHAR(1) DEFAULT 'V';

/*-- SEQ 0083 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0084 --*/
-- Tarefa 96571 --
ALTER TABLE TD_FIL ALTER COLUMN TIPCOM SET NOT NULL;

/*-- SEQ 0085 --*/
-- Tarefa 96571 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_TIPCOM CHECK (TIPCOM IN ('A', 'V'));

/*-- SEQ 0086 --*/
-- Tarefa 96571 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0087 --*/
ALTER TABLE TD_FIL ADD COLUMN DESIPI VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0088 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0089 --*/
-- Tarefa 96571 --
ALTER TABLE TD_FIL ALTER COLUMN DESIPI SET NOT NULL;

/*-- SEQ 0090 --*/
-- Tarefa 96571 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_DESIPI CHECK (DESIPI IN ('F', 'T'));


/*-- SEQ 0091 --*/
-- Tarefa 96578 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0092 --*/
ALTER TABLE TT_CFG ADD COLUMN PERIPITRA Numeric(5,2) DEFAULT 90;

/*-- SEQ 0093 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0094 --*/
-- Tarefa 96578 --
ALTER TABLE TT_CFG ALTER COLUMN PERIPITRA SET NOT NULL;

/*-- SEQ 0095 --*/
-- Tarefa 96578 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_PERIPITRA CHECK (PERIPITRA >= 0);

/*-- SEQ 0096 --*/
-- Tarefa 96578 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0097 --*/
ALTER TABLE TT_CFG ADD COLUMN PERIPIATA Numeric(5,2) DEFAULT 90;

/*-- SEQ 0098 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0099 --*/
-- Tarefa 96578 --
ALTER TABLE TT_CFG ALTER COLUMN PERIPIATA SET NOT NULL;

/*-- SEQ 0100 --*/
-- Tarefa 96578 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_PERIPIATA CHECK (PERIPIATA  >= 0);

/*-- SEQ 0101 --*/
-- Tarefa 96578 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0102 --*/
ALTER TABLE TW_CFG ADD COLUMN PERIPITRA Numeric(5,2) DEFAULT 90;

/*-- SEQ 0103 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0104 --*/
-- Tarefa 96578 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0105 --*/
ALTER TABLE TW_CFG ADD COLUMN PERIPIATA Numeric(5,2) DEFAULT 90;

/*-- SEQ 0106 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0107 --*/
-- Tarefa 96573 --
ALTER TABLE TT_ICO ADD COLUMN TAXIPICAL Numeric(6,4) ;


/*-- SEQ 0108 --*/
-- Tarefa 96573 --
ALTER TABLE TT_ICO ADD COLUMN BASIPICAL Numeric(12,2) ;


/*-- SEQ 0109 --*/
-- Tarefa 96573 --
ALTER TABLE TT_ICO ADD COLUMN VLRIPICAL Numeric(12,2) ;


/*-- SEQ 0110 --*/
-- Tarefa 96573 --
ALTER TABLE TT_ICO ADD COLUMN VLRFILDES Numeric(12,4) ;


/*-- SEQ 0111 --*/
-- Tarefa 96573 --
ALTER TABLE TT_ICO ADD COLUMN IPITRA Numeric(5,2) ;


/*-- SEQ 0112 --*/
-- Tarefa 96573 --
ALTER TABLE TT_IVE ADD COLUMN TAXIPICAL Numeric(6,4) ;


/*-- SEQ 0113 --*/
-- Tarefa 96573 --
ALTER TABLE TT_IVE ADD COLUMN BASIPICAL Numeric(12,2) ;


/*-- SEQ 0114 --*/
-- Tarefa 96573 --
ALTER TABLE TT_IVE ADD COLUMN VLRIPICAL Numeric(12,2) ;


/*-- SEQ 0115 --*/
-- Tarefa 96573 --
ALTER TABLE TT_IVE ADD COLUMN VLRFILDES Numeric(12,4) ;


/*-- SEQ 0116 --*/
-- Tarefa 96573 --
ALTER TABLE TT_IVE ADD COLUMN IPITRA Numeric(5,2) ;




/*-- SEQ 0117 --*/
-- Tarefa 96813 --
SELECT ExecAlteraTipoColuna('TD_SAD','FORIMP','TEXT');


/*-- SEQ 0118 --*/
-- Tarefa 96813 --
SELECT ExecAlteraTipoColuna('TW_TAB','FORIMP','TEXT');




/*-- SEQ 0119 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96675 --
DROP FUNCTION desativa_produtos_antigos ( int4,int4);



/*-- SEQ 0120 --*/
-- Tarefa 96695 --
SELECT DISABLETRIGGERS(LOWER('TI_USU'));

/*-- SEQ 0121 --*/
-- Tarefa 96695 --
SELECT ExecAlteraTipoColuna('TI_USU','PERMIS','VARCHAR(1000)');


/*-- SEQ 0122 --*/
-- Tarefa 96695 --
UPDATE TI_USU
   SET PERMIS = RPAD(TRIM(PERMIS),1000,'N');

/*-- SEQ 0123 --*/
-- Tarefa 96695 --
SELECT ENABLETRIGGERS(LOWER('TI_USU'));


/*-- SEQ 0124 --*/
-- Tarefa 91212 --
CREATE TABLE TM_ATU (
    ID     Numeric(10),
    NOMTAB VARCHAR(30),
    FILTRO VARCHAR(4000),
    USERID Numeric(10),
    FLGEST CHAR(1),
    DATINC Timestamp
    )  ;
   
/*-- SEQ 0125 --*/ 
-- Tarefa 91212 --
ALTER TABLE TM_ATU ADD CONSTRAINT PK_MATU PRIMARY KEY (ID);

/*-- SEQ 0126 --*/
-- Tarefa 91212 --
ALTER TABLE TM_ATU ALTER COLUMN NOMTAB SET NOT NULL;

/*-- SEQ 0127 --*/
-- Tarefa 91212 --
ALTER TABLE TM_ATU ALTER COLUMN FLGEST SET NOT NULL;

/*-- SEQ 0128 --*/
-- Tarefa 91212 --
CREATE SEQUENCE SQMATU INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0129 --*/
-- Tarefa 91212 --
ALTER TABLE TM_ATU ALTER COLUMN FLGEST SET DEFAULT 'N';

/*-- SEQ 0130 --*/
-- Tarefa 91212 --
ALTER TABLE TM_ATU ADD CONSTRAINT CK_MATU_FLGEST CHECK (FLGEST IN ('N','P'));

/*-- SEQ 0131 --*/
-- Tarefa 91212 --
SELECT DISABLETRIGGERS(LOWER('TT_JOB'));
 
/*-- SEQ 0132 --*/
-- Tarefa 91212 --
INSERT INTO TT_JOB (NOMJOB, DESJOB, ULTEXE, QTDERR, ULTERR)
SELECT 'JOB_SETARDATAATUALIZACAO', 'Rotina para atualizar Data na Tabela Principal', Agora(), 0, NULL
  FROM DUAL
 WHERE NOT EXISTS (
       SELECT 1 AS OK
         FROM TT_JOB
        WHERE NOMJOB = 'JOB_SETARDATAATUALIZACAO'
       );
 
/*-- SEQ 0133 --*/
-- Tarefa 91212 --
SELECT ENABLETRIGGERS(LOWER('TT_JOB'));


/*-- SEQ 0134 --*/
-- Tarefa 91212 --
DROP FUNCTION PC_CLI_CASCADE_DATA (TT_CLI.FILCLI%TYPE,TT_CLI.CODCLI%TYPE) CASCADE;


/*-- SEQ 0135 --*/
-- Tarefa 96805 --
SELECT ExecAlteraTipoColuna('TW_CLI','E_MAIL','VARCHAR(254)');



/*-- SEQ 0136 --*/
-- Tarefa 96701 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0137 --*/
-- Tarefa 96701 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,399)||CASE WHEN USANDB='T' THEN 'S' ELSE 'N' END ||CASE WHEN EDINDB='T' THEN 'S' ELSE 'N' END ||CASE WHEN AGENDB='T' THEN 'S' ELSE 'N' END ||CASE WHEN USANDC='T' THEN 'S' ELSE 'N' END ||SUBSTR(PERMIS,404,9999);

/*-- SEQ 0138 --*/
-- Tarefa 96701 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));


/*-- SEQ 0139 --*/
-- Tarefa 96883 --
ALTER TABLE TT_COM ADD COLUMN FINNFE CHAR(1) ;


/*-- SEQ 0140 --*/
-- Tarefa 96883 --
ALTER TABLE TT_COM ADD CONSTRAINT CK_COM_FINNFE CHECK (FINNFE IN ('1','2','3','4'));



/*-- SEQ 0141 --*/
-- Tarefa 96891 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0142 --*/
ALTER TABLE TD_FIL ADD COLUMN DESIPITRA VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0143 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0144 --*/
-- Tarefa 96891 --
ALTER TABLE TD_FIL ALTER COLUMN DESIPITRA SET NOT NULL;

/*-- SEQ 0145 --*/
-- Tarefa 96891 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_DESIPITRA CHECK (DESIPITRA IN ('F', 'T'));


/*-- SEQ 0146 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION ProximoCodigoMigracao (VARCHAR,TD_FIL.CODFIL%TYPE) CASCADE;

/*-- SEQ 0147 --*/
CREATE OR REPLACE FUNCTION ProximoCodigoMigracao (VARCHAR,TD_FIL.CODFIL%TYPE)
RETURNS VARCHAR AS $$
DECLARE
pTabela ALIAS FOR $1 ;
pFilial ALIAS FOR $2 ;
   nProximo                      Numeric;
BEGIN
   IF pTabela = 'TT_SLT' THEN SELECT NEXTVAL('SQSLT') INTO nProximo FROM DUAL;
   END IF;
   IF nProximo IS NOT NULL THEN
       RETURN LPAD(RTRIM(TO_CHAR(nProximo)),10,' ');
   END IF;
END;
$$ language 'plpgsql';



/*-- SEQ 0148 --*/
-- Tarefa 96855 --
SELECT DISABLETRIGGERS(LOWER('TT_LOT'));

/*-- SEQ 0149 --*/
-- Tarefa 96855 --
SELECT DISABLETRIGGERS(LOWER('TT_SLT'));

/*-- SEQ 0150 --*/
-- Tarefa 96855 --
INSERT INTO TT_SLT 
(CODFIL, SEQUEN, CODMUL, FILLOT, SEQLOT, QTDEST, RESERV, ATU_EM)
SELECT LOT.CODFIL,
       ProximoCodigoMigracao('TT_SLT', LOT.CODFIL),
       0,
       LOT.CODFIL,
       LOT.SEQUEN,
       0,
       0,
       Agora()
  FROM TT_LOT LOT
 WHERE LOT.QTDINI <> 0
   AND NOT EXISTS (SELECT 1 AS OK
                     FROM TT_SLT SLT
                    WHERE SLT.FILLOT = LOT.CODFIL
                      AND SLT.SEQLOT = LOT.SEQUEN
                      AND SLT.CODFIL = LOT.CODFIL
                      AND SLT.CODMUL = 0);

/*-- SEQ 0151 --*/
-- Tarefa 96855 --
UPDATE TT_SLT SLT
   SET QTDEST = SLT.QTDEST + (SELECT LOT.QTDINI
                                FROM TT_LOT LOT
                               WHERE LOT.CODFIL = SLT.FILLOT
                                 AND LOT.SEQUEN = SLT.SEQLOT)
 WHERE SLT.CODFIL = SLT.FILLOT
   AND SLT.CODMUL = 0
   AND (SLT.FILLOT, SLT.SEQLOT) IN (SELECT LOT.CODFIL, LOT.SEQUEN
                                      FROM TT_LOT LOT
                                     WHERE LOT.CODFIL = SLT.FILLOT
                                       AND LOT.SEQUEN = SLT.SEQLOT
                                       AND LOT.QTDINI <> 0);

/*-- SEQ 0152 --*/
-- Tarefa 96855 --
UPDATE TT_LOT
   SET QTDINI = 0
 WHERE QTDINI <> 0;

/*-- SEQ 0153 --*/
-- Tarefa 96855 --
UPDATE TT_LOT
   SET QTDEST = 0
 WHERE QTDEST <> 0;

/*-- SEQ 0154 --*/
-- Tarefa 96855 --
SELECT ENABLETRIGGERS(LOWER('TT_LOT'));

/*-- SEQ 0155 --*/
-- Tarefa 96855 --
SELECT ENABLETRIGGERS(LOWER('TT_SLT'));

/*-- SEQ 0156 --*/
-- Tarefa 00000 --
DROP FUNCTION ProximoCodigoMigracao (VARCHAR,TD_FIL.CODFIL%TYPE) CASCADE;


/*-- SEQ 0157 --*/
-- Tarefa 96963 --
ALTER TABLE TT_PXF ADD COLUMN FRESIM Numeric(12,2) ;



/*-- SEQ 0158 --*/
-- Tarefa 94110 --
SELECT ExecAlteraTipoColuna('TT_DOP','CODBAR','VARCHAR(48)');



/*-- SEQ 0159 --*/
-- Tarefa 97004 --
ALTER TABLE TD_NAT ADD COLUMN NATRED_ST VARCHAR(6) ;


/*-- SEQ 0160 --*/
-- Tarefa 97004 --
ALTER TABLE TD_NAT ADD COLUMN NATREF_ST VARCHAR(6) ;


/*-- SEQ 0161 --*/
-- Tarefa 97004 --
ALTER TABLE TW_TAB ADD COLUMN NATRED_ST VARCHAR(6) ;


/*-- SEQ 0162 --*/
-- Tarefa 97004 --
ALTER TABLE TW_TAB ADD COLUMN NATREF_ST VARCHAR(6) ;



/*-- SEQ 0163 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0164 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0165 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0166 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0167 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0168 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0169 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0170 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0171 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0172 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0173 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0174 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0175 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0176 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0177 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0178 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0179 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0180 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0181 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0182 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0183 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0184 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0185 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0186 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0187 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0188 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0189 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0190 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0191 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0192 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0193 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0194 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;

/*-- SEQ 0195 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97024 --
SELECT * FROM NADA;


/*-- SEQ 0196 --*/
-- Tarefa 96957 --
ALTER TABLE TD_NAT ADD COLUMN CSTNOR VARCHAR(3) ;


/*-- SEQ 0197 --*/
-- Tarefa 96957 --
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_CSTNOR CHECK ((TRIBUT = 'F' AND CSTNOR IN ('40', '41', '50', '51', '90')) OR (TRIBUT = 'T' AND CSTNOR IN ('51', '90')) OR (CSTNOR IS NULL));

/*-- SEQ 0198 --*/
-- Tarefa 96957 --
ALTER TABLE TW_TAB ADD COLUMN CSTNOR VARCHAR(3) ;


/*-- SEQ 0199 --*/
-- Tarefa 96957 --
ALTER TABLE TD_NAT ADD COLUMN CST_ST VARCHAR(3) ;


/*-- SEQ 0200 --*/
-- Tarefa 96957 --
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_CST_ST CHECK ((TRIBUT = 'F' AND CST_ST IN ('40', '41', '50', '51', '90')) OR (TRIBUT = 'T' AND CST_ST IN ('51', '90')) OR (CST_ST IS NULL));

/*-- SEQ 0201 --*/
-- Tarefa 96957 --
ALTER TABLE TW_TAB ADD COLUMN CST_ST VARCHAR(3) ;



/*-- SEQ 0202 --*/
-- Tarefa 97038 --
SELECT ExecAlteraTipoColuna('TW_CLI','NUMCEL','VARCHAR(10)');




/*-- SEQ 0203 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96958 --
DROP FUNCTION aux_trazlinhadigitavel (bpchar,bpchar,bpchar,bpchar,Numeric,Numeric,Numeric,timestamp,VARCHAR) CASCADE;

/*-- SEQ 0204 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96958 --
DROP FUNCTION aux_trazlinhadigitavel (bpchar,bpchar,bpchar,VARCHAR,Numeric,Numeric,Numeric,timestamp,VARCHAR) CASCADE;

/*-- SEQ 0205 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96958 --
DROP FUNCTION aux_trazlinhadigitavel (bpchar,bpchar,bpchar,VARCHAR,Numeric,Numeric,Numeric,timestamp,Numeric,Numeric,bpchar,VARCHAR) CASCADE;

/*-- SEQ 0206 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96958 --
DROP FUNCTION aux_trazcodbarra (bpchar,bpchar,bpchar,bpchar,Numeric,Numeric,Numeric,timestamp) CASCADE;

/*-- SEQ 0207 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96958 --
DROP FUNCTION aux_trazcodbarra (bpchar,bpchar,bpchar,VARCHAR,Numeric,Numeric,Numeric,timestamp) CASCADE;

/*-- SEQ 0208 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 96958 --
DROP FUNCTION aux_trazcodbarra (bpchar,bpchar,bpchar,VARCHAR,Numeric,Numeric,Numeric,timestamp,Numeric,Numeric,bpchar) CASCADE;







/*-- SEQ 0209 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97014 --
ALTER TABLE TT_CCB ADD COLUMN LOCPAG VARCHAR(200) ;


/*-- SEQ 0210 --*/
-- Tarefa 97014 --
SELECT DISABLETRIGGERS(LOWER('TT_CCB'));

/*-- SEQ 0211 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCB ADD COLUMN GERSGR VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0212 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CCB'));

/*-- SEQ 0213 --*/
-- Tarefa 97014 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0214 --*/
-- Tarefa 97014 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'LOCPAG', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'LOCPAG'));

/*-- SEQ 0215 --*/
-- Tarefa 97014 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'GERSGR', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'GERSGR'));

/*-- SEQ 0216 --*/
-- Tarefa 97014 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));



/*-- SEQ 0217 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97014 --
DROP FUNCTION Aux_CalculaDACMod11 (VARCHAR,VARCHAR,VARCHAR,VARCHAR) CASCADE;

/*-- SEQ 0218 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97014 --
DROP FUNCTION Aux_CalculaDACMod11 (VARCHAR,VARCHAR,VARCHAR) CASCADE;







/*-- SEQ 0219 --*/
-- Tarefa 97056 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,396)||'S'||SUBSTR(PERMIS,398,9999) WHERE NOT EXISTS(SELECT CODFIL FROM TD_FIL WHERE CGCFIL IN ('05409686000273','05409686000192'));

/*-- SEQ 0220 --*/
-- Tarefa 97056 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,396)||'N'||SUBSTR(PERMIS,398,9999) WHERE EXISTS(SELECT CODFIL FROM TD_FIL WHERE CGCFIL IN ('05409686000273','05409686000192'));


/*-- SEQ 0221 --*/
-- Tarefa 97083 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0222 --*/
ALTER TABLE TT_CFG ADD COLUMN SEPMAIOR VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0223 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0224 --*/
-- Tarefa 97083 --
ALTER TABLE TT_CFG ALTER COLUMN SEPMAIOR SET NOT NULL;

/*-- SEQ 0225 --*/
-- Tarefa 97083 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_SEPMAIOR CHECK (SEPMAIOR IN ('F', 'T'));


/*-- SEQ 0226 --*/
-- Tarefa 96993 --
SELECT DISABLETRIGGERS(LOWER('TT_SAD'));

/*-- SEQ 0227 --*/
-- Tarefa 96993 --
UPDATE TT_SAD
   SET SIGNAT = 1
 WHERE SIGNAT = 0;

/*-- SEQ 0228 --*/
-- Tarefa 96993 --
SELECT ENABLETRIGGERS(LOWER('TT_SAD'));


/*-- SEQ 0229 --*/
-- Tarefa 97142 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,398)||'S'||SUBSTR(PERMIS,400,9999);


/*-- SEQ 0230 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 97252 --
DROP INDEX I_UQ_IBP_COD;


/*-- SEQ 0231 --*/
-- Tarefa 97238 --
SELECT DISABLETRIGGERS(LOWER('TT_REC'));

/*-- SEQ 0232 --*/
ALTER TABLE TT_REC ADD COLUMN AVISTA VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0233 --*/
SELECT ENABLETRIGGERS(LOWER('TT_REC'));

/*-- SEQ 0234 --*/
-- Tarefa 97238 --
ALTER TABLE TT_REC ALTER COLUMN AVISTA SET NOT NULL;

/*-- SEQ 0235 --*/
-- Tarefa 97238 --
ALTER TABLE TT_REC ADD CONSTRAINT CK_REC_AVISTA CHECK (AVISTA IN ('F', 'T'));

/*-- SEQ 0236 --*/
-- Tarefa 97238 --
SELECT DISABLETRIGGERS(LOWER('TT_REC'));

/*-- SEQ 0237 --*/
-- Tarefa 97238 --
UPDATE TT_REC
   SET AVISTA = 'T'
 WHERE TRUNC(PAGAME) = TRUNC(DATINC) AND AVISTA <> 'T';

/*-- SEQ 0238 --*/
-- Tarefa 97238 --
SELECT ENABLETRIGGERS(LOWER('TT_REC'));

/*-- SEQ 0239 --*/
-- Tarefa 97238 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0240 --*/
-- Tarefa 97238 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'REC_AVISTA', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'REC_AVISTA'));

/*-- SEQ 0241 --*/
-- Tarefa 97238 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));

