
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Ticket 2022046852 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TPR ADD COLUMN USAICMESP CHAR(1) ;



/*-- SEQ 0003 --*/
-- Ticket 2022052632 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0004 --*/
-- Ticket 2022052632 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'DESC_REG_ALIQICMS', 'Desconsiderar regra de preenchimento da Alquota ICMS Interestadual na Formao do Preo Simulado?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DESC_REG_ALIQICMS'));

/*-- SEQ 0005 --*/
-- Ticket 2022052632 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0006 --*/
-- Ticket 2022060820--
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0007 --*/
-- Ticket 2022060820--
UPDATE TT_PRO
   SET CODCES = NULL
 WHERE CODCES IS NOT NULL
   AND CODCES NOT IN (SELECT CODCES
                        FROM TT_CESXNCM
                       WHERE CODNCM = TT_PRO.CODNCM 
                      UNION ALL
                      SELECT CODCES
                        FROM TT_CESXNCM
                       WHERE CODNCM = '*');

/*-- SEQ 0008 --*/
-- Ticket 2022060820--
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));


/*-- SEQ 0009 --*/
-- Ticket 2022056211 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0010 --*/
-- Ticket 2022056211 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'DECRETO_7212_ART_5', 'Filial se enquadra como Restaurantes, Bares, Sorveterias, Confeitarias, Padarias ou Quitandas?', 'B', 'F', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DECRETO_7212_ART_5'));

/*-- SEQ 0011 --*/
-- Ticket 2022056211 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0012 --*/
-- Ticket 2022046852 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0013 --*/
-- Ticket 2022046852 --
UPDATE TT_PCS SET 
      PCSATI = 'F'
 WHERE NOMPCS = 'USA_ICMS_ESPECIFICO';

/*-- SEQ 0014 --*/
-- Ticket 2022046852 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'DESC_ST_PROD_FIL_SUB', 'Desconsiderar clculo do ST antecipado para produtos tributrios na compra em Filial substituta?', 'B', 'F', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DESC_ST_PROD_FIL_SUB'));

/*-- SEQ 0015 --*/
-- Ticket 2022046852 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0016 --*/
-- Ticket 2022031459--
/*-- IGNORE ERRO --*/
ALTER TABLE TD_NAT DROP CONSTRAINT CK_DNAT_CST_ST CASCADE;

/*-- SEQ 0017 --*/
-- Ticket 2022031459--
/*-- IGNORE ERRO --*/
ALTER TABLE TD_NAT DROP CONSTRAINT CK_DNAT_CSTNOR CASCADE;

/*-- SEQ 0018 --*/
-- Ticket 2022031459--
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_CST_ST CHECK ((CST_ST IN ('40', '41', '50', '51', '90')) OR (CST_ST IS NULL));

/*-- SEQ 0019 --*/
-- Ticket 2022031459--
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_CSTNOR CHECK ((CSTNOR IN ('40', '41', '50', '51', '90')) OR (CSTNOR IS NULL));


/*-- SEQ 0020 --*/
-- Ticket 2022021374 --
ALTER TABLE TT_ICO ADD COLUMN PERICMANT Numeric(7, 4) ;


/*-- SEQ 0021 --*/
-- Ticket 2022021374 --
ALTER TABLE TT_ICO ADD COLUMN VLRICMANT Numeric(12, 2) ;


/*-- SEQ 0022 --*/
-- Ticket 2022021374 --
ALTER TABLE TT_COM ADD COLUMN TOTICMANT Numeric(12, 2) ;



/*-- SEQ 0023 --*/
-- Ticket 2022056211 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0024 --*/
-- Ticket 2022056211 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'DECRETO_7212_ART_5', 'Filial se enquadra como Restaurantes, Bares, Sorveterias, Confeitarias, Padarias ou Quitandas?', 'B', 'F', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DECRETO_7212_ART_5'));

/*-- SEQ 0025 --*/
-- Ticket 2022056211 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0026 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2022022839 --
DROP INDEX I_LC_DOCTO_DEPCHE;

/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2022022839 --
DROP INDEX I_LC_DATDOC_DEPCHE;

/*-- SEQ 0028 --*/
-- Ticket 2022022839 --
CREATE INDEX I_LC_DOCTO_DEPCHE ON TT_CHR (CODFIL,CODBCO,CODAGE,NUMCON,NUMCHE)  ;

/*-- SEQ 0029 --*/
-- Ticket 2022022839 --
CREATE INDEX I_LC_DATDOC_DEPCHE ON TT_CHR (DATVEN,CODFIL,CODBCO,CODAGE,NUMCON,NUMCHE)  ;


/*-- SEQ 0030 --*/
-- Ticket 2022035244 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0031 --*/
-- Ticket 2022035244 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'EXIBE_LUC_GRIDIOR', 'Apresenta no Grid de Itens do DAV Informaes de Lucratividade?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'EXIBE_LUC_GRIDIOR'));

/*-- SEQ 0032 --*/
-- Ticket 2022035244 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0033 --*/
-- Tarefa 2021106272 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0034 --*/
-- Tarefa 2021106272 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'NUM_MAX_PARC_DEPO_CC', 'Nmero mximo de parcelas no depsito em conta corrente', 'I', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'NUM_MAX_PARC_DEPO_CC'));

/*-- SEQ 0035 --*/
-- Tarefa 2021106272 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));



/*-- SEQ 0036 --*/
/*-- Ticket 2022047611 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR,VARCHAR,Numeric,Numeric,VARCHAR,VARCHAR,VARCHAR,VARCHAR,VARCHAR,VARCHAR) CASCADE;

/*-- SEQ 0037 --*/
/*-- Ticket 2022047611 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR,VARCHAR,Numeric,Numeric,VARCHAR,VARCHAR,VARCHAR,VARCHAR,VARCHAR) CASCADE;

/*-- SEQ 0038 --*/
/*-- Ticket 2022047611 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR,VARCHAR,Numeric,Numeric,VARCHAR,VARCHAR,VARCHAR,VARCHAR) CASCADE;

/*-- SEQ 0039 --*/
/*-- Ticket 2022047611 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR,VARCHAR,Numeric,Numeric,VARCHAR,VARCHAR,VARCHAR) CASCADE;

/*-- SEQ 0040 --*/
/*-- Ticket 2022047611 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR,VARCHAR,Numeric,Numeric,VARCHAR,VARCHAR) CASCADE;

/*-- SEQ 0041 --*/
/*-- Ticket 2022047611 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR,VARCHAR,Numeric,Numeric,VARCHAR) CASCADE;

/*-- SEQ 0042 --*/
/*-- Ticket 2022047611 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR,VARCHAR,Numeric,Numeric) CASCADE;

/*-- SEQ 0043 --*/
/*-- Ticket 2022047611 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR,VARCHAR,Numeric) CASCADE;

/*-- SEQ 0044 --*/
/*-- Ticket 2022047611 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR) CASCADE;


/*-- SEQ 0045 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket GES-2022012492 --
DROP FUNCTION TGTRA() CASCADE;


/*-- SEQ 0046 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022060856 --
ALTER TABLE TD_FIL ADD COLUMN SERCFE CHAR(2) ;


/*-- SEQ 0047 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022060856 --
ALTER TABLE TD_FIL ADD CONSTRAINT FK_DFIL_DSER_SERCFE FOREIGN KEY (SERCFE) REFERENCES TD_SER (CODSER);

/*-- SEQ 0048 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022060856 --
CREATE INDEX I_FK_DFIL_DSER_SERCFE ON TD_FIL (SERCFE)  ;

/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022060856 --
ALTER TABLE TD_FIL ADD COLUMN SERSAT CHAR(2) ;


/*-- SEQ 0050 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022060856 --
ALTER TABLE TD_FIL ADD CONSTRAINT FK_DFIL_DSER_SERSAT FOREIGN KEY (SERSAT) REFERENCES TD_SER (CODSER);

/*-- SEQ 0051 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022060856 --
CREATE INDEX I_FK_DFIL_DSER_SERSAT ON TD_FIL (SERSAT)  ;


/*-- SEQ 0052 --*/
-- Ticket GES-2021113635 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0053 --*/
-- Ticket GES-2021113635 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'CANC_DAV_NO_CANC_VEN', 'Cancelar a DAV ao cancelar a venda?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CANC_DAV_NO_CANC_VEN'));

/*-- SEQ 0054 --*/
-- Ticket GES-2021113635 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0055 --*/
-- Ticket 2022077787 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0056 --*/
-- Ticket 2022077787--
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'VNDLOTEDNAPELOSALDO', 'Realizar a venda de Lote Individualizado (DNA) utilizando o saldo disponvel no PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'VNDLOTEDNAPELOSALDO'));
                     
/*-- SEQ 0057 --*/
-- Ticket 2022077787 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0058 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021122533 --
SELECT DISABLETRIGGERS(LOWER('TT_VEI'));

/*-- SEQ 0059 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021122533 --
ALTER TABLE TT_VEI DROP CONSTRAINT CK_VEI_PLACAS CASCADE;

/*-- SEQ 0060 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021122533 --
ALTER TABLE TT_VEI ADD CONSTRAINT CK_VEI_PLACAS 
CHECK (
(NACION = 'F' AND UPPER(PLACAS) = PLACAS) 
OR ((ASCII(SUBSTR(PLACAS,1,1)) BETWEEN 65 AND 90) 
AND (ASCII(SUBSTR(PLACAS,2,1)) BETWEEN 65 AND 90) 
AND (ASCII(SUBSTR(PLACAS,3,1)) BETWEEN 65 AND 90) 
AND (ASCII(SUBSTR(PLACAS,4,1)) BETWEEN 48 AND 57) 
AND (ASCII(SUBSTR(PLACAS,5,1)) BETWEEN 48 AND 90) 
AND (ASCII(SUBSTR(PLACAS,6,1)) BETWEEN 48 AND 57) 
AND (ASCII(SUBSTR(PLACAS,7,1)) BETWEEN 48 AND 57)));

/*-- SEQ 0061 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021122533 --
SELECT ENABLETRIGGERS(LOWER('TT_VEI'));


/*-- SEQ 0062 --*/
-- Ticket 2022048609 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0063 --*/
-- Ticket 2022048609 --
UPDATE TT_PCS 
   SET DESPCS = 'Obrigar cliente cadastrado na devoluo pelo Totall POS?'
 WHERE NOMPCS = 'OBRIGAR_CLI_CAD_DEV';
 
/*-- SEQ 0064 --*/
-- Ticket 2022048609 --
UPDATE TT_PCS
   SET DESPCS = 'Exibe meio pgto como "Aberto" em parcela aberta que no seja "Boleto, Bnus, C/C, Carto, Cheque"?'
 WHERE NOMPCS = 'EXIBEMEIOCOMOABERTO';
 
/*-- SEQ 0065 --*/
-- Ticket 2022048609 --
UPDATE TT_PCS
   SET DESPCS = 'Tratar para enviar ou no o conceito de grade'
 WHERE NOMPCS = 'GRADE_E_COMMERCE';
 
/*-- SEQ 0066 --*/
-- Ticket 2022048609 --
UPDATE TT_PCS
   SET DESPCS = 'Srie Nota Fiscal especfica para uma Filial'
 WHERE NOMPCS = 'SERIE_NF_ECOMMERCE';

/*-- SEQ 0067 --*/
-- Ticket 2022048609 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0068 --*/
-- Ticket 2022056265 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0069 --*/
-- Ticket 2022056265 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'IMP_SEPARACAO_AUTO', 'Imprimir Ordem de Separao Automaticamente?', 'B', 'F', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'IMP_SEPARACAO_AUTO'));

/*-- SEQ 0070 --*/
-- Ticket 2022056265 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0071 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022056265 --
ALTER TABLE TT_IVO ADD COLUMN FILLOT CHAR(3) ;


/*-- SEQ 0072 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022056265 --
ALTER TABLE TT_IVO ADD COLUMN SEQLOT CHAR(10) ;


/*-- SEQ 0073 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022056265 --
ALTER TABLE TT_IVO ADD CONSTRAINT FK_IVO_LOT FOREIGN KEY (FILLOT, SEQLOT) REFERENCES TT_LOT (CODFIL, SEQUEN);

/*-- SEQ 0074 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022056265 --
CREATE INDEX I_FK_IVO_LOT ON TT_IVO (FILLOT, SEQLOT)  ;

/*-- SEQ 0075 --*/
-- Ticket 2022056265 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0076 --*/
-- Ticket 2022056265 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'LOTESEPARA', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'LOTESEPARA'));

/*-- SEQ 0077 --*/
-- Ticket 2022056265 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0078 --*/
-- Ticket 20220510205 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0079 --*/
-- Ticket 20220510205--
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'OCULTASELFILBUSCADAV', 'Ocultar Seleo de Filial na Pesquisa de DAV/Pr-Venda no PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'OCULTASELFILBUSCADAV'));
                     
/*-- SEQ 0080 --*/
-- Ticket 20220510205 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0081 --*/
-- Ticket 2022083045 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0082 --*/
-- Ticket 2022083045--
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'USALOTESEPARACAO', 'Usa lote na separao? Deve ser informado lote para cada produto separado.', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'USALOTESEPARACAO'));
                     
/*-- SEQ 0083 --*/
-- Ticket 2022083045 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0084 --*/
-- Ticket 2021104596 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0085 --*/
-- Ticket 2021104596 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'INFORMACAO_SALDO_CCC', 'Exibir informao quando saldo em conta corrente do cliente estiver positivo no PoS?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'INFORMACAO_SALDO_CCC'));

/*-- SEQ 0086 --*/
-- Ticket 2021104596 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0087 --*/
-- Ticket 20220811544 --
SELECT DISABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0088 --*/
-- Ticket 20220811544 --
SELECT DISABLETRIGGERS(LOWER('TT_CES'));

/*-- SEQ 0089 --*/
-- Ticket 20220811544 --
SELECT DISABLETRIGGERS(LOWER('TT_CESXNCM'));

/*-- SEQ 0090 --*/
-- Ticket 20220811544 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '85395200',
        '-- Lmpadas e tubos de diodos emissores de luz (LED)',
        4,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '85395200'));

/*-- SEQ 0091 --*/
-- Ticket 20220811544 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '94051',
        '- Lustres e outras luminrias, eltricos, prprios para serem suspensos ou fixados no teto ou na parede, exceto os do tipo utilizado na iluminao pblica:',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '94051'));
                     
/*-- SEQ 0092 --*/
-- Ticket 20220811544 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '94052',
        '- Abajures (candeeiros) de mesa, de escritrio, de cabeceira e luminrias (candeeiros) de p, eltricos:',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '94052'));
                     
/*-- SEQ 0093 --*/
-- Ticket 20220811544 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '94054',
        '- Outras luminrias e aparelhos de iluminao, eltricos:',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '94054'));
							
/*-- SEQ 0094 --*/
-- Ticket 20220811544 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '94059',
        '- Partes:',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '94059'));
                     

/*-- SEQ 0095 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC)
(SELECT '0900500',
        'Lmpadas de LED (diodos emissores de luz)',
        'T',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CES
                     WHERE CODCES = '0900500'));
                     
/*-- SEQ 0096 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC)
(SELECT '2112300',
        'Lustres e outros aparelhos eltricos de iluminao, prprios para serem suspensos ou fixados no teto ou na parede, exceto os dos tipos utilizados na iluminao pblica; e suas partes',
        'T',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CES
                     WHERE CODCES = '2112300'));
                     
/*-- SEQ 0097 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC)
(SELECT '2112400',
        'Abajures de cabeceiras, de escritrios e lampadrios de interior, eltricos e suas partes',
        'T',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CES
                     WHERE CODCES = '2112400'));
                     
/*-- SEQ 0098 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC)
(SELECT '2112500',
        'Outras luminrias e aparelhos de iluminao, eltricos, e suas partes',
        'T',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CES
                     WHERE CODCES = '2112500'));

/*-- SEQ 0099 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT NEXTVAL('SQCXN'),
        '0900500',
        '85395200',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '0900500'
                       AND CODNCM = '85395200'));

/*-- SEQ 0100 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT NEXTVAL('SQCXN'),
        '2112300',
        '94051',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '2112300'
                       AND CODNCM = '94051'));
                   
/*-- SEQ 0101 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT NEXTVAL('SQCXN'),
        '2112300',
        '94059',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '2112300'
                       AND CODNCM = '94059'));
                       
                       
/*-- SEQ 0102 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT NEXTVAL('SQCXN'),
        '2112400',
        '94052',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '2112400'
                       AND CODNCM = '94052'));
                       
/*-- SEQ 0103 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT NEXTVAL('SQCXN'),
        '2112400',
        '94059',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '2112400'
                       AND CODNCM = '94059'));
                       
                       
/*-- SEQ 0104 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT NEXTVAL('SQCXN'),
        '2112500',
        '94054',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '2112500'
                       AND CODNCM = '94054'));
                       
/*-- SEQ 0105 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT NEXTVAL('SQCXN'),
        '2112500',
        '94059',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '2112500'
                       AND CODNCM = '94059'));
                       
/*-- SEQ 0106 --*/
-- Ticket 20220811544 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '940510';

/*-- SEQ 0107 --*/
-- Ticket 20220811544 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '94052000';

/*-- SEQ 0108 --*/
-- Ticket 20220811544 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '940540';
 
 /*-- SEQ 0109 --*/
-- Ticket 20220811544 --
SELECT ENABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0110 --*/
-- Ticket 20220811544 --
SELECT ENABLETRIGGERS(LOWER('TT_CES'));

/*-- SEQ 0111 --*/
-- Ticket 20220811544 --
SELECT ENABLETRIGGERS(LOWER('TT_CESXNCM'));



/*-- SEQ 0112 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
DROP FUNCTION CalculaCustoMedio (TR_MOV.CODFIL%TYPE,TR_MOV.FILMAT%TYPE,TR_MOV.CODMAT%TYPE,TR_MOV.CODCOR%TYPE,TR_MOV.CODTAM%TYPE) CASCADE;


/*-- SEQ 0113 --*/
-- Ticket 2022035244 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0114 --*/
-- Ticket 2022035244 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'PRECO_INF_UNITARIO', 'Preo informado  unitrio no Totali POS?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PRECO_INF_UNITARIO'));
							
/*-- SEQ 0115 --*/
-- Ticket 2022035244 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0116 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN BASICM Numeric(12, 2) ;


/*-- SEQ 0117 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN BASRET Numeric(12, 2) ;


/*-- SEQ 0118 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN BSTFRE Numeric(14, 2) ;


/*-- SEQ 0119 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN CODAVU VARCHAR(20) ;


/*-- SEQ 0120 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN CODDAR VARCHAR(1) ;


/*-- SEQ 0121 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN CODDOP Numeric(5) ;


/*-- SEQ 0122 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN CODFCE Numeric(2) ;


/*-- SEQ 0123 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN CODFPS VARCHAR(2) ;


/*-- SEQ 0124 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN CODIBG Numeric(10) ;


/*-- SEQ 0125 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN CODSRV Numeric(4) ;


/*-- SEQ 0126 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN CODTRI Numeric(5) ;


/*-- SEQ 0127 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN DATSTR VARCHAR(10) ;


/*-- SEQ 0128 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN FILAGC VARCHAR(3) ;


/*-- SEQ 0129 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN FINNFE VARCHAR(1) ;


/*-- SEQ 0130 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN NATBCC VARCHAR(2) ;


/*-- SEQ 0131 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN NATFRE VARCHAR(1) ;


/*-- SEQ 0132 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN RATEIO_FRETE VARCHAR(1) ;


/*-- SEQ 0133 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN SEQAGC VARCHAR(10) ;


/*-- SEQ 0134 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN SITCOF VARCHAR(2) ;


/*-- SEQ 0135 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN SITPIS VARCHAR(2) ;


/*-- SEQ 0136 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN ST_FRE Numeric(14, 2) ;


/*-- SEQ 0137 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN TIPFRE VARCHAR(1) ;


/*-- SEQ 0138 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN VLRBONFUT Numeric(12, 2) ;


/*-- SEQ 0139 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN VLRSRV Numeric(12, 2) ;


/*-- SEQ 0140 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD COLUMN XMLNFE VARCHAR(4000) ;


/*-- SEQ 0141 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN ALIICMAGR Numeric(6, 4) ;


/*-- SEQ 0142 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN APRBON Numeric(16, 2) ;


/*-- SEQ 0143 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN BASCOF Numeric(12, 2) ;


/*-- SEQ 0144 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN BASFCP Numeric(14, 2) ;


/*-- SEQ 0145 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN BASFCP_RET Numeric(14, 2) ;


/*-- SEQ 0146 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN BASFCP_ST Numeric(14, 2) ;


/*-- SEQ 0147 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN BASICMAGR Numeric(14, 2) ;


/*-- SEQ 0148 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN BASICMDIF Numeric(14, 2) ;


/*-- SEQ 0149 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN BASIPICAL Numeric(12, 2) ;


/*-- SEQ 0150 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN BASISS Numeric(12, 2) ;


/*-- SEQ 0151 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN BASPIS Numeric(12, 2) ;


/*-- SEQ 0152 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN BASSUB Numeric(14, 2) ;


/*-- SEQ 0153 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN BASSUBDIF Numeric(14, 2) ;


/*-- SEQ 0154 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN BSTFRE Numeric(14, 2) ;


/*-- SEQ 0155 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN CODBEN VARCHAR(10) ;


/*-- SEQ 0156 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN CODCSTDIF VARCHAR(3) ;


/*-- SEQ 0157 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN CODFCI VARCHAR(36) ;


/*-- SEQ 0158 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN CSTXML VARCHAR(3) ;


/*-- SEQ 0159 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN ICMITEDIF Numeric(14, 2) ;


/*-- SEQ 0160 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN ICMVEN Numeric(6, 4) ;


/*-- SEQ 0161 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN ICMVENDIF Numeric(6, 4) ;


/*-- SEQ 0162 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN ICO_BASRET Numeric(12, 2) ;


/*-- SEQ 0163 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN ICO_OUTTAX Numeric(12, 2) ;


/*-- SEQ 0164 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN ICO_VLRFRE Numeric(12, 2) ;


/*-- SEQ 0165 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN ICO_VLRRET Numeric(12, 2) ;


/*-- SEQ 0166 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN IPIFRE Numeric(12, 2) ;


/*-- SEQ 0167 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN IPITRA Numeric(5, 2) ;


/*-- SEQ 0168 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN ISEICMDIF Numeric(14, 2) ;


/*-- SEQ 0169 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN MOTDESON Numeric(2) ;


/*-- SEQ 0170 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN MVACOM Numeric(14, 4) ;


/*-- SEQ 0171 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN MVACOMDIF Numeric(14, 4) ;


/*-- SEQ 0172 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN NATBCC VARCHAR(2) ;


/*-- SEQ 0173 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN OUTDES Numeric(12, 2) ;


/*-- SEQ 0174 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN OUTICMDIF Numeric(14, 2) ;


/*-- SEQ 0175 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN PAUTAF Numeric(14, 2) ;


/*-- SEQ 0176 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN PERCOF Numeric(6, 4) ;


/*-- SEQ 0177 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN PERCRESN Numeric(7, 4) ;


/*-- SEQ 0178 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN PERDIF Numeric(7, 4) ;


/*-- SEQ 0179 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN PERDIFICM Numeric(7, 4) ;


/*-- SEQ 0180 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN PERDIFICMDIF Numeric(7, 4) ;


/*-- SEQ 0181 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN PERFCP Numeric(6, 4) ;


/*-- SEQ 0182 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN PERFCP_RET Numeric(6, 4) ;


/*-- SEQ 0183 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN PERFCP_ST Numeric(6, 4) ;


/*-- SEQ 0184 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN PERICMDEV Numeric(5, 2) ;


/*-- SEQ 0185 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN PERISS Numeric(5, 2) ;


/*-- SEQ 0186 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN PERPIS Numeric(6, 4) ;


/*-- SEQ 0187 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN RED_ST Numeric(7, 4) ;


/*-- SEQ 0188 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN RED_STDIF Numeric(7, 4) ;


/*-- SEQ 0189 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN REDITE Numeric(7, 4) ;


/*-- SEQ 0190 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN REDITEDIF Numeric(7, 4) ;


/*-- SEQ 0191 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN RETSUB VARCHAR(1) ;


/*-- SEQ 0192 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN SITCOF VARCHAR(2) ;


/*-- SEQ 0193 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN SITIPI VARCHAR(2) ;


/*-- SEQ 0194 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN SITPIS VARCHAR(2) ;


/*-- SEQ 0195 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN ST_FRE Numeric(14, 2) ;


/*-- SEQ 0196 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN TAXIPICAL Numeric(6, 4) ;


/*-- SEQ 0197 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLR_ST Numeric(14, 2) ;


/*-- SEQ 0198 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLR_STDIF Numeric(14, 2) ;


/*-- SEQ 0199 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRCOF Numeric(12, 2) ;


/*-- SEQ 0200 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRCRESN Numeric(14, 2) ;


/*-- SEQ 0201 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRDESON Numeric(15, 2) ;


/*-- SEQ 0202 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRDIF Numeric(12, 2) ;


/*-- SEQ 0203 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRDIFICM Numeric(12, 2) ;


/*-- SEQ 0204 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRDIFICMDIF Numeric(12, 2) ;


/*-- SEQ 0205 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRFCP Numeric(14, 2) ;


/*-- SEQ 0206 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRFCP_RET Numeric(14, 2) ;


/*-- SEQ 0207 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRFCP_ST Numeric(14, 2) ;


/*-- SEQ 0208 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRFILDES Numeric(12, 4) ;


/*-- SEQ 0209 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRICM_CRE Numeric(12, 2) ;


/*-- SEQ 0210 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRICM_EST Numeric(12, 2) ;


/*-- SEQ 0211 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRICMAGR Numeric(12, 2) ;


/*-- SEQ 0212 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRICMDEV Numeric(14, 2) ;


/*-- SEQ 0213 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRICMDIF Numeric(14, 2) ;


/*-- SEQ 0214 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRICMOP Numeric(12, 2) ;


/*-- SEQ 0215 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRICMOPDIF Numeric(12, 2) ;


/*-- SEQ 0216 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRIPICAL Numeric(12, 2) ;


/*-- SEQ 0217 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRISS Numeric(12, 2) ;


/*-- SEQ 0218 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD COLUMN VLRPIS Numeric(12, 2) ;



/*-- SEQ 0219 --*/
-- Tarefa 2022094510 --
ALTER TABLE TT_REC ADD COLUMN INDEXP VARCHAR(1) ;



/*-- SEQ 0220 --*/
-- Ticket 2022072905 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0221 --*/
-- Ticket 2022072905 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'DAV_SEM_ENTREGA', 'Filtrar somente DAV sem entrega no PoS?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DAV_SEM_ENTREGA'));

/*-- SEQ 0222 --*/
-- Ticket 2022072905 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0223 --*/
-- Ticket 2021092947 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0224 --*/
-- Ticket 2021092947 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'APLMULTECON', 'Aplica Quantidade Mltipla nos processos do E-Commerce sendo Consulta e Recepo de Pedidos?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'APLMULTECON'));					
													
/*-- SEQ 0225 --*/
-- Ticket 2021092947 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0226 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022098461 -- 
SELECT * FROM NADA;

/*-- SEQ 0227 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022098461 --
SELECT * FROM NADA;

/*-- SEQ 0228 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;

/*-- SEQ 0229 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;

/*-- SEQ 0230 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;

/*-- SEQ 0231 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;

/*-- SEQ 0232 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;

/*-- SEQ 0233 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;

/*-- SEQ 0234 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;
 
/*-- SEQ 0235 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;


/*-- SEQ 0236 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2022098461 -- 
ALTER TABLE TT_REC DROP CONSTRAINT FK_REC_CCC CASCADE;

/*-- SEQ 0237 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2022098461 -- 
DROP INDEX I_FK_REC_CCC;

/*-- SEQ 0238 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2022098461 -- 
ALTER TABLE TT_REC DROP COLUMN FILCCC;

/*-- SEQ 0239 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2022098461 -- 
ALTER TABLE TT_REC DROP COLUMN SEQCCC;


/*-- SEQ 0240 --*/
-- Tarefa 2022098461 -- 
ALTER TABLE TT_REC ADD COLUMN FILCCC CHAR(3) ;


/*-- SEQ 0241 --*/
-- Tarefa 2022098461 --
ALTER TABLE TT_REC ADD COLUMN SEQCCC CHAR(10) ;


/*-- SEQ 0242 --*/
-- Ticket 2022098461 --
SELECT DISABLETRIGGERS(LOWER('TT_REC'));

/*-- SEQ 0243 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
UPDATE TT_REC 
   SET FILCCC = (SELECT CODFIL FROM TT_CCC WHERE TT_CCC.CODVEN = TT_REC.CODFIL
                                             AND TT_CCC.SEQVEN = TT_REC.SEQUEN
                                             AND TT_CCC.NUMPAR = TT_REC.NUMPAR
                                             AND TT_CCC.SUBPAR = TT_REC.SUBPAR
                                             AND TT_CCC.SEQUEN = (SELECT MAX(SEQUEN)
                                                                    FROM TT_CCC CCC2 
                                                                   WHERE CCC2.CODVEN = TT_REC.CODFIL  
                                                                     AND CCC2.SEQVEN = TT_REC.SEQUEN  
                                                                     AND CCC2.NUMPAR = TT_REC.NUMPAR  
                                                                     AND CCC2.SUBPAR = TT_REC.SUBPAR)
                 ),
       SEQCCC = (SELECT SEQUEN FROM TT_CCC WHERE TT_CCC.CODVEN = TT_REC.CODFIL
                                             AND TT_CCC.SEQVEN = TT_REC.SEQUEN
                                             AND TT_CCC.NUMPAR = TT_REC.NUMPAR
                                             AND TT_CCC.SUBPAR = TT_REC.SUBPAR
                                             AND TT_CCC.SEQUEN = (SELECT MAX(SEQUEN)
                                                                    FROM TT_CCC CCC2 
                                                                   WHERE CCC2.CODVEN = TT_REC.CODFIL  
                                                                     AND CCC2.SEQVEN = TT_REC.SEQUEN  
                                                                     AND CCC2.NUMPAR = TT_REC.NUMPAR  
                                                                     AND CCC2.SUBPAR = TT_REC.SUBPAR)
                 )
 WHERE (CODFIL, SEQUEN, NUMPAR, SUBPAR) IN (SELECT CODVEN, SEQVEN, NUMPAR, SUBPAR
                                              FROM TT_CCC);
 
/*-- SEQ 0244 --*/
-- Ticket 2022098461 --
SELECT ENABLETRIGGERS(LOWER('TT_REC'));

/*-- SEQ 0245 --*/
-- Ticket 2022098461 --
ALTER TABLE TT_REC ADD CONSTRAINT FK_REC_CCC FOREIGN KEY (FILCCC, SEQCCC) REFERENCES TT_CCC (CODFIL, SEQUEN);

/*-- SEQ 0246 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
CREATE INDEX I_FK_REC_CCC ON TT_REC (FILCCC, SEQCCC)  ;

/*-- SEQ 0247 --*/
-- Ticket 2022098461 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0248 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
INSERT INTO TT_FUN (NOMFUN, DATFUN, ATU_EM) 
VALUES ('CCC_NEWREC', AGORA(), AGORA());

/*-- SEQ 0249 --*/
-- Ticket 2022098461 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0250 --*/
-- Ticket 2022099171 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0251 --*/
-- Ticket 2022099171 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'VALIDAVALECOMPRA', 'No permitir a forma de pagamento "Vale Compra" para clientes consumidor final no PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'VALIDAVALECOMPRA'));
							
/*-- SEQ 0252 --*/
-- Ticket 2022099171 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0253 --*/
-- Ticket 2021111321 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0254 --*/
-- Ticket 2021111321 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'OCULTARPGTOPENDENTE', 'Ocultar a forma de pagamento pendente no PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'OCULTARPGTOPENDENTE'));
							
/*-- SEQ 0255 --*/
-- Ticket 2021111321 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0256 --*/
-- Ticket 2022094877 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0257 --*/
-- Ticket 2022094877 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'SEMPRE_RESERVAR_DAV', 'Sempre reservar a DAV no Order Web?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'SEMPRE_RESERVAR_DAV'));
							
/*-- SEQ 0258 --*/
-- Ticket 2022094877 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0259 --*/
-- Ticket 2022098461 --
SELECT DISABLETRIGGERS(LOWER('TT_REC'));

/*-- SEQ 0260 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
UPDATE TT_REC 
   SET FILCCC = (SELECT CODFIL FROM TT_CCC WHERE TT_CCC.CODVEN = TT_REC.CODFIL
                                             AND TT_CCC.SEQVEN = TT_REC.SEQUEN
                                             AND TT_CCC.NUMPAR = TT_REC.NUMPAR
                                             AND TT_CCC.SUBPAR = TT_REC.SUBPAR
                                             AND TT_CCC.SEQUEN = (SELECT MAX(SEQUEN)
                                                                    FROM TT_CCC CCC2 
                                                                   WHERE CCC2.CODVEN = TT_REC.CODFIL  
                                                                     AND CCC2.SEQVEN = TT_REC.SEQUEN  
                                                                     AND CCC2.NUMPAR = TT_REC.NUMPAR  
                                                                     AND CCC2.SUBPAR = TT_REC.SUBPAR)
                 ),
       SEQCCC = (SELECT SEQUEN FROM TT_CCC WHERE TT_CCC.CODVEN = TT_REC.CODFIL
                                             AND TT_CCC.SEQVEN = TT_REC.SEQUEN
                                             AND TT_CCC.NUMPAR = TT_REC.NUMPAR
                                             AND TT_CCC.SUBPAR = TT_REC.SUBPAR
                                             AND TT_CCC.SEQUEN = (SELECT MAX(SEQUEN)
                                                                    FROM TT_CCC CCC2 
                                                                   WHERE CCC2.CODVEN = TT_REC.CODFIL  
                                                                     AND CCC2.SEQVEN = TT_REC.SEQUEN  
                                                                     AND CCC2.NUMPAR = TT_REC.NUMPAR  
                                                                     AND CCC2.SUBPAR = TT_REC.SUBPAR)
                 )
 WHERE (CODFIL, SEQUEN, NUMPAR, SUBPAR) IN (SELECT CODVEN, SEQVEN, NUMPAR, SUBPAR
                                              FROM TT_CCC)
   AND FILCCC IS NULL;
 
/*-- SEQ 0261 --*/
-- Ticket 2022098461 --
SELECT ENABLETRIGGERS(LOWER('TT_REC'));


--Adio das novas colunas na TT_ICO
/*-- SEQ 0262 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD COLUMN BASICM_CM Numeric(16, 4) ;


/*-- SEQ 0263 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD COLUMN VLRICM_CM Numeric(16, 4) ;


/*-- SEQ 0264 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD COLUMN BAS_ST_CM Numeric(16, 4) ;


/*-- SEQ 0265 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD COLUMN VLR_ST_CM Numeric(16, 4) ;


/*-- SEQ 0266 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD COLUMN VLR_CMORI Numeric(16, 4) ;


/*-- SEQ 0267 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD COLUMN VLRCMGORI Numeric(16, 4) ;


/*-- SEQ 0268 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD COLUMN TOT_CMORI Numeric(16, 4) ;


/*-- SEQ 0269 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD COLUMN TOTCMGORI Numeric(16, 4) ;


/*-- SEQ 0270 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD COLUMN SAL_CMORI Numeric(16, 4) ;



--Adio das novas colunas na TT_IVE
/*-- SEQ 0271 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD COLUMN BASICM_CM Numeric(16, 4) ;


/*-- SEQ 0272 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD COLUMN VLRICM_CM Numeric(16, 4) ;


/*-- SEQ 0273 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD COLUMN BAS_ST_CM Numeric(16, 4) ;


/*-- SEQ 0274 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD COLUMN VLR_ST_CM Numeric(16, 4) ;


/*-- SEQ 0275 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD COLUMN VLR_CMORI Numeric(16, 4) ;


/*-- SEQ 0276 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD COLUMN VLRCMGORI Numeric(16, 4) ;


/*-- SEQ 0277 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD COLUMN TOT_CMORI Numeric(16, 4) ;


/*-- SEQ 0278 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD COLUMN TOTCMGORI Numeric(16, 4) ;


/*-- SEQ 0279 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD COLUMN SAL_CMORI Numeric(16, 4) ;


/*-- SEQ 0280 --*/
-- Ticket 20220811994 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0281 --*/
-- Ticket 20220811994 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'USACM_BASE_IMP_TRANS', 'Utilizar os valores de Custo Mdio como base de clculo dos impostos nas transferncias?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'USACM_BASE_IMP_TRANS'));

/*-- SEQ 0282 --*/
-- Ticket 20220811994 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

