
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023123165 --
ALTER TABLE TT_PED ADD COLUMN DATAPR Timestamp ;



/*-- SEQ 0003 --*/
-- Ticket 2024015675 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0004 --*/
-- Ticket 2024015675 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'ACEITA_CSOSN_103', 'Utiliza CSOSN 103 (Iseno do ICMS no Simples Nacional para faixa de receita bruta) ?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'ACEITA_CSOSN_103'));
/*-- SEQ 0005 --*/
-- Ticket 2024015675 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0006 --*/
-- Tarefa 2024015675 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0007 --*/
-- Tarefa 2024015675 --
INSERT INTO TT_IPC (ID_IPC, ID_PCS, IPCATI, VLRBOO, DATINC, ATU_EM)
SELECT NEXTVAL('SQIPC'), PCS.ID_PCS, 'T', 'T', AGORA(), AGORA()
  FROM TT_PCS PCS
 WHERE PCS.NOMPCS = 'ACEITA_CSOSN_103'
   AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS);

/*-- SEQ 0008 --*/
-- Tarefa 2024015675 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0009 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023120719 --
CREATE INDEX I_LC_ROM_PLACAS ON TT_ROM (PLACAS)  ;


/*-- SEQ 0010 --*/
-- Ticket 2023123163 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0011 --*/
-- Ticket 2023123163 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'PERMITE_FAT_PARC_REP', 'Permite Faturamento parcial do Pedido de Transferncia/Reposio j separados CommerceWeb?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PERMITE_FAT_PARC_REP'));

/*-- SEQ 0012 --*/
-- Ticket 2023123163 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0013 --*/
-- Ticket 2023123163 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0014 --*/
-- Ticket 2023123163 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'T'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'PERMITE_FAT_PARC_REP'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0015 --*/
-- Ticket 2023123163 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0016 --*/
-- Ticket 2023116403 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0017 --*/
-- Ticket 2023116403 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'USA_TRANS_AUTOMATICA', 'Utiliza processo de transferncia automtica?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'USA_TRANS_AUTOMATICA'));

/*-- SEQ 0018 --*/
-- Ticket 2023116403 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0019 --*/
-- Ticket 2023116403 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0020 --*/
-- Ticket 2023116403 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'T'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'USA_TRANS_AUTOMATICA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0021 --*/
-- Ticket 2023116403 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));



/*-- SEQ 0022 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024022322 --
DROP FUNCTION ParceiroTemVinculoRecursivo (TT_CLI.FILCLI%TYPE,TT_CLI.CODCLI%TYPE) CASCADE;



/*-- SEQ 0023 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023123964 --
DROP FUNCTION GiroEstoque (Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR,TT_CFG.GIRO_ESTOQUE%TYPE,TR_MOV.PROMOC%TYPE) CASCADE;

/*-- SEQ 0024 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023123964 --
DROP FUNCTION GiroEstoque (Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR) CASCADE;


/*-- SEQ 0025 --*/
-- Ticket 2024014510 --
ALTER TABLE TT_CFG ADD COLUMN AGRUPADOR_ITENS_DISTR_EST VARCHAR(20) ;


/*-- SEQ 0026 --*/
-- Ticket 2024014510 --
ALTER TABLE TT_CFG ADD COLUMN NUM_ITENS_DISTR_EST Numeric(10,0) ;


/*-- SEQ 0027 --*/
-- Ticket 2024014510 --
ALTER TABLE TW_CFG ADD COLUMN AGRUPADOR_ITENS_DISTR_EST VARCHAR(20) ;


/*-- SEQ 0028 --*/
-- Ticket 2024014510 --
ALTER TABLE TW_CFG ADD COLUMN NUM_ITENS_DISTR_EST Numeric(10,0) ;



/*-- SEQ 0029 --*/
-- Ticket 20230711330 --
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0030 --*/
ALTER TABLE TT_CLI ADD COLUMN CONTRIBUINTE VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0031 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0032 --*/
-- Ticket 20230711330 --
ALTER TABLE TI_CLI ADD COLUMN CONTRIBUINTE VARCHAR(1) ;


/*-- SEQ 0033 --*/
-- Ticket 20230711330 --
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0034 --*/
-- Ticket 20230711330 --
UPDATE TT_CLI SET CONTRIBUINTE = 'T' WHERE ISENTO = 'F' OR (TIPDOC= 'IE' AND NOT INSEST IS NULL AND INSEST <> 'ISENTO' AND INSEST <> 'ISENTA');

/*-- SEQ 0035 --*/
-- Ticket 20230711330 --
ALTER TABLE TT_CLI ALTER COLUMN CONTRIBUINTE SET NOT NULL;

/*-- SEQ 0036 --*/
-- Ticket 20230711330 --
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0037 --*/
-- Ticket 20230711330 --
ALTER TABLE TT_CLI ADD CONSTRAINT CK_CLI_CONTRIBUINTE CHECK (CONTRIBUINTE IN ('T','F'));


/*-- SEQ 0038 --*/
-- Ticket 2024036200 --
CREATE TABLE TT_VENXORC ( -- Relacionamento entre venda e oramento pendente
    CODTAB Numeric(10),
    VENFIL CHAR(3),
    VENSEQ CHAR(10),
    VENITE Numeric(5),
    VENCOO CHAR(6),
    VENECF CHAR(3),
    ORCFIL CHAR(3),
    ORCTIP CHAR(1),
    ORCPED CHAR(8),
    ORCITE Numeric(4),
    QTDENT Numeric(12, 4),
    DATINC Timestamp)  ; 
    
/*-- SEQ 0039 --*/
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC ADD CONSTRAINT PK_VENXORC PRIMARY KEY (CODTAB);

/*-- SEQ 0040 --*/
-- Ticket 2024036200 --
CREATE SEQUENCE SQVENXORC INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0041 --*/
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC ADD CONSTRAINT FK_VENXORC_VEN FOREIGN KEY (VENFIL, VENSEQ) REFERENCES TT_VEN (CODFIL, SEQUEN);

/*-- SEQ 0042 --*/
-- Ticket 2024036200 --
CREATE INDEX I_FK_VENXORC_VEN ON TT_VENXORC (VENFIL, VENSEQ)  ;

/*-- SEQ 0043 --*/
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC ALTER COLUMN VENFIL SET NOT NULL;

/*-- SEQ 0044 --*/
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC ALTER COLUMN VENSEQ SET NOT NULL;

/*-- SEQ 0045 --*/
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC ALTER COLUMN VENITE SET NOT NULL;

/*-- SEQ 0046 --*/
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC ALTER COLUMN ORCFIL SET NOT NULL;

/*-- SEQ 0047 --*/
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC ALTER COLUMN ORCTIP SET NOT NULL;

/*-- SEQ 0048 --*/
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC ALTER COLUMN ORCPED SET NOT NULL;

/*-- SEQ 0049 --*/
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC ALTER COLUMN ORCITE SET NOT NULL;


/*-- SEQ 0050 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024036200 --
DROP FUNCTION TGVENXORC() CASCADE;

/*-- SEQ 0051 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC ALTER COLUMN VENFIL DROP NOT NULL;

/*-- SEQ 0052 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC ALTER COLUMN VENSEQ DROP NOT NULL;

/*-- SEQ 0053 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC ALTER COLUMN VENITE DROP NOT NULL;

/*-- SEQ 0054 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC ALTER COLUMN ORCFIL DROP NOT NULL;

/*-- SEQ 0055 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC ALTER COLUMN ORCTIP DROP NOT NULL;

/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC ALTER COLUMN ORCPED DROP NOT NULL;

/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024036200 --
ALTER TABLE TT_VENXORC ALTER COLUMN ORCITE DROP NOT NULL;

/*-- SEQ 0058 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024036200 --
DROP INDEX I_FK_VENXORC_VEN;

/*-- SEQ 0059 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024036200 --
DROP SEQUENCE SQVENXORC;

/*-- SEQ 0060 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024036200 --
DROP TABLE TT_VENXORC CASCADE;

/*-- SEQ 0061 --*/
-- Ticket 2024036200 --
CREATE TABLE TW_IVEXIOR ( -- Relacionamento entre item de venda e item de oramento pendente
    CODTAB Numeric(10),
    FILIVE CHAR(3),
    SEQIVE CHAR(10),
    NUMIVE Numeric(5),
    VENCOO CHAR(6),
    VENECF CHAR(3),
    FILORI CHAR(3),
    TIPORI CHAR(1),
    NUMORI CHAR(8),
    ITEORI Numeric(5),
    QTDENT Numeric(12,4),
    DATINC Timestamp)  ; 
    
/*-- SEQ 0062 --*/
-- Ticket 2024036200 --
ALTER TABLE TW_IVEXIOR  ADD CONSTRAINT PK_WIVEXIOR PRIMARY KEY (CODTAB);

/*-- SEQ 0063 --*/
-- Ticket 2024036200 --
CREATE SEQUENCE SQWIVEXIOR INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0064 --*/
-- Ticket 2024036200 --
ALTER TABLE TW_IVEXIOR  ADD CONSTRAINT FK_WIVEXIOR_IVE FOREIGN KEY (FILIVE, SEQIVE, NUMIVE) REFERENCES TT_IVE (CODFIL, SEQUEN, NUMITE);

/*-- SEQ 0065 --*/
-- Ticket 2024036200 --
CREATE INDEX I_FK_WIVEXIOR_IVE ON TW_IVEXIOR  (FILIVE, SEQIVE, NUMIVE)  ;

/*-- SEQ 0066 --*/
-- Ticket 2024036200 --
ALTER TABLE TW_IVEXIOR ALTER COLUMN FILIVE SET NOT NULL;

/*-- SEQ 0067 --*/
-- Ticket 2024036200 --
ALTER TABLE TW_IVEXIOR ALTER COLUMN SEQIVE SET NOT NULL;

/*-- SEQ 0068 --*/
-- Ticket 2024036200 --
ALTER TABLE TW_IVEXIOR ALTER COLUMN NUMIVE SET NOT NULL;

/*-- SEQ 0069 --*/
-- Ticket 2024036200 --
ALTER TABLE TW_IVEXIOR ALTER COLUMN FILORI SET NOT NULL;

/*-- SEQ 0070 --*/
-- Ticket 2024036200 --
ALTER TABLE TW_IVEXIOR ALTER COLUMN TIPORI SET NOT NULL;

/*-- SEQ 0071 --*/
-- Ticket 2024036200 --
ALTER TABLE TW_IVEXIOR ALTER COLUMN NUMORI SET NOT NULL;

/*-- SEQ 0072 --*/
-- Ticket 2024036200 --
ALTER TABLE TW_IVEXIOR ALTER COLUMN ITEORI SET NOT NULL;


/*-- SEQ 0073 --*/
-- Ticket 2023057445 --
ALTER TABLE TT_IUF ADD COLUMN REDDIFAL Numeric(5,2) ;


/*-- SEQ 0074 --*/
-- Ticket 2023057445 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0075 --*/
-- Ticket 2023057445 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'DIFAL_BASE_DUPLA', 'Calcula DIFAL sobre Base Dupla?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DIFAL_BASE_DUPLA'));

/*-- SEQ 0076 --*/
-- Ticket 2023057445 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

