
/*-- SEQ 0001 --*/
ALTER TABLE TD_NAT DROP CONSTRAINT CK_DNAT_TIPNAT;

/*-- SEQ 0002 --*/
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_TIPNAT CHECK (TIPNAT IN ('E','S','V','D','F','A','C','M','N','P'));


/*-- SEQ 0003 --*/
alter table tt_cfg add ignora_reserva Timestamp;

/*-- SEQ 0004 --*/
alter table tt_cfg add ignora_vinculo Timestamp;

/*-- SEQ 0005 --*/
alter table tw_cfg add ignora_reserva Timestamp;

/*-- SEQ 0006 --*/
alter table tw_cfg add ignora_vinculo Timestamp;



/*-- SEQ 0007 --*/
ALTER TABLE TD_IRE ADD APLCON VARCHAR(1);

/*-- SEQ 0008 --*/
ALTER TABLE TD_IRE ADD CONSTRAINT CK_DIRE_APLCON CHECK (APLCON IN ('T','F'));

/*-- SEQ 0009 --*/
ALTER TABLE TD_IRE ALTER COLUMN APLCON SET DEFAULT 'T';

/*-- SEQ 0010 --*/
UPDATE TD_IRE SET APLCON = 'T';

/*-- SEQ 0011 --*/
ALTER TABLE TD_IRE ALTER COLUMN APLCON SET NOT NULL;

/*-- SEQ 0012 --*/
ALTER TABLE TW_TAB ADD APLCON VARCHAR(1);

/*-- SEQ 0013 --*/
ALTER TABLE TW_TAB ALTER COLUMN APLCON SET DEFAULT 'T';



/*-- SEQ 0014 --*/
ALTER TABLE TW_CLI ADD TIPDOC CHAR(2);

/*-- SEQ 0015 --*/
ALTER TABLE TW_CLI ADD ID_ORG VARCHAR(6);

/*-- SEQ 0016 --*/
ALTER TABLE TW_CLI ADD ID_EST VARCHAR(2);

/*-- SEQ 0017 --*/
ALTER TABLE TW_CLI ADD ID_DAT Timestamp;

/*-- SEQ 0018 --*/
/*-- IGNORE ERRO --*/
INSERT INTO TT_FUN (NOMFUN, DATFUN) VALUES ('CAMPO_WCLI',AGORA());


/*-- SEQ 0019 --*/
/*--IGNORE ERRO--*/
alter table tt_cfg drop constraint ck_cfg_CK_FECHA_VALOR_CONTADO;

/*-- SEQ 0020 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0021 --*/
UPDATE TT_CFG SET ck_fecha_valor_contado = 'T';

/*-- SEQ 0022 --*/
/*--IGNORE ERRO--*/
alter table tt_cfg add constraint ck_cfg_ck_fecha_valor_contado check (ck_fecha_valor_contado='T');

/*-- SEQ 0023 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));


/*-- SEQ 0024 --*/
ALTER TABLE TT_IIN ADD RESERV Numeric(12,4);


/*-- SEQ 0025 --*/
/*--IGNORE ERRO--*/
UPDATE TT_OUT SET SQLOUT = 'SELECT GRA.CODEXT,PRO.FILMAT,PRO.CODMAT,PRO.REFBAS,PRO.DESMAT,PRO.ESPMAT, DCTR.CODTAB AS CODCTR,PRO.CONTRA,PRO.CONTRO,
PRO.DESECF,FAB.CODEXT AS CODFAB, MAR.DESMAR, PRO.ENTREG,CASE WHEN PRO.SIGNAT >= 0 THEN "T" ELSE "F" END AS ATIVO,
CASE WHEN PRO.SIGNAT >= 0 THEN NULL ELSE DINA.DESINA END AS DESINA,DCL1.CLASS1,DCL2.CLASS2,DCL3.CLASS3,DCL4.CLASS4,
DDEP.DESDEP AS DEPART,DSAZ.DESSAZ AS SAZONA,PRO.TIPPRO, PRO.CLSXYZ,PRO.DATCAD,PRO.DECIMA,DETI.DESETI AS ETIQUE,PRO.SUBFED,
PRO.NUMEXT,PRO.OBSERV,PRO.BRINDE,DGRA.NOMGRA AS DESGRA,PRO.MONTAR,PRO.NUMITE, PRO.RETCOF,DDIV.NOMDIV,DIV.NOMITE AS ITEDIV,
DSUB.NOMSUB, SUB.NOMITE AS ITESUB,GRA.TIPVAL,GRA.VALIDA,GRA.VOLUNI,GRA.REFPRO,PRO.NOMIMG,GRA.MINQTD,GRA.PTOQTD, GRA.QTDREP,
CASE WHEN PRO.BALSIM = "T" THEN 0 ELSE GRA.PESLIQ END AS PESLIQ, GRA.PESBRU, GRA.PROMOC,GRA.PRECOM, GRA.DATCOM, GRA.CUSREP, GRA.TEMREP,GRA.DESMAX,GRA.DESIDE, GRA.PERLUC,
GRA.PERCOM, GRA.LOCALI,MED1.UNIMED AS UNIDAD, MED2.UNIMED AS UNIFOR, GRA.VALCON, GRA.CUSFRE, GRA.CONAPL,GRA.QTDEMB,
DAPL.UNIMED AS UNIAPL, DEMB.UNIMED AS UNIEMB, GRA.DESCOM, GRA.FORLIN, GRA.ICMCOM,GRA.ICMFRE, GRA.IPICOM, GRA.MARKUP,
GRA.OBSERV AS OBSGRA,GRA.PREPSI, GRA.QTDCOM,GRA.SEGFRE,GRA.SUBCOM, GRA.TAXCOM,0.00 AS PRECOV,IUF.ESTADO, DFIS.CODFIS,
DICM.RESICM,DIES.ICMSES AS REDESP, DIME.ICMSME AS REDUME,DIRE.ICMSRE AS REDALI,DIR1.ICMSR1 AS REDUC1, DIR2.ICMSR2 AS REDUC2,
IUF.LUCSUB, IUF.SUBTRI,IUF.INSAGR,IUF.CALSUB,DTRI.CODTRI AS CODTRI, DCFP.DESCFP, IUF.REGESP,IUF.PERSRV,DIPI.RESIPI,
DIRR.RESIRR,TO_CHAR(" ") AS CAL_CM,0 AS STATUS, TO_CHAR(" ") AS DATIMP, TO_CHAR(" ") AS MOTREJ
FROM TT_PRO PRO INNER JOIN TT_GRA GRA ON GRA.FILMAT = PRO.FILMAT AND GRA.CODMAT = PRO.CODMAT
INNER JOIN TT_DIV DIV ON DIV.CODITE = GRA.CODCOR
INNER JOIN TT_SUB SUB ON SUB.CODITE = GRA.CODTAM
INNER JOIN TD_DIV DDIV ON DDIV.CODTAB = DIV.CODDIV
INNER JOIN TD_SUB DSUB ON DSUB.CODTAB = SUB.CODSUB
INNER JOIN TD_CL1 DCL1 ON DCL1.CODTAB = PRO.CLASS1
INNER JOIN TD_CL2 DCL2 ON DCL2.CODTAB = PRO.CLASS2
INNER JOIN TD_CL3 DCL3 ON DCL3.CODTAB = PRO.CLASS3
INNER JOIN TD_CL4 DCL4 ON DCL4.CODTAB = PRO.CLASS4
INNER JOIN TD_DEP DDEP ON DDEP.CODTAB = PRO.DEPART
INNER JOIN TD_SAZ DSAZ ON DSAZ.CODTAB = PRO.CODSAZ
INNER JOIN TD_GRA DGRA ON DGRA.CODTAB = PRO.CODGRA
INNER JOIN TD_MED MED1 ON MED1.CODTAB = GRA.UNIDAD
INNER JOIN TD_MED MED2 ON MED2.CODTAB = GRA.UNIFOR
INNER JOIN TT_IUF IUF ON IUF.FILMAT = PRO.FILMAT AND IUF.CODMAT = PRO.CODMAT
LEFT JOIN TD_FIS DFIS ON DFIS.CODTAB = IUF.CODFIS
LEFT JOIN TD_ICM DICM ON DICM.CODTAB = IUF.RESICM
LEFT JOIN TD_IES DIES ON DIES.CODTAB = IUF.REDESP
LEFT JOIN TD_IME DIME ON DIME.CODTAB = IUF.REDUME
LEFT JOIN TD_IRE DIRE ON DIRE.CODTAB = IUF.REDALI
LEFT JOIN TD_IR1 DIR1 ON DIR1.CODTAB = IUF.REDUC1
LEFT JOIN TD_IR2 DIR2 ON DIR2.CODTAB = IUF.REDUC2
LEFT JOIN TD_TRI DTRI ON DTRI.CODTAB = IUF.CODTRI
LEFT JOIN TD_IRR DIRR ON DIRR.CODTAB = PRO.RESIRR
LEFT JOIN TD_IPI DIPI ON DIPI.CODTAB = PRO.RESIPI
LEFT JOIN TD_MED DAPL ON DAPL.CODTAB = GRA.UNIAPL
LEFT JOIN TD_MED DEMB ON DEMB.CODTAB = GRA.UNIEMB
LEFT JOIN TD_INA DINA ON DINA.CODTAB = PRO.CODINA
LEFT JOIN TT_MAR MAR ON MAR.FILMAR = PRO.FILMAR AND MAR.CODMAR = PRO.CODMAR AND MAR.ITEMAR = PRO.ITEMAR
LEFT JOIN TT_REL REL ON REL.FILPAR = MAR.FILMAR AND REL.CODPAR = MAR.CODMAR AND REL.TIPPAR = MAR.TIPMAR
LEFT JOIN TT_CLI FAB ON FAB.FILCLI = REL.FILPAR AND FAB.CODCLI = REL.CODPAR
LEFT JOIN TD_CTR DCTR ON DCTR.CODTAB = PRO.CODCTR
LEFT JOIN TD_ETI DETI ON DETI.CODTAB = PRO.ETIQUE
LEFT JOIN TD_CFP DCFP ON DCFP.CODTAB = IUF.CODCFP
INNER JOIN TD_EXP DEXP ON DEXP.CODTAB = 1
WHERE PRO.ATU_EM BETWEEN TO_DATE(TO_CHAR(TRUNC(DEXP.DATINI),"DD/MM/YYYY")||" 00:00:00","DD/MM/YYYY HH24:MI:SS") AND TO_DATE(TO_CHAR(TRUNC(DEXP.DATFIM),"DD/MM/YYYY")||" 23:59:59","DD/MM/YYYY HH24:MI:SS")'
WHERE CODTAB = 'EPRO'
  AND CODEXP = 1;

/*-- SEQ 0026 --*/
/*--IGNORE ERRO--*/
UPDATE TT_OUT SET SQLOUT = 'SELECT CHR.CODFIL, CHR.FLGEST, CHR.CODBCO, USU.CODEXT AS CODUSU, CHR.CODAGE, CHR.NUMCHE,
        CHR.NUMCON, CHR.NUMDOC, CHR.ATU_EM, CHR.DATVEN, CHR.VLRCHE, CHR.PORTAD,
        CHR.PAGAME, CHR.VLRDIF, CHR.NUMDEP, CHR.ALINEA, CHR.AUTORI, CHR.TIPCOB,
        CHR.OBSLOG, CHR.DATOPE, CHR.NUMECF, CHR.CDCMC7, CLI.CODEXT AS CODCLI, CHR.VLRORI,
        CHR.PLACAS, CHR.SERCHE
   FROM TT_CHR CHR INNER JOIN TT_USU USU  ON USU.FILUSU = CHR.FILUSU AND USU.CODUSU = CHR.CODUSU
                   INNER JOIN TT_CLI CLI  ON CLI.CODCLI = CHR.CODCLI AND CLI.FILCLI = CHR.FILCLI
                   INNER JOIN TD_EXP DEXP ON DEXP.CODTAB = 1
  WHERE CHR.ATU_EM BETWEEN TO_DATE(TO_CHAR(TRUNC(DEXP.DATINI),"DD/MM/YYYY")||" 00:00:00","DD/MM/YYYY HH24:MI:SS") AND TO_DATE(TO_CHAR(TRUNC(DEXP.DATFIM),"DD/MM/YYYY")||" 23:59:59","DD/MM/YYYY HH24:MI:SS")'
WHERE CODTAB = 'ECHR'
  AND CODEXP = 1;

/*-- SEQ 0027 --*/
/*--IGNORE ERRO--*/
UPDATE TT_OUT SET SQLOUT = 'SELECT VEN.CODFIL, VEN.NUMNOT, VEN.NUMECF, VEN.CODSER, IVE.NUMITE, IVE.LANEST,
       GRA.CODEXT AS CODMAT, VEN.DATHOR AS VEN_DATHOR, IVE.QTDMOV, IVE.VLRMOV,
       IVE.ICMTIP, IVE.SITMOV, IVE.TIP001, COALESCE(IVE.TAX001,0) AS PERICM,
       COALESCE(IVE.VLR001,0) AS VLRICM, COALESCE(IVE.TAX002,0) AS PERIPI, COALESCE(IVE.VLR002,0) AS VLRIPI,
       COALESCE(IVE.TAXISS,0) AS TAXISS, COALESCE(IVE.VLRISS,0) AS VLRISS, COALESCE(IVE.TAXIRR,0) AS TAXIRR,
       COALESCE(IVE.VLRIRR,0) AS VLRIRR,
       CASE WHEN ENDE.SIGEST <> VEN.UFLOJA
            THEN DNAT.NATFOR
            ELSE DNAT.NATDEN
       END AS NATFIS, IVE.TIPPRO, IVE.VINCUL, IVE.SITKIT, VRI.CODFIL AS FILORI, VRI.NUMNOT AS NOTORI, IVE.EMBORI,
       VRI.CODSER AS SERORI, VRI.NUMECF AS ECFORI, ORI.NUMITE AS ITEORI,
       IVE.REDITE, IVE.EMBQTD, IVE.NUMEXT, IVE.COMISS, IVE.EXPORT,
       DMUL.DESMUL AS CODMUL, IVE.ORD_CM, IVE.QTD_CM, VDD.CODEXT AS CODVDD,
       IVE.DATINC, IVE.FILBIC, IVE.SEQFIL, 0 AS STATUS, TO_CHAR(" ") AS DATIMP,TO_CHAR(" ") AS MOTREJ
   FROM TT_VEN VEN INNER JOIN TT_IVE IVE ON IVE.CODFIL = VEN.CODFIL AND IVE.SEQUEN = VEN.SEQUEN
                    LEFT JOIN TT_IVE ORI ON ORI.CODFIL = IVE.FILORI AND ORI.SEQUEN = IVE.NUMORI AND ORI.NUMITE = IVE.ITEORI
                    LEFT JOIN TT_VEN VRI ON VRI.CODFIL = IVE.FILORI AND VRI.SEQUEN = IVE.NUMORI
                   INNER JOIN TT_GRA GRA ON GRA.FILMAT = IVE.FILMAT AND GRA.CODMAT = IVE.CODMAT
                                        AND GRA.CODCOR = IVE.CODCOR AND GRA.CODTAM = IVE.CODTAM
                   INNER JOIN TD_NAT DNAT ON DNAT.CODTAB = VEN.CODNAT
                   INNER JOIN TT_CLI CLI ON CLI.FILCLI = VEN.FILCLI AND CLI.CODCLI = VEN.CODCLI
                    LEFT JOIN TT_END ENDE ON ENDE.FILCLI = CLI.FILCLI AND ENDE.CODCLI = CLI.CODCLI AND ENDE.NUMEND = COALESCE(VEN.ENDENT,1)
                    LEFT JOIN TT_USU VDD ON VDD.FILUSU = IVE.FILVDD AND IVE.CODVDD = VDD.CODUSU
                   INNER JOIN TD_EXP DEXP ON DEXP.CODTAB = 1
                   INNER JOIN TD_MUL DMUL ON DMUL.CODTAB = IVE.CODMUL
 WHERE VEN.ATU_EM BETWEEN TO_DATE(TO_CHAR(TRUNC(DEXP.DATINI),"DD/MM/YYYY")||" 00:00:00","DD/MM/YYYY HH24:MI:SS") AND TO_DATE(TO_CHAR(TRUNC(DEXP.DATFIM),"DD/MM/YYYY")||" 23:59:59","DD/MM/YYYY HH24:MI:SS")'
WHERE CODTAB = 'EIVE'
  AND CODEXP = 1;

/*-- SEQ 0028 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TI_NAT DROP CONSTRAINT CK_INAT_TIPNAT;

/*-- SEQ 0029 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TI_NAT ADD CONSTRAINT CK_INAT_TIPNAT CHECK (TIPNAT IN ('E','S','V','D','F','A','C','M','N'));


/*-- SEQ 0030 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCC ADD CONSTRAINT FK_CCC_CLI FOREIGN KEY (FILCLI, CODCLI) REFERENCES TT_CLI;

/*-- SEQ 0031 --*/
/*-- IGNORE ERRO --*/
CREATE  INDEX I_FK_CCC_CLI ON TT_CCC (FILCLI, CODCLI)  ;

/*-- SEQ 0032 --*/
/*-- IGNORE ERRO --*/
CREATE  INDEX I_LC_CCC_EXPORT ON TT_CCC (EXPORT)  ;

/*-- SEQ 0033 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CCC'));


/*-- SEQ 0034 --*/
UPDATE TT_CCC SET EXPORT = 'F'
 WHERE EXPORT IS NULL;

/*-- SEQ 0035 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CCC'));

/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCC ALTER COLUMN EXPORT SET NOT NULL;

/*-- SEQ 0037 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_CCC_STATUS ON TT_CCC (STATUS)  ;

/*-- SEQ 0038 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCC ALTER COLUMN EXPORT SET DEFAULT 'F';





/*-- SEQ 0039 --*/
update tt_usu set permis = substr(permis,1,233)||'N'||substr(permis,235,9999);


/*-- SEQ 0040 --*/
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,234)||'N'||SUBSTR(PERMIS,236,9999);


/*-- SEQ 0041 --*/
CREATE TABLE TT_COM_BKP_FRE
AS SELECT * FROM TT_COM;

/*-- SEQ 0042 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION ExecAlteraTipoColuna (VARCHAR,VARCHAR,VARCHAR) CASCADE;

/*-- SEQ 0043 --*/
CREATE OR REPLACE FUNCTION ExecAlteraTipoColuna (VARCHAR,VARCHAR,VARCHAR)
RETURNS VARCHAR AS '
DECLARE
  pTabela   ALIAS FOR $1 ;
  pCampo    ALIAS FOR $2 ;
  pNovoTipo ALIAS FOR $3 ;
  nVer8 integer;
  cComando VARCHAR(255);
   
  cur_views CURSOR FOR 
    SELECT ''drop view ''||viw.relname||'' cascade;'' AS comando
      FROM pg_attribute att inner join pg_depend dep on dep.refobjsubid = att.attnum 
                            inner join pg_rewrite rew on rew.oid=dep.objid 
                            inner join pg_class viw on viw.oid=rew.ev_class
                            inner join pg_class tab on dep.refobjid=tab.oid and att.attrelid=tab.oid
                            left  join pg_namespace scm  ON scm.oid = tab.relnamespace
         WHERE dep.refclassid=1259 
           AND att.attname=lower(pCampo)
           AND dep.classid=''pg_rewrite''::regclass
           AND rew.rulename=''_RETURN'' 
           AND tab.relname=lower(pTabela)
           AND scm.nspname = current_schema();
         
BEGIN  

   select instr(version(),''PostgreSQL 8'') into nVer8;
   
   if nVer8=1 then 
      Open cur_views;
      LOOP
         FETCH cur_views INTO cCOMANDO;
         EXIT WHEN NOT FOUND;
         RAISE NOTICE ''Executando %'',cCOMANDO;
         EXECUTE cCOMANDO;
      END LOOP;
      Close cur_views;
       
      EXECUTE ''ALTER TABLE ''||pTabela||'' alter column ''||pCampo||'' type ''||pNovoTipo||'';'';
   else
      EXECUTE AlteraTipoColuna ($1,$2,$3);       
   end if;
   RETURN NULL;
END;
' language 'plpgsql';

/*-- SEQ 0044 --*/
SELECT ExecAlteraTipoColuna('TT_COM','ICMFRE','Numeric(12,2)');


/*-- SEQ 0045 --*/
SELECT DISABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0046 --*/
UPDATE TT_COM SET PERFRE = ICMFRE;

/*-- SEQ 0047 --*/
UPDATE TT_COM SET BASFRE = VLRLIQ, ICMFRE = (VLRLIQ * PERFRE / 100)
 WHERE TIPPAR = 'T';

/*-- SEQ 0048 --*/
SELECT ENABLETRIGGERS(LOWER('TT_COM'));


/*-- SEQ 0049 --*/
UPDATE TT_REC SET PAGAME = NULL,
                  DATFIS = NULL
WHERE PAGAME IS NOT NULL
  AND FLGEST = 'A'
  AND SEQCHE IS NULL 
  AND CARTAO IS NULL;


/*-- SEQ 0050 --*/
alter table TT_REC
  add constraint CK_REC_REGRA
  check (((PAGAME IS NOT NULL AND 
           (FLGEST <> 'A' OR SEQCHE IS NOT NULL OR CARTAO IS NOT NULL)
          ) OR 
          (PAGAME IS NULL)
         ));


/*-- SEQ 0051 --*/
ALTER TABLE TT_TCP ADD TAXDEB Numeric;


/*-- SEQ 0052 --*/
/*-- IGNORE ERRO --*/
alter table TT_REC drop constraint CK_REC_REGRA;


/*-- SEQ 0053 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0054 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_devven () CASCADE;

/*-- SEQ 0055 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_devven ()
RETURNS VARCHAR AS '
DECLARE

  cCODTAB TD_FIL.CODTAB%TYPE;
  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''Devoluo de Vendas'',''G'',''O'',''G''); 
  
  -- Descobre o proximo CODTAB da TD_CTA
  SELECT MAX(CODTAB)+1 INTO cCODTAB
    FROM TD_CTA;

  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''DEVOLUCAO VENDAS'' AS CFGCOL, ''O'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/
select temp_cria_conta_devven() from dual;


/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_devcom () CASCADE;

/*-- SEQ 0058 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_devcom ()
RETURNS VARCHAR AS '
DECLARE

  cCODTAB TD_FIL.CODTAB%TYPE;
  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''Devoluo de Compras'',''G'',''O'',''G''); 
  
  -- Descobre o proximo CODTAB da TD_CTA
  SELECT MAX(CODTAB)+1 INTO cCODTAB
    FROM TD_CTA;

  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''DEVOLUCAO COMPRAS'' AS CFGCOL, ''O'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0059 --*/
/*-- IGNORE ERRO --*/
select temp_cria_conta_devcom() from dual;


/*-- SEQ 0060 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0061 --*/
ALTER TABLE TT_TCP
  DROP CONSTRAINT CK_TCP_NUMPAR;

/*-- SEQ 0062 --*/
ALTER TABLE TT_TCP
  ADD CONSTRAINT CK_TCP_NUMPAR
  CHECK (NUMPAR > 0 AND NUMPAR < 100);


/*-- SEQ 0063 --*/
alter table tt_ven add avista char(1);
 
/*-- SEQ 0064 --*/   
SELECT DISABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0065 --*/   
UPDATE TT_VEN 
SET AVISTA=(SELECT CASE WHEN SUM(CASE WHEN REC.FLGEST='A' AND CARTAO IS NULL AND SEQCHE IS NULL THEN 1 ELSE 0 END)>0 THEN 'F'
                        WHEN SUM(CASE WHEN REC.DATFIS<>TT_VEN.DATFIS THEN 1 ELSE 0 END)>0 THEN 'F'
                   ELSE 'T'
                   END
              FROM TT_REC REC 
             WHERE REC.CODFIL=TT_VEN.CODFIL AND REC.SEQUEN=TT_VEN.SEQUEN               
           )     
WHERE AVISTA IS NULL;

/*-- SEQ 0066 --*/
SELECT ENABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0067 --*/
ALTER TABLE TT_VEN ALTER COLUMN AVISTA SET NOT NULL;

/*-- SEQ 0068 --*/
ALTER TABLE TT_VEN ALTER COLUMN AVISTA SET DEFAULT 'T';


/*-- SEQ 0069 --*/
SELECT DISABLETRIGGERS(LOWER('TT_REC'));

/*-- SEQ 0070 --*/
UPDATE TT_REC SET FLGEST='P', PAGAME=COALESCE(PAGAME,DATINC)
WHERE (CARTAO IS NOT NULL OR 
       SEQCHE IS NOT NULL)
  AND FLGEST='A';

/*-- SEQ 0071 --*/
SELECT ENABLETRIGGERS(LOWER('TT_REC'));


/*-- SEQ 0072 --*/
SELECT DISABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0073 --*/
UPDATE TT_VEN 
   SET FLGEST='Q'
 WHERE FLGEST='A'
   AND (SELECT count(*)
          FROM TT_REC REC
         WHERE REC.CODFIL = TT_VEN.CODFIL
           AND REC.SEQUEN = TT_VEN.SEQUEN
           AND REC.FLGEST='A'
        )=0;

/*-- SEQ 0074 --*/
SELECT ENABLETRIGGERS(LOWER('TT_VEN'));


/*-- SEQ 0075 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0076 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_tit_recebido () CASCADE;

/*-- SEQ 0077 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_tit_recebido ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''Titulo Recebido A Realizar'',''N'',''O'',''N''); 
  
  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT 37 AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''TITULO_RECEBIDO'' AS CFGCOL, ''O'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0078 --*/
/*-- IGNORE ERRO --*/
select temp_cria_conta_tit_recebido() from dual;


/*-- SEQ 0079 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0080 --*/
SELECT DISABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0081 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION ACERTA_TRANSFERENCIA_KITS () CASCADE;

/*-- SEQ 0082 --*/
CREATE OR REPLACE FUNCTION ACERTA_TRANSFERENCIA_KITS ()
RETURNS VARCHAR AS '
DECLARE

WK_EXISTE Numeric(10);
BEGIN
      SELECT COUNT(*)
        INTO WK_EXISTE
        FROM TT_TRA TRA INNER JOIN TT_IVE IVE ON IVE.CODFIL=TRA.FILIVE AND IVE.SEQUEN=TRA.SEQIVE AND IVE.NUMITE=TRA.NUMIVE
                        INNER JOIN TT_ICO ICO ON ICO.CODFIL=TRA.FILICO AND ICO.SEQUEN=TRA.SEQICO AND ICO.NUMITE=TRA.NUMICO
       WHERE IVE.SITKIT = 1;
      
       IF WK_EXISTE > 0 THEN
                UPDATE TT_ICO SET SITMOV = ''C''
                 WHERE (CODFIL, SEQUEN, NUMITE) IN (SELECT TRA.FILICO,TRA.SEQICO,TRA.NUMICO
                                                      FROM TT_TRA TRA INNER JOIN TT_IVE IVE ON IVE.CODFIL=TRA.FILIVE AND IVE.SEQUEN=TRA.SEQIVE AND IVE.NUMITE=TRA.NUMIVE
                                                                      INNER JOIN TT_ICO ICO ON ICO.CODFIL=TRA.FILICO AND ICO.SEQUEN=TRA.SEQICO AND ICO.NUMITE=TRA.NUMICO
                                                     WHERE IVE.SITKIT = 1
                                                       AND ICO.SITMOV <> ''C'');


                                
                UPDATE TT_COM SET QTDTOT = (SELECT SUM(IC2.QTDMOV)
                                              FROM TT_ICO IC2
                                             WHERE (CODFIL,SEQUEN) IN (SELECT ICO.CODFIL, ICO.SEQUEN
                                                                         FROM TT_TRA TRA INNER JOIN TT_IVE IVE ON IVE.CODFIL=TRA.FILIVE AND IVE.SEQUEN=TRA.SEQIVE AND IVE.NUMITE=TRA.NUMIVE
                                                                                         INNER JOIN TT_ICO ICO ON ICO.CODFIL=TRA.FILICO AND ICO.SEQUEN=TRA.SEQICO AND ICO.NUMITE=TRA.NUMICO
                                                                        where IVE.SITKIT = 1)
                                               AND IC2.SITMOV <> ''C''),
                                  VLRLIQ = (SELECT SUM(IC2.VLRMOV)
                                              FROM TT_ICO IC2
                                             WHERE (CODFIL,SEQUEN) IN (SELECT ICO.CODFIL, ICO.SEQUEN
                                                                         FROM TT_TRA TRA INNER JOIN TT_IVE IVE ON IVE.CODFIL=TRA.FILIVE AND IVE.SEQUEN=TRA.SEQIVE AND IVE.NUMITE=TRA.NUMIVE
                                                                                         INNER JOIN TT_ICO ICO ON ICO.CODFIL=TRA.FILICO AND ICO.SEQUEN=TRA.SEQICO AND ICO.NUMITE=TRA.NUMICO
                                                                        where IVE.SITKIT = 1)
                                               AND IC2.SITMOV <> ''C''),
                                  VLRTOT = (SELECT SUM(IC2.VLRMOV)
                                              FROM TT_ICO IC2
                                             WHERE (CODFIL,SEQUEN) IN (SELECT ICO.CODFIL, ICO.SEQUEN
                                                                         FROM TT_TRA TRA INNER JOIN TT_IVE IVE ON IVE.CODFIL=TRA.FILIVE AND IVE.SEQUEN=TRA.SEQIVE AND IVE.NUMITE=TRA.NUMIVE
                                                                                         INNER JOIN TT_ICO ICO ON ICO.CODFIL=TRA.FILICO AND ICO.SEQUEN=TRA.SEQICO AND ICO.NUMITE=TRA.NUMICO
                                                                        where IVE.SITKIT = 1)
                                               AND IC2.SITMOV <> ''C'')
                WHERE (CODFIL, SEQUEN) IN (SELECT IC2.CODFIL, IC2.SEQUEN
                                              FROM TT_ICO IC2
                                             WHERE (CODFIL,SEQUEN) IN (SELECT ICO.CODFIL, ICO.SEQUEN
                                                                         FROM TT_TRA TRA INNER JOIN TT_IVE IVE ON IVE.CODFIL=TRA.FILIVE AND IVE.SEQUEN=TRA.SEQIVE AND IVE.NUMITE=TRA.NUMIVE
                                                                                         INNER JOIN TT_ICO ICO ON ICO.CODFIL=TRA.FILICO AND ICO.SEQUEN=TRA.SEQICO AND ICO.NUMITE=TRA.NUMICO
                                                                        where IVE.SITKIT = 1)
                                               AND IC2.SITMOV <> ''C'');
                


                DELETE FROM TT_TRA
                 WHERE (FILIVE,SEQIVE,NUMIVE) IN (SELECT TRA.FILIVE,TRA.SEQIVE,TRA.NUMIVE
                                                    FROM TT_TRA TRA INNER JOIN TT_IVE IVE ON IVE.CODFIL=TRA.FILIVE AND IVE.SEQUEN=TRA.SEQIVE AND IVE.NUMITE=TRA.NUMIVE
                                                   where IVE.SITKIT = 1);
       END IF;
  RETURN NULL;

END;
' language 'plpgsql';

/*-- SEQ 0083 --*/
SELECT ACERTA_TRANSFERENCIA_KITS();

/*-- SEQ 0084 --*/
SELECT ENABLETRIGGERS(LOWER('TT_COM'));




/*-- SEQ 0085 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_MOV ADD DESCOM Numeric(12,2);


/*-- SEQ 0086 --*/
SELECT DISABLETRIGGERS(LOWER('TT_REC'));

/*-- SEQ 0087 --*/
update tt_rec set portad=0 where portad is null;

/*-- SEQ 0088 --*/
SELECT ENABLETRIGGERS(LOWER('TT_REC'));

/*-- SEQ 0089 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_REC ALTER COLUMN PORTAD SET NOT NULL;

/*-- SEQ 0090 --*/
alter table tl_fin drop constraint ck_lfin_motinc;

/*-- SEQ 0091 --*/
alter table tl_fin add constraint ck_lfin_motinc check (motinc in ('+','D','L','V','F'));

